library markup_text;

import 'package:flutter/material.dart';

class MarkupParser {
  static Color hexToColor(String code) {
    return new Color(int.parse(code.substring(1), radix: 16) + 0xFF000000);
  }

  // @formatter:off
  // cat ~/development/flutter/flutter/packages/flutter/lib/src/material/colors.dart | grep "static const" | grep -v _ | cut -f6 -d" " | awk '{print "case \"" $1 "\": return Colors." $1 ";"}'
  static Color? nameToColor(String? name) {
    switch (name) {
      case "transparent": return Colors.transparent;
      case "black": return Colors.black;
      case "black87": return Colors.black87;
      case "black54": return Colors.black54;
      case "black45": return Colors.black45;
      case "black38": return Colors.black38;
      case "black26": return Colors.black26;
      case "black12": return Colors.black12;
      case "white": return Colors.white;
      case "white70": return Colors.white70;
      case "white60": return Colors.white60;
      case "white54": return Colors.white54;
      case "white38": return Colors.white38;
      case "white30": return Colors.white30;
      case "white24": return Colors.white24;
      case "white12": return Colors.white12;
      case "white10": return Colors.white10;
      case "red": return Colors.red;
      case "redAccent": return Colors.redAccent;
      case "pink": return Colors.pink;
      case "pinkAccent": return Colors.pinkAccent;
      case "purple": return Colors.purple;
      case "purpleAccent": return Colors.purpleAccent;
      case "deepPurple": return Colors.deepPurple;
      case "deepPurpleAccent": return Colors.deepPurpleAccent;
      case "indigo": return Colors.indigo;
      case "indigoAccent": return Colors.indigoAccent;
      case "blue": return Colors.blue;
      case "blueAccent": return Colors.blueAccent;
      case "lightBlue": return Colors.lightBlue;
      case "lightBlueAccent": return Colors.lightBlueAccent;
      case "cyan": return Colors.cyan;
      case "cyanAccent": return Colors.cyanAccent;
      case "teal": return Colors.teal;
      case "tealAccent": return Colors.tealAccent;
      case "green": return Colors.green;
      case "greenAccent": return Colors.greenAccent;
      case "lightGreen": return Colors.lightGreen;
      case "lightGreenAccent": return Colors.lightGreenAccent;
      case "lime": return Colors.lime;
      case "limeAccent": return Colors.limeAccent;
      case "yellow": return Colors.yellow;
      case "yellowAccent": return Colors.yellowAccent;
      case "amber": return Colors.amber;
      case "amberAccent": return Colors.amberAccent;
      case "orange": return Colors.orange;
      case "orangeAccent": return Colors.orangeAccent;
      case "deepOrange": return Colors.deepOrange;
      case "deepOrangeAccent": return Colors.deepOrangeAccent;
      case "brown": return Colors.brown;
      case "grey": return Colors.grey;
      case "blueGrey": return Colors.blueGrey;
    }
    return null;
  }

  //@formatter:off
  // cat ~/development/flutter/packages/flutter/lib/src/material/icons.dart | grep "static const" | cut -f6 -d" " | awk '{print "case \"" $1 "\": return Icons." $1 ";"}'
  static IconData? getIconData(String? name) {
    switch (name) {
      case "ten_k": return Icons.ten_k;
      case "ten_k_sharp": return Icons.ten_k_sharp;
      case "ten_k_rounded": return Icons.ten_k_rounded;
      case "ten_k_outlined": return Icons.ten_k_outlined;
      case "ten_mp": return Icons.ten_mp;
      case "ten_mp_sharp": return Icons.ten_mp_sharp;
      case "ten_mp_rounded": return Icons.ten_mp_rounded;
      case "ten_mp_outlined": return Icons.ten_mp_outlined;
      case "eleven_mp": return Icons.eleven_mp;
      case "eleven_mp_sharp": return Icons.eleven_mp_sharp;
      case "eleven_mp_rounded": return Icons.eleven_mp_rounded;
      case "eleven_mp_outlined": return Icons.eleven_mp_outlined;
      case "onetwothree": return Icons.onetwothree;
      case "onetwothree_sharp": return Icons.onetwothree_sharp;
      case "onetwothree_rounded": return Icons.onetwothree_rounded;
      case "onetwothree_outlined": return Icons.onetwothree_outlined;
      case "twelve_mp": return Icons.twelve_mp;
      case "twelve_mp_sharp": return Icons.twelve_mp_sharp;
      case "twelve_mp_rounded": return Icons.twelve_mp_rounded;
      case "twelve_mp_outlined": return Icons.twelve_mp_outlined;
      case "thirteen_mp": return Icons.thirteen_mp;
      case "thirteen_mp_sharp": return Icons.thirteen_mp_sharp;
      case "thirteen_mp_rounded": return Icons.thirteen_mp_rounded;
      case "thirteen_mp_outlined": return Icons.thirteen_mp_outlined;
      case "fourteen_mp": return Icons.fourteen_mp;
      case "fourteen_mp_sharp": return Icons.fourteen_mp_sharp;
      case "fourteen_mp_rounded": return Icons.fourteen_mp_rounded;
      case "fourteen_mp_outlined": return Icons.fourteen_mp_outlined;
      case "fifteen_mp": return Icons.fifteen_mp;
      case "fifteen_mp_sharp": return Icons.fifteen_mp_sharp;
      case "fifteen_mp_rounded": return Icons.fifteen_mp_rounded;
      case "fifteen_mp_outlined": return Icons.fifteen_mp_outlined;
      case "sixteen_mp": return Icons.sixteen_mp;
      case "sixteen_mp_sharp": return Icons.sixteen_mp_sharp;
      case "sixteen_mp_rounded": return Icons.sixteen_mp_rounded;
      case "sixteen_mp_outlined": return Icons.sixteen_mp_outlined;
      case "seventeen_mp": return Icons.seventeen_mp;
      case "seventeen_mp_sharp": return Icons.seventeen_mp_sharp;
      case "seventeen_mp_rounded": return Icons.seventeen_mp_rounded;
      case "seventeen_mp_outlined": return Icons.seventeen_mp_outlined;
      case "eighteen_mp": return Icons.eighteen_mp;
      case "eighteen_mp_sharp": return Icons.eighteen_mp_sharp;
      case "eighteen_mp_rounded": return Icons.eighteen_mp_rounded;
      case "eighteen_mp_outlined": return Icons.eighteen_mp_outlined;
      case "nineteen_mp": return Icons.nineteen_mp;
      case "nineteen_mp_sharp": return Icons.nineteen_mp_sharp;
      case "nineteen_mp_rounded": return Icons.nineteen_mp_rounded;
      case "nineteen_mp_outlined": return Icons.nineteen_mp_outlined;
      case "one_k": return Icons.one_k;
      case "one_k_sharp": return Icons.one_k_sharp;
      case "one_k_rounded": return Icons.one_k_rounded;
      case "one_k_outlined": return Icons.one_k_outlined;
      case "one_k_plus": return Icons.one_k_plus;
      case "one_k_plus_sharp": return Icons.one_k_plus_sharp;
      case "one_k_plus_rounded": return Icons.one_k_plus_rounded;
      case "one_k_plus_outlined": return Icons.one_k_plus_outlined;
      case "one_x_mobiledata": return Icons.one_x_mobiledata;
      case "one_x_mobiledata_sharp": return Icons.one_x_mobiledata_sharp;
      case "one_x_mobiledata_rounded": return Icons.one_x_mobiledata_rounded;
      case "one_x_mobiledata_outlined": return Icons.one_x_mobiledata_outlined;
      case "twenty_mp": return Icons.twenty_mp;
      case "twenty_mp_sharp": return Icons.twenty_mp_sharp;
      case "twenty_mp_rounded": return Icons.twenty_mp_rounded;
      case "twenty_mp_outlined": return Icons.twenty_mp_outlined;
      case "twenty_one_mp": return Icons.twenty_one_mp;
      case "twenty_one_mp_sharp": return Icons.twenty_one_mp_sharp;
      case "twenty_one_mp_rounded": return Icons.twenty_one_mp_rounded;
      case "twenty_one_mp_outlined": return Icons.twenty_one_mp_outlined;
      case "twenty_two_mp": return Icons.twenty_two_mp;
      case "twenty_two_mp_sharp": return Icons.twenty_two_mp_sharp;
      case "twenty_two_mp_rounded": return Icons.twenty_two_mp_rounded;
      case "twenty_two_mp_outlined": return Icons.twenty_two_mp_outlined;
      case "twenty_three_mp": return Icons.twenty_three_mp;
      case "twenty_three_mp_sharp": return Icons.twenty_three_mp_sharp;
      case "twenty_three_mp_rounded": return Icons.twenty_three_mp_rounded;
      case "twenty_three_mp_outlined": return Icons.twenty_three_mp_outlined;
      case "twenty_four_mp": return Icons.twenty_four_mp;
      case "twenty_four_mp_sharp": return Icons.twenty_four_mp_sharp;
      case "twenty_four_mp_rounded": return Icons.twenty_four_mp_rounded;
      case "twenty_four_mp_outlined": return Icons.twenty_four_mp_outlined;
      case "two_k": return Icons.two_k;
      case "two_k_sharp": return Icons.two_k_sharp;
      case "two_k_rounded": return Icons.two_k_rounded;
      case "two_k_outlined": return Icons.two_k_outlined;
      case "two_k_plus": return Icons.two_k_plus;
      case "two_k_plus_sharp": return Icons.two_k_plus_sharp;
      case "two_k_plus_rounded": return Icons.two_k_plus_rounded;
      case "two_k_plus_outlined": return Icons.two_k_plus_outlined;
      case "two_mp": return Icons.two_mp;
      case "two_mp_sharp": return Icons.two_mp_sharp;
      case "two_mp_rounded": return Icons.two_mp_rounded;
      case "two_mp_outlined": return Icons.two_mp_outlined;
      case "thirty_fps": return Icons.thirty_fps;
      case "thirty_fps_sharp": return Icons.thirty_fps_sharp;
      case "thirty_fps_rounded": return Icons.thirty_fps_rounded;
      case "thirty_fps_outlined": return Icons.thirty_fps_outlined;
      case "thirty_fps_select": return Icons.thirty_fps_select;
      case "thirty_fps_select_sharp": return Icons.thirty_fps_select_sharp;
      case "thirty_fps_select_rounded": return Icons.thirty_fps_select_rounded;
      case "thirty_fps_select_outlined": return Icons.thirty_fps_select_outlined;
      case "threesixty": return Icons.threesixty;
      case "threesixty_sharp": return Icons.threesixty_sharp;
      case "threesixty_rounded": return Icons.threesixty_rounded;
      case "threesixty_outlined": return Icons.threesixty_outlined;
      case "threed_rotation": return Icons.threed_rotation;
      case "threed_rotation_sharp": return Icons.threed_rotation_sharp;
      case "threed_rotation_rounded": return Icons.threed_rotation_rounded;
      case "threed_rotation_outlined": return Icons.threed_rotation_outlined;
      case "three_g_mobiledata": return Icons.three_g_mobiledata;
      case "three_g_mobiledata_sharp": return Icons.three_g_mobiledata_sharp;
      case "three_g_mobiledata_rounded": return Icons.three_g_mobiledata_rounded;
      case "three_g_mobiledata_outlined": return Icons.three_g_mobiledata_outlined;
      case "three_k": return Icons.three_k;
      case "three_k_sharp": return Icons.three_k_sharp;
      case "three_k_rounded": return Icons.three_k_rounded;
      case "three_k_outlined": return Icons.three_k_outlined;
      case "three_k_plus": return Icons.three_k_plus;
      case "three_k_plus_sharp": return Icons.three_k_plus_sharp;
      case "three_k_plus_rounded": return Icons.three_k_plus_rounded;
      case "three_k_plus_outlined": return Icons.three_k_plus_outlined;
      case "three_mp": return Icons.three_mp;
      case "three_mp_sharp": return Icons.three_mp_sharp;
      case "three_mp_rounded": return Icons.three_mp_rounded;
      case "three_mp_outlined": return Icons.three_mp_outlined;
      case "three_p": return Icons.three_p;
      case "three_p_sharp": return Icons.three_p_sharp;
      case "three_p_rounded": return Icons.three_p_rounded;
      case "three_p_outlined": return Icons.three_p_outlined;
      case "four_g_mobiledata": return Icons.four_g_mobiledata;
      case "four_g_mobiledata_sharp": return Icons.four_g_mobiledata_sharp;
      case "four_g_mobiledata_rounded": return Icons.four_g_mobiledata_rounded;
      case "four_g_mobiledata_outlined": return Icons.four_g_mobiledata_outlined;
      case "four_g_plus_mobiledata": return Icons.four_g_plus_mobiledata;
      case "four_g_plus_mobiledata_sharp": return Icons.four_g_plus_mobiledata_sharp;
      case "four_g_plus_mobiledata_rounded": return Icons.four_g_plus_mobiledata_rounded;
      case "four_g_plus_mobiledata_outlined": return Icons.four_g_plus_mobiledata_outlined;
      case "four_k": return Icons.four_k;
      case "four_k_sharp": return Icons.four_k_sharp;
      case "four_k_rounded": return Icons.four_k_rounded;
      case "four_k_outlined": return Icons.four_k_outlined;
      case "four_k_plus": return Icons.four_k_plus;
      case "four_k_plus_sharp": return Icons.four_k_plus_sharp;
      case "four_k_plus_rounded": return Icons.four_k_plus_rounded;
      case "four_k_plus_outlined": return Icons.four_k_plus_outlined;
      case "four_mp": return Icons.four_mp;
      case "four_mp_sharp": return Icons.four_mp_sharp;
      case "four_mp_rounded": return Icons.four_mp_rounded;
      case "four_mp_outlined": return Icons.four_mp_outlined;
      case "five_g": return Icons.five_g;
      case "five_g_sharp": return Icons.five_g_sharp;
      case "five_g_rounded": return Icons.five_g_rounded;
      case "five_g_outlined": return Icons.five_g_outlined;
      case "five_k": return Icons.five_k;
      case "five_k_sharp": return Icons.five_k_sharp;
      case "five_k_rounded": return Icons.five_k_rounded;
      case "five_k_outlined": return Icons.five_k_outlined;
      case "five_k_plus": return Icons.five_k_plus;
      case "five_k_plus_sharp": return Icons.five_k_plus_sharp;
      case "five_k_plus_rounded": return Icons.five_k_plus_rounded;
      case "five_k_plus_outlined": return Icons.five_k_plus_outlined;
      case "five_mp": return Icons.five_mp;
      case "five_mp_sharp": return Icons.five_mp_sharp;
      case "five_mp_rounded": return Icons.five_mp_rounded;
      case "five_mp_outlined": return Icons.five_mp_outlined;
      case "sixty_fps": return Icons.sixty_fps;
      case "sixty_fps_sharp": return Icons.sixty_fps_sharp;
      case "sixty_fps_rounded": return Icons.sixty_fps_rounded;
      case "sixty_fps_outlined": return Icons.sixty_fps_outlined;
      case "sixty_fps_select": return Icons.sixty_fps_select;
      case "sixty_fps_select_sharp": return Icons.sixty_fps_select_sharp;
      case "sixty_fps_select_rounded": return Icons.sixty_fps_select_rounded;
      case "sixty_fps_select_outlined": return Icons.sixty_fps_select_outlined;
      case "six__ft_apart": return Icons.six__ft_apart;
      case "six__ft_apart_sharp": return Icons.six__ft_apart_sharp;
      case "six__ft_apart_rounded": return Icons.six__ft_apart_rounded;
      case "six__ft_apart_outlined": return Icons.six__ft_apart_outlined;
      case "six_k": return Icons.six_k;
      case "six_k_sharp": return Icons.six_k_sharp;
      case "six_k_rounded": return Icons.six_k_rounded;
      case "six_k_outlined": return Icons.six_k_outlined;
      case "six_k_plus": return Icons.six_k_plus;
      case "six_k_plus_sharp": return Icons.six_k_plus_sharp;
      case "six_k_plus_rounded": return Icons.six_k_plus_rounded;
      case "six_k_plus_outlined": return Icons.six_k_plus_outlined;
      case "six_mp": return Icons.six_mp;
      case "six_mp_sharp": return Icons.six_mp_sharp;
      case "six_mp_rounded": return Icons.six_mp_rounded;
      case "six_mp_outlined": return Icons.six_mp_outlined;
      case "seven_k": return Icons.seven_k;
      case "seven_k_sharp": return Icons.seven_k_sharp;
      case "seven_k_rounded": return Icons.seven_k_rounded;
      case "seven_k_outlined": return Icons.seven_k_outlined;
      case "seven_k_plus": return Icons.seven_k_plus;
      case "seven_k_plus_sharp": return Icons.seven_k_plus_sharp;
      case "seven_k_plus_rounded": return Icons.seven_k_plus_rounded;
      case "seven_k_plus_outlined": return Icons.seven_k_plus_outlined;
      case "seven_mp": return Icons.seven_mp;
      case "seven_mp_sharp": return Icons.seven_mp_sharp;
      case "seven_mp_rounded": return Icons.seven_mp_rounded;
      case "seven_mp_outlined": return Icons.seven_mp_outlined;
      case "eight_k": return Icons.eight_k;
      case "eight_k_sharp": return Icons.eight_k_sharp;
      case "eight_k_rounded": return Icons.eight_k_rounded;
      case "eight_k_outlined": return Icons.eight_k_outlined;
      case "eight_k_plus": return Icons.eight_k_plus;
      case "eight_k_plus_sharp": return Icons.eight_k_plus_sharp;
      case "eight_k_plus_rounded": return Icons.eight_k_plus_rounded;
      case "eight_k_plus_outlined": return Icons.eight_k_plus_outlined;
      case "eight_mp": return Icons.eight_mp;
      case "eight_mp_sharp": return Icons.eight_mp_sharp;
      case "eight_mp_rounded": return Icons.eight_mp_rounded;
      case "eight_mp_outlined": return Icons.eight_mp_outlined;
      case "nine_k": return Icons.nine_k;
      case "nine_k_sharp": return Icons.nine_k_sharp;
      case "nine_k_rounded": return Icons.nine_k_rounded;
      case "nine_k_outlined": return Icons.nine_k_outlined;
      case "nine_k_plus": return Icons.nine_k_plus;
      case "nine_k_plus_sharp": return Icons.nine_k_plus_sharp;
      case "nine_k_plus_rounded": return Icons.nine_k_plus_rounded;
      case "nine_k_plus_outlined": return Icons.nine_k_plus_outlined;
      case "nine_mp": return Icons.nine_mp;
      case "nine_mp_sharp": return Icons.nine_mp_sharp;
      case "nine_mp_rounded": return Icons.nine_mp_rounded;
      case "nine_mp_outlined": return Icons.nine_mp_outlined;
      case "abc": return Icons.abc;
      case "abc_sharp": return Icons.abc_sharp;
      case "abc_rounded": return Icons.abc_rounded;
      case "abc_outlined": return Icons.abc_outlined;
      case "ac_unit": return Icons.ac_unit;
      case "ac_unit_sharp": return Icons.ac_unit_sharp;
      case "ac_unit_rounded": return Icons.ac_unit_rounded;
      case "ac_unit_outlined": return Icons.ac_unit_outlined;
      case "access_alarm": return Icons.access_alarm;
      case "access_alarm_sharp": return Icons.access_alarm_sharp;
      case "access_alarm_rounded": return Icons.access_alarm_rounded;
      case "access_alarm_outlined": return Icons.access_alarm_outlined;
      case "access_alarms": return Icons.access_alarms;
      case "access_alarms_sharp": return Icons.access_alarms_sharp;
      case "access_alarms_rounded": return Icons.access_alarms_rounded;
      case "access_alarms_outlined": return Icons.access_alarms_outlined;
      case "access_time": return Icons.access_time;
      case "access_time_sharp": return Icons.access_time_sharp;
      case "access_time_rounded": return Icons.access_time_rounded;
      case "access_time_outlined": return Icons.access_time_outlined;
      case "access_time_filled": return Icons.access_time_filled;
      case "access_time_filled_sharp": return Icons.access_time_filled_sharp;
      case "access_time_filled_rounded": return Icons.access_time_filled_rounded;
      case "access_time_filled_outlined": return Icons.access_time_filled_outlined;
      case "accessibility": return Icons.accessibility;
      case "accessibility_sharp": return Icons.accessibility_sharp;
      case "accessibility_rounded": return Icons.accessibility_rounded;
      case "accessibility_outlined": return Icons.accessibility_outlined;
      case "accessibility_new": return Icons.accessibility_new;
      case "accessibility_new_sharp": return Icons.accessibility_new_sharp;
      case "accessibility_new_rounded": return Icons.accessibility_new_rounded;
      case "accessibility_new_outlined": return Icons.accessibility_new_outlined;
      case "accessible": return Icons.accessible;
      case "accessible_sharp": return Icons.accessible_sharp;
      case "accessible_rounded": return Icons.accessible_rounded;
      case "accessible_outlined": return Icons.accessible_outlined;
      case "accessible_forward": return Icons.accessible_forward;
      case "accessible_forward_sharp": return Icons.accessible_forward_sharp;
      case "accessible_forward_rounded": return Icons.accessible_forward_rounded;
      case "accessible_forward_outlined": return Icons.accessible_forward_outlined;
      case "account_balance": return Icons.account_balance;
      case "account_balance_sharp": return Icons.account_balance_sharp;
      case "account_balance_rounded": return Icons.account_balance_rounded;
      case "account_balance_outlined": return Icons.account_balance_outlined;
      case "account_balance_wallet": return Icons.account_balance_wallet;
      case "account_balance_wallet_sharp": return Icons.account_balance_wallet_sharp;
      case "account_balance_wallet_rounded": return Icons.account_balance_wallet_rounded;
      case "account_balance_wallet_outlined": return Icons.account_balance_wallet_outlined;
      case "account_box": return Icons.account_box;
      case "account_box_sharp": return Icons.account_box_sharp;
      case "account_box_rounded": return Icons.account_box_rounded;
      case "account_box_outlined": return Icons.account_box_outlined;
      case "account_circle": return Icons.account_circle;
      case "account_circle_sharp": return Icons.account_circle_sharp;
      case "account_circle_rounded": return Icons.account_circle_rounded;
      case "account_circle_outlined": return Icons.account_circle_outlined;
      case "account_tree": return Icons.account_tree;
      case "account_tree_sharp": return Icons.account_tree_sharp;
      case "account_tree_rounded": return Icons.account_tree_rounded;
      case "account_tree_outlined": return Icons.account_tree_outlined;
      case "ad_units": return Icons.ad_units;
      case "ad_units_sharp": return Icons.ad_units_sharp;
      case "ad_units_rounded": return Icons.ad_units_rounded;
      case "ad_units_outlined": return Icons.ad_units_outlined;
      case "adb": return Icons.adb;
      case "adb_sharp": return Icons.adb_sharp;
      case "adb_rounded": return Icons.adb_rounded;
      case "adb_outlined": return Icons.adb_outlined;
      case "add": return Icons.add;
      case "add_sharp": return Icons.add_sharp;
      case "add_rounded": return Icons.add_rounded;
      case "add_outlined": return Icons.add_outlined;
      case "add_a_photo": return Icons.add_a_photo;
      case "add_a_photo_sharp": return Icons.add_a_photo_sharp;
      case "add_a_photo_rounded": return Icons.add_a_photo_rounded;
      case "add_a_photo_outlined": return Icons.add_a_photo_outlined;
      case "add_alarm": return Icons.add_alarm;
      case "add_alarm_sharp": return Icons.add_alarm_sharp;
      case "add_alarm_rounded": return Icons.add_alarm_rounded;
      case "add_alarm_outlined": return Icons.add_alarm_outlined;
      case "add_alert": return Icons.add_alert;
      case "add_alert_sharp": return Icons.add_alert_sharp;
      case "add_alert_rounded": return Icons.add_alert_rounded;
      case "add_alert_outlined": return Icons.add_alert_outlined;
      case "add_box": return Icons.add_box;
      case "add_box_sharp": return Icons.add_box_sharp;
      case "add_box_rounded": return Icons.add_box_rounded;
      case "add_box_outlined": return Icons.add_box_outlined;
      case "add_business": return Icons.add_business;
      case "add_business_sharp": return Icons.add_business_sharp;
      case "add_business_rounded": return Icons.add_business_rounded;
      case "add_business_outlined": return Icons.add_business_outlined;
      case "add_call": return Icons.add_call;
      case "add_card": return Icons.add_card;
      case "add_card_sharp": return Icons.add_card_sharp;
      case "add_card_rounded": return Icons.add_card_rounded;
      case "add_card_outlined": return Icons.add_card_outlined;
      case "add_chart": return Icons.add_chart;
      case "add_chart_sharp": return Icons.add_chart_sharp;
      case "add_chart_rounded": return Icons.add_chart_rounded;
      case "add_chart_outlined": return Icons.add_chart_outlined;
      case "add_circle": return Icons.add_circle;
      case "add_circle_sharp": return Icons.add_circle_sharp;
      case "add_circle_rounded": return Icons.add_circle_rounded;
      case "add_circle_outlined": return Icons.add_circle_outlined;
      case "add_circle_outline": return Icons.add_circle_outline;
      case "add_circle_outline_sharp": return Icons.add_circle_outline_sharp;
      case "add_circle_outline_rounded": return Icons.add_circle_outline_rounded;
      case "add_circle_outline_outlined": return Icons.add_circle_outline_outlined;
      case "add_comment": return Icons.add_comment;
      case "add_comment_sharp": return Icons.add_comment_sharp;
      case "add_comment_rounded": return Icons.add_comment_rounded;
      case "add_comment_outlined": return Icons.add_comment_outlined;
      case "add_ic_call": return Icons.add_ic_call;
      case "add_ic_call_sharp": return Icons.add_ic_call_sharp;
      case "add_ic_call_rounded": return Icons.add_ic_call_rounded;
      case "add_ic_call_outlined": return Icons.add_ic_call_outlined;
      case "add_link": return Icons.add_link;
      case "add_link_sharp": return Icons.add_link_sharp;
      case "add_link_rounded": return Icons.add_link_rounded;
      case "add_link_outlined": return Icons.add_link_outlined;
      case "add_location": return Icons.add_location;
      case "add_location_sharp": return Icons.add_location_sharp;
      case "add_location_rounded": return Icons.add_location_rounded;
      case "add_location_outlined": return Icons.add_location_outlined;
      case "add_location_alt": return Icons.add_location_alt;
      case "add_location_alt_sharp": return Icons.add_location_alt_sharp;
      case "add_location_alt_rounded": return Icons.add_location_alt_rounded;
      case "add_location_alt_outlined": return Icons.add_location_alt_outlined;
      case "add_moderator": return Icons.add_moderator;
      case "add_moderator_sharp": return Icons.add_moderator_sharp;
      case "add_moderator_rounded": return Icons.add_moderator_rounded;
      case "add_moderator_outlined": return Icons.add_moderator_outlined;
      case "add_photo_alternate": return Icons.add_photo_alternate;
      case "add_photo_alternate_sharp": return Icons.add_photo_alternate_sharp;
      case "add_photo_alternate_rounded": return Icons.add_photo_alternate_rounded;
      case "add_photo_alternate_outlined": return Icons.add_photo_alternate_outlined;
      case "add_reaction": return Icons.add_reaction;
      case "add_reaction_sharp": return Icons.add_reaction_sharp;
      case "add_reaction_rounded": return Icons.add_reaction_rounded;
      case "add_reaction_outlined": return Icons.add_reaction_outlined;
      case "add_road": return Icons.add_road;
      case "add_road_sharp": return Icons.add_road_sharp;
      case "add_road_rounded": return Icons.add_road_rounded;
      case "add_road_outlined": return Icons.add_road_outlined;
      case "add_shopping_cart": return Icons.add_shopping_cart;
      case "add_shopping_cart_sharp": return Icons.add_shopping_cart_sharp;
      case "add_shopping_cart_rounded": return Icons.add_shopping_cart_rounded;
      case "add_shopping_cart_outlined": return Icons.add_shopping_cart_outlined;
      case "add_task": return Icons.add_task;
      case "add_task_sharp": return Icons.add_task_sharp;
      case "add_task_rounded": return Icons.add_task_rounded;
      case "add_task_outlined": return Icons.add_task_outlined;
      case "add_to_drive": return Icons.add_to_drive;
      case "add_to_drive_sharp": return Icons.add_to_drive_sharp;
      case "add_to_drive_rounded": return Icons.add_to_drive_rounded;
      case "add_to_drive_outlined": return Icons.add_to_drive_outlined;
      case "add_to_home_screen": return Icons.add_to_home_screen;
      case "add_to_home_screen_sharp": return Icons.add_to_home_screen_sharp;
      case "add_to_home_screen_rounded": return Icons.add_to_home_screen_rounded;
      case "add_to_home_screen_outlined": return Icons.add_to_home_screen_outlined;
      case "add_to_photos": return Icons.add_to_photos;
      case "add_to_photos_sharp": return Icons.add_to_photos_sharp;
      case "add_to_photos_rounded": return Icons.add_to_photos_rounded;
      case "add_to_photos_outlined": return Icons.add_to_photos_outlined;
      case "add_to_queue": return Icons.add_to_queue;
      case "add_to_queue_sharp": return Icons.add_to_queue_sharp;
      case "add_to_queue_rounded": return Icons.add_to_queue_rounded;
      case "add_to_queue_outlined": return Icons.add_to_queue_outlined;
      case "addchart": return Icons.addchart;
      case "addchart_sharp": return Icons.addchart_sharp;
      case "addchart_rounded": return Icons.addchart_rounded;
      case "addchart_outlined": return Icons.addchart_outlined;
      case "adf_scanner": return Icons.adf_scanner;
      case "adf_scanner_sharp": return Icons.adf_scanner_sharp;
      case "adf_scanner_rounded": return Icons.adf_scanner_rounded;
      case "adf_scanner_outlined": return Icons.adf_scanner_outlined;
      case "adjust": return Icons.adjust;
      case "adjust_sharp": return Icons.adjust_sharp;
      case "adjust_rounded": return Icons.adjust_rounded;
      case "adjust_outlined": return Icons.adjust_outlined;
      case "admin_panel_settings": return Icons.admin_panel_settings;
      case "admin_panel_settings_sharp": return Icons.admin_panel_settings_sharp;
      case "admin_panel_settings_rounded": return Icons.admin_panel_settings_rounded;
      case "admin_panel_settings_outlined": return Icons.admin_panel_settings_outlined;
      case "adobe": return Icons.adobe;
      case "adobe_sharp": return Icons.adobe_sharp;
      case "adobe_rounded": return Icons.adobe_rounded;
      case "adobe_outlined": return Icons.adobe_outlined;
      case "ads_click": return Icons.ads_click;
      case "ads_click_sharp": return Icons.ads_click_sharp;
      case "ads_click_rounded": return Icons.ads_click_rounded;
      case "ads_click_outlined": return Icons.ads_click_outlined;
      case "agriculture": return Icons.agriculture;
      case "agriculture_sharp": return Icons.agriculture_sharp;
      case "agriculture_rounded": return Icons.agriculture_rounded;
      case "agriculture_outlined": return Icons.agriculture_outlined;
      case "air": return Icons.air;
      case "air_sharp": return Icons.air_sharp;
      case "air_rounded": return Icons.air_rounded;
      case "air_outlined": return Icons.air_outlined;
      case "airline_seat_flat": return Icons.airline_seat_flat;
      case "airline_seat_flat_sharp": return Icons.airline_seat_flat_sharp;
      case "airline_seat_flat_rounded": return Icons.airline_seat_flat_rounded;
      case "airline_seat_flat_outlined": return Icons.airline_seat_flat_outlined;
      case "airline_seat_flat_angled": return Icons.airline_seat_flat_angled;
      case "airline_seat_flat_angled_sharp": return Icons.airline_seat_flat_angled_sharp;
      case "airline_seat_flat_angled_rounded": return Icons.airline_seat_flat_angled_rounded;
      case "airline_seat_flat_angled_outlined": return Icons.airline_seat_flat_angled_outlined;
      case "airline_seat_individual_suite": return Icons.airline_seat_individual_suite;
      case "airline_seat_individual_suite_sharp": return Icons.airline_seat_individual_suite_sharp;
      case "airline_seat_individual_suite_rounded": return Icons.airline_seat_individual_suite_rounded;
      case "airline_seat_individual_suite_outlined": return Icons.airline_seat_individual_suite_outlined;
      case "airline_seat_legroom_extra": return Icons.airline_seat_legroom_extra;
      case "airline_seat_legroom_extra_sharp": return Icons.airline_seat_legroom_extra_sharp;
      case "airline_seat_legroom_extra_rounded": return Icons.airline_seat_legroom_extra_rounded;
      case "airline_seat_legroom_extra_outlined": return Icons.airline_seat_legroom_extra_outlined;
      case "airline_seat_legroom_normal": return Icons.airline_seat_legroom_normal;
      case "airline_seat_legroom_normal_sharp": return Icons.airline_seat_legroom_normal_sharp;
      case "airline_seat_legroom_normal_rounded": return Icons.airline_seat_legroom_normal_rounded;
      case "airline_seat_legroom_normal_outlined": return Icons.airline_seat_legroom_normal_outlined;
      case "airline_seat_legroom_reduced": return Icons.airline_seat_legroom_reduced;
      case "airline_seat_legroom_reduced_sharp": return Icons.airline_seat_legroom_reduced_sharp;
      case "airline_seat_legroom_reduced_rounded": return Icons.airline_seat_legroom_reduced_rounded;
      case "airline_seat_legroom_reduced_outlined": return Icons.airline_seat_legroom_reduced_outlined;
      case "airline_seat_recline_extra": return Icons.airline_seat_recline_extra;
      case "airline_seat_recline_extra_sharp": return Icons.airline_seat_recline_extra_sharp;
      case "airline_seat_recline_extra_rounded": return Icons.airline_seat_recline_extra_rounded;
      case "airline_seat_recline_extra_outlined": return Icons.airline_seat_recline_extra_outlined;
      case "airline_seat_recline_normal": return Icons.airline_seat_recline_normal;
      case "airline_seat_recline_normal_sharp": return Icons.airline_seat_recline_normal_sharp;
      case "airline_seat_recline_normal_rounded": return Icons.airline_seat_recline_normal_rounded;
      case "airline_seat_recline_normal_outlined": return Icons.airline_seat_recline_normal_outlined;
      case "airline_stops": return Icons.airline_stops;
      case "airline_stops_sharp": return Icons.airline_stops_sharp;
      case "airline_stops_rounded": return Icons.airline_stops_rounded;
      case "airline_stops_outlined": return Icons.airline_stops_outlined;
      case "airlines": return Icons.airlines;
      case "airlines_sharp": return Icons.airlines_sharp;
      case "airlines_rounded": return Icons.airlines_rounded;
      case "airlines_outlined": return Icons.airlines_outlined;
      case "airplane_ticket": return Icons.airplane_ticket;
      case "airplane_ticket_sharp": return Icons.airplane_ticket_sharp;
      case "airplane_ticket_rounded": return Icons.airplane_ticket_rounded;
      case "airplane_ticket_outlined": return Icons.airplane_ticket_outlined;
      case "airplanemode_active": return Icons.airplanemode_active;
      case "airplanemode_active_sharp": return Icons.airplanemode_active_sharp;
      case "airplanemode_active_rounded": return Icons.airplanemode_active_rounded;
      case "airplanemode_active_outlined": return Icons.airplanemode_active_outlined;
      case "airplanemode_inactive": return Icons.airplanemode_inactive;
      case "airplanemode_inactive_sharp": return Icons.airplanemode_inactive_sharp;
      case "airplanemode_inactive_rounded": return Icons.airplanemode_inactive_rounded;
      case "airplanemode_inactive_outlined": return Icons.airplanemode_inactive_outlined;
      case "airplanemode_off": return Icons.airplanemode_off;
      case "airplanemode_off_sharp": return Icons.airplanemode_off_sharp;
      case "airplanemode_off_rounded": return Icons.airplanemode_off_rounded;
      case "airplanemode_off_outlined": return Icons.airplanemode_off_outlined;
      case "airplanemode_on": return Icons.airplanemode_on;
      case "airplanemode_on_sharp": return Icons.airplanemode_on_sharp;
      case "airplanemode_on_rounded": return Icons.airplanemode_on_rounded;
      case "airplanemode_on_outlined": return Icons.airplanemode_on_outlined;
      case "airplay": return Icons.airplay;
      case "airplay_sharp": return Icons.airplay_sharp;
      case "airplay_rounded": return Icons.airplay_rounded;
      case "airplay_outlined": return Icons.airplay_outlined;
      case "airport_shuttle": return Icons.airport_shuttle;
      case "airport_shuttle_sharp": return Icons.airport_shuttle_sharp;
      case "airport_shuttle_rounded": return Icons.airport_shuttle_rounded;
      case "airport_shuttle_outlined": return Icons.airport_shuttle_outlined;
      case "alarm": return Icons.alarm;
      case "alarm_sharp": return Icons.alarm_sharp;
      case "alarm_rounded": return Icons.alarm_rounded;
      case "alarm_outlined": return Icons.alarm_outlined;
      case "alarm_add": return Icons.alarm_add;
      case "alarm_add_sharp": return Icons.alarm_add_sharp;
      case "alarm_add_rounded": return Icons.alarm_add_rounded;
      case "alarm_add_outlined": return Icons.alarm_add_outlined;
      case "alarm_off": return Icons.alarm_off;
      case "alarm_off_sharp": return Icons.alarm_off_sharp;
      case "alarm_off_rounded": return Icons.alarm_off_rounded;
      case "alarm_off_outlined": return Icons.alarm_off_outlined;
      case "alarm_on": return Icons.alarm_on;
      case "alarm_on_sharp": return Icons.alarm_on_sharp;
      case "alarm_on_rounded": return Icons.alarm_on_rounded;
      case "alarm_on_outlined": return Icons.alarm_on_outlined;
      case "album": return Icons.album;
      case "album_sharp": return Icons.album_sharp;
      case "album_rounded": return Icons.album_rounded;
      case "album_outlined": return Icons.album_outlined;
      case "align_horizontal_center": return Icons.align_horizontal_center;
      case "align_horizontal_center_sharp": return Icons.align_horizontal_center_sharp;
      case "align_horizontal_center_rounded": return Icons.align_horizontal_center_rounded;
      case "align_horizontal_center_outlined": return Icons.align_horizontal_center_outlined;
      case "align_horizontal_left": return Icons.align_horizontal_left;
      case "align_horizontal_left_sharp": return Icons.align_horizontal_left_sharp;
      case "align_horizontal_left_rounded": return Icons.align_horizontal_left_rounded;
      case "align_horizontal_left_outlined": return Icons.align_horizontal_left_outlined;
      case "align_horizontal_right": return Icons.align_horizontal_right;
      case "align_horizontal_right_sharp": return Icons.align_horizontal_right_sharp;
      case "align_horizontal_right_rounded": return Icons.align_horizontal_right_rounded;
      case "align_horizontal_right_outlined": return Icons.align_horizontal_right_outlined;
      case "align_vertical_bottom": return Icons.align_vertical_bottom;
      case "align_vertical_bottom_sharp": return Icons.align_vertical_bottom_sharp;
      case "align_vertical_bottom_rounded": return Icons.align_vertical_bottom_rounded;
      case "align_vertical_bottom_outlined": return Icons.align_vertical_bottom_outlined;
      case "align_vertical_center": return Icons.align_vertical_center;
      case "align_vertical_center_sharp": return Icons.align_vertical_center_sharp;
      case "align_vertical_center_rounded": return Icons.align_vertical_center_rounded;
      case "align_vertical_center_outlined": return Icons.align_vertical_center_outlined;
      case "align_vertical_top": return Icons.align_vertical_top;
      case "align_vertical_top_sharp": return Icons.align_vertical_top_sharp;
      case "align_vertical_top_rounded": return Icons.align_vertical_top_rounded;
      case "align_vertical_top_outlined": return Icons.align_vertical_top_outlined;
      case "all_inbox": return Icons.all_inbox;
      case "all_inbox_sharp": return Icons.all_inbox_sharp;
      case "all_inbox_rounded": return Icons.all_inbox_rounded;
      case "all_inbox_outlined": return Icons.all_inbox_outlined;
      case "all_inclusive": return Icons.all_inclusive;
      case "all_inclusive_sharp": return Icons.all_inclusive_sharp;
      case "all_inclusive_rounded": return Icons.all_inclusive_rounded;
      case "all_inclusive_outlined": return Icons.all_inclusive_outlined;
      case "all_out": return Icons.all_out;
      case "all_out_sharp": return Icons.all_out_sharp;
      case "all_out_rounded": return Icons.all_out_rounded;
      case "all_out_outlined": return Icons.all_out_outlined;
      case "alt_route": return Icons.alt_route;
      case "alt_route_sharp": return Icons.alt_route_sharp;
      case "alt_route_rounded": return Icons.alt_route_rounded;
      case "alt_route_outlined": return Icons.alt_route_outlined;
      case "alternate_email": return Icons.alternate_email;
      case "alternate_email_sharp": return Icons.alternate_email_sharp;
      case "alternate_email_rounded": return Icons.alternate_email_rounded;
      case "alternate_email_outlined": return Icons.alternate_email_outlined;
      case "amp_stories": return Icons.amp_stories;
      case "amp_stories_sharp": return Icons.amp_stories_sharp;
      case "amp_stories_rounded": return Icons.amp_stories_rounded;
      case "amp_stories_outlined": return Icons.amp_stories_outlined;
      case "analytics": return Icons.analytics;
      case "analytics_sharp": return Icons.analytics_sharp;
      case "analytics_rounded": return Icons.analytics_rounded;
      case "analytics_outlined": return Icons.analytics_outlined;
      case "anchor": return Icons.anchor;
      case "anchor_sharp": return Icons.anchor_sharp;
      case "anchor_rounded": return Icons.anchor_rounded;
      case "anchor_outlined": return Icons.anchor_outlined;
      case "android": return Icons.android;
      case "android_sharp": return Icons.android_sharp;
      case "android_rounded": return Icons.android_rounded;
      case "android_outlined": return Icons.android_outlined;
      case "animation": return Icons.animation;
      case "animation_sharp": return Icons.animation_sharp;
      case "animation_rounded": return Icons.animation_rounded;
      case "animation_outlined": return Icons.animation_outlined;
      case "announcement": return Icons.announcement;
      case "announcement_sharp": return Icons.announcement_sharp;
      case "announcement_rounded": return Icons.announcement_rounded;
      case "announcement_outlined": return Icons.announcement_outlined;
      case "aod": return Icons.aod;
      case "aod_sharp": return Icons.aod_sharp;
      case "aod_rounded": return Icons.aod_rounded;
      case "aod_outlined": return Icons.aod_outlined;
      case "apartment": return Icons.apartment;
      case "apartment_sharp": return Icons.apartment_sharp;
      case "apartment_rounded": return Icons.apartment_rounded;
      case "apartment_outlined": return Icons.apartment_outlined;
      case "api": return Icons.api;
      case "api_sharp": return Icons.api_sharp;
      case "api_rounded": return Icons.api_rounded;
      case "api_outlined": return Icons.api_outlined;
      case "app_blocking": return Icons.app_blocking;
      case "app_blocking_sharp": return Icons.app_blocking_sharp;
      case "app_blocking_rounded": return Icons.app_blocking_rounded;
      case "app_blocking_outlined": return Icons.app_blocking_outlined;
      case "app_registration": return Icons.app_registration;
      case "app_registration_sharp": return Icons.app_registration_sharp;
      case "app_registration_rounded": return Icons.app_registration_rounded;
      case "app_registration_outlined": return Icons.app_registration_outlined;
      case "app_settings_alt": return Icons.app_settings_alt;
      case "app_settings_alt_sharp": return Icons.app_settings_alt_sharp;
      case "app_settings_alt_rounded": return Icons.app_settings_alt_rounded;
      case "app_settings_alt_outlined": return Icons.app_settings_alt_outlined;
      case "app_shortcut": return Icons.app_shortcut;
      case "app_shortcut_sharp": return Icons.app_shortcut_sharp;
      case "app_shortcut_rounded": return Icons.app_shortcut_rounded;
      case "app_shortcut_outlined": return Icons.app_shortcut_outlined;
      case "apple": return Icons.apple;
      case "apple_sharp": return Icons.apple_sharp;
      case "apple_rounded": return Icons.apple_rounded;
      case "apple_outlined": return Icons.apple_outlined;
      case "approval": return Icons.approval;
      case "approval_sharp": return Icons.approval_sharp;
      case "approval_rounded": return Icons.approval_rounded;
      case "approval_outlined": return Icons.approval_outlined;
      case "apps": return Icons.apps;
      case "apps_sharp": return Icons.apps_sharp;
      case "apps_rounded": return Icons.apps_rounded;
      case "apps_outlined": return Icons.apps_outlined;
      case "apps_outage": return Icons.apps_outage;
      case "apps_outage_sharp": return Icons.apps_outage_sharp;
      case "apps_outage_rounded": return Icons.apps_outage_rounded;
      case "apps_outage_outlined": return Icons.apps_outage_outlined;
      case "architecture": return Icons.architecture;
      case "architecture_sharp": return Icons.architecture_sharp;
      case "architecture_rounded": return Icons.architecture_rounded;
      case "architecture_outlined": return Icons.architecture_outlined;
      case "archive": return Icons.archive;
      case "archive_sharp": return Icons.archive_sharp;
      case "archive_rounded": return Icons.archive_rounded;
      case "archive_outlined": return Icons.archive_outlined;
      case "area_chart": return Icons.area_chart;
      case "area_chart_sharp": return Icons.area_chart_sharp;
      case "area_chart_rounded": return Icons.area_chart_rounded;
      case "area_chart_outlined": return Icons.area_chart_outlined;
      case "arrow_back": return Icons.arrow_back;
      case "arrow_back_sharp": return Icons.arrow_back_sharp;
      case "arrow_back_rounded": return Icons.arrow_back_rounded;
      case "arrow_back_outlined": return Icons.arrow_back_outlined;
      case "arrow_back_ios": return Icons.arrow_back_ios;
      case "arrow_back_ios_sharp": return Icons.arrow_back_ios_sharp;
      case "arrow_back_ios_rounded": return Icons.arrow_back_ios_rounded;
      case "arrow_back_ios_outlined": return Icons.arrow_back_ios_outlined;
      case "arrow_back_ios_new": return Icons.arrow_back_ios_new;
      case "arrow_back_ios_new_sharp": return Icons.arrow_back_ios_new_sharp;
      case "arrow_back_ios_new_rounded": return Icons.arrow_back_ios_new_rounded;
      case "arrow_back_ios_new_outlined": return Icons.arrow_back_ios_new_outlined;
      case "arrow_circle_down": return Icons.arrow_circle_down;
      case "arrow_circle_down_sharp": return Icons.arrow_circle_down_sharp;
      case "arrow_circle_down_rounded": return Icons.arrow_circle_down_rounded;
      case "arrow_circle_down_outlined": return Icons.arrow_circle_down_outlined;
      case "arrow_circle_left": return Icons.arrow_circle_left;
      case "arrow_circle_left_sharp": return Icons.arrow_circle_left_sharp;
      case "arrow_circle_left_rounded": return Icons.arrow_circle_left_rounded;
      case "arrow_circle_left_outlined": return Icons.arrow_circle_left_outlined;
      case "arrow_circle_right": return Icons.arrow_circle_right;
      case "arrow_circle_right_sharp": return Icons.arrow_circle_right_sharp;
      case "arrow_circle_right_rounded": return Icons.arrow_circle_right_rounded;
      case "arrow_circle_right_outlined": return Icons.arrow_circle_right_outlined;
      case "arrow_circle_up": return Icons.arrow_circle_up;
      case "arrow_circle_up_sharp": return Icons.arrow_circle_up_sharp;
      case "arrow_circle_up_rounded": return Icons.arrow_circle_up_rounded;
      case "arrow_circle_up_outlined": return Icons.arrow_circle_up_outlined;
      case "arrow_downward": return Icons.arrow_downward;
      case "arrow_downward_sharp": return Icons.arrow_downward_sharp;
      case "arrow_downward_rounded": return Icons.arrow_downward_rounded;
      case "arrow_downward_outlined": return Icons.arrow_downward_outlined;
      case "arrow_drop_down": return Icons.arrow_drop_down;
      case "arrow_drop_down_sharp": return Icons.arrow_drop_down_sharp;
      case "arrow_drop_down_rounded": return Icons.arrow_drop_down_rounded;
      case "arrow_drop_down_outlined": return Icons.arrow_drop_down_outlined;
      case "arrow_drop_down_circle": return Icons.arrow_drop_down_circle;
      case "arrow_drop_down_circle_sharp": return Icons.arrow_drop_down_circle_sharp;
      case "arrow_drop_down_circle_rounded": return Icons.arrow_drop_down_circle_rounded;
      case "arrow_drop_down_circle_outlined": return Icons.arrow_drop_down_circle_outlined;
      case "arrow_drop_up": return Icons.arrow_drop_up;
      case "arrow_drop_up_sharp": return Icons.arrow_drop_up_sharp;
      case "arrow_drop_up_rounded": return Icons.arrow_drop_up_rounded;
      case "arrow_drop_up_outlined": return Icons.arrow_drop_up_outlined;
      case "arrow_forward": return Icons.arrow_forward;
      case "arrow_forward_sharp": return Icons.arrow_forward_sharp;
      case "arrow_forward_rounded": return Icons.arrow_forward_rounded;
      case "arrow_forward_outlined": return Icons.arrow_forward_outlined;
      case "arrow_forward_ios": return Icons.arrow_forward_ios;
      case "arrow_forward_ios_sharp": return Icons.arrow_forward_ios_sharp;
      case "arrow_forward_ios_rounded": return Icons.arrow_forward_ios_rounded;
      case "arrow_forward_ios_outlined": return Icons.arrow_forward_ios_outlined;
      case "arrow_left": return Icons.arrow_left;
      case "arrow_left_sharp": return Icons.arrow_left_sharp;
      case "arrow_left_rounded": return Icons.arrow_left_rounded;
      case "arrow_left_outlined": return Icons.arrow_left_outlined;
      case "arrow_right": return Icons.arrow_right;
      case "arrow_right_sharp": return Icons.arrow_right_sharp;
      case "arrow_right_rounded": return Icons.arrow_right_rounded;
      case "arrow_right_outlined": return Icons.arrow_right_outlined;
      case "arrow_right_alt": return Icons.arrow_right_alt;
      case "arrow_right_alt_sharp": return Icons.arrow_right_alt_sharp;
      case "arrow_right_alt_rounded": return Icons.arrow_right_alt_rounded;
      case "arrow_right_alt_outlined": return Icons.arrow_right_alt_outlined;
      case "arrow_upward": return Icons.arrow_upward;
      case "arrow_upward_sharp": return Icons.arrow_upward_sharp;
      case "arrow_upward_rounded": return Icons.arrow_upward_rounded;
      case "arrow_upward_outlined": return Icons.arrow_upward_outlined;
      case "art_track": return Icons.art_track;
      case "art_track_sharp": return Icons.art_track_sharp;
      case "art_track_rounded": return Icons.art_track_rounded;
      case "art_track_outlined": return Icons.art_track_outlined;
      case "article": return Icons.article;
      case "article_sharp": return Icons.article_sharp;
      case "article_rounded": return Icons.article_rounded;
      case "article_outlined": return Icons.article_outlined;
      case "aspect_ratio": return Icons.aspect_ratio;
      case "aspect_ratio_sharp": return Icons.aspect_ratio_sharp;
      case "aspect_ratio_rounded": return Icons.aspect_ratio_rounded;
      case "aspect_ratio_outlined": return Icons.aspect_ratio_outlined;
      case "assessment": return Icons.assessment;
      case "assessment_sharp": return Icons.assessment_sharp;
      case "assessment_rounded": return Icons.assessment_rounded;
      case "assessment_outlined": return Icons.assessment_outlined;
      case "assignment": return Icons.assignment;
      case "assignment_sharp": return Icons.assignment_sharp;
      case "assignment_rounded": return Icons.assignment_rounded;
      case "assignment_outlined": return Icons.assignment_outlined;
      case "assignment_ind": return Icons.assignment_ind;
      case "assignment_ind_sharp": return Icons.assignment_ind_sharp;
      case "assignment_ind_rounded": return Icons.assignment_ind_rounded;
      case "assignment_ind_outlined": return Icons.assignment_ind_outlined;
      case "assignment_late": return Icons.assignment_late;
      case "assignment_late_sharp": return Icons.assignment_late_sharp;
      case "assignment_late_rounded": return Icons.assignment_late_rounded;
      case "assignment_late_outlined": return Icons.assignment_late_outlined;
      case "assignment_return": return Icons.assignment_return;
      case "assignment_return_sharp": return Icons.assignment_return_sharp;
      case "assignment_return_rounded": return Icons.assignment_return_rounded;
      case "assignment_return_outlined": return Icons.assignment_return_outlined;
      case "assignment_returned": return Icons.assignment_returned;
      case "assignment_returned_sharp": return Icons.assignment_returned_sharp;
      case "assignment_returned_rounded": return Icons.assignment_returned_rounded;
      case "assignment_returned_outlined": return Icons.assignment_returned_outlined;
      case "assignment_turned_in": return Icons.assignment_turned_in;
      case "assignment_turned_in_sharp": return Icons.assignment_turned_in_sharp;
      case "assignment_turned_in_rounded": return Icons.assignment_turned_in_rounded;
      case "assignment_turned_in_outlined": return Icons.assignment_turned_in_outlined;
      case "assistant": return Icons.assistant;
      case "assistant_sharp": return Icons.assistant_sharp;
      case "assistant_rounded": return Icons.assistant_rounded;
      case "assistant_outlined": return Icons.assistant_outlined;
      case "assistant_direction": return Icons.assistant_direction;
      case "assistant_direction_sharp": return Icons.assistant_direction_sharp;
      case "assistant_direction_rounded": return Icons.assistant_direction_rounded;
      case "assistant_direction_outlined": return Icons.assistant_direction_outlined;
      case "assistant_navigation": return Icons.assistant_navigation;
      case "assistant_photo": return Icons.assistant_photo;
      case "assistant_photo_sharp": return Icons.assistant_photo_sharp;
      case "assistant_photo_rounded": return Icons.assistant_photo_rounded;
      case "assistant_photo_outlined": return Icons.assistant_photo_outlined;
      case "assured_workload": return Icons.assured_workload;
      case "assured_workload_sharp": return Icons.assured_workload_sharp;
      case "assured_workload_rounded": return Icons.assured_workload_rounded;
      case "assured_workload_outlined": return Icons.assured_workload_outlined;
      case "atm": return Icons.atm;
      case "atm_sharp": return Icons.atm_sharp;
      case "atm_rounded": return Icons.atm_rounded;
      case "atm_outlined": return Icons.atm_outlined;
      case "attach_email": return Icons.attach_email;
      case "attach_email_sharp": return Icons.attach_email_sharp;
      case "attach_email_rounded": return Icons.attach_email_rounded;
      case "attach_email_outlined": return Icons.attach_email_outlined;
      case "attach_file": return Icons.attach_file;
      case "attach_file_sharp": return Icons.attach_file_sharp;
      case "attach_file_rounded": return Icons.attach_file_rounded;
      case "attach_file_outlined": return Icons.attach_file_outlined;
      case "attach_money": return Icons.attach_money;
      case "attach_money_sharp": return Icons.attach_money_sharp;
      case "attach_money_rounded": return Icons.attach_money_rounded;
      case "attach_money_outlined": return Icons.attach_money_outlined;
      case "attachment": return Icons.attachment;
      case "attachment_sharp": return Icons.attachment_sharp;
      case "attachment_rounded": return Icons.attachment_rounded;
      case "attachment_outlined": return Icons.attachment_outlined;
      case "attractions": return Icons.attractions;
      case "attractions_sharp": return Icons.attractions_sharp;
      case "attractions_rounded": return Icons.attractions_rounded;
      case "attractions_outlined": return Icons.attractions_outlined;
      case "attribution": return Icons.attribution;
      case "attribution_sharp": return Icons.attribution_sharp;
      case "attribution_rounded": return Icons.attribution_rounded;
      case "attribution_outlined": return Icons.attribution_outlined;
      case "audio_file": return Icons.audio_file;
      case "audio_file_sharp": return Icons.audio_file_sharp;
      case "audio_file_rounded": return Icons.audio_file_rounded;
      case "audio_file_outlined": return Icons.audio_file_outlined;
      case "audiotrack": return Icons.audiotrack;
      case "audiotrack_sharp": return Icons.audiotrack_sharp;
      case "audiotrack_rounded": return Icons.audiotrack_rounded;
      case "audiotrack_outlined": return Icons.audiotrack_outlined;
      case "auto_awesome": return Icons.auto_awesome;
      case "auto_awesome_sharp": return Icons.auto_awesome_sharp;
      case "auto_awesome_rounded": return Icons.auto_awesome_rounded;
      case "auto_awesome_outlined": return Icons.auto_awesome_outlined;
      case "auto_awesome_mosaic": return Icons.auto_awesome_mosaic;
      case "auto_awesome_mosaic_sharp": return Icons.auto_awesome_mosaic_sharp;
      case "auto_awesome_mosaic_rounded": return Icons.auto_awesome_mosaic_rounded;
      case "auto_awesome_mosaic_outlined": return Icons.auto_awesome_mosaic_outlined;
      case "auto_awesome_motion": return Icons.auto_awesome_motion;
      case "auto_awesome_motion_sharp": return Icons.auto_awesome_motion_sharp;
      case "auto_awesome_motion_rounded": return Icons.auto_awesome_motion_rounded;
      case "auto_awesome_motion_outlined": return Icons.auto_awesome_motion_outlined;
      case "auto_delete": return Icons.auto_delete;
      case "auto_delete_sharp": return Icons.auto_delete_sharp;
      case "auto_delete_rounded": return Icons.auto_delete_rounded;
      case "auto_delete_outlined": return Icons.auto_delete_outlined;
      case "auto_fix_high": return Icons.auto_fix_high;
      case "auto_fix_high_sharp": return Icons.auto_fix_high_sharp;
      case "auto_fix_high_rounded": return Icons.auto_fix_high_rounded;
      case "auto_fix_high_outlined": return Icons.auto_fix_high_outlined;
      case "auto_fix_normal": return Icons.auto_fix_normal;
      case "auto_fix_normal_sharp": return Icons.auto_fix_normal_sharp;
      case "auto_fix_normal_rounded": return Icons.auto_fix_normal_rounded;
      case "auto_fix_normal_outlined": return Icons.auto_fix_normal_outlined;
      case "auto_fix_off": return Icons.auto_fix_off;
      case "auto_fix_off_sharp": return Icons.auto_fix_off_sharp;
      case "auto_fix_off_rounded": return Icons.auto_fix_off_rounded;
      case "auto_fix_off_outlined": return Icons.auto_fix_off_outlined;
      case "auto_graph": return Icons.auto_graph;
      case "auto_graph_sharp": return Icons.auto_graph_sharp;
      case "auto_graph_rounded": return Icons.auto_graph_rounded;
      case "auto_graph_outlined": return Icons.auto_graph_outlined;
      case "auto_stories": return Icons.auto_stories;
      case "auto_stories_sharp": return Icons.auto_stories_sharp;
      case "auto_stories_rounded": return Icons.auto_stories_rounded;
      case "auto_stories_outlined": return Icons.auto_stories_outlined;
      case "autofps_select": return Icons.autofps_select;
      case "autofps_select_sharp": return Icons.autofps_select_sharp;
      case "autofps_select_rounded": return Icons.autofps_select_rounded;
      case "autofps_select_outlined": return Icons.autofps_select_outlined;
      case "autorenew": return Icons.autorenew;
      case "autorenew_sharp": return Icons.autorenew_sharp;
      case "autorenew_rounded": return Icons.autorenew_rounded;
      case "autorenew_outlined": return Icons.autorenew_outlined;
      case "av_timer": return Icons.av_timer;
      case "av_timer_sharp": return Icons.av_timer_sharp;
      case "av_timer_rounded": return Icons.av_timer_rounded;
      case "av_timer_outlined": return Icons.av_timer_outlined;
      case "baby_changing_station": return Icons.baby_changing_station;
      case "baby_changing_station_sharp": return Icons.baby_changing_station_sharp;
      case "baby_changing_station_rounded": return Icons.baby_changing_station_rounded;
      case "baby_changing_station_outlined": return Icons.baby_changing_station_outlined;
      case "back_hand": return Icons.back_hand;
      case "back_hand_sharp": return Icons.back_hand_sharp;
      case "back_hand_rounded": return Icons.back_hand_rounded;
      case "back_hand_outlined": return Icons.back_hand_outlined;
      case "backpack": return Icons.backpack;
      case "backpack_sharp": return Icons.backpack_sharp;
      case "backpack_rounded": return Icons.backpack_rounded;
      case "backpack_outlined": return Icons.backpack_outlined;
      case "backspace": return Icons.backspace;
      case "backspace_sharp": return Icons.backspace_sharp;
      case "backspace_rounded": return Icons.backspace_rounded;
      case "backspace_outlined": return Icons.backspace_outlined;
      case "backup": return Icons.backup;
      case "backup_sharp": return Icons.backup_sharp;
      case "backup_rounded": return Icons.backup_rounded;
      case "backup_outlined": return Icons.backup_outlined;
      case "backup_table": return Icons.backup_table;
      case "backup_table_sharp": return Icons.backup_table_sharp;
      case "backup_table_rounded": return Icons.backup_table_rounded;
      case "backup_table_outlined": return Icons.backup_table_outlined;
      case "badge": return Icons.badge;
      case "badge_sharp": return Icons.badge_sharp;
      case "badge_rounded": return Icons.badge_rounded;
      case "badge_outlined": return Icons.badge_outlined;
      case "bakery_dining": return Icons.bakery_dining;
      case "bakery_dining_sharp": return Icons.bakery_dining_sharp;
      case "bakery_dining_rounded": return Icons.bakery_dining_rounded;
      case "bakery_dining_outlined": return Icons.bakery_dining_outlined;
      case "balance": return Icons.balance;
      case "balance_sharp": return Icons.balance_sharp;
      case "balance_rounded": return Icons.balance_rounded;
      case "balance_outlined": return Icons.balance_outlined;
      case "balcony": return Icons.balcony;
      case "balcony_sharp": return Icons.balcony_sharp;
      case "balcony_rounded": return Icons.balcony_rounded;
      case "balcony_outlined": return Icons.balcony_outlined;
      case "ballot": return Icons.ballot;
      case "ballot_sharp": return Icons.ballot_sharp;
      case "ballot_rounded": return Icons.ballot_rounded;
      case "ballot_outlined": return Icons.ballot_outlined;
      case "bar_chart": return Icons.bar_chart;
      case "bar_chart_sharp": return Icons.bar_chart_sharp;
      case "bar_chart_rounded": return Icons.bar_chart_rounded;
      case "bar_chart_outlined": return Icons.bar_chart_outlined;
      case "batch_prediction": return Icons.batch_prediction;
      case "batch_prediction_sharp": return Icons.batch_prediction_sharp;
      case "batch_prediction_rounded": return Icons.batch_prediction_rounded;
      case "batch_prediction_outlined": return Icons.batch_prediction_outlined;
      case "bathroom": return Icons.bathroom;
      case "bathroom_sharp": return Icons.bathroom_sharp;
      case "bathroom_rounded": return Icons.bathroom_rounded;
      case "bathroom_outlined": return Icons.bathroom_outlined;
      case "bathtub": return Icons.bathtub;
      case "bathtub_sharp": return Icons.bathtub_sharp;
      case "bathtub_rounded": return Icons.bathtub_rounded;
      case "bathtub_outlined": return Icons.bathtub_outlined;
      case "battery_alert": return Icons.battery_alert;
      case "battery_alert_sharp": return Icons.battery_alert_sharp;
      case "battery_alert_rounded": return Icons.battery_alert_rounded;
      case "battery_alert_outlined": return Icons.battery_alert_outlined;
      case "battery_charging_full": return Icons.battery_charging_full;
      case "battery_charging_full_sharp": return Icons.battery_charging_full_sharp;
      case "battery_charging_full_rounded": return Icons.battery_charging_full_rounded;
      case "battery_charging_full_outlined": return Icons.battery_charging_full_outlined;
      case "battery_full": return Icons.battery_full;
      case "battery_full_sharp": return Icons.battery_full_sharp;
      case "battery_full_rounded": return Icons.battery_full_rounded;
      case "battery_full_outlined": return Icons.battery_full_outlined;
      case "battery_saver": return Icons.battery_saver;
      case "battery_saver_sharp": return Icons.battery_saver_sharp;
      case "battery_saver_rounded": return Icons.battery_saver_rounded;
      case "battery_saver_outlined": return Icons.battery_saver_outlined;
      case "battery_std": return Icons.battery_std;
      case "battery_std_sharp": return Icons.battery_std_sharp;
      case "battery_std_rounded": return Icons.battery_std_rounded;
      case "battery_std_outlined": return Icons.battery_std_outlined;
      case "battery_unknown": return Icons.battery_unknown;
      case "battery_unknown_sharp": return Icons.battery_unknown_sharp;
      case "battery_unknown_rounded": return Icons.battery_unknown_rounded;
      case "battery_unknown_outlined": return Icons.battery_unknown_outlined;
      case "beach_access": return Icons.beach_access;
      case "beach_access_sharp": return Icons.beach_access_sharp;
      case "beach_access_rounded": return Icons.beach_access_rounded;
      case "beach_access_outlined": return Icons.beach_access_outlined;
      case "bed": return Icons.bed;
      case "bed_sharp": return Icons.bed_sharp;
      case "bed_rounded": return Icons.bed_rounded;
      case "bed_outlined": return Icons.bed_outlined;
      case "bedroom_baby": return Icons.bedroom_baby;
      case "bedroom_baby_sharp": return Icons.bedroom_baby_sharp;
      case "bedroom_baby_rounded": return Icons.bedroom_baby_rounded;
      case "bedroom_baby_outlined": return Icons.bedroom_baby_outlined;
      case "bedroom_child": return Icons.bedroom_child;
      case "bedroom_child_sharp": return Icons.bedroom_child_sharp;
      case "bedroom_child_rounded": return Icons.bedroom_child_rounded;
      case "bedroom_child_outlined": return Icons.bedroom_child_outlined;
      case "bedroom_parent": return Icons.bedroom_parent;
      case "bedroom_parent_sharp": return Icons.bedroom_parent_sharp;
      case "bedroom_parent_rounded": return Icons.bedroom_parent_rounded;
      case "bedroom_parent_outlined": return Icons.bedroom_parent_outlined;
      case "bedtime": return Icons.bedtime;
      case "bedtime_sharp": return Icons.bedtime_sharp;
      case "bedtime_rounded": return Icons.bedtime_rounded;
      case "bedtime_outlined": return Icons.bedtime_outlined;
      case "bedtime_off": return Icons.bedtime_off;
      case "bedtime_off_sharp": return Icons.bedtime_off_sharp;
      case "bedtime_off_rounded": return Icons.bedtime_off_rounded;
      case "bedtime_off_outlined": return Icons.bedtime_off_outlined;
      case "beenhere": return Icons.beenhere;
      case "beenhere_sharp": return Icons.beenhere_sharp;
      case "beenhere_rounded": return Icons.beenhere_rounded;
      case "beenhere_outlined": return Icons.beenhere_outlined;
      case "bento": return Icons.bento;
      case "bento_sharp": return Icons.bento_sharp;
      case "bento_rounded": return Icons.bento_rounded;
      case "bento_outlined": return Icons.bento_outlined;
      case "bike_scooter": return Icons.bike_scooter;
      case "bike_scooter_sharp": return Icons.bike_scooter_sharp;
      case "bike_scooter_rounded": return Icons.bike_scooter_rounded;
      case "bike_scooter_outlined": return Icons.bike_scooter_outlined;
      case "biotech": return Icons.biotech;
      case "biotech_sharp": return Icons.biotech_sharp;
      case "biotech_rounded": return Icons.biotech_rounded;
      case "biotech_outlined": return Icons.biotech_outlined;
      case "blender": return Icons.blender;
      case "blender_sharp": return Icons.blender_sharp;
      case "blender_rounded": return Icons.blender_rounded;
      case "blender_outlined": return Icons.blender_outlined;
      case "block": return Icons.block;
      case "block_sharp": return Icons.block_sharp;
      case "block_rounded": return Icons.block_rounded;
      case "block_outlined": return Icons.block_outlined;
      case "block_flipped": return Icons.block_flipped;
      case "bloodtype": return Icons.bloodtype;
      case "bloodtype_sharp": return Icons.bloodtype_sharp;
      case "bloodtype_rounded": return Icons.bloodtype_rounded;
      case "bloodtype_outlined": return Icons.bloodtype_outlined;
      case "bluetooth": return Icons.bluetooth;
      case "bluetooth_sharp": return Icons.bluetooth_sharp;
      case "bluetooth_rounded": return Icons.bluetooth_rounded;
      case "bluetooth_outlined": return Icons.bluetooth_outlined;
      case "bluetooth_audio": return Icons.bluetooth_audio;
      case "bluetooth_audio_sharp": return Icons.bluetooth_audio_sharp;
      case "bluetooth_audio_rounded": return Icons.bluetooth_audio_rounded;
      case "bluetooth_audio_outlined": return Icons.bluetooth_audio_outlined;
      case "bluetooth_connected": return Icons.bluetooth_connected;
      case "bluetooth_connected_sharp": return Icons.bluetooth_connected_sharp;
      case "bluetooth_connected_rounded": return Icons.bluetooth_connected_rounded;
      case "bluetooth_connected_outlined": return Icons.bluetooth_connected_outlined;
      case "bluetooth_disabled": return Icons.bluetooth_disabled;
      case "bluetooth_disabled_sharp": return Icons.bluetooth_disabled_sharp;
      case "bluetooth_disabled_rounded": return Icons.bluetooth_disabled_rounded;
      case "bluetooth_disabled_outlined": return Icons.bluetooth_disabled_outlined;
      case "bluetooth_drive": return Icons.bluetooth_drive;
      case "bluetooth_drive_sharp": return Icons.bluetooth_drive_sharp;
      case "bluetooth_drive_rounded": return Icons.bluetooth_drive_rounded;
      case "bluetooth_drive_outlined": return Icons.bluetooth_drive_outlined;
      case "bluetooth_searching": return Icons.bluetooth_searching;
      case "bluetooth_searching_sharp": return Icons.bluetooth_searching_sharp;
      case "bluetooth_searching_rounded": return Icons.bluetooth_searching_rounded;
      case "bluetooth_searching_outlined": return Icons.bluetooth_searching_outlined;
      case "blur_circular": return Icons.blur_circular;
      case "blur_circular_sharp": return Icons.blur_circular_sharp;
      case "blur_circular_rounded": return Icons.blur_circular_rounded;
      case "blur_circular_outlined": return Icons.blur_circular_outlined;
      case "blur_linear": return Icons.blur_linear;
      case "blur_linear_sharp": return Icons.blur_linear_sharp;
      case "blur_linear_rounded": return Icons.blur_linear_rounded;
      case "blur_linear_outlined": return Icons.blur_linear_outlined;
      case "blur_off": return Icons.blur_off;
      case "blur_off_sharp": return Icons.blur_off_sharp;
      case "blur_off_rounded": return Icons.blur_off_rounded;
      case "blur_off_outlined": return Icons.blur_off_outlined;
      case "blur_on": return Icons.blur_on;
      case "blur_on_sharp": return Icons.blur_on_sharp;
      case "blur_on_rounded": return Icons.blur_on_rounded;
      case "blur_on_outlined": return Icons.blur_on_outlined;
      case "bolt": return Icons.bolt;
      case "bolt_sharp": return Icons.bolt_sharp;
      case "bolt_rounded": return Icons.bolt_rounded;
      case "bolt_outlined": return Icons.bolt_outlined;
      case "book": return Icons.book;
      case "book_sharp": return Icons.book_sharp;
      case "book_rounded": return Icons.book_rounded;
      case "book_outlined": return Icons.book_outlined;
      case "book_online": return Icons.book_online;
      case "book_online_sharp": return Icons.book_online_sharp;
      case "book_online_rounded": return Icons.book_online_rounded;
      case "book_online_outlined": return Icons.book_online_outlined;
      case "bookmark": return Icons.bookmark;
      case "bookmark_sharp": return Icons.bookmark_sharp;
      case "bookmark_rounded": return Icons.bookmark_rounded;
      case "bookmark_outlined": return Icons.bookmark_outlined;
      case "bookmark_add": return Icons.bookmark_add;
      case "bookmark_add_sharp": return Icons.bookmark_add_sharp;
      case "bookmark_add_rounded": return Icons.bookmark_add_rounded;
      case "bookmark_add_outlined": return Icons.bookmark_add_outlined;
      case "bookmark_added": return Icons.bookmark_added;
      case "bookmark_added_sharp": return Icons.bookmark_added_sharp;
      case "bookmark_added_rounded": return Icons.bookmark_added_rounded;
      case "bookmark_added_outlined": return Icons.bookmark_added_outlined;
      case "bookmark_border": return Icons.bookmark_border;
      case "bookmark_border_sharp": return Icons.bookmark_border_sharp;
      case "bookmark_border_rounded": return Icons.bookmark_border_rounded;
      case "bookmark_border_outlined": return Icons.bookmark_border_outlined;
      case "bookmark_outline": return Icons.bookmark_outline;
      case "bookmark_outline_sharp": return Icons.bookmark_outline_sharp;
      case "bookmark_outline_rounded": return Icons.bookmark_outline_rounded;
      case "bookmark_outline_outlined": return Icons.bookmark_outline_outlined;
      case "bookmark_remove": return Icons.bookmark_remove;
      case "bookmark_remove_sharp": return Icons.bookmark_remove_sharp;
      case "bookmark_remove_rounded": return Icons.bookmark_remove_rounded;
      case "bookmark_remove_outlined": return Icons.bookmark_remove_outlined;
      case "bookmarks": return Icons.bookmarks;
      case "bookmarks_sharp": return Icons.bookmarks_sharp;
      case "bookmarks_rounded": return Icons.bookmarks_rounded;
      case "bookmarks_outlined": return Icons.bookmarks_outlined;
      case "border_all": return Icons.border_all;
      case "border_all_sharp": return Icons.border_all_sharp;
      case "border_all_rounded": return Icons.border_all_rounded;
      case "border_all_outlined": return Icons.border_all_outlined;
      case "border_bottom": return Icons.border_bottom;
      case "border_bottom_sharp": return Icons.border_bottom_sharp;
      case "border_bottom_rounded": return Icons.border_bottom_rounded;
      case "border_bottom_outlined": return Icons.border_bottom_outlined;
      case "border_clear": return Icons.border_clear;
      case "border_clear_sharp": return Icons.border_clear_sharp;
      case "border_clear_rounded": return Icons.border_clear_rounded;
      case "border_clear_outlined": return Icons.border_clear_outlined;
      case "border_color": return Icons.border_color;
      case "border_color_sharp": return Icons.border_color_sharp;
      case "border_color_rounded": return Icons.border_color_rounded;
      case "border_color_outlined": return Icons.border_color_outlined;
      case "border_horizontal": return Icons.border_horizontal;
      case "border_horizontal_sharp": return Icons.border_horizontal_sharp;
      case "border_horizontal_rounded": return Icons.border_horizontal_rounded;
      case "border_horizontal_outlined": return Icons.border_horizontal_outlined;
      case "border_inner": return Icons.border_inner;
      case "border_inner_sharp": return Icons.border_inner_sharp;
      case "border_inner_rounded": return Icons.border_inner_rounded;
      case "border_inner_outlined": return Icons.border_inner_outlined;
      case "border_left": return Icons.border_left;
      case "border_left_sharp": return Icons.border_left_sharp;
      case "border_left_rounded": return Icons.border_left_rounded;
      case "border_left_outlined": return Icons.border_left_outlined;
      case "border_outer": return Icons.border_outer;
      case "border_outer_sharp": return Icons.border_outer_sharp;
      case "border_outer_rounded": return Icons.border_outer_rounded;
      case "border_outer_outlined": return Icons.border_outer_outlined;
      case "border_right": return Icons.border_right;
      case "border_right_sharp": return Icons.border_right_sharp;
      case "border_right_rounded": return Icons.border_right_rounded;
      case "border_right_outlined": return Icons.border_right_outlined;
      case "border_style": return Icons.border_style;
      case "border_style_sharp": return Icons.border_style_sharp;
      case "border_style_rounded": return Icons.border_style_rounded;
      case "border_style_outlined": return Icons.border_style_outlined;
      case "border_top": return Icons.border_top;
      case "border_top_sharp": return Icons.border_top_sharp;
      case "border_top_rounded": return Icons.border_top_rounded;
      case "border_top_outlined": return Icons.border_top_outlined;
      case "border_vertical": return Icons.border_vertical;
      case "border_vertical_sharp": return Icons.border_vertical_sharp;
      case "border_vertical_rounded": return Icons.border_vertical_rounded;
      case "border_vertical_outlined": return Icons.border_vertical_outlined;
      case "boy": return Icons.boy;
      case "boy_sharp": return Icons.boy_sharp;
      case "boy_rounded": return Icons.boy_rounded;
      case "boy_outlined": return Icons.boy_outlined;
      case "branding_watermark": return Icons.branding_watermark;
      case "branding_watermark_sharp": return Icons.branding_watermark_sharp;
      case "branding_watermark_rounded": return Icons.branding_watermark_rounded;
      case "branding_watermark_outlined": return Icons.branding_watermark_outlined;
      case "breakfast_dining": return Icons.breakfast_dining;
      case "breakfast_dining_sharp": return Icons.breakfast_dining_sharp;
      case "breakfast_dining_rounded": return Icons.breakfast_dining_rounded;
      case "breakfast_dining_outlined": return Icons.breakfast_dining_outlined;
      case "brightness_1": return Icons.brightness_1;
      case "brightness_1_sharp": return Icons.brightness_1_sharp;
      case "brightness_1_rounded": return Icons.brightness_1_rounded;
      case "brightness_1_outlined": return Icons.brightness_1_outlined;
      case "brightness_2": return Icons.brightness_2;
      case "brightness_2_sharp": return Icons.brightness_2_sharp;
      case "brightness_2_rounded": return Icons.brightness_2_rounded;
      case "brightness_2_outlined": return Icons.brightness_2_outlined;
      case "brightness_3": return Icons.brightness_3;
      case "brightness_3_sharp": return Icons.brightness_3_sharp;
      case "brightness_3_rounded": return Icons.brightness_3_rounded;
      case "brightness_3_outlined": return Icons.brightness_3_outlined;
      case "brightness_4": return Icons.brightness_4;
      case "brightness_4_sharp": return Icons.brightness_4_sharp;
      case "brightness_4_rounded": return Icons.brightness_4_rounded;
      case "brightness_4_outlined": return Icons.brightness_4_outlined;
      case "brightness_5": return Icons.brightness_5;
      case "brightness_5_sharp": return Icons.brightness_5_sharp;
      case "brightness_5_rounded": return Icons.brightness_5_rounded;
      case "brightness_5_outlined": return Icons.brightness_5_outlined;
      case "brightness_6": return Icons.brightness_6;
      case "brightness_6_sharp": return Icons.brightness_6_sharp;
      case "brightness_6_rounded": return Icons.brightness_6_rounded;
      case "brightness_6_outlined": return Icons.brightness_6_outlined;
      case "brightness_7": return Icons.brightness_7;
      case "brightness_7_sharp": return Icons.brightness_7_sharp;
      case "brightness_7_rounded": return Icons.brightness_7_rounded;
      case "brightness_7_outlined": return Icons.brightness_7_outlined;
      case "brightness_auto": return Icons.brightness_auto;
      case "brightness_auto_sharp": return Icons.brightness_auto_sharp;
      case "brightness_auto_rounded": return Icons.brightness_auto_rounded;
      case "brightness_auto_outlined": return Icons.brightness_auto_outlined;
      case "brightness_high": return Icons.brightness_high;
      case "brightness_high_sharp": return Icons.brightness_high_sharp;
      case "brightness_high_rounded": return Icons.brightness_high_rounded;
      case "brightness_high_outlined": return Icons.brightness_high_outlined;
      case "brightness_low": return Icons.brightness_low;
      case "brightness_low_sharp": return Icons.brightness_low_sharp;
      case "brightness_low_rounded": return Icons.brightness_low_rounded;
      case "brightness_low_outlined": return Icons.brightness_low_outlined;
      case "brightness_medium": return Icons.brightness_medium;
      case "brightness_medium_sharp": return Icons.brightness_medium_sharp;
      case "brightness_medium_rounded": return Icons.brightness_medium_rounded;
      case "brightness_medium_outlined": return Icons.brightness_medium_outlined;
      case "broken_image": return Icons.broken_image;
      case "broken_image_sharp": return Icons.broken_image_sharp;
      case "broken_image_rounded": return Icons.broken_image_rounded;
      case "broken_image_outlined": return Icons.broken_image_outlined;
      case "browse_gallery": return Icons.browse_gallery;
      case "browse_gallery_sharp": return Icons.browse_gallery_sharp;
      case "browse_gallery_rounded": return Icons.browse_gallery_rounded;
      case "browse_gallery_outlined": return Icons.browse_gallery_outlined;
      case "browser_not_supported": return Icons.browser_not_supported;
      case "browser_not_supported_sharp": return Icons.browser_not_supported_sharp;
      case "browser_not_supported_rounded": return Icons.browser_not_supported_rounded;
      case "browser_not_supported_outlined": return Icons.browser_not_supported_outlined;
      case "browser_updated": return Icons.browser_updated;
      case "browser_updated_sharp": return Icons.browser_updated_sharp;
      case "browser_updated_rounded": return Icons.browser_updated_rounded;
      case "browser_updated_outlined": return Icons.browser_updated_outlined;
      case "brunch_dining": return Icons.brunch_dining;
      case "brunch_dining_sharp": return Icons.brunch_dining_sharp;
      case "brunch_dining_rounded": return Icons.brunch_dining_rounded;
      case "brunch_dining_outlined": return Icons.brunch_dining_outlined;
      case "brush": return Icons.brush;
      case "brush_sharp": return Icons.brush_sharp;
      case "brush_rounded": return Icons.brush_rounded;
      case "brush_outlined": return Icons.brush_outlined;
      case "bubble_chart": return Icons.bubble_chart;
      case "bubble_chart_sharp": return Icons.bubble_chart_sharp;
      case "bubble_chart_rounded": return Icons.bubble_chart_rounded;
      case "bubble_chart_outlined": return Icons.bubble_chart_outlined;
      case "bug_report": return Icons.bug_report;
      case "bug_report_sharp": return Icons.bug_report_sharp;
      case "bug_report_rounded": return Icons.bug_report_rounded;
      case "bug_report_outlined": return Icons.bug_report_outlined;
      case "build": return Icons.build;
      case "build_sharp": return Icons.build_sharp;
      case "build_rounded": return Icons.build_rounded;
      case "build_outlined": return Icons.build_outlined;
      case "build_circle": return Icons.build_circle;
      case "build_circle_sharp": return Icons.build_circle_sharp;
      case "build_circle_rounded": return Icons.build_circle_rounded;
      case "build_circle_outlined": return Icons.build_circle_outlined;
      case "bungalow": return Icons.bungalow;
      case "bungalow_sharp": return Icons.bungalow_sharp;
      case "bungalow_rounded": return Icons.bungalow_rounded;
      case "bungalow_outlined": return Icons.bungalow_outlined;
      case "burst_mode": return Icons.burst_mode;
      case "burst_mode_sharp": return Icons.burst_mode_sharp;
      case "burst_mode_rounded": return Icons.burst_mode_rounded;
      case "burst_mode_outlined": return Icons.burst_mode_outlined;
      case "bus_alert": return Icons.bus_alert;
      case "bus_alert_sharp": return Icons.bus_alert_sharp;
      case "bus_alert_rounded": return Icons.bus_alert_rounded;
      case "bus_alert_outlined": return Icons.bus_alert_outlined;
      case "business": return Icons.business;
      case "business_sharp": return Icons.business_sharp;
      case "business_rounded": return Icons.business_rounded;
      case "business_outlined": return Icons.business_outlined;
      case "business_center": return Icons.business_center;
      case "business_center_sharp": return Icons.business_center_sharp;
      case "business_center_rounded": return Icons.business_center_rounded;
      case "business_center_outlined": return Icons.business_center_outlined;
      case "cabin": return Icons.cabin;
      case "cabin_sharp": return Icons.cabin_sharp;
      case "cabin_rounded": return Icons.cabin_rounded;
      case "cabin_outlined": return Icons.cabin_outlined;
      case "cable": return Icons.cable;
      case "cable_sharp": return Icons.cable_sharp;
      case "cable_rounded": return Icons.cable_rounded;
      case "cable_outlined": return Icons.cable_outlined;
      case "cached": return Icons.cached;
      case "cached_sharp": return Icons.cached_sharp;
      case "cached_rounded": return Icons.cached_rounded;
      case "cached_outlined": return Icons.cached_outlined;
      case "cake": return Icons.cake;
      case "cake_sharp": return Icons.cake_sharp;
      case "cake_rounded": return Icons.cake_rounded;
      case "cake_outlined": return Icons.cake_outlined;
      case "calculate": return Icons.calculate;
      case "calculate_sharp": return Icons.calculate_sharp;
      case "calculate_rounded": return Icons.calculate_rounded;
      case "calculate_outlined": return Icons.calculate_outlined;
      case "calendar_month": return Icons.calendar_month;
      case "calendar_month_sharp": return Icons.calendar_month_sharp;
      case "calendar_month_rounded": return Icons.calendar_month_rounded;
      case "calendar_month_outlined": return Icons.calendar_month_outlined;
      case "calendar_today": return Icons.calendar_today;
      case "calendar_today_sharp": return Icons.calendar_today_sharp;
      case "calendar_today_rounded": return Icons.calendar_today_rounded;
      case "calendar_today_outlined": return Icons.calendar_today_outlined;
      case "calendar_view_day": return Icons.calendar_view_day;
      case "calendar_view_day_sharp": return Icons.calendar_view_day_sharp;
      case "calendar_view_day_rounded": return Icons.calendar_view_day_rounded;
      case "calendar_view_day_outlined": return Icons.calendar_view_day_outlined;
      case "calendar_view_month": return Icons.calendar_view_month;
      case "calendar_view_month_sharp": return Icons.calendar_view_month_sharp;
      case "calendar_view_month_rounded": return Icons.calendar_view_month_rounded;
      case "calendar_view_month_outlined": return Icons.calendar_view_month_outlined;
      case "calendar_view_week": return Icons.calendar_view_week;
      case "calendar_view_week_sharp": return Icons.calendar_view_week_sharp;
      case "calendar_view_week_rounded": return Icons.calendar_view_week_rounded;
      case "calendar_view_week_outlined": return Icons.calendar_view_week_outlined;
      case "call": return Icons.call;
      case "call_sharp": return Icons.call_sharp;
      case "call_rounded": return Icons.call_rounded;
      case "call_outlined": return Icons.call_outlined;
      case "call_end": return Icons.call_end;
      case "call_end_sharp": return Icons.call_end_sharp;
      case "call_end_rounded": return Icons.call_end_rounded;
      case "call_end_outlined": return Icons.call_end_outlined;
      case "call_made": return Icons.call_made;
      case "call_made_sharp": return Icons.call_made_sharp;
      case "call_made_rounded": return Icons.call_made_rounded;
      case "call_made_outlined": return Icons.call_made_outlined;
      case "call_merge": return Icons.call_merge;
      case "call_merge_sharp": return Icons.call_merge_sharp;
      case "call_merge_rounded": return Icons.call_merge_rounded;
      case "call_merge_outlined": return Icons.call_merge_outlined;
      case "call_missed": return Icons.call_missed;
      case "call_missed_sharp": return Icons.call_missed_sharp;
      case "call_missed_rounded": return Icons.call_missed_rounded;
      case "call_missed_outlined": return Icons.call_missed_outlined;
      case "call_missed_outgoing": return Icons.call_missed_outgoing;
      case "call_missed_outgoing_sharp": return Icons.call_missed_outgoing_sharp;
      case "call_missed_outgoing_rounded": return Icons.call_missed_outgoing_rounded;
      case "call_missed_outgoing_outlined": return Icons.call_missed_outgoing_outlined;
      case "call_received": return Icons.call_received;
      case "call_received_sharp": return Icons.call_received_sharp;
      case "call_received_rounded": return Icons.call_received_rounded;
      case "call_received_outlined": return Icons.call_received_outlined;
      case "call_split": return Icons.call_split;
      case "call_split_sharp": return Icons.call_split_sharp;
      case "call_split_rounded": return Icons.call_split_rounded;
      case "call_split_outlined": return Icons.call_split_outlined;
      case "call_to_action": return Icons.call_to_action;
      case "call_to_action_sharp": return Icons.call_to_action_sharp;
      case "call_to_action_rounded": return Icons.call_to_action_rounded;
      case "call_to_action_outlined": return Icons.call_to_action_outlined;
      case "camera": return Icons.camera;
      case "camera_sharp": return Icons.camera_sharp;
      case "camera_rounded": return Icons.camera_rounded;
      case "camera_outlined": return Icons.camera_outlined;
      case "camera_alt": return Icons.camera_alt;
      case "camera_alt_sharp": return Icons.camera_alt_sharp;
      case "camera_alt_rounded": return Icons.camera_alt_rounded;
      case "camera_alt_outlined": return Icons.camera_alt_outlined;
      case "camera_enhance": return Icons.camera_enhance;
      case "camera_enhance_sharp": return Icons.camera_enhance_sharp;
      case "camera_enhance_rounded": return Icons.camera_enhance_rounded;
      case "camera_enhance_outlined": return Icons.camera_enhance_outlined;
      case "camera_front": return Icons.camera_front;
      case "camera_front_sharp": return Icons.camera_front_sharp;
      case "camera_front_rounded": return Icons.camera_front_rounded;
      case "camera_front_outlined": return Icons.camera_front_outlined;
      case "camera_indoor": return Icons.camera_indoor;
      case "camera_indoor_sharp": return Icons.camera_indoor_sharp;
      case "camera_indoor_rounded": return Icons.camera_indoor_rounded;
      case "camera_indoor_outlined": return Icons.camera_indoor_outlined;
      case "camera_outdoor": return Icons.camera_outdoor;
      case "camera_outdoor_sharp": return Icons.camera_outdoor_sharp;
      case "camera_outdoor_rounded": return Icons.camera_outdoor_rounded;
      case "camera_outdoor_outlined": return Icons.camera_outdoor_outlined;
      case "camera_rear": return Icons.camera_rear;
      case "camera_rear_sharp": return Icons.camera_rear_sharp;
      case "camera_rear_rounded": return Icons.camera_rear_rounded;
      case "camera_rear_outlined": return Icons.camera_rear_outlined;
      case "camera_roll": return Icons.camera_roll;
      case "camera_roll_sharp": return Icons.camera_roll_sharp;
      case "camera_roll_rounded": return Icons.camera_roll_rounded;
      case "camera_roll_outlined": return Icons.camera_roll_outlined;
      case "cameraswitch": return Icons.cameraswitch;
      case "cameraswitch_sharp": return Icons.cameraswitch_sharp;
      case "cameraswitch_rounded": return Icons.cameraswitch_rounded;
      case "cameraswitch_outlined": return Icons.cameraswitch_outlined;
      case "campaign": return Icons.campaign;
      case "campaign_sharp": return Icons.campaign_sharp;
      case "campaign_rounded": return Icons.campaign_rounded;
      case "campaign_outlined": return Icons.campaign_outlined;
      case "cancel": return Icons.cancel;
      case "cancel_sharp": return Icons.cancel_sharp;
      case "cancel_rounded": return Icons.cancel_rounded;
      case "cancel_outlined": return Icons.cancel_outlined;
      case "cancel_presentation": return Icons.cancel_presentation;
      case "cancel_presentation_sharp": return Icons.cancel_presentation_sharp;
      case "cancel_presentation_rounded": return Icons.cancel_presentation_rounded;
      case "cancel_presentation_outlined": return Icons.cancel_presentation_outlined;
      case "cancel_schedule_send": return Icons.cancel_schedule_send;
      case "cancel_schedule_send_sharp": return Icons.cancel_schedule_send_sharp;
      case "cancel_schedule_send_rounded": return Icons.cancel_schedule_send_rounded;
      case "cancel_schedule_send_outlined": return Icons.cancel_schedule_send_outlined;
      case "candlestick_chart": return Icons.candlestick_chart;
      case "candlestick_chart_sharp": return Icons.candlestick_chart_sharp;
      case "candlestick_chart_rounded": return Icons.candlestick_chart_rounded;
      case "candlestick_chart_outlined": return Icons.candlestick_chart_outlined;
      case "car_rental": return Icons.car_rental;
      case "car_rental_sharp": return Icons.car_rental_sharp;
      case "car_rental_rounded": return Icons.car_rental_rounded;
      case "car_rental_outlined": return Icons.car_rental_outlined;
      case "car_repair": return Icons.car_repair;
      case "car_repair_sharp": return Icons.car_repair_sharp;
      case "car_repair_rounded": return Icons.car_repair_rounded;
      case "car_repair_outlined": return Icons.car_repair_outlined;
      case "card_giftcard": return Icons.card_giftcard;
      case "card_giftcard_sharp": return Icons.card_giftcard_sharp;
      case "card_giftcard_rounded": return Icons.card_giftcard_rounded;
      case "card_giftcard_outlined": return Icons.card_giftcard_outlined;
      case "card_membership": return Icons.card_membership;
      case "card_membership_sharp": return Icons.card_membership_sharp;
      case "card_membership_rounded": return Icons.card_membership_rounded;
      case "card_membership_outlined": return Icons.card_membership_outlined;
      case "card_travel": return Icons.card_travel;
      case "card_travel_sharp": return Icons.card_travel_sharp;
      case "card_travel_rounded": return Icons.card_travel_rounded;
      case "card_travel_outlined": return Icons.card_travel_outlined;
      case "carpenter": return Icons.carpenter;
      case "carpenter_sharp": return Icons.carpenter_sharp;
      case "carpenter_rounded": return Icons.carpenter_rounded;
      case "carpenter_outlined": return Icons.carpenter_outlined;
      case "cases": return Icons.cases;
      case "cases_sharp": return Icons.cases_sharp;
      case "cases_rounded": return Icons.cases_rounded;
      case "cases_outlined": return Icons.cases_outlined;
      case "casino": return Icons.casino;
      case "casino_sharp": return Icons.casino_sharp;
      case "casino_rounded": return Icons.casino_rounded;
      case "casino_outlined": return Icons.casino_outlined;
      case "cast": return Icons.cast;
      case "cast_sharp": return Icons.cast_sharp;
      case "cast_rounded": return Icons.cast_rounded;
      case "cast_outlined": return Icons.cast_outlined;
      case "cast_connected": return Icons.cast_connected;
      case "cast_connected_sharp": return Icons.cast_connected_sharp;
      case "cast_connected_rounded": return Icons.cast_connected_rounded;
      case "cast_connected_outlined": return Icons.cast_connected_outlined;
      case "cast_for_education": return Icons.cast_for_education;
      case "cast_for_education_sharp": return Icons.cast_for_education_sharp;
      case "cast_for_education_rounded": return Icons.cast_for_education_rounded;
      case "cast_for_education_outlined": return Icons.cast_for_education_outlined;
      case "castle": return Icons.castle;
      case "castle_sharp": return Icons.castle_sharp;
      case "castle_rounded": return Icons.castle_rounded;
      case "castle_outlined": return Icons.castle_outlined;
      case "catching_pokemon": return Icons.catching_pokemon;
      case "catching_pokemon_sharp": return Icons.catching_pokemon_sharp;
      case "catching_pokemon_rounded": return Icons.catching_pokemon_rounded;
      case "catching_pokemon_outlined": return Icons.catching_pokemon_outlined;
      case "category": return Icons.category;
      case "category_sharp": return Icons.category_sharp;
      case "category_rounded": return Icons.category_rounded;
      case "category_outlined": return Icons.category_outlined;
      case "celebration": return Icons.celebration;
      case "celebration_sharp": return Icons.celebration_sharp;
      case "celebration_rounded": return Icons.celebration_rounded;
      case "celebration_outlined": return Icons.celebration_outlined;
      case "cell_tower": return Icons.cell_tower;
      case "cell_tower_sharp": return Icons.cell_tower_sharp;
      case "cell_tower_rounded": return Icons.cell_tower_rounded;
      case "cell_tower_outlined": return Icons.cell_tower_outlined;
      case "cell_wifi": return Icons.cell_wifi;
      case "cell_wifi_sharp": return Icons.cell_wifi_sharp;
      case "cell_wifi_rounded": return Icons.cell_wifi_rounded;
      case "cell_wifi_outlined": return Icons.cell_wifi_outlined;
      case "center_focus_strong": return Icons.center_focus_strong;
      case "center_focus_strong_sharp": return Icons.center_focus_strong_sharp;
      case "center_focus_strong_rounded": return Icons.center_focus_strong_rounded;
      case "center_focus_strong_outlined": return Icons.center_focus_strong_outlined;
      case "center_focus_weak": return Icons.center_focus_weak;
      case "center_focus_weak_sharp": return Icons.center_focus_weak_sharp;
      case "center_focus_weak_rounded": return Icons.center_focus_weak_rounded;
      case "center_focus_weak_outlined": return Icons.center_focus_weak_outlined;
      case "chair": return Icons.chair;
      case "chair_sharp": return Icons.chair_sharp;
      case "chair_rounded": return Icons.chair_rounded;
      case "chair_outlined": return Icons.chair_outlined;
      case "chair_alt": return Icons.chair_alt;
      case "chair_alt_sharp": return Icons.chair_alt_sharp;
      case "chair_alt_rounded": return Icons.chair_alt_rounded;
      case "chair_alt_outlined": return Icons.chair_alt_outlined;
      case "chalet": return Icons.chalet;
      case "chalet_sharp": return Icons.chalet_sharp;
      case "chalet_rounded": return Icons.chalet_rounded;
      case "chalet_outlined": return Icons.chalet_outlined;
      case "change_circle": return Icons.change_circle;
      case "change_circle_sharp": return Icons.change_circle_sharp;
      case "change_circle_rounded": return Icons.change_circle_rounded;
      case "change_circle_outlined": return Icons.change_circle_outlined;
      case "change_history": return Icons.change_history;
      case "change_history_sharp": return Icons.change_history_sharp;
      case "change_history_rounded": return Icons.change_history_rounded;
      case "change_history_outlined": return Icons.change_history_outlined;
      case "charging_station": return Icons.charging_station;
      case "charging_station_sharp": return Icons.charging_station_sharp;
      case "charging_station_rounded": return Icons.charging_station_rounded;
      case "charging_station_outlined": return Icons.charging_station_outlined;
      case "chat": return Icons.chat;
      case "chat_sharp": return Icons.chat_sharp;
      case "chat_rounded": return Icons.chat_rounded;
      case "chat_outlined": return Icons.chat_outlined;
      case "chat_bubble": return Icons.chat_bubble;
      case "chat_bubble_sharp": return Icons.chat_bubble_sharp;
      case "chat_bubble_rounded": return Icons.chat_bubble_rounded;
      case "chat_bubble_outlined": return Icons.chat_bubble_outlined;
      case "chat_bubble_outline": return Icons.chat_bubble_outline;
      case "chat_bubble_outline_sharp": return Icons.chat_bubble_outline_sharp;
      case "chat_bubble_outline_rounded": return Icons.chat_bubble_outline_rounded;
      case "chat_bubble_outline_outlined": return Icons.chat_bubble_outline_outlined;
      case "check": return Icons.check;
      case "check_sharp": return Icons.check_sharp;
      case "check_rounded": return Icons.check_rounded;
      case "check_outlined": return Icons.check_outlined;
      case "check_box": return Icons.check_box;
      case "check_box_sharp": return Icons.check_box_sharp;
      case "check_box_rounded": return Icons.check_box_rounded;
      case "check_box_outlined": return Icons.check_box_outlined;
      case "check_box_outline_blank": return Icons.check_box_outline_blank;
      case "check_box_outline_blank_sharp": return Icons.check_box_outline_blank_sharp;
      case "check_box_outline_blank_rounded": return Icons.check_box_outline_blank_rounded;
      case "check_box_outline_blank_outlined": return Icons.check_box_outline_blank_outlined;
      case "check_circle": return Icons.check_circle;
      case "check_circle_sharp": return Icons.check_circle_sharp;
      case "check_circle_rounded": return Icons.check_circle_rounded;
      case "check_circle_outlined": return Icons.check_circle_outlined;
      case "check_circle_outline": return Icons.check_circle_outline;
      case "check_circle_outline_sharp": return Icons.check_circle_outline_sharp;
      case "check_circle_outline_rounded": return Icons.check_circle_outline_rounded;
      case "check_circle_outline_outlined": return Icons.check_circle_outline_outlined;
      case "checklist": return Icons.checklist;
      case "checklist_sharp": return Icons.checklist_sharp;
      case "checklist_rounded": return Icons.checklist_rounded;
      case "checklist_outlined": return Icons.checklist_outlined;
      case "checklist_rtl": return Icons.checklist_rtl;
      case "checklist_rtl_sharp": return Icons.checklist_rtl_sharp;
      case "checklist_rtl_rounded": return Icons.checklist_rtl_rounded;
      case "checklist_rtl_outlined": return Icons.checklist_rtl_outlined;
      case "checkroom": return Icons.checkroom;
      case "checkroom_sharp": return Icons.checkroom_sharp;
      case "checkroom_rounded": return Icons.checkroom_rounded;
      case "checkroom_outlined": return Icons.checkroom_outlined;
      case "chevron_left": return Icons.chevron_left;
      case "chevron_left_sharp": return Icons.chevron_left_sharp;
      case "chevron_left_rounded": return Icons.chevron_left_rounded;
      case "chevron_left_outlined": return Icons.chevron_left_outlined;
      case "chevron_right": return Icons.chevron_right;
      case "chevron_right_sharp": return Icons.chevron_right_sharp;
      case "chevron_right_rounded": return Icons.chevron_right_rounded;
      case "chevron_right_outlined": return Icons.chevron_right_outlined;
      case "child_care": return Icons.child_care;
      case "child_care_sharp": return Icons.child_care_sharp;
      case "child_care_rounded": return Icons.child_care_rounded;
      case "child_care_outlined": return Icons.child_care_outlined;
      case "child_friendly": return Icons.child_friendly;
      case "child_friendly_sharp": return Icons.child_friendly_sharp;
      case "child_friendly_rounded": return Icons.child_friendly_rounded;
      case "child_friendly_outlined": return Icons.child_friendly_outlined;
      case "chrome_reader_mode": return Icons.chrome_reader_mode;
      case "chrome_reader_mode_sharp": return Icons.chrome_reader_mode_sharp;
      case "chrome_reader_mode_rounded": return Icons.chrome_reader_mode_rounded;
      case "chrome_reader_mode_outlined": return Icons.chrome_reader_mode_outlined;
      case "church": return Icons.church;
      case "church_sharp": return Icons.church_sharp;
      case "church_rounded": return Icons.church_rounded;
      case "church_outlined": return Icons.church_outlined;
      case "circle": return Icons.circle;
      case "circle_sharp": return Icons.circle_sharp;
      case "circle_rounded": return Icons.circle_rounded;
      case "circle_outlined": return Icons.circle_outlined;
      case "circle_notifications": return Icons.circle_notifications;
      case "circle_notifications_sharp": return Icons.circle_notifications_sharp;
      case "circle_notifications_rounded": return Icons.circle_notifications_rounded;
      case "circle_notifications_outlined": return Icons.circle_notifications_outlined;
      case "class_": return Icons.class_;
      case "class__sharp": return Icons.class__sharp;
      case "class__rounded": return Icons.class__rounded;
      case "class__outlined": return Icons.class__outlined;
      case "clean_hands": return Icons.clean_hands;
      case "clean_hands_sharp": return Icons.clean_hands_sharp;
      case "clean_hands_rounded": return Icons.clean_hands_rounded;
      case "clean_hands_outlined": return Icons.clean_hands_outlined;
      case "cleaning_services": return Icons.cleaning_services;
      case "cleaning_services_sharp": return Icons.cleaning_services_sharp;
      case "cleaning_services_rounded": return Icons.cleaning_services_rounded;
      case "cleaning_services_outlined": return Icons.cleaning_services_outlined;
      case "clear": return Icons.clear;
      case "clear_sharp": return Icons.clear_sharp;
      case "clear_rounded": return Icons.clear_rounded;
      case "clear_outlined": return Icons.clear_outlined;
      case "clear_all": return Icons.clear_all;
      case "clear_all_sharp": return Icons.clear_all_sharp;
      case "clear_all_rounded": return Icons.clear_all_rounded;
      case "clear_all_outlined": return Icons.clear_all_outlined;
      case "close": return Icons.close;
      case "close_sharp": return Icons.close_sharp;
      case "close_rounded": return Icons.close_rounded;
      case "close_outlined": return Icons.close_outlined;
      case "close_fullscreen": return Icons.close_fullscreen;
      case "close_fullscreen_sharp": return Icons.close_fullscreen_sharp;
      case "close_fullscreen_rounded": return Icons.close_fullscreen_rounded;
      case "close_fullscreen_outlined": return Icons.close_fullscreen_outlined;
      case "closed_caption": return Icons.closed_caption;
      case "closed_caption_sharp": return Icons.closed_caption_sharp;
      case "closed_caption_rounded": return Icons.closed_caption_rounded;
      case "closed_caption_outlined": return Icons.closed_caption_outlined;
      case "closed_caption_disabled": return Icons.closed_caption_disabled;
      case "closed_caption_disabled_sharp": return Icons.closed_caption_disabled_sharp;
      case "closed_caption_disabled_rounded": return Icons.closed_caption_disabled_rounded;
      case "closed_caption_disabled_outlined": return Icons.closed_caption_disabled_outlined;
      case "closed_caption_off": return Icons.closed_caption_off;
      case "closed_caption_off_sharp": return Icons.closed_caption_off_sharp;
      case "closed_caption_off_rounded": return Icons.closed_caption_off_rounded;
      case "closed_caption_off_outlined": return Icons.closed_caption_off_outlined;
      case "cloud": return Icons.cloud;
      case "cloud_sharp": return Icons.cloud_sharp;
      case "cloud_rounded": return Icons.cloud_rounded;
      case "cloud_outlined": return Icons.cloud_outlined;
      case "cloud_circle": return Icons.cloud_circle;
      case "cloud_circle_sharp": return Icons.cloud_circle_sharp;
      case "cloud_circle_rounded": return Icons.cloud_circle_rounded;
      case "cloud_circle_outlined": return Icons.cloud_circle_outlined;
      case "cloud_done": return Icons.cloud_done;
      case "cloud_done_sharp": return Icons.cloud_done_sharp;
      case "cloud_done_rounded": return Icons.cloud_done_rounded;
      case "cloud_done_outlined": return Icons.cloud_done_outlined;
      case "cloud_download": return Icons.cloud_download;
      case "cloud_download_sharp": return Icons.cloud_download_sharp;
      case "cloud_download_rounded": return Icons.cloud_download_rounded;
      case "cloud_download_outlined": return Icons.cloud_download_outlined;
      case "cloud_off": return Icons.cloud_off;
      case "cloud_off_sharp": return Icons.cloud_off_sharp;
      case "cloud_off_rounded": return Icons.cloud_off_rounded;
      case "cloud_off_outlined": return Icons.cloud_off_outlined;
      case "cloud_queue": return Icons.cloud_queue;
      case "cloud_queue_sharp": return Icons.cloud_queue_sharp;
      case "cloud_queue_rounded": return Icons.cloud_queue_rounded;
      case "cloud_queue_outlined": return Icons.cloud_queue_outlined;
      case "cloud_sync": return Icons.cloud_sync;
      case "cloud_sync_sharp": return Icons.cloud_sync_sharp;
      case "cloud_sync_rounded": return Icons.cloud_sync_rounded;
      case "cloud_sync_outlined": return Icons.cloud_sync_outlined;
      case "cloud_upload": return Icons.cloud_upload;
      case "cloud_upload_sharp": return Icons.cloud_upload_sharp;
      case "cloud_upload_rounded": return Icons.cloud_upload_rounded;
      case "cloud_upload_outlined": return Icons.cloud_upload_outlined;
      case "cloudy_snowing": return Icons.cloudy_snowing;
      case "co2": return Icons.co2;
      case "co2_sharp": return Icons.co2_sharp;
      case "co2_rounded": return Icons.co2_rounded;
      case "co2_outlined": return Icons.co2_outlined;
      case "co_present": return Icons.co_present;
      case "co_present_sharp": return Icons.co_present_sharp;
      case "co_present_rounded": return Icons.co_present_rounded;
      case "co_present_outlined": return Icons.co_present_outlined;
      case "code": return Icons.code;
      case "code_sharp": return Icons.code_sharp;
      case "code_rounded": return Icons.code_rounded;
      case "code_outlined": return Icons.code_outlined;
      case "code_off": return Icons.code_off;
      case "code_off_sharp": return Icons.code_off_sharp;
      case "code_off_rounded": return Icons.code_off_rounded;
      case "code_off_outlined": return Icons.code_off_outlined;
      case "coffee": return Icons.coffee;
      case "coffee_sharp": return Icons.coffee_sharp;
      case "coffee_rounded": return Icons.coffee_rounded;
      case "coffee_outlined": return Icons.coffee_outlined;
      case "coffee_maker": return Icons.coffee_maker;
      case "coffee_maker_sharp": return Icons.coffee_maker_sharp;
      case "coffee_maker_rounded": return Icons.coffee_maker_rounded;
      case "coffee_maker_outlined": return Icons.coffee_maker_outlined;
      case "collections": return Icons.collections;
      case "collections_sharp": return Icons.collections_sharp;
      case "collections_rounded": return Icons.collections_rounded;
      case "collections_outlined": return Icons.collections_outlined;
      case "collections_bookmark": return Icons.collections_bookmark;
      case "collections_bookmark_sharp": return Icons.collections_bookmark_sharp;
      case "collections_bookmark_rounded": return Icons.collections_bookmark_rounded;
      case "collections_bookmark_outlined": return Icons.collections_bookmark_outlined;
      case "color_lens": return Icons.color_lens;
      case "color_lens_sharp": return Icons.color_lens_sharp;
      case "color_lens_rounded": return Icons.color_lens_rounded;
      case "color_lens_outlined": return Icons.color_lens_outlined;
      case "colorize": return Icons.colorize;
      case "colorize_sharp": return Icons.colorize_sharp;
      case "colorize_rounded": return Icons.colorize_rounded;
      case "colorize_outlined": return Icons.colorize_outlined;
      case "comment": return Icons.comment;
      case "comment_sharp": return Icons.comment_sharp;
      case "comment_rounded": return Icons.comment_rounded;
      case "comment_outlined": return Icons.comment_outlined;
      case "comment_bank": return Icons.comment_bank;
      case "comment_bank_sharp": return Icons.comment_bank_sharp;
      case "comment_bank_rounded": return Icons.comment_bank_rounded;
      case "comment_bank_outlined": return Icons.comment_bank_outlined;
      case "comments_disabled": return Icons.comments_disabled;
      case "comments_disabled_sharp": return Icons.comments_disabled_sharp;
      case "comments_disabled_rounded": return Icons.comments_disabled_rounded;
      case "comments_disabled_outlined": return Icons.comments_disabled_outlined;
      case "commit": return Icons.commit;
      case "commit_sharp": return Icons.commit_sharp;
      case "commit_rounded": return Icons.commit_rounded;
      case "commit_outlined": return Icons.commit_outlined;
      case "commute": return Icons.commute;
      case "commute_sharp": return Icons.commute_sharp;
      case "commute_rounded": return Icons.commute_rounded;
      case "commute_outlined": return Icons.commute_outlined;
      case "compare": return Icons.compare;
      case "compare_sharp": return Icons.compare_sharp;
      case "compare_rounded": return Icons.compare_rounded;
      case "compare_outlined": return Icons.compare_outlined;
      case "compare_arrows": return Icons.compare_arrows;
      case "compare_arrows_sharp": return Icons.compare_arrows_sharp;
      case "compare_arrows_rounded": return Icons.compare_arrows_rounded;
      case "compare_arrows_outlined": return Icons.compare_arrows_outlined;
      case "compass_calibration": return Icons.compass_calibration;
      case "compass_calibration_sharp": return Icons.compass_calibration_sharp;
      case "compass_calibration_rounded": return Icons.compass_calibration_rounded;
      case "compass_calibration_outlined": return Icons.compass_calibration_outlined;
      case "compost": return Icons.compost;
      case "compost_sharp": return Icons.compost_sharp;
      case "compost_rounded": return Icons.compost_rounded;
      case "compost_outlined": return Icons.compost_outlined;
      case "compress": return Icons.compress;
      case "compress_sharp": return Icons.compress_sharp;
      case "compress_rounded": return Icons.compress_rounded;
      case "compress_outlined": return Icons.compress_outlined;
      case "computer": return Icons.computer;
      case "computer_sharp": return Icons.computer_sharp;
      case "computer_rounded": return Icons.computer_rounded;
      case "computer_outlined": return Icons.computer_outlined;
      case "confirmation_num": return Icons.confirmation_num;
      case "confirmation_num_sharp": return Icons.confirmation_num_sharp;
      case "confirmation_num_rounded": return Icons.confirmation_num_rounded;
      case "confirmation_num_outlined": return Icons.confirmation_num_outlined;
      case "confirmation_number": return Icons.confirmation_number;
      case "confirmation_number_sharp": return Icons.confirmation_number_sharp;
      case "confirmation_number_rounded": return Icons.confirmation_number_rounded;
      case "confirmation_number_outlined": return Icons.confirmation_number_outlined;
      case "connect_without_contact": return Icons.connect_without_contact;
      case "connect_without_contact_sharp": return Icons.connect_without_contact_sharp;
      case "connect_without_contact_rounded": return Icons.connect_without_contact_rounded;
      case "connect_without_contact_outlined": return Icons.connect_without_contact_outlined;
      case "connected_tv": return Icons.connected_tv;
      case "connected_tv_sharp": return Icons.connected_tv_sharp;
      case "connected_tv_rounded": return Icons.connected_tv_rounded;
      case "connected_tv_outlined": return Icons.connected_tv_outlined;
      case "connecting_airports": return Icons.connecting_airports;
      case "connecting_airports_sharp": return Icons.connecting_airports_sharp;
      case "connecting_airports_rounded": return Icons.connecting_airports_rounded;
      case "connecting_airports_outlined": return Icons.connecting_airports_outlined;
      case "construction": return Icons.construction;
      case "construction_sharp": return Icons.construction_sharp;
      case "construction_rounded": return Icons.construction_rounded;
      case "construction_outlined": return Icons.construction_outlined;
      case "contact_mail": return Icons.contact_mail;
      case "contact_mail_sharp": return Icons.contact_mail_sharp;
      case "contact_mail_rounded": return Icons.contact_mail_rounded;
      case "contact_mail_outlined": return Icons.contact_mail_outlined;
      case "contact_page": return Icons.contact_page;
      case "contact_page_sharp": return Icons.contact_page_sharp;
      case "contact_page_rounded": return Icons.contact_page_rounded;
      case "contact_page_outlined": return Icons.contact_page_outlined;
      case "contact_phone": return Icons.contact_phone;
      case "contact_phone_sharp": return Icons.contact_phone_sharp;
      case "contact_phone_rounded": return Icons.contact_phone_rounded;
      case "contact_phone_outlined": return Icons.contact_phone_outlined;
      case "contact_support": return Icons.contact_support;
      case "contact_support_sharp": return Icons.contact_support_sharp;
      case "contact_support_rounded": return Icons.contact_support_rounded;
      case "contact_support_outlined": return Icons.contact_support_outlined;
      case "contactless": return Icons.contactless;
      case "contactless_sharp": return Icons.contactless_sharp;
      case "contactless_rounded": return Icons.contactless_rounded;
      case "contactless_outlined": return Icons.contactless_outlined;
      case "contacts": return Icons.contacts;
      case "contacts_sharp": return Icons.contacts_sharp;
      case "contacts_rounded": return Icons.contacts_rounded;
      case "contacts_outlined": return Icons.contacts_outlined;
      case "content_copy": return Icons.content_copy;
      case "content_copy_sharp": return Icons.content_copy_sharp;
      case "content_copy_rounded": return Icons.content_copy_rounded;
      case "content_copy_outlined": return Icons.content_copy_outlined;
      case "content_cut": return Icons.content_cut;
      case "content_cut_sharp": return Icons.content_cut_sharp;
      case "content_cut_rounded": return Icons.content_cut_rounded;
      case "content_cut_outlined": return Icons.content_cut_outlined;
      case "content_paste": return Icons.content_paste;
      case "content_paste_sharp": return Icons.content_paste_sharp;
      case "content_paste_rounded": return Icons.content_paste_rounded;
      case "content_paste_outlined": return Icons.content_paste_outlined;
      case "content_paste_go": return Icons.content_paste_go;
      case "content_paste_go_sharp": return Icons.content_paste_go_sharp;
      case "content_paste_go_rounded": return Icons.content_paste_go_rounded;
      case "content_paste_go_outlined": return Icons.content_paste_go_outlined;
      case "content_paste_off": return Icons.content_paste_off;
      case "content_paste_off_sharp": return Icons.content_paste_off_sharp;
      case "content_paste_off_rounded": return Icons.content_paste_off_rounded;
      case "content_paste_off_outlined": return Icons.content_paste_off_outlined;
      case "content_paste_search": return Icons.content_paste_search;
      case "content_paste_search_sharp": return Icons.content_paste_search_sharp;
      case "content_paste_search_rounded": return Icons.content_paste_search_rounded;
      case "content_paste_search_outlined": return Icons.content_paste_search_outlined;
      case "contrast": return Icons.contrast;
      case "contrast_sharp": return Icons.contrast_sharp;
      case "contrast_rounded": return Icons.contrast_rounded;
      case "contrast_outlined": return Icons.contrast_outlined;
      case "control_camera": return Icons.control_camera;
      case "control_camera_sharp": return Icons.control_camera_sharp;
      case "control_camera_rounded": return Icons.control_camera_rounded;
      case "control_camera_outlined": return Icons.control_camera_outlined;
      case "control_point": return Icons.control_point;
      case "control_point_sharp": return Icons.control_point_sharp;
      case "control_point_rounded": return Icons.control_point_rounded;
      case "control_point_outlined": return Icons.control_point_outlined;
      case "control_point_duplicate": return Icons.control_point_duplicate;
      case "control_point_duplicate_sharp": return Icons.control_point_duplicate_sharp;
      case "control_point_duplicate_rounded": return Icons.control_point_duplicate_rounded;
      case "control_point_duplicate_outlined": return Icons.control_point_duplicate_outlined;
      case "cookie": return Icons.cookie;
      case "cookie_sharp": return Icons.cookie_sharp;
      case "cookie_rounded": return Icons.cookie_rounded;
      case "cookie_outlined": return Icons.cookie_outlined;
      case "copy": return Icons.copy;
      case "copy_sharp": return Icons.copy_sharp;
      case "copy_rounded": return Icons.copy_rounded;
      case "copy_outlined": return Icons.copy_outlined;
      case "copy_all": return Icons.copy_all;
      case "copy_all_sharp": return Icons.copy_all_sharp;
      case "copy_all_rounded": return Icons.copy_all_rounded;
      case "copy_all_outlined": return Icons.copy_all_outlined;
      case "copyright": return Icons.copyright;
      case "copyright_sharp": return Icons.copyright_sharp;
      case "copyright_rounded": return Icons.copyright_rounded;
      case "copyright_outlined": return Icons.copyright_outlined;
      case "coronavirus": return Icons.coronavirus;
      case "coronavirus_sharp": return Icons.coronavirus_sharp;
      case "coronavirus_rounded": return Icons.coronavirus_rounded;
      case "coronavirus_outlined": return Icons.coronavirus_outlined;
      case "corporate_fare": return Icons.corporate_fare;
      case "corporate_fare_sharp": return Icons.corporate_fare_sharp;
      case "corporate_fare_rounded": return Icons.corporate_fare_rounded;
      case "corporate_fare_outlined": return Icons.corporate_fare_outlined;
      case "cottage": return Icons.cottage;
      case "cottage_sharp": return Icons.cottage_sharp;
      case "cottage_rounded": return Icons.cottage_rounded;
      case "cottage_outlined": return Icons.cottage_outlined;
      case "countertops": return Icons.countertops;
      case "countertops_sharp": return Icons.countertops_sharp;
      case "countertops_rounded": return Icons.countertops_rounded;
      case "countertops_outlined": return Icons.countertops_outlined;
      case "create": return Icons.create;
      case "create_sharp": return Icons.create_sharp;
      case "create_rounded": return Icons.create_rounded;
      case "create_outlined": return Icons.create_outlined;
      case "create_new_folder": return Icons.create_new_folder;
      case "create_new_folder_sharp": return Icons.create_new_folder_sharp;
      case "create_new_folder_rounded": return Icons.create_new_folder_rounded;
      case "create_new_folder_outlined": return Icons.create_new_folder_outlined;
      case "credit_card": return Icons.credit_card;
      case "credit_card_sharp": return Icons.credit_card_sharp;
      case "credit_card_rounded": return Icons.credit_card_rounded;
      case "credit_card_outlined": return Icons.credit_card_outlined;
      case "credit_card_off": return Icons.credit_card_off;
      case "credit_card_off_sharp": return Icons.credit_card_off_sharp;
      case "credit_card_off_rounded": return Icons.credit_card_off_rounded;
      case "credit_card_off_outlined": return Icons.credit_card_off_outlined;
      case "credit_score": return Icons.credit_score;
      case "credit_score_sharp": return Icons.credit_score_sharp;
      case "credit_score_rounded": return Icons.credit_score_rounded;
      case "credit_score_outlined": return Icons.credit_score_outlined;
      case "crib": return Icons.crib;
      case "crib_sharp": return Icons.crib_sharp;
      case "crib_rounded": return Icons.crib_rounded;
      case "crib_outlined": return Icons.crib_outlined;
      case "crop": return Icons.crop;
      case "crop_sharp": return Icons.crop_sharp;
      case "crop_rounded": return Icons.crop_rounded;
      case "crop_outlined": return Icons.crop_outlined;
      case "crop_16_9": return Icons.crop_16_9;
      case "crop_16_9_sharp": return Icons.crop_16_9_sharp;
      case "crop_16_9_rounded": return Icons.crop_16_9_rounded;
      case "crop_16_9_outlined": return Icons.crop_16_9_outlined;
      case "crop_3_2": return Icons.crop_3_2;
      case "crop_3_2_sharp": return Icons.crop_3_2_sharp;
      case "crop_3_2_rounded": return Icons.crop_3_2_rounded;
      case "crop_3_2_outlined": return Icons.crop_3_2_outlined;
      case "crop_5_4": return Icons.crop_5_4;
      case "crop_5_4_sharp": return Icons.crop_5_4_sharp;
      case "crop_5_4_rounded": return Icons.crop_5_4_rounded;
      case "crop_5_4_outlined": return Icons.crop_5_4_outlined;
      case "crop_7_5": return Icons.crop_7_5;
      case "crop_7_5_sharp": return Icons.crop_7_5_sharp;
      case "crop_7_5_rounded": return Icons.crop_7_5_rounded;
      case "crop_7_5_outlined": return Icons.crop_7_5_outlined;
      case "crop_din": return Icons.crop_din;
      case "crop_din_sharp": return Icons.crop_din_sharp;
      case "crop_din_rounded": return Icons.crop_din_rounded;
      case "crop_din_outlined": return Icons.crop_din_outlined;
      case "crop_free": return Icons.crop_free;
      case "crop_free_sharp": return Icons.crop_free_sharp;
      case "crop_free_rounded": return Icons.crop_free_rounded;
      case "crop_free_outlined": return Icons.crop_free_outlined;
      case "crop_landscape": return Icons.crop_landscape;
      case "crop_landscape_sharp": return Icons.crop_landscape_sharp;
      case "crop_landscape_rounded": return Icons.crop_landscape_rounded;
      case "crop_landscape_outlined": return Icons.crop_landscape_outlined;
      case "crop_original": return Icons.crop_original;
      case "crop_original_sharp": return Icons.crop_original_sharp;
      case "crop_original_rounded": return Icons.crop_original_rounded;
      case "crop_original_outlined": return Icons.crop_original_outlined;
      case "crop_portrait": return Icons.crop_portrait;
      case "crop_portrait_sharp": return Icons.crop_portrait_sharp;
      case "crop_portrait_rounded": return Icons.crop_portrait_rounded;
      case "crop_portrait_outlined": return Icons.crop_portrait_outlined;
      case "crop_rotate": return Icons.crop_rotate;
      case "crop_rotate_sharp": return Icons.crop_rotate_sharp;
      case "crop_rotate_rounded": return Icons.crop_rotate_rounded;
      case "crop_rotate_outlined": return Icons.crop_rotate_outlined;
      case "crop_square": return Icons.crop_square;
      case "crop_square_sharp": return Icons.crop_square_sharp;
      case "crop_square_rounded": return Icons.crop_square_rounded;
      case "crop_square_outlined": return Icons.crop_square_outlined;
      case "cruelty_free": return Icons.cruelty_free;
      case "cruelty_free_sharp": return Icons.cruelty_free_sharp;
      case "cruelty_free_rounded": return Icons.cruelty_free_rounded;
      case "cruelty_free_outlined": return Icons.cruelty_free_outlined;
      case "css": return Icons.css;
      case "css_sharp": return Icons.css_sharp;
      case "css_rounded": return Icons.css_rounded;
      case "css_outlined": return Icons.css_outlined;
      case "currency_bitcoin": return Icons.currency_bitcoin;
      case "currency_bitcoin_sharp": return Icons.currency_bitcoin_sharp;
      case "currency_bitcoin_rounded": return Icons.currency_bitcoin_rounded;
      case "currency_bitcoin_outlined": return Icons.currency_bitcoin_outlined;
      case "currency_exchange": return Icons.currency_exchange;
      case "currency_exchange_sharp": return Icons.currency_exchange_sharp;
      case "currency_exchange_rounded": return Icons.currency_exchange_rounded;
      case "currency_exchange_outlined": return Icons.currency_exchange_outlined;
      case "currency_franc": return Icons.currency_franc;
      case "currency_franc_sharp": return Icons.currency_franc_sharp;
      case "currency_franc_rounded": return Icons.currency_franc_rounded;
      case "currency_franc_outlined": return Icons.currency_franc_outlined;
      case "currency_lira": return Icons.currency_lira;
      case "currency_lira_sharp": return Icons.currency_lira_sharp;
      case "currency_lira_rounded": return Icons.currency_lira_rounded;
      case "currency_lira_outlined": return Icons.currency_lira_outlined;
      case "currency_pound": return Icons.currency_pound;
      case "currency_pound_sharp": return Icons.currency_pound_sharp;
      case "currency_pound_rounded": return Icons.currency_pound_rounded;
      case "currency_pound_outlined": return Icons.currency_pound_outlined;
      case "currency_ruble": return Icons.currency_ruble;
      case "currency_ruble_sharp": return Icons.currency_ruble_sharp;
      case "currency_ruble_rounded": return Icons.currency_ruble_rounded;
      case "currency_ruble_outlined": return Icons.currency_ruble_outlined;
      case "currency_rupee": return Icons.currency_rupee;
      case "currency_rupee_sharp": return Icons.currency_rupee_sharp;
      case "currency_rupee_rounded": return Icons.currency_rupee_rounded;
      case "currency_rupee_outlined": return Icons.currency_rupee_outlined;
      case "currency_yen": return Icons.currency_yen;
      case "currency_yen_sharp": return Icons.currency_yen_sharp;
      case "currency_yen_rounded": return Icons.currency_yen_rounded;
      case "currency_yen_outlined": return Icons.currency_yen_outlined;
      case "currency_yuan": return Icons.currency_yuan;
      case "currency_yuan_sharp": return Icons.currency_yuan_sharp;
      case "currency_yuan_rounded": return Icons.currency_yuan_rounded;
      case "currency_yuan_outlined": return Icons.currency_yuan_outlined;
      case "cut": return Icons.cut;
      case "cut_sharp": return Icons.cut_sharp;
      case "cut_rounded": return Icons.cut_rounded;
      case "cut_outlined": return Icons.cut_outlined;
      case "dangerous": return Icons.dangerous;
      case "dangerous_sharp": return Icons.dangerous_sharp;
      case "dangerous_rounded": return Icons.dangerous_rounded;
      case "dangerous_outlined": return Icons.dangerous_outlined;
      case "dark_mode": return Icons.dark_mode;
      case "dark_mode_sharp": return Icons.dark_mode_sharp;
      case "dark_mode_rounded": return Icons.dark_mode_rounded;
      case "dark_mode_outlined": return Icons.dark_mode_outlined;
      case "dashboard": return Icons.dashboard;
      case "dashboard_sharp": return Icons.dashboard_sharp;
      case "dashboard_rounded": return Icons.dashboard_rounded;
      case "dashboard_outlined": return Icons.dashboard_outlined;
      case "dashboard_customize": return Icons.dashboard_customize;
      case "dashboard_customize_sharp": return Icons.dashboard_customize_sharp;
      case "dashboard_customize_rounded": return Icons.dashboard_customize_rounded;
      case "dashboard_customize_outlined": return Icons.dashboard_customize_outlined;
      case "data_array": return Icons.data_array;
      case "data_array_sharp": return Icons.data_array_sharp;
      case "data_array_rounded": return Icons.data_array_rounded;
      case "data_array_outlined": return Icons.data_array_outlined;
      case "data_exploration": return Icons.data_exploration;
      case "data_exploration_sharp": return Icons.data_exploration_sharp;
      case "data_exploration_rounded": return Icons.data_exploration_rounded;
      case "data_exploration_outlined": return Icons.data_exploration_outlined;
      case "data_object": return Icons.data_object;
      case "data_object_sharp": return Icons.data_object_sharp;
      case "data_object_rounded": return Icons.data_object_rounded;
      case "data_object_outlined": return Icons.data_object_outlined;
      case "data_saver_off": return Icons.data_saver_off;
      case "data_saver_off_sharp": return Icons.data_saver_off_sharp;
      case "data_saver_off_rounded": return Icons.data_saver_off_rounded;
      case "data_saver_off_outlined": return Icons.data_saver_off_outlined;
      case "data_saver_on": return Icons.data_saver_on;
      case "data_saver_on_sharp": return Icons.data_saver_on_sharp;
      case "data_saver_on_rounded": return Icons.data_saver_on_rounded;
      case "data_saver_on_outlined": return Icons.data_saver_on_outlined;
      case "data_thresholding": return Icons.data_thresholding;
      case "data_thresholding_sharp": return Icons.data_thresholding_sharp;
      case "data_thresholding_rounded": return Icons.data_thresholding_rounded;
      case "data_thresholding_outlined": return Icons.data_thresholding_outlined;
      case "data_usage": return Icons.data_usage;
      case "data_usage_sharp": return Icons.data_usage_sharp;
      case "data_usage_rounded": return Icons.data_usage_rounded;
      case "data_usage_outlined": return Icons.data_usage_outlined;
      case "date_range": return Icons.date_range;
      case "date_range_sharp": return Icons.date_range_sharp;
      case "date_range_rounded": return Icons.date_range_rounded;
      case "date_range_outlined": return Icons.date_range_outlined;
      case "deblur": return Icons.deblur;
      case "deblur_sharp": return Icons.deblur_sharp;
      case "deblur_rounded": return Icons.deblur_rounded;
      case "deblur_outlined": return Icons.deblur_outlined;
      case "deck": return Icons.deck;
      case "deck_sharp": return Icons.deck_sharp;
      case "deck_rounded": return Icons.deck_rounded;
      case "deck_outlined": return Icons.deck_outlined;
      case "dehaze": return Icons.dehaze;
      case "dehaze_sharp": return Icons.dehaze_sharp;
      case "dehaze_rounded": return Icons.dehaze_rounded;
      case "dehaze_outlined": return Icons.dehaze_outlined;
      case "delete": return Icons.delete;
      case "delete_sharp": return Icons.delete_sharp;
      case "delete_rounded": return Icons.delete_rounded;
      case "delete_outlined": return Icons.delete_outlined;
      case "delete_forever": return Icons.delete_forever;
      case "delete_forever_sharp": return Icons.delete_forever_sharp;
      case "delete_forever_rounded": return Icons.delete_forever_rounded;
      case "delete_forever_outlined": return Icons.delete_forever_outlined;
      case "delete_outline": return Icons.delete_outline;
      case "delete_outline_sharp": return Icons.delete_outline_sharp;
      case "delete_outline_rounded": return Icons.delete_outline_rounded;
      case "delete_outline_outlined": return Icons.delete_outline_outlined;
      case "delete_sweep": return Icons.delete_sweep;
      case "delete_sweep_sharp": return Icons.delete_sweep_sharp;
      case "delete_sweep_rounded": return Icons.delete_sweep_rounded;
      case "delete_sweep_outlined": return Icons.delete_sweep_outlined;
      case "delivery_dining": return Icons.delivery_dining;
      case "delivery_dining_sharp": return Icons.delivery_dining_sharp;
      case "delivery_dining_rounded": return Icons.delivery_dining_rounded;
      case "delivery_dining_outlined": return Icons.delivery_dining_outlined;
      case "density_large": return Icons.density_large;
      case "density_large_sharp": return Icons.density_large_sharp;
      case "density_large_rounded": return Icons.density_large_rounded;
      case "density_large_outlined": return Icons.density_large_outlined;
      case "density_medium": return Icons.density_medium;
      case "density_medium_sharp": return Icons.density_medium_sharp;
      case "density_medium_rounded": return Icons.density_medium_rounded;
      case "density_medium_outlined": return Icons.density_medium_outlined;
      case "density_small": return Icons.density_small;
      case "density_small_sharp": return Icons.density_small_sharp;
      case "density_small_rounded": return Icons.density_small_rounded;
      case "density_small_outlined": return Icons.density_small_outlined;
      case "departure_board": return Icons.departure_board;
      case "departure_board_sharp": return Icons.departure_board_sharp;
      case "departure_board_rounded": return Icons.departure_board_rounded;
      case "departure_board_outlined": return Icons.departure_board_outlined;
      case "description": return Icons.description;
      case "description_sharp": return Icons.description_sharp;
      case "description_rounded": return Icons.description_rounded;
      case "description_outlined": return Icons.description_outlined;
      case "deselect": return Icons.deselect;
      case "deselect_sharp": return Icons.deselect_sharp;
      case "deselect_rounded": return Icons.deselect_rounded;
      case "deselect_outlined": return Icons.deselect_outlined;
      case "design_services": return Icons.design_services;
      case "design_services_sharp": return Icons.design_services_sharp;
      case "design_services_rounded": return Icons.design_services_rounded;
      case "design_services_outlined": return Icons.design_services_outlined;
      case "desktop_access_disabled": return Icons.desktop_access_disabled;
      case "desktop_access_disabled_sharp": return Icons.desktop_access_disabled_sharp;
      case "desktop_access_disabled_rounded": return Icons.desktop_access_disabled_rounded;
      case "desktop_access_disabled_outlined": return Icons.desktop_access_disabled_outlined;
      case "desktop_mac": return Icons.desktop_mac;
      case "desktop_mac_sharp": return Icons.desktop_mac_sharp;
      case "desktop_mac_rounded": return Icons.desktop_mac_rounded;
      case "desktop_mac_outlined": return Icons.desktop_mac_outlined;
      case "desktop_windows": return Icons.desktop_windows;
      case "desktop_windows_sharp": return Icons.desktop_windows_sharp;
      case "desktop_windows_rounded": return Icons.desktop_windows_rounded;
      case "desktop_windows_outlined": return Icons.desktop_windows_outlined;
      case "details": return Icons.details;
      case "details_sharp": return Icons.details_sharp;
      case "details_rounded": return Icons.details_rounded;
      case "details_outlined": return Icons.details_outlined;
      case "developer_board": return Icons.developer_board;
      case "developer_board_sharp": return Icons.developer_board_sharp;
      case "developer_board_rounded": return Icons.developer_board_rounded;
      case "developer_board_outlined": return Icons.developer_board_outlined;
      case "developer_board_off": return Icons.developer_board_off;
      case "developer_board_off_sharp": return Icons.developer_board_off_sharp;
      case "developer_board_off_rounded": return Icons.developer_board_off_rounded;
      case "developer_board_off_outlined": return Icons.developer_board_off_outlined;
      case "developer_mode": return Icons.developer_mode;
      case "developer_mode_sharp": return Icons.developer_mode_sharp;
      case "developer_mode_rounded": return Icons.developer_mode_rounded;
      case "developer_mode_outlined": return Icons.developer_mode_outlined;
      case "device_hub": return Icons.device_hub;
      case "device_hub_sharp": return Icons.device_hub_sharp;
      case "device_hub_rounded": return Icons.device_hub_rounded;
      case "device_hub_outlined": return Icons.device_hub_outlined;
      case "device_thermostat": return Icons.device_thermostat;
      case "device_thermostat_sharp": return Icons.device_thermostat_sharp;
      case "device_thermostat_rounded": return Icons.device_thermostat_rounded;
      case "device_thermostat_outlined": return Icons.device_thermostat_outlined;
      case "device_unknown": return Icons.device_unknown;
      case "device_unknown_sharp": return Icons.device_unknown_sharp;
      case "device_unknown_rounded": return Icons.device_unknown_rounded;
      case "device_unknown_outlined": return Icons.device_unknown_outlined;
      case "devices": return Icons.devices;
      case "devices_sharp": return Icons.devices_sharp;
      case "devices_rounded": return Icons.devices_rounded;
      case "devices_outlined": return Icons.devices_outlined;
      case "devices_other": return Icons.devices_other;
      case "devices_other_sharp": return Icons.devices_other_sharp;
      case "devices_other_rounded": return Icons.devices_other_rounded;
      case "devices_other_outlined": return Icons.devices_other_outlined;
      case "dialer_sip": return Icons.dialer_sip;
      case "dialer_sip_sharp": return Icons.dialer_sip_sharp;
      case "dialer_sip_rounded": return Icons.dialer_sip_rounded;
      case "dialer_sip_outlined": return Icons.dialer_sip_outlined;
      case "dialpad": return Icons.dialpad;
      case "dialpad_sharp": return Icons.dialpad_sharp;
      case "dialpad_rounded": return Icons.dialpad_rounded;
      case "dialpad_outlined": return Icons.dialpad_outlined;
      case "diamond": return Icons.diamond;
      case "diamond_sharp": return Icons.diamond_sharp;
      case "diamond_rounded": return Icons.diamond_rounded;
      case "diamond_outlined": return Icons.diamond_outlined;
      case "difference": return Icons.difference;
      case "difference_sharp": return Icons.difference_sharp;
      case "difference_rounded": return Icons.difference_rounded;
      case "difference_outlined": return Icons.difference_outlined;
      case "dining": return Icons.dining;
      case "dining_sharp": return Icons.dining_sharp;
      case "dining_rounded": return Icons.dining_rounded;
      case "dining_outlined": return Icons.dining_outlined;
      case "dinner_dining": return Icons.dinner_dining;
      case "dinner_dining_sharp": return Icons.dinner_dining_sharp;
      case "dinner_dining_rounded": return Icons.dinner_dining_rounded;
      case "dinner_dining_outlined": return Icons.dinner_dining_outlined;
      case "directions": return Icons.directions;
      case "directions_sharp": return Icons.directions_sharp;
      case "directions_rounded": return Icons.directions_rounded;
      case "directions_outlined": return Icons.directions_outlined;
      case "directions_bike": return Icons.directions_bike;
      case "directions_bike_sharp": return Icons.directions_bike_sharp;
      case "directions_bike_rounded": return Icons.directions_bike_rounded;
      case "directions_bike_outlined": return Icons.directions_bike_outlined;
      case "directions_boat": return Icons.directions_boat;
      case "directions_boat_sharp": return Icons.directions_boat_sharp;
      case "directions_boat_rounded": return Icons.directions_boat_rounded;
      case "directions_boat_outlined": return Icons.directions_boat_outlined;
      case "directions_boat_filled": return Icons.directions_boat_filled;
      case "directions_boat_filled_sharp": return Icons.directions_boat_filled_sharp;
      case "directions_boat_filled_rounded": return Icons.directions_boat_filled_rounded;
      case "directions_boat_filled_outlined": return Icons.directions_boat_filled_outlined;
      case "directions_bus": return Icons.directions_bus;
      case "directions_bus_sharp": return Icons.directions_bus_sharp;
      case "directions_bus_rounded": return Icons.directions_bus_rounded;
      case "directions_bus_outlined": return Icons.directions_bus_outlined;
      case "directions_bus_filled": return Icons.directions_bus_filled;
      case "directions_bus_filled_sharp": return Icons.directions_bus_filled_sharp;
      case "directions_bus_filled_rounded": return Icons.directions_bus_filled_rounded;
      case "directions_bus_filled_outlined": return Icons.directions_bus_filled_outlined;
      case "directions_car": return Icons.directions_car;
      case "directions_car_sharp": return Icons.directions_car_sharp;
      case "directions_car_rounded": return Icons.directions_car_rounded;
      case "directions_car_outlined": return Icons.directions_car_outlined;
      case "directions_car_filled": return Icons.directions_car_filled;
      case "directions_car_filled_sharp": return Icons.directions_car_filled_sharp;
      case "directions_car_filled_rounded": return Icons.directions_car_filled_rounded;
      case "directions_car_filled_outlined": return Icons.directions_car_filled_outlined;
      case "directions_ferry": return Icons.directions_ferry;
      case "directions_ferry_sharp": return Icons.directions_ferry_sharp;
      case "directions_ferry_rounded": return Icons.directions_ferry_rounded;
      case "directions_ferry_outlined": return Icons.directions_ferry_outlined;
      case "directions_off": return Icons.directions_off;
      case "directions_off_sharp": return Icons.directions_off_sharp;
      case "directions_off_rounded": return Icons.directions_off_rounded;
      case "directions_off_outlined": return Icons.directions_off_outlined;
      case "directions_railway": return Icons.directions_railway;
      case "directions_railway_sharp": return Icons.directions_railway_sharp;
      case "directions_railway_rounded": return Icons.directions_railway_rounded;
      case "directions_railway_outlined": return Icons.directions_railway_outlined;
      case "directions_railway_filled": return Icons.directions_railway_filled;
      case "directions_railway_filled_sharp": return Icons.directions_railway_filled_sharp;
      case "directions_railway_filled_rounded": return Icons.directions_railway_filled_rounded;
      case "directions_railway_filled_outlined": return Icons.directions_railway_filled_outlined;
      case "directions_run": return Icons.directions_run;
      case "directions_run_sharp": return Icons.directions_run_sharp;
      case "directions_run_rounded": return Icons.directions_run_rounded;
      case "directions_run_outlined": return Icons.directions_run_outlined;
      case "directions_subway": return Icons.directions_subway;
      case "directions_subway_sharp": return Icons.directions_subway_sharp;
      case "directions_subway_rounded": return Icons.directions_subway_rounded;
      case "directions_subway_outlined": return Icons.directions_subway_outlined;
      case "directions_subway_filled": return Icons.directions_subway_filled;
      case "directions_subway_filled_sharp": return Icons.directions_subway_filled_sharp;
      case "directions_subway_filled_rounded": return Icons.directions_subway_filled_rounded;
      case "directions_subway_filled_outlined": return Icons.directions_subway_filled_outlined;
      case "directions_train": return Icons.directions_train;
      case "directions_train_sharp": return Icons.directions_train_sharp;
      case "directions_train_rounded": return Icons.directions_train_rounded;
      case "directions_train_outlined": return Icons.directions_train_outlined;
      case "directions_transit": return Icons.directions_transit;
      case "directions_transit_sharp": return Icons.directions_transit_sharp;
      case "directions_transit_rounded": return Icons.directions_transit_rounded;
      case "directions_transit_outlined": return Icons.directions_transit_outlined;
      case "directions_transit_filled": return Icons.directions_transit_filled;
      case "directions_transit_filled_sharp": return Icons.directions_transit_filled_sharp;
      case "directions_transit_filled_rounded": return Icons.directions_transit_filled_rounded;
      case "directions_transit_filled_outlined": return Icons.directions_transit_filled_outlined;
      case "directions_walk": return Icons.directions_walk;
      case "directions_walk_sharp": return Icons.directions_walk_sharp;
      case "directions_walk_rounded": return Icons.directions_walk_rounded;
      case "directions_walk_outlined": return Icons.directions_walk_outlined;
      case "dirty_lens": return Icons.dirty_lens;
      case "dirty_lens_sharp": return Icons.dirty_lens_sharp;
      case "dirty_lens_rounded": return Icons.dirty_lens_rounded;
      case "dirty_lens_outlined": return Icons.dirty_lens_outlined;
      case "disabled_by_default": return Icons.disabled_by_default;
      case "disabled_by_default_sharp": return Icons.disabled_by_default_sharp;
      case "disabled_by_default_rounded": return Icons.disabled_by_default_rounded;
      case "disabled_by_default_outlined": return Icons.disabled_by_default_outlined;
      case "disabled_visible": return Icons.disabled_visible;
      case "disabled_visible_sharp": return Icons.disabled_visible_sharp;
      case "disabled_visible_rounded": return Icons.disabled_visible_rounded;
      case "disabled_visible_outlined": return Icons.disabled_visible_outlined;
      case "disc_full": return Icons.disc_full;
      case "disc_full_sharp": return Icons.disc_full_sharp;
      case "disc_full_rounded": return Icons.disc_full_rounded;
      case "disc_full_outlined": return Icons.disc_full_outlined;
      case "discord": return Icons.discord;
      case "discord_sharp": return Icons.discord_sharp;
      case "discord_rounded": return Icons.discord_rounded;
      case "discord_outlined": return Icons.discord_outlined;
      case "discount": return Icons.discount;
      case "discount_sharp": return Icons.discount_sharp;
      case "discount_rounded": return Icons.discount_rounded;
      case "discount_outlined": return Icons.discount_outlined;
      case "display_settings": return Icons.display_settings;
      case "display_settings_sharp": return Icons.display_settings_sharp;
      case "display_settings_rounded": return Icons.display_settings_rounded;
      case "display_settings_outlined": return Icons.display_settings_outlined;
      case "dnd_forwardslash": return Icons.dnd_forwardslash;
      case "dnd_forwardslash_sharp": return Icons.dnd_forwardslash_sharp;
      case "dnd_forwardslash_rounded": return Icons.dnd_forwardslash_rounded;
      case "dnd_forwardslash_outlined": return Icons.dnd_forwardslash_outlined;
      case "dns": return Icons.dns;
      case "dns_sharp": return Icons.dns_sharp;
      case "dns_rounded": return Icons.dns_rounded;
      case "dns_outlined": return Icons.dns_outlined;
      case "do_disturb": return Icons.do_disturb;
      case "do_disturb_sharp": return Icons.do_disturb_sharp;
      case "do_disturb_rounded": return Icons.do_disturb_rounded;
      case "do_disturb_outlined": return Icons.do_disturb_outlined;
      case "do_disturb_alt": return Icons.do_disturb_alt;
      case "do_disturb_alt_sharp": return Icons.do_disturb_alt_sharp;
      case "do_disturb_alt_rounded": return Icons.do_disturb_alt_rounded;
      case "do_disturb_alt_outlined": return Icons.do_disturb_alt_outlined;
      case "do_disturb_off": return Icons.do_disturb_off;
      case "do_disturb_off_sharp": return Icons.do_disturb_off_sharp;
      case "do_disturb_off_rounded": return Icons.do_disturb_off_rounded;
      case "do_disturb_off_outlined": return Icons.do_disturb_off_outlined;
      case "do_disturb_on": return Icons.do_disturb_on;
      case "do_disturb_on_sharp": return Icons.do_disturb_on_sharp;
      case "do_disturb_on_rounded": return Icons.do_disturb_on_rounded;
      case "do_disturb_on_outlined": return Icons.do_disturb_on_outlined;
      case "do_not_disturb": return Icons.do_not_disturb;
      case "do_not_disturb_sharp": return Icons.do_not_disturb_sharp;
      case "do_not_disturb_rounded": return Icons.do_not_disturb_rounded;
      case "do_not_disturb_outlined": return Icons.do_not_disturb_outlined;
      case "do_not_disturb_alt": return Icons.do_not_disturb_alt;
      case "do_not_disturb_alt_sharp": return Icons.do_not_disturb_alt_sharp;
      case "do_not_disturb_alt_rounded": return Icons.do_not_disturb_alt_rounded;
      case "do_not_disturb_alt_outlined": return Icons.do_not_disturb_alt_outlined;
      case "do_not_disturb_off": return Icons.do_not_disturb_off;
      case "do_not_disturb_off_sharp": return Icons.do_not_disturb_off_sharp;
      case "do_not_disturb_off_rounded": return Icons.do_not_disturb_off_rounded;
      case "do_not_disturb_off_outlined": return Icons.do_not_disturb_off_outlined;
      case "do_not_disturb_on": return Icons.do_not_disturb_on;
      case "do_not_disturb_on_sharp": return Icons.do_not_disturb_on_sharp;
      case "do_not_disturb_on_rounded": return Icons.do_not_disturb_on_rounded;
      case "do_not_disturb_on_outlined": return Icons.do_not_disturb_on_outlined;
      case "do_not_disturb_on_total_silence": return Icons.do_not_disturb_on_total_silence;
      case "do_not_disturb_on_total_silence_sharp": return Icons.do_not_disturb_on_total_silence_sharp;
      case "do_not_disturb_on_total_silence_rounded": return Icons.do_not_disturb_on_total_silence_rounded;
      case "do_not_disturb_on_total_silence_outlined": return Icons.do_not_disturb_on_total_silence_outlined;
      case "do_not_step": return Icons.do_not_step;
      case "do_not_step_sharp": return Icons.do_not_step_sharp;
      case "do_not_step_rounded": return Icons.do_not_step_rounded;
      case "do_not_step_outlined": return Icons.do_not_step_outlined;
      case "do_not_touch": return Icons.do_not_touch;
      case "do_not_touch_sharp": return Icons.do_not_touch_sharp;
      case "do_not_touch_rounded": return Icons.do_not_touch_rounded;
      case "do_not_touch_outlined": return Icons.do_not_touch_outlined;
      case "dock": return Icons.dock;
      case "dock_sharp": return Icons.dock_sharp;
      case "dock_rounded": return Icons.dock_rounded;
      case "dock_outlined": return Icons.dock_outlined;
      case "document_scanner": return Icons.document_scanner;
      case "document_scanner_sharp": return Icons.document_scanner_sharp;
      case "document_scanner_rounded": return Icons.document_scanner_rounded;
      case "document_scanner_outlined": return Icons.document_scanner_outlined;
      case "domain": return Icons.domain;
      case "domain_sharp": return Icons.domain_sharp;
      case "domain_rounded": return Icons.domain_rounded;
      case "domain_outlined": return Icons.domain_outlined;
      case "domain_add": return Icons.domain_add;
      case "domain_add_sharp": return Icons.domain_add_sharp;
      case "domain_add_rounded": return Icons.domain_add_rounded;
      case "domain_add_outlined": return Icons.domain_add_outlined;
      case "domain_disabled": return Icons.domain_disabled;
      case "domain_disabled_sharp": return Icons.domain_disabled_sharp;
      case "domain_disabled_rounded": return Icons.domain_disabled_rounded;
      case "domain_disabled_outlined": return Icons.domain_disabled_outlined;
      case "domain_verification": return Icons.domain_verification;
      case "domain_verification_sharp": return Icons.domain_verification_sharp;
      case "domain_verification_rounded": return Icons.domain_verification_rounded;
      case "domain_verification_outlined": return Icons.domain_verification_outlined;
      case "done": return Icons.done;
      case "done_sharp": return Icons.done_sharp;
      case "done_rounded": return Icons.done_rounded;
      case "done_outlined": return Icons.done_outlined;
      case "done_all": return Icons.done_all;
      case "done_all_sharp": return Icons.done_all_sharp;
      case "done_all_rounded": return Icons.done_all_rounded;
      case "done_all_outlined": return Icons.done_all_outlined;
      case "done_outline": return Icons.done_outline;
      case "done_outline_sharp": return Icons.done_outline_sharp;
      case "done_outline_rounded": return Icons.done_outline_rounded;
      case "done_outline_outlined": return Icons.done_outline_outlined;
      case "donut_large": return Icons.donut_large;
      case "donut_large_sharp": return Icons.donut_large_sharp;
      case "donut_large_rounded": return Icons.donut_large_rounded;
      case "donut_large_outlined": return Icons.donut_large_outlined;
      case "donut_small": return Icons.donut_small;
      case "donut_small_sharp": return Icons.donut_small_sharp;
      case "donut_small_rounded": return Icons.donut_small_rounded;
      case "donut_small_outlined": return Icons.donut_small_outlined;
      case "door_back_door": return Icons.door_back_door;
      case "door_back_door_sharp": return Icons.door_back_door_sharp;
      case "door_back_door_rounded": return Icons.door_back_door_rounded;
      case "door_back_door_outlined": return Icons.door_back_door_outlined;
      case "door_front_door": return Icons.door_front_door;
      case "door_front_door_sharp": return Icons.door_front_door_sharp;
      case "door_front_door_rounded": return Icons.door_front_door_rounded;
      case "door_front_door_outlined": return Icons.door_front_door_outlined;
      case "door_sliding": return Icons.door_sliding;
      case "door_sliding_sharp": return Icons.door_sliding_sharp;
      case "door_sliding_rounded": return Icons.door_sliding_rounded;
      case "door_sliding_outlined": return Icons.door_sliding_outlined;
      case "doorbell": return Icons.doorbell;
      case "doorbell_sharp": return Icons.doorbell_sharp;
      case "doorbell_rounded": return Icons.doorbell_rounded;
      case "doorbell_outlined": return Icons.doorbell_outlined;
      case "double_arrow": return Icons.double_arrow;
      case "double_arrow_sharp": return Icons.double_arrow_sharp;
      case "double_arrow_rounded": return Icons.double_arrow_rounded;
      case "double_arrow_outlined": return Icons.double_arrow_outlined;
      case "downhill_skiing": return Icons.downhill_skiing;
      case "downhill_skiing_sharp": return Icons.downhill_skiing_sharp;
      case "downhill_skiing_rounded": return Icons.downhill_skiing_rounded;
      case "downhill_skiing_outlined": return Icons.downhill_skiing_outlined;
      case "download": return Icons.download;
      case "download_sharp": return Icons.download_sharp;
      case "download_rounded": return Icons.download_rounded;
      case "download_outlined": return Icons.download_outlined;
      case "download_done": return Icons.download_done;
      case "download_done_sharp": return Icons.download_done_sharp;
      case "download_done_rounded": return Icons.download_done_rounded;
      case "download_done_outlined": return Icons.download_done_outlined;
      case "download_for_offline": return Icons.download_for_offline;
      case "download_for_offline_sharp": return Icons.download_for_offline_sharp;
      case "download_for_offline_rounded": return Icons.download_for_offline_rounded;
      case "download_for_offline_outlined": return Icons.download_for_offline_outlined;
      case "downloading": return Icons.downloading;
      case "downloading_sharp": return Icons.downloading_sharp;
      case "downloading_rounded": return Icons.downloading_rounded;
      case "downloading_outlined": return Icons.downloading_outlined;
      case "drafts": return Icons.drafts;
      case "drafts_sharp": return Icons.drafts_sharp;
      case "drafts_rounded": return Icons.drafts_rounded;
      case "drafts_outlined": return Icons.drafts_outlined;
      case "drag_handle": return Icons.drag_handle;
      case "drag_handle_sharp": return Icons.drag_handle_sharp;
      case "drag_handle_rounded": return Icons.drag_handle_rounded;
      case "drag_handle_outlined": return Icons.drag_handle_outlined;
      case "drag_indicator": return Icons.drag_indicator;
      case "drag_indicator_sharp": return Icons.drag_indicator_sharp;
      case "drag_indicator_rounded": return Icons.drag_indicator_rounded;
      case "drag_indicator_outlined": return Icons.drag_indicator_outlined;
      case "draw": return Icons.draw;
      case "draw_sharp": return Icons.draw_sharp;
      case "draw_rounded": return Icons.draw_rounded;
      case "draw_outlined": return Icons.draw_outlined;
      case "drive_eta": return Icons.drive_eta;
      case "drive_eta_sharp": return Icons.drive_eta_sharp;
      case "drive_eta_rounded": return Icons.drive_eta_rounded;
      case "drive_eta_outlined": return Icons.drive_eta_outlined;
      case "drive_file_move": return Icons.drive_file_move;
      case "drive_file_move_sharp": return Icons.drive_file_move_sharp;
      case "drive_file_move_rounded": return Icons.drive_file_move_rounded;
      case "drive_file_move_outlined": return Icons.drive_file_move_outlined;
      case "drive_file_move_outline": return Icons.drive_file_move_outline;
      case "drive_file_move_rtl": return Icons.drive_file_move_rtl;
      case "drive_file_move_rtl_sharp": return Icons.drive_file_move_rtl_sharp;
      case "drive_file_move_rtl_rounded": return Icons.drive_file_move_rtl_rounded;
      case "drive_file_move_rtl_outlined": return Icons.drive_file_move_rtl_outlined;
      case "drive_file_rename_outline": return Icons.drive_file_rename_outline;
      case "drive_file_rename_outline_sharp": return Icons.drive_file_rename_outline_sharp;
      case "drive_file_rename_outline_rounded": return Icons.drive_file_rename_outline_rounded;
      case "drive_file_rename_outline_outlined": return Icons.drive_file_rename_outline_outlined;
      case "drive_folder_upload": return Icons.drive_folder_upload;
      case "drive_folder_upload_sharp": return Icons.drive_folder_upload_sharp;
      case "drive_folder_upload_rounded": return Icons.drive_folder_upload_rounded;
      case "drive_folder_upload_outlined": return Icons.drive_folder_upload_outlined;
      case "dry": return Icons.dry;
      case "dry_sharp": return Icons.dry_sharp;
      case "dry_rounded": return Icons.dry_rounded;
      case "dry_outlined": return Icons.dry_outlined;
      case "dry_cleaning": return Icons.dry_cleaning;
      case "dry_cleaning_sharp": return Icons.dry_cleaning_sharp;
      case "dry_cleaning_rounded": return Icons.dry_cleaning_rounded;
      case "dry_cleaning_outlined": return Icons.dry_cleaning_outlined;
      case "duo": return Icons.duo;
      case "duo_sharp": return Icons.duo_sharp;
      case "duo_rounded": return Icons.duo_rounded;
      case "duo_outlined": return Icons.duo_outlined;
      case "dvr": return Icons.dvr;
      case "dvr_sharp": return Icons.dvr_sharp;
      case "dvr_rounded": return Icons.dvr_rounded;
      case "dvr_outlined": return Icons.dvr_outlined;
      case "dynamic_feed": return Icons.dynamic_feed;
      case "dynamic_feed_sharp": return Icons.dynamic_feed_sharp;
      case "dynamic_feed_rounded": return Icons.dynamic_feed_rounded;
      case "dynamic_feed_outlined": return Icons.dynamic_feed_outlined;
      case "dynamic_form": return Icons.dynamic_form;
      case "dynamic_form_sharp": return Icons.dynamic_form_sharp;
      case "dynamic_form_rounded": return Icons.dynamic_form_rounded;
      case "dynamic_form_outlined": return Icons.dynamic_form_outlined;
      case "e_mobiledata": return Icons.e_mobiledata;
      case "e_mobiledata_sharp": return Icons.e_mobiledata_sharp;
      case "e_mobiledata_rounded": return Icons.e_mobiledata_rounded;
      case "e_mobiledata_outlined": return Icons.e_mobiledata_outlined;
      case "earbuds": return Icons.earbuds;
      case "earbuds_sharp": return Icons.earbuds_sharp;
      case "earbuds_rounded": return Icons.earbuds_rounded;
      case "earbuds_outlined": return Icons.earbuds_outlined;
      case "earbuds_battery": return Icons.earbuds_battery;
      case "earbuds_battery_sharp": return Icons.earbuds_battery_sharp;
      case "earbuds_battery_rounded": return Icons.earbuds_battery_rounded;
      case "earbuds_battery_outlined": return Icons.earbuds_battery_outlined;
      case "east": return Icons.east;
      case "east_sharp": return Icons.east_sharp;
      case "east_rounded": return Icons.east_rounded;
      case "east_outlined": return Icons.east_outlined;
      case "eco": return Icons.eco;
      case "eco_sharp": return Icons.eco_sharp;
      case "eco_rounded": return Icons.eco_rounded;
      case "eco_outlined": return Icons.eco_outlined;
      case "edgesensor_high": return Icons.edgesensor_high;
      case "edgesensor_high_sharp": return Icons.edgesensor_high_sharp;
      case "edgesensor_high_rounded": return Icons.edgesensor_high_rounded;
      case "edgesensor_high_outlined": return Icons.edgesensor_high_outlined;
      case "edgesensor_low": return Icons.edgesensor_low;
      case "edgesensor_low_sharp": return Icons.edgesensor_low_sharp;
      case "edgesensor_low_rounded": return Icons.edgesensor_low_rounded;
      case "edgesensor_low_outlined": return Icons.edgesensor_low_outlined;
      case "edit": return Icons.edit;
      case "edit_sharp": return Icons.edit_sharp;
      case "edit_rounded": return Icons.edit_rounded;
      case "edit_outlined": return Icons.edit_outlined;
      case "edit_attributes": return Icons.edit_attributes;
      case "edit_attributes_sharp": return Icons.edit_attributes_sharp;
      case "edit_attributes_rounded": return Icons.edit_attributes_rounded;
      case "edit_attributes_outlined": return Icons.edit_attributes_outlined;
      case "edit_calendar": return Icons.edit_calendar;
      case "edit_calendar_sharp": return Icons.edit_calendar_sharp;
      case "edit_calendar_rounded": return Icons.edit_calendar_rounded;
      case "edit_calendar_outlined": return Icons.edit_calendar_outlined;
      case "edit_location": return Icons.edit_location;
      case "edit_location_sharp": return Icons.edit_location_sharp;
      case "edit_location_rounded": return Icons.edit_location_rounded;
      case "edit_location_outlined": return Icons.edit_location_outlined;
      case "edit_location_alt": return Icons.edit_location_alt;
      case "edit_location_alt_sharp": return Icons.edit_location_alt_sharp;
      case "edit_location_alt_rounded": return Icons.edit_location_alt_rounded;
      case "edit_location_alt_outlined": return Icons.edit_location_alt_outlined;
      case "edit_note": return Icons.edit_note;
      case "edit_note_sharp": return Icons.edit_note_sharp;
      case "edit_note_rounded": return Icons.edit_note_rounded;
      case "edit_note_outlined": return Icons.edit_note_outlined;
      case "edit_notifications": return Icons.edit_notifications;
      case "edit_notifications_sharp": return Icons.edit_notifications_sharp;
      case "edit_notifications_rounded": return Icons.edit_notifications_rounded;
      case "edit_notifications_outlined": return Icons.edit_notifications_outlined;
      case "edit_off": return Icons.edit_off;
      case "edit_off_sharp": return Icons.edit_off_sharp;
      case "edit_off_rounded": return Icons.edit_off_rounded;
      case "edit_off_outlined": return Icons.edit_off_outlined;
      case "edit_road": return Icons.edit_road;
      case "edit_road_sharp": return Icons.edit_road_sharp;
      case "edit_road_rounded": return Icons.edit_road_rounded;
      case "edit_road_outlined": return Icons.edit_road_outlined;
      case "egg": return Icons.egg;
      case "egg_sharp": return Icons.egg_sharp;
      case "egg_rounded": return Icons.egg_rounded;
      case "egg_outlined": return Icons.egg_outlined;
      case "egg_alt": return Icons.egg_alt;
      case "egg_alt_sharp": return Icons.egg_alt_sharp;
      case "egg_alt_rounded": return Icons.egg_alt_rounded;
      case "egg_alt_outlined": return Icons.egg_alt_outlined;
      case "eject": return Icons.eject;
      case "eject_sharp": return Icons.eject_sharp;
      case "eject_rounded": return Icons.eject_rounded;
      case "eject_outlined": return Icons.eject_outlined;
      case "elderly": return Icons.elderly;
      case "elderly_sharp": return Icons.elderly_sharp;
      case "elderly_rounded": return Icons.elderly_rounded;
      case "elderly_outlined": return Icons.elderly_outlined;
      case "elderly_woman": return Icons.elderly_woman;
      case "elderly_woman_sharp": return Icons.elderly_woman_sharp;
      case "elderly_woman_rounded": return Icons.elderly_woman_rounded;
      case "elderly_woman_outlined": return Icons.elderly_woman_outlined;
      case "electric_bike": return Icons.electric_bike;
      case "electric_bike_sharp": return Icons.electric_bike_sharp;
      case "electric_bike_rounded": return Icons.electric_bike_rounded;
      case "electric_bike_outlined": return Icons.electric_bike_outlined;
      case "electric_car": return Icons.electric_car;
      case "electric_car_sharp": return Icons.electric_car_sharp;
      case "electric_car_rounded": return Icons.electric_car_rounded;
      case "electric_car_outlined": return Icons.electric_car_outlined;
      case "electric_moped": return Icons.electric_moped;
      case "electric_moped_sharp": return Icons.electric_moped_sharp;
      case "electric_moped_rounded": return Icons.electric_moped_rounded;
      case "electric_moped_outlined": return Icons.electric_moped_outlined;
      case "electric_rickshaw": return Icons.electric_rickshaw;
      case "electric_rickshaw_sharp": return Icons.electric_rickshaw_sharp;
      case "electric_rickshaw_rounded": return Icons.electric_rickshaw_rounded;
      case "electric_rickshaw_outlined": return Icons.electric_rickshaw_outlined;
      case "electric_scooter": return Icons.electric_scooter;
      case "electric_scooter_sharp": return Icons.electric_scooter_sharp;
      case "electric_scooter_rounded": return Icons.electric_scooter_rounded;
      case "electric_scooter_outlined": return Icons.electric_scooter_outlined;
      case "electrical_services": return Icons.electrical_services;
      case "electrical_services_sharp": return Icons.electrical_services_sharp;
      case "electrical_services_rounded": return Icons.electrical_services_rounded;
      case "electrical_services_outlined": return Icons.electrical_services_outlined;
      case "elevator": return Icons.elevator;
      case "elevator_sharp": return Icons.elevator_sharp;
      case "elevator_rounded": return Icons.elevator_rounded;
      case "elevator_outlined": return Icons.elevator_outlined;
      case "email": return Icons.email;
      case "email_sharp": return Icons.email_sharp;
      case "email_rounded": return Icons.email_rounded;
      case "email_outlined": return Icons.email_outlined;
      case "emergency": return Icons.emergency;
      case "emergency_sharp": return Icons.emergency_sharp;
      case "emergency_rounded": return Icons.emergency_rounded;
      case "emergency_outlined": return Icons.emergency_outlined;
      case "emoji_emotions": return Icons.emoji_emotions;
      case "emoji_emotions_sharp": return Icons.emoji_emotions_sharp;
      case "emoji_emotions_rounded": return Icons.emoji_emotions_rounded;
      case "emoji_emotions_outlined": return Icons.emoji_emotions_outlined;
      case "emoji_events": return Icons.emoji_events;
      case "emoji_events_sharp": return Icons.emoji_events_sharp;
      case "emoji_events_rounded": return Icons.emoji_events_rounded;
      case "emoji_events_outlined": return Icons.emoji_events_outlined;
      case "emoji_flags": return Icons.emoji_flags;
      case "emoji_flags_sharp": return Icons.emoji_flags_sharp;
      case "emoji_flags_rounded": return Icons.emoji_flags_rounded;
      case "emoji_flags_outlined": return Icons.emoji_flags_outlined;
      case "emoji_food_beverage": return Icons.emoji_food_beverage;
      case "emoji_food_beverage_sharp": return Icons.emoji_food_beverage_sharp;
      case "emoji_food_beverage_rounded": return Icons.emoji_food_beverage_rounded;
      case "emoji_food_beverage_outlined": return Icons.emoji_food_beverage_outlined;
      case "emoji_nature": return Icons.emoji_nature;
      case "emoji_nature_sharp": return Icons.emoji_nature_sharp;
      case "emoji_nature_rounded": return Icons.emoji_nature_rounded;
      case "emoji_nature_outlined": return Icons.emoji_nature_outlined;
      case "emoji_objects": return Icons.emoji_objects;
      case "emoji_objects_sharp": return Icons.emoji_objects_sharp;
      case "emoji_objects_rounded": return Icons.emoji_objects_rounded;
      case "emoji_objects_outlined": return Icons.emoji_objects_outlined;
      case "emoji_people": return Icons.emoji_people;
      case "emoji_people_sharp": return Icons.emoji_people_sharp;
      case "emoji_people_rounded": return Icons.emoji_people_rounded;
      case "emoji_people_outlined": return Icons.emoji_people_outlined;
      case "emoji_symbols": return Icons.emoji_symbols;
      case "emoji_symbols_sharp": return Icons.emoji_symbols_sharp;
      case "emoji_symbols_rounded": return Icons.emoji_symbols_rounded;
      case "emoji_symbols_outlined": return Icons.emoji_symbols_outlined;
      case "emoji_transportation": return Icons.emoji_transportation;
      case "emoji_transportation_sharp": return Icons.emoji_transportation_sharp;
      case "emoji_transportation_rounded": return Icons.emoji_transportation_rounded;
      case "emoji_transportation_outlined": return Icons.emoji_transportation_outlined;
      case "engineering": return Icons.engineering;
      case "engineering_sharp": return Icons.engineering_sharp;
      case "engineering_rounded": return Icons.engineering_rounded;
      case "engineering_outlined": return Icons.engineering_outlined;
      case "enhance_photo_translate": return Icons.enhance_photo_translate;
      case "enhance_photo_translate_sharp": return Icons.enhance_photo_translate_sharp;
      case "enhance_photo_translate_rounded": return Icons.enhance_photo_translate_rounded;
      case "enhance_photo_translate_outlined": return Icons.enhance_photo_translate_outlined;
      case "enhanced_encryption": return Icons.enhanced_encryption;
      case "enhanced_encryption_sharp": return Icons.enhanced_encryption_sharp;
      case "enhanced_encryption_rounded": return Icons.enhanced_encryption_rounded;
      case "enhanced_encryption_outlined": return Icons.enhanced_encryption_outlined;
      case "equalizer": return Icons.equalizer;
      case "equalizer_sharp": return Icons.equalizer_sharp;
      case "equalizer_rounded": return Icons.equalizer_rounded;
      case "equalizer_outlined": return Icons.equalizer_outlined;
      case "error": return Icons.error;
      case "error_sharp": return Icons.error_sharp;
      case "error_rounded": return Icons.error_rounded;
      case "error_outlined": return Icons.error_outlined;
      case "error_outline": return Icons.error_outline;
      case "error_outline_sharp": return Icons.error_outline_sharp;
      case "error_outline_rounded": return Icons.error_outline_rounded;
      case "error_outline_outlined": return Icons.error_outline_outlined;
      case "escalator": return Icons.escalator;
      case "escalator_sharp": return Icons.escalator_sharp;
      case "escalator_rounded": return Icons.escalator_rounded;
      case "escalator_outlined": return Icons.escalator_outlined;
      case "escalator_warning": return Icons.escalator_warning;
      case "escalator_warning_sharp": return Icons.escalator_warning_sharp;
      case "escalator_warning_rounded": return Icons.escalator_warning_rounded;
      case "escalator_warning_outlined": return Icons.escalator_warning_outlined;
      case "euro": return Icons.euro;
      case "euro_sharp": return Icons.euro_sharp;
      case "euro_rounded": return Icons.euro_rounded;
      case "euro_outlined": return Icons.euro_outlined;
      case "euro_symbol": return Icons.euro_symbol;
      case "euro_symbol_sharp": return Icons.euro_symbol_sharp;
      case "euro_symbol_rounded": return Icons.euro_symbol_rounded;
      case "euro_symbol_outlined": return Icons.euro_symbol_outlined;
      case "ev_station": return Icons.ev_station;
      case "ev_station_sharp": return Icons.ev_station_sharp;
      case "ev_station_rounded": return Icons.ev_station_rounded;
      case "ev_station_outlined": return Icons.ev_station_outlined;
      case "event": return Icons.event;
      case "event_sharp": return Icons.event_sharp;
      case "event_rounded": return Icons.event_rounded;
      case "event_outlined": return Icons.event_outlined;
      case "event_available": return Icons.event_available;
      case "event_available_sharp": return Icons.event_available_sharp;
      case "event_available_rounded": return Icons.event_available_rounded;
      case "event_available_outlined": return Icons.event_available_outlined;
      case "event_busy": return Icons.event_busy;
      case "event_busy_sharp": return Icons.event_busy_sharp;
      case "event_busy_rounded": return Icons.event_busy_rounded;
      case "event_busy_outlined": return Icons.event_busy_outlined;
      case "event_note": return Icons.event_note;
      case "event_note_sharp": return Icons.event_note_sharp;
      case "event_note_rounded": return Icons.event_note_rounded;
      case "event_note_outlined": return Icons.event_note_outlined;
      case "event_repeat": return Icons.event_repeat;
      case "event_repeat_sharp": return Icons.event_repeat_sharp;
      case "event_repeat_rounded": return Icons.event_repeat_rounded;
      case "event_repeat_outlined": return Icons.event_repeat_outlined;
      case "event_seat": return Icons.event_seat;
      case "event_seat_sharp": return Icons.event_seat_sharp;
      case "event_seat_rounded": return Icons.event_seat_rounded;
      case "event_seat_outlined": return Icons.event_seat_outlined;
      case "exit_to_app": return Icons.exit_to_app;
      case "exit_to_app_sharp": return Icons.exit_to_app_sharp;
      case "exit_to_app_rounded": return Icons.exit_to_app_rounded;
      case "exit_to_app_outlined": return Icons.exit_to_app_outlined;
      case "expand": return Icons.expand;
      case "expand_sharp": return Icons.expand_sharp;
      case "expand_rounded": return Icons.expand_rounded;
      case "expand_outlined": return Icons.expand_outlined;
      case "expand_circle_down": return Icons.expand_circle_down;
      case "expand_circle_down_sharp": return Icons.expand_circle_down_sharp;
      case "expand_circle_down_rounded": return Icons.expand_circle_down_rounded;
      case "expand_circle_down_outlined": return Icons.expand_circle_down_outlined;
      case "expand_less": return Icons.expand_less;
      case "expand_less_sharp": return Icons.expand_less_sharp;
      case "expand_less_rounded": return Icons.expand_less_rounded;
      case "expand_less_outlined": return Icons.expand_less_outlined;
      case "expand_more": return Icons.expand_more;
      case "expand_more_sharp": return Icons.expand_more_sharp;
      case "expand_more_rounded": return Icons.expand_more_rounded;
      case "expand_more_outlined": return Icons.expand_more_outlined;
      case "explicit": return Icons.explicit;
      case "explicit_sharp": return Icons.explicit_sharp;
      case "explicit_rounded": return Icons.explicit_rounded;
      case "explicit_outlined": return Icons.explicit_outlined;
      case "explore": return Icons.explore;
      case "explore_sharp": return Icons.explore_sharp;
      case "explore_rounded": return Icons.explore_rounded;
      case "explore_outlined": return Icons.explore_outlined;
      case "explore_off": return Icons.explore_off;
      case "explore_off_sharp": return Icons.explore_off_sharp;
      case "explore_off_rounded": return Icons.explore_off_rounded;
      case "explore_off_outlined": return Icons.explore_off_outlined;
      case "exposure": return Icons.exposure;
      case "exposure_sharp": return Icons.exposure_sharp;
      case "exposure_rounded": return Icons.exposure_rounded;
      case "exposure_outlined": return Icons.exposure_outlined;
      case "exposure_minus_1": return Icons.exposure_minus_1;
      case "exposure_minus_1_sharp": return Icons.exposure_minus_1_sharp;
      case "exposure_minus_1_rounded": return Icons.exposure_minus_1_rounded;
      case "exposure_minus_1_outlined": return Icons.exposure_minus_1_outlined;
      case "exposure_minus_2": return Icons.exposure_minus_2;
      case "exposure_minus_2_sharp": return Icons.exposure_minus_2_sharp;
      case "exposure_minus_2_rounded": return Icons.exposure_minus_2_rounded;
      case "exposure_minus_2_outlined": return Icons.exposure_minus_2_outlined;
      case "exposure_neg_1": return Icons.exposure_neg_1;
      case "exposure_neg_1_sharp": return Icons.exposure_neg_1_sharp;
      case "exposure_neg_1_rounded": return Icons.exposure_neg_1_rounded;
      case "exposure_neg_1_outlined": return Icons.exposure_neg_1_outlined;
      case "exposure_neg_2": return Icons.exposure_neg_2;
      case "exposure_neg_2_sharp": return Icons.exposure_neg_2_sharp;
      case "exposure_neg_2_rounded": return Icons.exposure_neg_2_rounded;
      case "exposure_neg_2_outlined": return Icons.exposure_neg_2_outlined;
      case "exposure_plus_1": return Icons.exposure_plus_1;
      case "exposure_plus_1_sharp": return Icons.exposure_plus_1_sharp;
      case "exposure_plus_1_rounded": return Icons.exposure_plus_1_rounded;
      case "exposure_plus_1_outlined": return Icons.exposure_plus_1_outlined;
      case "exposure_plus_2": return Icons.exposure_plus_2;
      case "exposure_plus_2_sharp": return Icons.exposure_plus_2_sharp;
      case "exposure_plus_2_rounded": return Icons.exposure_plus_2_rounded;
      case "exposure_plus_2_outlined": return Icons.exposure_plus_2_outlined;
      case "exposure_zero": return Icons.exposure_zero;
      case "exposure_zero_sharp": return Icons.exposure_zero_sharp;
      case "exposure_zero_rounded": return Icons.exposure_zero_rounded;
      case "exposure_zero_outlined": return Icons.exposure_zero_outlined;
      case "extension": return Icons.extension;
      case "extension_sharp": return Icons.extension_sharp;
      case "extension_rounded": return Icons.extension_rounded;
      case "extension_outlined": return Icons.extension_outlined;
      case "extension_off": return Icons.extension_off;
      case "extension_off_sharp": return Icons.extension_off_sharp;
      case "extension_off_rounded": return Icons.extension_off_rounded;
      case "extension_off_outlined": return Icons.extension_off_outlined;
      case "face": return Icons.face;
      case "face_sharp": return Icons.face_sharp;
      case "face_rounded": return Icons.face_rounded;
      case "face_outlined": return Icons.face_outlined;
      case "face_retouching_natural": return Icons.face_retouching_natural;
      case "face_retouching_natural_sharp": return Icons.face_retouching_natural_sharp;
      case "face_retouching_natural_rounded": return Icons.face_retouching_natural_rounded;
      case "face_retouching_natural_outlined": return Icons.face_retouching_natural_outlined;
      case "face_retouching_off": return Icons.face_retouching_off;
      case "face_retouching_off_sharp": return Icons.face_retouching_off_sharp;
      case "face_retouching_off_rounded": return Icons.face_retouching_off_rounded;
      case "face_retouching_off_outlined": return Icons.face_retouching_off_outlined;
      case "face_unlock_sharp": return Icons.face_unlock_sharp;
      case "face_unlock_rounded": return Icons.face_unlock_rounded;
      case "face_unlock_outlined": return Icons.face_unlock_outlined;
      case "facebook": return Icons.facebook;
      case "facebook_sharp": return Icons.facebook_sharp;
      case "facebook_rounded": return Icons.facebook_rounded;
      case "facebook_outlined": return Icons.facebook_outlined;
      case "fact_check": return Icons.fact_check;
      case "fact_check_sharp": return Icons.fact_check_sharp;
      case "fact_check_rounded": return Icons.fact_check_rounded;
      case "fact_check_outlined": return Icons.fact_check_outlined;
      case "factory": return Icons.factory;
      case "factory_sharp": return Icons.factory_sharp;
      case "factory_rounded": return Icons.factory_rounded;
      case "factory_outlined": return Icons.factory_outlined;
      case "family_restroom": return Icons.family_restroom;
      case "family_restroom_sharp": return Icons.family_restroom_sharp;
      case "family_restroom_rounded": return Icons.family_restroom_rounded;
      case "family_restroom_outlined": return Icons.family_restroom_outlined;
      case "fast_forward": return Icons.fast_forward;
      case "fast_forward_sharp": return Icons.fast_forward_sharp;
      case "fast_forward_rounded": return Icons.fast_forward_rounded;
      case "fast_forward_outlined": return Icons.fast_forward_outlined;
      case "fast_rewind": return Icons.fast_rewind;
      case "fast_rewind_sharp": return Icons.fast_rewind_sharp;
      case "fast_rewind_rounded": return Icons.fast_rewind_rounded;
      case "fast_rewind_outlined": return Icons.fast_rewind_outlined;
      case "fastfood": return Icons.fastfood;
      case "fastfood_sharp": return Icons.fastfood_sharp;
      case "fastfood_rounded": return Icons.fastfood_rounded;
      case "fastfood_outlined": return Icons.fastfood_outlined;
      case "favorite": return Icons.favorite;
      case "favorite_sharp": return Icons.favorite_sharp;
      case "favorite_rounded": return Icons.favorite_rounded;
      case "favorite_outlined": return Icons.favorite_outlined;
      case "favorite_border": return Icons.favorite_border;
      case "favorite_border_sharp": return Icons.favorite_border_sharp;
      case "favorite_border_rounded": return Icons.favorite_border_rounded;
      case "favorite_border_outlined": return Icons.favorite_border_outlined;
      case "favorite_outline": return Icons.favorite_outline;
      case "favorite_outline_sharp": return Icons.favorite_outline_sharp;
      case "favorite_outline_rounded": return Icons.favorite_outline_rounded;
      case "favorite_outline_outlined": return Icons.favorite_outline_outlined;
      case "fax": return Icons.fax;
      case "fax_sharp": return Icons.fax_sharp;
      case "fax_rounded": return Icons.fax_rounded;
      case "fax_outlined": return Icons.fax_outlined;
      case "featured_play_list": return Icons.featured_play_list;
      case "featured_play_list_sharp": return Icons.featured_play_list_sharp;
      case "featured_play_list_rounded": return Icons.featured_play_list_rounded;
      case "featured_play_list_outlined": return Icons.featured_play_list_outlined;
      case "featured_video": return Icons.featured_video;
      case "featured_video_sharp": return Icons.featured_video_sharp;
      case "featured_video_rounded": return Icons.featured_video_rounded;
      case "featured_video_outlined": return Icons.featured_video_outlined;
      case "feed": return Icons.feed;
      case "feed_sharp": return Icons.feed_sharp;
      case "feed_rounded": return Icons.feed_rounded;
      case "feed_outlined": return Icons.feed_outlined;
      case "feedback": return Icons.feedback;
      case "feedback_sharp": return Icons.feedback_sharp;
      case "feedback_rounded": return Icons.feedback_rounded;
      case "feedback_outlined": return Icons.feedback_outlined;
      case "female": return Icons.female;
      case "female_sharp": return Icons.female_sharp;
      case "female_rounded": return Icons.female_rounded;
      case "female_outlined": return Icons.female_outlined;
      case "fence": return Icons.fence;
      case "fence_sharp": return Icons.fence_sharp;
      case "fence_rounded": return Icons.fence_rounded;
      case "fence_outlined": return Icons.fence_outlined;
      case "festival": return Icons.festival;
      case "festival_sharp": return Icons.festival_sharp;
      case "festival_rounded": return Icons.festival_rounded;
      case "festival_outlined": return Icons.festival_outlined;
      case "fiber_dvr": return Icons.fiber_dvr;
      case "fiber_dvr_sharp": return Icons.fiber_dvr_sharp;
      case "fiber_dvr_rounded": return Icons.fiber_dvr_rounded;
      case "fiber_dvr_outlined": return Icons.fiber_dvr_outlined;
      case "fiber_manual_record": return Icons.fiber_manual_record;
      case "fiber_manual_record_sharp": return Icons.fiber_manual_record_sharp;
      case "fiber_manual_record_rounded": return Icons.fiber_manual_record_rounded;
      case "fiber_manual_record_outlined": return Icons.fiber_manual_record_outlined;
      case "fiber_new": return Icons.fiber_new;
      case "fiber_new_sharp": return Icons.fiber_new_sharp;
      case "fiber_new_rounded": return Icons.fiber_new_rounded;
      case "fiber_new_outlined": return Icons.fiber_new_outlined;
      case "fiber_pin": return Icons.fiber_pin;
      case "fiber_pin_sharp": return Icons.fiber_pin_sharp;
      case "fiber_pin_rounded": return Icons.fiber_pin_rounded;
      case "fiber_pin_outlined": return Icons.fiber_pin_outlined;
      case "fiber_smart_record": return Icons.fiber_smart_record;
      case "fiber_smart_record_sharp": return Icons.fiber_smart_record_sharp;
      case "fiber_smart_record_rounded": return Icons.fiber_smart_record_rounded;
      case "fiber_smart_record_outlined": return Icons.fiber_smart_record_outlined;
      case "file_copy": return Icons.file_copy;
      case "file_copy_sharp": return Icons.file_copy_sharp;
      case "file_copy_rounded": return Icons.file_copy_rounded;
      case "file_copy_outlined": return Icons.file_copy_outlined;
      case "file_download": return Icons.file_download;
      case "file_download_sharp": return Icons.file_download_sharp;
      case "file_download_rounded": return Icons.file_download_rounded;
      case "file_download_outlined": return Icons.file_download_outlined;
      case "file_download_done": return Icons.file_download_done;
      case "file_download_done_sharp": return Icons.file_download_done_sharp;
      case "file_download_done_rounded": return Icons.file_download_done_rounded;
      case "file_download_done_outlined": return Icons.file_download_done_outlined;
      case "file_download_off": return Icons.file_download_off;
      case "file_download_off_sharp": return Icons.file_download_off_sharp;
      case "file_download_off_rounded": return Icons.file_download_off_rounded;
      case "file_download_off_outlined": return Icons.file_download_off_outlined;
      case "file_open": return Icons.file_open;
      case "file_open_sharp": return Icons.file_open_sharp;
      case "file_open_rounded": return Icons.file_open_rounded;
      case "file_open_outlined": return Icons.file_open_outlined;
      case "file_present": return Icons.file_present;
      case "file_present_sharp": return Icons.file_present_sharp;
      case "file_present_rounded": return Icons.file_present_rounded;
      case "file_present_outlined": return Icons.file_present_outlined;
      case "file_upload": return Icons.file_upload;
      case "file_upload_sharp": return Icons.file_upload_sharp;
      case "file_upload_rounded": return Icons.file_upload_rounded;
      case "file_upload_outlined": return Icons.file_upload_outlined;
      case "filter": return Icons.filter;
      case "filter_sharp": return Icons.filter_sharp;
      case "filter_rounded": return Icons.filter_rounded;
      case "filter_outlined": return Icons.filter_outlined;
      case "filter_1": return Icons.filter_1;
      case "filter_1_sharp": return Icons.filter_1_sharp;
      case "filter_1_rounded": return Icons.filter_1_rounded;
      case "filter_1_outlined": return Icons.filter_1_outlined;
      case "filter_2": return Icons.filter_2;
      case "filter_2_sharp": return Icons.filter_2_sharp;
      case "filter_2_rounded": return Icons.filter_2_rounded;
      case "filter_2_outlined": return Icons.filter_2_outlined;
      case "filter_3": return Icons.filter_3;
      case "filter_3_sharp": return Icons.filter_3_sharp;
      case "filter_3_rounded": return Icons.filter_3_rounded;
      case "filter_3_outlined": return Icons.filter_3_outlined;
      case "filter_4": return Icons.filter_4;
      case "filter_4_sharp": return Icons.filter_4_sharp;
      case "filter_4_rounded": return Icons.filter_4_rounded;
      case "filter_4_outlined": return Icons.filter_4_outlined;
      case "filter_5": return Icons.filter_5;
      case "filter_5_sharp": return Icons.filter_5_sharp;
      case "filter_5_rounded": return Icons.filter_5_rounded;
      case "filter_5_outlined": return Icons.filter_5_outlined;
      case "filter_6": return Icons.filter_6;
      case "filter_6_sharp": return Icons.filter_6_sharp;
      case "filter_6_rounded": return Icons.filter_6_rounded;
      case "filter_6_outlined": return Icons.filter_6_outlined;
      case "filter_7": return Icons.filter_7;
      case "filter_7_sharp": return Icons.filter_7_sharp;
      case "filter_7_rounded": return Icons.filter_7_rounded;
      case "filter_7_outlined": return Icons.filter_7_outlined;
      case "filter_8": return Icons.filter_8;
      case "filter_8_sharp": return Icons.filter_8_sharp;
      case "filter_8_rounded": return Icons.filter_8_rounded;
      case "filter_8_outlined": return Icons.filter_8_outlined;
      case "filter_9": return Icons.filter_9;
      case "filter_9_sharp": return Icons.filter_9_sharp;
      case "filter_9_rounded": return Icons.filter_9_rounded;
      case "filter_9_outlined": return Icons.filter_9_outlined;
      case "filter_9_plus": return Icons.filter_9_plus;
      case "filter_9_plus_sharp": return Icons.filter_9_plus_sharp;
      case "filter_9_plus_rounded": return Icons.filter_9_plus_rounded;
      case "filter_9_plus_outlined": return Icons.filter_9_plus_outlined;
      case "filter_alt": return Icons.filter_alt;
      case "filter_alt_sharp": return Icons.filter_alt_sharp;
      case "filter_alt_rounded": return Icons.filter_alt_rounded;
      case "filter_alt_outlined": return Icons.filter_alt_outlined;
      case "filter_alt_off": return Icons.filter_alt_off;
      case "filter_alt_off_sharp": return Icons.filter_alt_off_sharp;
      case "filter_alt_off_rounded": return Icons.filter_alt_off_rounded;
      case "filter_alt_off_outlined": return Icons.filter_alt_off_outlined;
      case "filter_b_and_w": return Icons.filter_b_and_w;
      case "filter_b_and_w_sharp": return Icons.filter_b_and_w_sharp;
      case "filter_b_and_w_rounded": return Icons.filter_b_and_w_rounded;
      case "filter_b_and_w_outlined": return Icons.filter_b_and_w_outlined;
      case "filter_center_focus": return Icons.filter_center_focus;
      case "filter_center_focus_sharp": return Icons.filter_center_focus_sharp;
      case "filter_center_focus_rounded": return Icons.filter_center_focus_rounded;
      case "filter_center_focus_outlined": return Icons.filter_center_focus_outlined;
      case "filter_drama": return Icons.filter_drama;
      case "filter_drama_sharp": return Icons.filter_drama_sharp;
      case "filter_drama_rounded": return Icons.filter_drama_rounded;
      case "filter_drama_outlined": return Icons.filter_drama_outlined;
      case "filter_frames": return Icons.filter_frames;
      case "filter_frames_sharp": return Icons.filter_frames_sharp;
      case "filter_frames_rounded": return Icons.filter_frames_rounded;
      case "filter_frames_outlined": return Icons.filter_frames_outlined;
      case "filter_hdr": return Icons.filter_hdr;
      case "filter_hdr_sharp": return Icons.filter_hdr_sharp;
      case "filter_hdr_rounded": return Icons.filter_hdr_rounded;
      case "filter_hdr_outlined": return Icons.filter_hdr_outlined;
      case "filter_list": return Icons.filter_list;
      case "filter_list_sharp": return Icons.filter_list_sharp;
      case "filter_list_rounded": return Icons.filter_list_rounded;
      case "filter_list_outlined": return Icons.filter_list_outlined;
      case "filter_list_alt": return Icons.filter_list_alt;
      case "filter_list_off": return Icons.filter_list_off;
      case "filter_list_off_sharp": return Icons.filter_list_off_sharp;
      case "filter_list_off_rounded": return Icons.filter_list_off_rounded;
      case "filter_list_off_outlined": return Icons.filter_list_off_outlined;
      case "filter_none": return Icons.filter_none;
      case "filter_none_sharp": return Icons.filter_none_sharp;
      case "filter_none_rounded": return Icons.filter_none_rounded;
      case "filter_none_outlined": return Icons.filter_none_outlined;
      case "filter_tilt_shift": return Icons.filter_tilt_shift;
      case "filter_tilt_shift_sharp": return Icons.filter_tilt_shift_sharp;
      case "filter_tilt_shift_rounded": return Icons.filter_tilt_shift_rounded;
      case "filter_tilt_shift_outlined": return Icons.filter_tilt_shift_outlined;
      case "filter_vintage": return Icons.filter_vintage;
      case "filter_vintage_sharp": return Icons.filter_vintage_sharp;
      case "filter_vintage_rounded": return Icons.filter_vintage_rounded;
      case "filter_vintage_outlined": return Icons.filter_vintage_outlined;
      case "find_in_page": return Icons.find_in_page;
      case "find_in_page_sharp": return Icons.find_in_page_sharp;
      case "find_in_page_rounded": return Icons.find_in_page_rounded;
      case "find_in_page_outlined": return Icons.find_in_page_outlined;
      case "find_replace": return Icons.find_replace;
      case "find_replace_sharp": return Icons.find_replace_sharp;
      case "find_replace_rounded": return Icons.find_replace_rounded;
      case "find_replace_outlined": return Icons.find_replace_outlined;
      case "fingerprint": return Icons.fingerprint;
      case "fingerprint_sharp": return Icons.fingerprint_sharp;
      case "fingerprint_rounded": return Icons.fingerprint_rounded;
      case "fingerprint_outlined": return Icons.fingerprint_outlined;
      case "fire_extinguisher": return Icons.fire_extinguisher;
      case "fire_extinguisher_sharp": return Icons.fire_extinguisher_sharp;
      case "fire_extinguisher_rounded": return Icons.fire_extinguisher_rounded;
      case "fire_extinguisher_outlined": return Icons.fire_extinguisher_outlined;
      case "fire_hydrant": return Icons.fire_hydrant;
      case "fireplace": return Icons.fireplace;
      case "fireplace_sharp": return Icons.fireplace_sharp;
      case "fireplace_rounded": return Icons.fireplace_rounded;
      case "fireplace_outlined": return Icons.fireplace_outlined;
      case "first_page": return Icons.first_page;
      case "first_page_sharp": return Icons.first_page_sharp;
      case "first_page_rounded": return Icons.first_page_rounded;
      case "first_page_outlined": return Icons.first_page_outlined;
      case "fit_screen": return Icons.fit_screen;
      case "fit_screen_sharp": return Icons.fit_screen_sharp;
      case "fit_screen_rounded": return Icons.fit_screen_rounded;
      case "fit_screen_outlined": return Icons.fit_screen_outlined;
      case "fitbit": return Icons.fitbit;
      case "fitbit_sharp": return Icons.fitbit_sharp;
      case "fitbit_rounded": return Icons.fitbit_rounded;
      case "fitbit_outlined": return Icons.fitbit_outlined;
      case "fitness_center": return Icons.fitness_center;
      case "fitness_center_sharp": return Icons.fitness_center_sharp;
      case "fitness_center_rounded": return Icons.fitness_center_rounded;
      case "fitness_center_outlined": return Icons.fitness_center_outlined;
      case "flag": return Icons.flag;
      case "flag_sharp": return Icons.flag_sharp;
      case "flag_rounded": return Icons.flag_rounded;
      case "flag_outlined": return Icons.flag_outlined;
      case "flag_circle": return Icons.flag_circle;
      case "flag_circle_sharp": return Icons.flag_circle_sharp;
      case "flag_circle_rounded": return Icons.flag_circle_rounded;
      case "flag_circle_outlined": return Icons.flag_circle_outlined;
      case "flaky": return Icons.flaky;
      case "flaky_sharp": return Icons.flaky_sharp;
      case "flaky_rounded": return Icons.flaky_rounded;
      case "flaky_outlined": return Icons.flaky_outlined;
      case "flare": return Icons.flare;
      case "flare_sharp": return Icons.flare_sharp;
      case "flare_rounded": return Icons.flare_rounded;
      case "flare_outlined": return Icons.flare_outlined;
      case "flash_auto": return Icons.flash_auto;
      case "flash_auto_sharp": return Icons.flash_auto_sharp;
      case "flash_auto_rounded": return Icons.flash_auto_rounded;
      case "flash_auto_outlined": return Icons.flash_auto_outlined;
      case "flash_off": return Icons.flash_off;
      case "flash_off_sharp": return Icons.flash_off_sharp;
      case "flash_off_rounded": return Icons.flash_off_rounded;
      case "flash_off_outlined": return Icons.flash_off_outlined;
      case "flash_on": return Icons.flash_on;
      case "flash_on_sharp": return Icons.flash_on_sharp;
      case "flash_on_rounded": return Icons.flash_on_rounded;
      case "flash_on_outlined": return Icons.flash_on_outlined;
      case "flashlight_off": return Icons.flashlight_off;
      case "flashlight_off_sharp": return Icons.flashlight_off_sharp;
      case "flashlight_off_rounded": return Icons.flashlight_off_rounded;
      case "flashlight_off_outlined": return Icons.flashlight_off_outlined;
      case "flashlight_on": return Icons.flashlight_on;
      case "flashlight_on_sharp": return Icons.flashlight_on_sharp;
      case "flashlight_on_rounded": return Icons.flashlight_on_rounded;
      case "flashlight_on_outlined": return Icons.flashlight_on_outlined;
      case "flatware": return Icons.flatware;
      case "flatware_sharp": return Icons.flatware_sharp;
      case "flatware_rounded": return Icons.flatware_rounded;
      case "flatware_outlined": return Icons.flatware_outlined;
      case "flight": return Icons.flight;
      case "flight_sharp": return Icons.flight_sharp;
      case "flight_rounded": return Icons.flight_rounded;
      case "flight_outlined": return Icons.flight_outlined;
      case "flight_class": return Icons.flight_class;
      case "flight_class_sharp": return Icons.flight_class_sharp;
      case "flight_class_rounded": return Icons.flight_class_rounded;
      case "flight_class_outlined": return Icons.flight_class_outlined;
      case "flight_land": return Icons.flight_land;
      case "flight_land_sharp": return Icons.flight_land_sharp;
      case "flight_land_rounded": return Icons.flight_land_rounded;
      case "flight_land_outlined": return Icons.flight_land_outlined;
      case "flight_takeoff": return Icons.flight_takeoff;
      case "flight_takeoff_sharp": return Icons.flight_takeoff_sharp;
      case "flight_takeoff_rounded": return Icons.flight_takeoff_rounded;
      case "flight_takeoff_outlined": return Icons.flight_takeoff_outlined;
      case "flip": return Icons.flip;
      case "flip_sharp": return Icons.flip_sharp;
      case "flip_rounded": return Icons.flip_rounded;
      case "flip_outlined": return Icons.flip_outlined;
      case "flip_camera_android": return Icons.flip_camera_android;
      case "flip_camera_android_sharp": return Icons.flip_camera_android_sharp;
      case "flip_camera_android_rounded": return Icons.flip_camera_android_rounded;
      case "flip_camera_android_outlined": return Icons.flip_camera_android_outlined;
      case "flip_camera_ios": return Icons.flip_camera_ios;
      case "flip_camera_ios_sharp": return Icons.flip_camera_ios_sharp;
      case "flip_camera_ios_rounded": return Icons.flip_camera_ios_rounded;
      case "flip_camera_ios_outlined": return Icons.flip_camera_ios_outlined;
      case "flip_to_back": return Icons.flip_to_back;
      case "flip_to_back_sharp": return Icons.flip_to_back_sharp;
      case "flip_to_back_rounded": return Icons.flip_to_back_rounded;
      case "flip_to_back_outlined": return Icons.flip_to_back_outlined;
      case "flip_to_front": return Icons.flip_to_front;
      case "flip_to_front_sharp": return Icons.flip_to_front_sharp;
      case "flip_to_front_rounded": return Icons.flip_to_front_rounded;
      case "flip_to_front_outlined": return Icons.flip_to_front_outlined;
      case "flourescent": return Icons.flourescent;
      case "flourescent_sharp": return Icons.flourescent_sharp;
      case "flourescent_rounded": return Icons.flourescent_rounded;
      case "flourescent_outlined": return Icons.flourescent_outlined;
      case "flutter_dash": return Icons.flutter_dash;
      case "flutter_dash_sharp": return Icons.flutter_dash_sharp;
      case "flutter_dash_rounded": return Icons.flutter_dash_rounded;
      case "flutter_dash_outlined": return Icons.flutter_dash_outlined;
      case "fmd_bad": return Icons.fmd_bad;
      case "fmd_bad_sharp": return Icons.fmd_bad_sharp;
      case "fmd_bad_rounded": return Icons.fmd_bad_rounded;
      case "fmd_bad_outlined": return Icons.fmd_bad_outlined;
      case "fmd_good": return Icons.fmd_good;
      case "fmd_good_sharp": return Icons.fmd_good_sharp;
      case "fmd_good_rounded": return Icons.fmd_good_rounded;
      case "fmd_good_outlined": return Icons.fmd_good_outlined;
      case "foggy": return Icons.foggy;
      case "folder": return Icons.folder;
      case "folder_sharp": return Icons.folder_sharp;
      case "folder_rounded": return Icons.folder_rounded;
      case "folder_outlined": return Icons.folder_outlined;
      case "folder_copy": return Icons.folder_copy;
      case "folder_copy_sharp": return Icons.folder_copy_sharp;
      case "folder_copy_rounded": return Icons.folder_copy_rounded;
      case "folder_copy_outlined": return Icons.folder_copy_outlined;
      case "folder_delete": return Icons.folder_delete;
      case "folder_delete_sharp": return Icons.folder_delete_sharp;
      case "folder_delete_rounded": return Icons.folder_delete_rounded;
      case "folder_delete_outlined": return Icons.folder_delete_outlined;
      case "folder_off": return Icons.folder_off;
      case "folder_off_sharp": return Icons.folder_off_sharp;
      case "folder_off_rounded": return Icons.folder_off_rounded;
      case "folder_off_outlined": return Icons.folder_off_outlined;
      case "folder_open": return Icons.folder_open;
      case "folder_open_sharp": return Icons.folder_open_sharp;
      case "folder_open_rounded": return Icons.folder_open_rounded;
      case "folder_open_outlined": return Icons.folder_open_outlined;
      case "folder_shared": return Icons.folder_shared;
      case "folder_shared_sharp": return Icons.folder_shared_sharp;
      case "folder_shared_rounded": return Icons.folder_shared_rounded;
      case "folder_shared_outlined": return Icons.folder_shared_outlined;
      case "folder_special": return Icons.folder_special;
      case "folder_special_sharp": return Icons.folder_special_sharp;
      case "folder_special_rounded": return Icons.folder_special_rounded;
      case "folder_special_outlined": return Icons.folder_special_outlined;
      case "folder_zip": return Icons.folder_zip;
      case "folder_zip_sharp": return Icons.folder_zip_sharp;
      case "folder_zip_rounded": return Icons.folder_zip_rounded;
      case "folder_zip_outlined": return Icons.folder_zip_outlined;
      case "follow_the_signs": return Icons.follow_the_signs;
      case "follow_the_signs_sharp": return Icons.follow_the_signs_sharp;
      case "follow_the_signs_rounded": return Icons.follow_the_signs_rounded;
      case "follow_the_signs_outlined": return Icons.follow_the_signs_outlined;
      case "font_download": return Icons.font_download;
      case "font_download_sharp": return Icons.font_download_sharp;
      case "font_download_rounded": return Icons.font_download_rounded;
      case "font_download_outlined": return Icons.font_download_outlined;
      case "font_download_off": return Icons.font_download_off;
      case "font_download_off_sharp": return Icons.font_download_off_sharp;
      case "font_download_off_rounded": return Icons.font_download_off_rounded;
      case "font_download_off_outlined": return Icons.font_download_off_outlined;
      case "food_bank": return Icons.food_bank;
      case "food_bank_sharp": return Icons.food_bank_sharp;
      case "food_bank_rounded": return Icons.food_bank_rounded;
      case "food_bank_outlined": return Icons.food_bank_outlined;
      case "forest": return Icons.forest;
      case "forest_sharp": return Icons.forest_sharp;
      case "forest_rounded": return Icons.forest_rounded;
      case "forest_outlined": return Icons.forest_outlined;
      case "fork_left": return Icons.fork_left;
      case "fork_left_sharp": return Icons.fork_left_sharp;
      case "fork_left_rounded": return Icons.fork_left_rounded;
      case "fork_left_outlined": return Icons.fork_left_outlined;
      case "fork_right": return Icons.fork_right;
      case "fork_right_sharp": return Icons.fork_right_sharp;
      case "fork_right_rounded": return Icons.fork_right_rounded;
      case "fork_right_outlined": return Icons.fork_right_outlined;
      case "format_align_center": return Icons.format_align_center;
      case "format_align_center_sharp": return Icons.format_align_center_sharp;
      case "format_align_center_rounded": return Icons.format_align_center_rounded;
      case "format_align_center_outlined": return Icons.format_align_center_outlined;
      case "format_align_justify": return Icons.format_align_justify;
      case "format_align_justify_sharp": return Icons.format_align_justify_sharp;
      case "format_align_justify_rounded": return Icons.format_align_justify_rounded;
      case "format_align_justify_outlined": return Icons.format_align_justify_outlined;
      case "format_align_left": return Icons.format_align_left;
      case "format_align_left_sharp": return Icons.format_align_left_sharp;
      case "format_align_left_rounded": return Icons.format_align_left_rounded;
      case "format_align_left_outlined": return Icons.format_align_left_outlined;
      case "format_align_right": return Icons.format_align_right;
      case "format_align_right_sharp": return Icons.format_align_right_sharp;
      case "format_align_right_rounded": return Icons.format_align_right_rounded;
      case "format_align_right_outlined": return Icons.format_align_right_outlined;
      case "format_bold": return Icons.format_bold;
      case "format_bold_sharp": return Icons.format_bold_sharp;
      case "format_bold_rounded": return Icons.format_bold_rounded;
      case "format_bold_outlined": return Icons.format_bold_outlined;
      case "format_clear": return Icons.format_clear;
      case "format_clear_sharp": return Icons.format_clear_sharp;
      case "format_clear_rounded": return Icons.format_clear_rounded;
      case "format_clear_outlined": return Icons.format_clear_outlined;
      case "format_color_fill": return Icons.format_color_fill;
      case "format_color_fill_sharp": return Icons.format_color_fill_sharp;
      case "format_color_fill_rounded": return Icons.format_color_fill_rounded;
      case "format_color_fill_outlined": return Icons.format_color_fill_outlined;
      case "format_color_reset": return Icons.format_color_reset;
      case "format_color_reset_sharp": return Icons.format_color_reset_sharp;
      case "format_color_reset_rounded": return Icons.format_color_reset_rounded;
      case "format_color_reset_outlined": return Icons.format_color_reset_outlined;
      case "format_color_text": return Icons.format_color_text;
      case "format_color_text_sharp": return Icons.format_color_text_sharp;
      case "format_color_text_rounded": return Icons.format_color_text_rounded;
      case "format_color_text_outlined": return Icons.format_color_text_outlined;
      case "format_indent_decrease": return Icons.format_indent_decrease;
      case "format_indent_decrease_sharp": return Icons.format_indent_decrease_sharp;
      case "format_indent_decrease_rounded": return Icons.format_indent_decrease_rounded;
      case "format_indent_decrease_outlined": return Icons.format_indent_decrease_outlined;
      case "format_indent_increase": return Icons.format_indent_increase;
      case "format_indent_increase_sharp": return Icons.format_indent_increase_sharp;
      case "format_indent_increase_rounded": return Icons.format_indent_increase_rounded;
      case "format_indent_increase_outlined": return Icons.format_indent_increase_outlined;
      case "format_italic": return Icons.format_italic;
      case "format_italic_sharp": return Icons.format_italic_sharp;
      case "format_italic_rounded": return Icons.format_italic_rounded;
      case "format_italic_outlined": return Icons.format_italic_outlined;
      case "format_line_spacing": return Icons.format_line_spacing;
      case "format_line_spacing_sharp": return Icons.format_line_spacing_sharp;
      case "format_line_spacing_rounded": return Icons.format_line_spacing_rounded;
      case "format_line_spacing_outlined": return Icons.format_line_spacing_outlined;
      case "format_list_bulleted": return Icons.format_list_bulleted;
      case "format_list_bulleted_sharp": return Icons.format_list_bulleted_sharp;
      case "format_list_bulleted_rounded": return Icons.format_list_bulleted_rounded;
      case "format_list_bulleted_outlined": return Icons.format_list_bulleted_outlined;
      case "format_list_numbered": return Icons.format_list_numbered;
      case "format_list_numbered_sharp": return Icons.format_list_numbered_sharp;
      case "format_list_numbered_rounded": return Icons.format_list_numbered_rounded;
      case "format_list_numbered_outlined": return Icons.format_list_numbered_outlined;
      case "format_list_numbered_rtl": return Icons.format_list_numbered_rtl;
      case "format_list_numbered_rtl_sharp": return Icons.format_list_numbered_rtl_sharp;
      case "format_list_numbered_rtl_rounded": return Icons.format_list_numbered_rtl_rounded;
      case "format_list_numbered_rtl_outlined": return Icons.format_list_numbered_rtl_outlined;
      case "format_overline": return Icons.format_overline;
      case "format_overline_sharp": return Icons.format_overline_sharp;
      case "format_overline_rounded": return Icons.format_overline_rounded;
      case "format_overline_outlined": return Icons.format_overline_outlined;
      case "format_paint": return Icons.format_paint;
      case "format_paint_sharp": return Icons.format_paint_sharp;
      case "format_paint_rounded": return Icons.format_paint_rounded;
      case "format_paint_outlined": return Icons.format_paint_outlined;
      case "format_quote": return Icons.format_quote;
      case "format_quote_sharp": return Icons.format_quote_sharp;
      case "format_quote_rounded": return Icons.format_quote_rounded;
      case "format_quote_outlined": return Icons.format_quote_outlined;
      case "format_shapes": return Icons.format_shapes;
      case "format_shapes_sharp": return Icons.format_shapes_sharp;
      case "format_shapes_rounded": return Icons.format_shapes_rounded;
      case "format_shapes_outlined": return Icons.format_shapes_outlined;
      case "format_size": return Icons.format_size;
      case "format_size_sharp": return Icons.format_size_sharp;
      case "format_size_rounded": return Icons.format_size_rounded;
      case "format_size_outlined": return Icons.format_size_outlined;
      case "format_strikethrough": return Icons.format_strikethrough;
      case "format_strikethrough_sharp": return Icons.format_strikethrough_sharp;
      case "format_strikethrough_rounded": return Icons.format_strikethrough_rounded;
      case "format_strikethrough_outlined": return Icons.format_strikethrough_outlined;
      case "format_textdirection_l_to_r": return Icons.format_textdirection_l_to_r;
      case "format_textdirection_l_to_r_sharp": return Icons.format_textdirection_l_to_r_sharp;
      case "format_textdirection_l_to_r_rounded": return Icons.format_textdirection_l_to_r_rounded;
      case "format_textdirection_l_to_r_outlined": return Icons.format_textdirection_l_to_r_outlined;
      case "format_textdirection_r_to_l": return Icons.format_textdirection_r_to_l;
      case "format_textdirection_r_to_l_sharp": return Icons.format_textdirection_r_to_l_sharp;
      case "format_textdirection_r_to_l_rounded": return Icons.format_textdirection_r_to_l_rounded;
      case "format_textdirection_r_to_l_outlined": return Icons.format_textdirection_r_to_l_outlined;
      case "format_underline": return Icons.format_underline;
      case "format_underline_sharp": return Icons.format_underline_sharp;
      case "format_underline_rounded": return Icons.format_underline_rounded;
      case "format_underline_outlined": return Icons.format_underline_outlined;
      case "format_underlined": return Icons.format_underlined;
      case "format_underlined_sharp": return Icons.format_underlined_sharp;
      case "format_underlined_rounded": return Icons.format_underlined_rounded;
      case "format_underlined_outlined": return Icons.format_underlined_outlined;
      case "fort": return Icons.fort;
      case "fort_sharp": return Icons.fort_sharp;
      case "fort_rounded": return Icons.fort_rounded;
      case "fort_outlined": return Icons.fort_outlined;
      case "forum": return Icons.forum;
      case "forum_sharp": return Icons.forum_sharp;
      case "forum_rounded": return Icons.forum_rounded;
      case "forum_outlined": return Icons.forum_outlined;
      case "forward": return Icons.forward;
      case "forward_sharp": return Icons.forward_sharp;
      case "forward_rounded": return Icons.forward_rounded;
      case "forward_outlined": return Icons.forward_outlined;
      case "forward_10": return Icons.forward_10;
      case "forward_10_sharp": return Icons.forward_10_sharp;
      case "forward_10_rounded": return Icons.forward_10_rounded;
      case "forward_10_outlined": return Icons.forward_10_outlined;
      case "forward_30": return Icons.forward_30;
      case "forward_30_sharp": return Icons.forward_30_sharp;
      case "forward_30_rounded": return Icons.forward_30_rounded;
      case "forward_30_outlined": return Icons.forward_30_outlined;
      case "forward_5": return Icons.forward_5;
      case "forward_5_sharp": return Icons.forward_5_sharp;
      case "forward_5_rounded": return Icons.forward_5_rounded;
      case "forward_5_outlined": return Icons.forward_5_outlined;
      case "forward_to_inbox": return Icons.forward_to_inbox;
      case "forward_to_inbox_sharp": return Icons.forward_to_inbox_sharp;
      case "forward_to_inbox_rounded": return Icons.forward_to_inbox_rounded;
      case "forward_to_inbox_outlined": return Icons.forward_to_inbox_outlined;
      case "foundation": return Icons.foundation;
      case "foundation_sharp": return Icons.foundation_sharp;
      case "foundation_rounded": return Icons.foundation_rounded;
      case "foundation_outlined": return Icons.foundation_outlined;
      case "free_breakfast": return Icons.free_breakfast;
      case "free_breakfast_sharp": return Icons.free_breakfast_sharp;
      case "free_breakfast_rounded": return Icons.free_breakfast_rounded;
      case "free_breakfast_outlined": return Icons.free_breakfast_outlined;
      case "free_cancellation": return Icons.free_cancellation;
      case "free_cancellation_sharp": return Icons.free_cancellation_sharp;
      case "free_cancellation_rounded": return Icons.free_cancellation_rounded;
      case "free_cancellation_outlined": return Icons.free_cancellation_outlined;
      case "front_hand": return Icons.front_hand;
      case "front_hand_sharp": return Icons.front_hand_sharp;
      case "front_hand_rounded": return Icons.front_hand_rounded;
      case "front_hand_outlined": return Icons.front_hand_outlined;
      case "fullscreen": return Icons.fullscreen;
      case "fullscreen_sharp": return Icons.fullscreen_sharp;
      case "fullscreen_rounded": return Icons.fullscreen_rounded;
      case "fullscreen_outlined": return Icons.fullscreen_outlined;
      case "fullscreen_exit": return Icons.fullscreen_exit;
      case "fullscreen_exit_sharp": return Icons.fullscreen_exit_sharp;
      case "fullscreen_exit_rounded": return Icons.fullscreen_exit_rounded;
      case "fullscreen_exit_outlined": return Icons.fullscreen_exit_outlined;
      case "functions": return Icons.functions;
      case "functions_sharp": return Icons.functions_sharp;
      case "functions_rounded": return Icons.functions_rounded;
      case "functions_outlined": return Icons.functions_outlined;
      case "g_mobiledata": return Icons.g_mobiledata;
      case "g_mobiledata_sharp": return Icons.g_mobiledata_sharp;
      case "g_mobiledata_rounded": return Icons.g_mobiledata_rounded;
      case "g_mobiledata_outlined": return Icons.g_mobiledata_outlined;
      case "g_translate": return Icons.g_translate;
      case "g_translate_sharp": return Icons.g_translate_sharp;
      case "g_translate_rounded": return Icons.g_translate_rounded;
      case "g_translate_outlined": return Icons.g_translate_outlined;
      case "gamepad": return Icons.gamepad;
      case "gamepad_sharp": return Icons.gamepad_sharp;
      case "gamepad_rounded": return Icons.gamepad_rounded;
      case "gamepad_outlined": return Icons.gamepad_outlined;
      case "games": return Icons.games;
      case "games_sharp": return Icons.games_sharp;
      case "games_rounded": return Icons.games_rounded;
      case "games_outlined": return Icons.games_outlined;
      case "garage": return Icons.garage;
      case "garage_sharp": return Icons.garage_sharp;
      case "garage_rounded": return Icons.garage_rounded;
      case "garage_outlined": return Icons.garage_outlined;
      case "gavel": return Icons.gavel;
      case "gavel_sharp": return Icons.gavel_sharp;
      case "gavel_rounded": return Icons.gavel_rounded;
      case "gavel_outlined": return Icons.gavel_outlined;
      case "generating_tokens": return Icons.generating_tokens;
      case "generating_tokens_sharp": return Icons.generating_tokens_sharp;
      case "generating_tokens_rounded": return Icons.generating_tokens_rounded;
      case "generating_tokens_outlined": return Icons.generating_tokens_outlined;
      case "gesture": return Icons.gesture;
      case "gesture_sharp": return Icons.gesture_sharp;
      case "gesture_rounded": return Icons.gesture_rounded;
      case "gesture_outlined": return Icons.gesture_outlined;
      case "get_app": return Icons.get_app;
      case "get_app_sharp": return Icons.get_app_sharp;
      case "get_app_rounded": return Icons.get_app_rounded;
      case "get_app_outlined": return Icons.get_app_outlined;
      case "gif": return Icons.gif;
      case "gif_sharp": return Icons.gif_sharp;
      case "gif_rounded": return Icons.gif_rounded;
      case "gif_outlined": return Icons.gif_outlined;
      case "gif_box": return Icons.gif_box;
      case "gif_box_sharp": return Icons.gif_box_sharp;
      case "gif_box_rounded": return Icons.gif_box_rounded;
      case "gif_box_outlined": return Icons.gif_box_outlined;
      case "girl": return Icons.girl;
      case "girl_sharp": return Icons.girl_sharp;
      case "girl_rounded": return Icons.girl_rounded;
      case "girl_outlined": return Icons.girl_outlined;
      case "gite": return Icons.gite;
      case "gite_sharp": return Icons.gite_sharp;
      case "gite_rounded": return Icons.gite_rounded;
      case "gite_outlined": return Icons.gite_outlined;
      case "golf_course": return Icons.golf_course;
      case "golf_course_sharp": return Icons.golf_course_sharp;
      case "golf_course_rounded": return Icons.golf_course_rounded;
      case "golf_course_outlined": return Icons.golf_course_outlined;
      case "gpp_bad": return Icons.gpp_bad;
      case "gpp_bad_sharp": return Icons.gpp_bad_sharp;
      case "gpp_bad_rounded": return Icons.gpp_bad_rounded;
      case "gpp_bad_outlined": return Icons.gpp_bad_outlined;
      case "gpp_good": return Icons.gpp_good;
      case "gpp_good_sharp": return Icons.gpp_good_sharp;
      case "gpp_good_rounded": return Icons.gpp_good_rounded;
      case "gpp_good_outlined": return Icons.gpp_good_outlined;
      case "gpp_maybe": return Icons.gpp_maybe;
      case "gpp_maybe_sharp": return Icons.gpp_maybe_sharp;
      case "gpp_maybe_rounded": return Icons.gpp_maybe_rounded;
      case "gpp_maybe_outlined": return Icons.gpp_maybe_outlined;
      case "gps_fixed": return Icons.gps_fixed;
      case "gps_fixed_sharp": return Icons.gps_fixed_sharp;
      case "gps_fixed_rounded": return Icons.gps_fixed_rounded;
      case "gps_fixed_outlined": return Icons.gps_fixed_outlined;
      case "gps_not_fixed": return Icons.gps_not_fixed;
      case "gps_not_fixed_sharp": return Icons.gps_not_fixed_sharp;
      case "gps_not_fixed_rounded": return Icons.gps_not_fixed_rounded;
      case "gps_not_fixed_outlined": return Icons.gps_not_fixed_outlined;
      case "gps_off": return Icons.gps_off;
      case "gps_off_sharp": return Icons.gps_off_sharp;
      case "gps_off_rounded": return Icons.gps_off_rounded;
      case "gps_off_outlined": return Icons.gps_off_outlined;
      case "grade": return Icons.grade;
      case "grade_sharp": return Icons.grade_sharp;
      case "grade_rounded": return Icons.grade_rounded;
      case "grade_outlined": return Icons.grade_outlined;
      case "gradient": return Icons.gradient;
      case "gradient_sharp": return Icons.gradient_sharp;
      case "gradient_rounded": return Icons.gradient_rounded;
      case "gradient_outlined": return Icons.gradient_outlined;
      case "grading": return Icons.grading;
      case "grading_sharp": return Icons.grading_sharp;
      case "grading_rounded": return Icons.grading_rounded;
      case "grading_outlined": return Icons.grading_outlined;
      case "grain": return Icons.grain;
      case "grain_sharp": return Icons.grain_sharp;
      case "grain_rounded": return Icons.grain_rounded;
      case "grain_outlined": return Icons.grain_outlined;
      case "graphic_eq": return Icons.graphic_eq;
      case "graphic_eq_sharp": return Icons.graphic_eq_sharp;
      case "graphic_eq_rounded": return Icons.graphic_eq_rounded;
      case "graphic_eq_outlined": return Icons.graphic_eq_outlined;
      case "grass": return Icons.grass;
      case "grass_sharp": return Icons.grass_sharp;
      case "grass_rounded": return Icons.grass_rounded;
      case "grass_outlined": return Icons.grass_outlined;
      case "grid_3x3": return Icons.grid_3x3;
      case "grid_3x3_sharp": return Icons.grid_3x3_sharp;
      case "grid_3x3_rounded": return Icons.grid_3x3_rounded;
      case "grid_3x3_outlined": return Icons.grid_3x3_outlined;
      case "grid_4x4": return Icons.grid_4x4;
      case "grid_4x4_sharp": return Icons.grid_4x4_sharp;
      case "grid_4x4_rounded": return Icons.grid_4x4_rounded;
      case "grid_4x4_outlined": return Icons.grid_4x4_outlined;
      case "grid_goldenratio": return Icons.grid_goldenratio;
      case "grid_goldenratio_sharp": return Icons.grid_goldenratio_sharp;
      case "grid_goldenratio_rounded": return Icons.grid_goldenratio_rounded;
      case "grid_goldenratio_outlined": return Icons.grid_goldenratio_outlined;
      case "grid_off": return Icons.grid_off;
      case "grid_off_sharp": return Icons.grid_off_sharp;
      case "grid_off_rounded": return Icons.grid_off_rounded;
      case "grid_off_outlined": return Icons.grid_off_outlined;
      case "grid_on": return Icons.grid_on;
      case "grid_on_sharp": return Icons.grid_on_sharp;
      case "grid_on_rounded": return Icons.grid_on_rounded;
      case "grid_on_outlined": return Icons.grid_on_outlined;
      case "grid_view": return Icons.grid_view;
      case "grid_view_sharp": return Icons.grid_view_sharp;
      case "grid_view_rounded": return Icons.grid_view_rounded;
      case "grid_view_outlined": return Icons.grid_view_outlined;
      case "group": return Icons.group;
      case "group_sharp": return Icons.group_sharp;
      case "group_rounded": return Icons.group_rounded;
      case "group_outlined": return Icons.group_outlined;
      case "group_add": return Icons.group_add;
      case "group_add_sharp": return Icons.group_add_sharp;
      case "group_add_rounded": return Icons.group_add_rounded;
      case "group_add_outlined": return Icons.group_add_outlined;
      case "group_off": return Icons.group_off;
      case "group_off_sharp": return Icons.group_off_sharp;
      case "group_off_rounded": return Icons.group_off_rounded;
      case "group_off_outlined": return Icons.group_off_outlined;
      case "group_remove": return Icons.group_remove;
      case "group_remove_sharp": return Icons.group_remove_sharp;
      case "group_remove_rounded": return Icons.group_remove_rounded;
      case "group_remove_outlined": return Icons.group_remove_outlined;
      case "group_work": return Icons.group_work;
      case "group_work_sharp": return Icons.group_work_sharp;
      case "group_work_rounded": return Icons.group_work_rounded;
      case "group_work_outlined": return Icons.group_work_outlined;
      case "groups": return Icons.groups;
      case "groups_sharp": return Icons.groups_sharp;
      case "groups_rounded": return Icons.groups_rounded;
      case "groups_outlined": return Icons.groups_outlined;
      case "h_mobiledata": return Icons.h_mobiledata;
      case "h_mobiledata_sharp": return Icons.h_mobiledata_sharp;
      case "h_mobiledata_rounded": return Icons.h_mobiledata_rounded;
      case "h_mobiledata_outlined": return Icons.h_mobiledata_outlined;
      case "h_plus_mobiledata": return Icons.h_plus_mobiledata;
      case "h_plus_mobiledata_sharp": return Icons.h_plus_mobiledata_sharp;
      case "h_plus_mobiledata_rounded": return Icons.h_plus_mobiledata_rounded;
      case "h_plus_mobiledata_outlined": return Icons.h_plus_mobiledata_outlined;
      case "hail": return Icons.hail;
      case "hail_sharp": return Icons.hail_sharp;
      case "hail_rounded": return Icons.hail_rounded;
      case "hail_outlined": return Icons.hail_outlined;
      case "handshake": return Icons.handshake;
      case "handshake_sharp": return Icons.handshake_sharp;
      case "handshake_rounded": return Icons.handshake_rounded;
      case "handshake_outlined": return Icons.handshake_outlined;
      case "handyman": return Icons.handyman;
      case "handyman_sharp": return Icons.handyman_sharp;
      case "handyman_rounded": return Icons.handyman_rounded;
      case "handyman_outlined": return Icons.handyman_outlined;
      case "hardware": return Icons.hardware;
      case "hardware_sharp": return Icons.hardware_sharp;
      case "hardware_rounded": return Icons.hardware_rounded;
      case "hardware_outlined": return Icons.hardware_outlined;
      case "hd": return Icons.hd;
      case "hd_sharp": return Icons.hd_sharp;
      case "hd_rounded": return Icons.hd_rounded;
      case "hd_outlined": return Icons.hd_outlined;
      case "hdr_auto": return Icons.hdr_auto;
      case "hdr_auto_sharp": return Icons.hdr_auto_sharp;
      case "hdr_auto_rounded": return Icons.hdr_auto_rounded;
      case "hdr_auto_outlined": return Icons.hdr_auto_outlined;
      case "hdr_auto_select": return Icons.hdr_auto_select;
      case "hdr_auto_select_sharp": return Icons.hdr_auto_select_sharp;
      case "hdr_auto_select_rounded": return Icons.hdr_auto_select_rounded;
      case "hdr_auto_select_outlined": return Icons.hdr_auto_select_outlined;
      case "hdr_enhanced_select": return Icons.hdr_enhanced_select;
      case "hdr_enhanced_select_sharp": return Icons.hdr_enhanced_select_sharp;
      case "hdr_enhanced_select_rounded": return Icons.hdr_enhanced_select_rounded;
      case "hdr_enhanced_select_outlined": return Icons.hdr_enhanced_select_outlined;
      case "hdr_off": return Icons.hdr_off;
      case "hdr_off_sharp": return Icons.hdr_off_sharp;
      case "hdr_off_rounded": return Icons.hdr_off_rounded;
      case "hdr_off_outlined": return Icons.hdr_off_outlined;
      case "hdr_off_select": return Icons.hdr_off_select;
      case "hdr_off_select_sharp": return Icons.hdr_off_select_sharp;
      case "hdr_off_select_rounded": return Icons.hdr_off_select_rounded;
      case "hdr_off_select_outlined": return Icons.hdr_off_select_outlined;
      case "hdr_on": return Icons.hdr_on;
      case "hdr_on_sharp": return Icons.hdr_on_sharp;
      case "hdr_on_rounded": return Icons.hdr_on_rounded;
      case "hdr_on_outlined": return Icons.hdr_on_outlined;
      case "hdr_on_select": return Icons.hdr_on_select;
      case "hdr_on_select_sharp": return Icons.hdr_on_select_sharp;
      case "hdr_on_select_rounded": return Icons.hdr_on_select_rounded;
      case "hdr_on_select_outlined": return Icons.hdr_on_select_outlined;
      case "hdr_plus": return Icons.hdr_plus;
      case "hdr_plus_sharp": return Icons.hdr_plus_sharp;
      case "hdr_plus_rounded": return Icons.hdr_plus_rounded;
      case "hdr_plus_outlined": return Icons.hdr_plus_outlined;
      case "hdr_strong": return Icons.hdr_strong;
      case "hdr_strong_sharp": return Icons.hdr_strong_sharp;
      case "hdr_strong_rounded": return Icons.hdr_strong_rounded;
      case "hdr_strong_outlined": return Icons.hdr_strong_outlined;
      case "hdr_weak": return Icons.hdr_weak;
      case "hdr_weak_sharp": return Icons.hdr_weak_sharp;
      case "hdr_weak_rounded": return Icons.hdr_weak_rounded;
      case "hdr_weak_outlined": return Icons.hdr_weak_outlined;
      case "headphones": return Icons.headphones;
      case "headphones_sharp": return Icons.headphones_sharp;
      case "headphones_rounded": return Icons.headphones_rounded;
      case "headphones_outlined": return Icons.headphones_outlined;
      case "headphones_battery": return Icons.headphones_battery;
      case "headphones_battery_sharp": return Icons.headphones_battery_sharp;
      case "headphones_battery_rounded": return Icons.headphones_battery_rounded;
      case "headphones_battery_outlined": return Icons.headphones_battery_outlined;
      case "headset": return Icons.headset;
      case "headset_sharp": return Icons.headset_sharp;
      case "headset_rounded": return Icons.headset_rounded;
      case "headset_outlined": return Icons.headset_outlined;
      case "headset_mic": return Icons.headset_mic;
      case "headset_mic_sharp": return Icons.headset_mic_sharp;
      case "headset_mic_rounded": return Icons.headset_mic_rounded;
      case "headset_mic_outlined": return Icons.headset_mic_outlined;
      case "headset_off": return Icons.headset_off;
      case "headset_off_sharp": return Icons.headset_off_sharp;
      case "headset_off_rounded": return Icons.headset_off_rounded;
      case "headset_off_outlined": return Icons.headset_off_outlined;
      case "healing": return Icons.healing;
      case "healing_sharp": return Icons.healing_sharp;
      case "healing_rounded": return Icons.healing_rounded;
      case "healing_outlined": return Icons.healing_outlined;
      case "health_and_safety": return Icons.health_and_safety;
      case "health_and_safety_sharp": return Icons.health_and_safety_sharp;
      case "health_and_safety_rounded": return Icons.health_and_safety_rounded;
      case "health_and_safety_outlined": return Icons.health_and_safety_outlined;
      case "hearing": return Icons.hearing;
      case "hearing_sharp": return Icons.hearing_sharp;
      case "hearing_rounded": return Icons.hearing_rounded;
      case "hearing_outlined": return Icons.hearing_outlined;
      case "hearing_disabled": return Icons.hearing_disabled;
      case "hearing_disabled_sharp": return Icons.hearing_disabled_sharp;
      case "hearing_disabled_rounded": return Icons.hearing_disabled_rounded;
      case "hearing_disabled_outlined": return Icons.hearing_disabled_outlined;
      case "heart_broken": return Icons.heart_broken;
      case "heart_broken_sharp": return Icons.heart_broken_sharp;
      case "heart_broken_rounded": return Icons.heart_broken_rounded;
      case "heart_broken_outlined": return Icons.heart_broken_outlined;
      case "height": return Icons.height;
      case "height_sharp": return Icons.height_sharp;
      case "height_rounded": return Icons.height_rounded;
      case "height_outlined": return Icons.height_outlined;
      case "help": return Icons.help;
      case "help_sharp": return Icons.help_sharp;
      case "help_rounded": return Icons.help_rounded;
      case "help_outlined": return Icons.help_outlined;
      case "help_center": return Icons.help_center;
      case "help_center_sharp": return Icons.help_center_sharp;
      case "help_center_rounded": return Icons.help_center_rounded;
      case "help_center_outlined": return Icons.help_center_outlined;
      case "help_outline": return Icons.help_outline;
      case "help_outline_sharp": return Icons.help_outline_sharp;
      case "help_outline_rounded": return Icons.help_outline_rounded;
      case "help_outline_outlined": return Icons.help_outline_outlined;
      case "hevc": return Icons.hevc;
      case "hevc_sharp": return Icons.hevc_sharp;
      case "hevc_rounded": return Icons.hevc_rounded;
      case "hevc_outlined": return Icons.hevc_outlined;
      case "hexagon": return Icons.hexagon;
      case "hexagon_sharp": return Icons.hexagon_sharp;
      case "hexagon_rounded": return Icons.hexagon_rounded;
      case "hexagon_outlined": return Icons.hexagon_outlined;
      case "hide_image": return Icons.hide_image;
      case "hide_image_sharp": return Icons.hide_image_sharp;
      case "hide_image_rounded": return Icons.hide_image_rounded;
      case "hide_image_outlined": return Icons.hide_image_outlined;
      case "hide_source": return Icons.hide_source;
      case "hide_source_sharp": return Icons.hide_source_sharp;
      case "hide_source_rounded": return Icons.hide_source_rounded;
      case "hide_source_outlined": return Icons.hide_source_outlined;
      case "high_quality": return Icons.high_quality;
      case "high_quality_sharp": return Icons.high_quality_sharp;
      case "high_quality_rounded": return Icons.high_quality_rounded;
      case "high_quality_outlined": return Icons.high_quality_outlined;
      case "highlight": return Icons.highlight;
      case "highlight_sharp": return Icons.highlight_sharp;
      case "highlight_rounded": return Icons.highlight_rounded;
      case "highlight_outlined": return Icons.highlight_outlined;
      case "highlight_alt": return Icons.highlight_alt;
      case "highlight_alt_sharp": return Icons.highlight_alt_sharp;
      case "highlight_alt_rounded": return Icons.highlight_alt_rounded;
      case "highlight_alt_outlined": return Icons.highlight_alt_outlined;
      case "highlight_off": return Icons.highlight_off;
      case "highlight_off_sharp": return Icons.highlight_off_sharp;
      case "highlight_off_rounded": return Icons.highlight_off_rounded;
      case "highlight_off_outlined": return Icons.highlight_off_outlined;
      case "highlight_remove": return Icons.highlight_remove;
      case "highlight_remove_sharp": return Icons.highlight_remove_sharp;
      case "highlight_remove_rounded": return Icons.highlight_remove_rounded;
      case "highlight_remove_outlined": return Icons.highlight_remove_outlined;
      case "hiking": return Icons.hiking;
      case "hiking_sharp": return Icons.hiking_sharp;
      case "hiking_rounded": return Icons.hiking_rounded;
      case "hiking_outlined": return Icons.hiking_outlined;
      case "history": return Icons.history;
      case "history_sharp": return Icons.history_sharp;
      case "history_rounded": return Icons.history_rounded;
      case "history_outlined": return Icons.history_outlined;
      case "history_edu": return Icons.history_edu;
      case "history_edu_sharp": return Icons.history_edu_sharp;
      case "history_edu_rounded": return Icons.history_edu_rounded;
      case "history_edu_outlined": return Icons.history_edu_outlined;
      case "history_toggle_off": return Icons.history_toggle_off;
      case "history_toggle_off_sharp": return Icons.history_toggle_off_sharp;
      case "history_toggle_off_rounded": return Icons.history_toggle_off_rounded;
      case "history_toggle_off_outlined": return Icons.history_toggle_off_outlined;
      case "hive": return Icons.hive;
      case "hive_sharp": return Icons.hive_sharp;
      case "hive_rounded": return Icons.hive_rounded;
      case "hive_outlined": return Icons.hive_outlined;
      case "hls": return Icons.hls;
      case "hls_sharp": return Icons.hls_sharp;
      case "hls_rounded": return Icons.hls_rounded;
      case "hls_outlined": return Icons.hls_outlined;
      case "hls_off": return Icons.hls_off;
      case "hls_off_sharp": return Icons.hls_off_sharp;
      case "hls_off_rounded": return Icons.hls_off_rounded;
      case "hls_off_outlined": return Icons.hls_off_outlined;
      case "holiday_village": return Icons.holiday_village;
      case "holiday_village_sharp": return Icons.holiday_village_sharp;
      case "holiday_village_rounded": return Icons.holiday_village_rounded;
      case "holiday_village_outlined": return Icons.holiday_village_outlined;
      case "home": return Icons.home;
      case "home_sharp": return Icons.home_sharp;
      case "home_rounded": return Icons.home_rounded;
      case "home_outlined": return Icons.home_outlined;
      case "home_filled": return Icons.home_filled;
      case "home_max": return Icons.home_max;
      case "home_max_sharp": return Icons.home_max_sharp;
      case "home_max_rounded": return Icons.home_max_rounded;
      case "home_max_outlined": return Icons.home_max_outlined;
      case "home_mini": return Icons.home_mini;
      case "home_mini_sharp": return Icons.home_mini_sharp;
      case "home_mini_rounded": return Icons.home_mini_rounded;
      case "home_mini_outlined": return Icons.home_mini_outlined;
      case "home_repair_service": return Icons.home_repair_service;
      case "home_repair_service_sharp": return Icons.home_repair_service_sharp;
      case "home_repair_service_rounded": return Icons.home_repair_service_rounded;
      case "home_repair_service_outlined": return Icons.home_repair_service_outlined;
      case "home_work": return Icons.home_work;
      case "home_work_sharp": return Icons.home_work_sharp;
      case "home_work_rounded": return Icons.home_work_rounded;
      case "home_work_outlined": return Icons.home_work_outlined;
      case "horizontal_distribute": return Icons.horizontal_distribute;
      case "horizontal_distribute_sharp": return Icons.horizontal_distribute_sharp;
      case "horizontal_distribute_rounded": return Icons.horizontal_distribute_rounded;
      case "horizontal_distribute_outlined": return Icons.horizontal_distribute_outlined;
      case "horizontal_rule": return Icons.horizontal_rule;
      case "horizontal_rule_sharp": return Icons.horizontal_rule_sharp;
      case "horizontal_rule_rounded": return Icons.horizontal_rule_rounded;
      case "horizontal_rule_outlined": return Icons.horizontal_rule_outlined;
      case "horizontal_split": return Icons.horizontal_split;
      case "horizontal_split_sharp": return Icons.horizontal_split_sharp;
      case "horizontal_split_rounded": return Icons.horizontal_split_rounded;
      case "horizontal_split_outlined": return Icons.horizontal_split_outlined;
      case "hot_tub": return Icons.hot_tub;
      case "hot_tub_sharp": return Icons.hot_tub_sharp;
      case "hot_tub_rounded": return Icons.hot_tub_rounded;
      case "hot_tub_outlined": return Icons.hot_tub_outlined;
      case "hotel": return Icons.hotel;
      case "hotel_sharp": return Icons.hotel_sharp;
      case "hotel_rounded": return Icons.hotel_rounded;
      case "hotel_outlined": return Icons.hotel_outlined;
      case "hotel_class": return Icons.hotel_class;
      case "hotel_class_sharp": return Icons.hotel_class_sharp;
      case "hotel_class_rounded": return Icons.hotel_class_rounded;
      case "hotel_class_outlined": return Icons.hotel_class_outlined;
      case "hourglass_bottom": return Icons.hourglass_bottom;
      case "hourglass_bottom_sharp": return Icons.hourglass_bottom_sharp;
      case "hourglass_bottom_rounded": return Icons.hourglass_bottom_rounded;
      case "hourglass_bottom_outlined": return Icons.hourglass_bottom_outlined;
      case "hourglass_disabled": return Icons.hourglass_disabled;
      case "hourglass_disabled_sharp": return Icons.hourglass_disabled_sharp;
      case "hourglass_disabled_rounded": return Icons.hourglass_disabled_rounded;
      case "hourglass_disabled_outlined": return Icons.hourglass_disabled_outlined;
      case "hourglass_empty": return Icons.hourglass_empty;
      case "hourglass_empty_sharp": return Icons.hourglass_empty_sharp;
      case "hourglass_empty_rounded": return Icons.hourglass_empty_rounded;
      case "hourglass_empty_outlined": return Icons.hourglass_empty_outlined;
      case "hourglass_full": return Icons.hourglass_full;
      case "hourglass_full_sharp": return Icons.hourglass_full_sharp;
      case "hourglass_full_rounded": return Icons.hourglass_full_rounded;
      case "hourglass_full_outlined": return Icons.hourglass_full_outlined;
      case "hourglass_top": return Icons.hourglass_top;
      case "hourglass_top_sharp": return Icons.hourglass_top_sharp;
      case "hourglass_top_rounded": return Icons.hourglass_top_rounded;
      case "hourglass_top_outlined": return Icons.hourglass_top_outlined;
      case "house": return Icons.house;
      case "house_sharp": return Icons.house_sharp;
      case "house_rounded": return Icons.house_rounded;
      case "house_outlined": return Icons.house_outlined;
      case "house_siding": return Icons.house_siding;
      case "house_siding_sharp": return Icons.house_siding_sharp;
      case "house_siding_rounded": return Icons.house_siding_rounded;
      case "house_siding_outlined": return Icons.house_siding_outlined;
      case "houseboat": return Icons.houseboat;
      case "houseboat_sharp": return Icons.houseboat_sharp;
      case "houseboat_rounded": return Icons.houseboat_rounded;
      case "houseboat_outlined": return Icons.houseboat_outlined;
      case "how_to_reg": return Icons.how_to_reg;
      case "how_to_reg_sharp": return Icons.how_to_reg_sharp;
      case "how_to_reg_rounded": return Icons.how_to_reg_rounded;
      case "how_to_reg_outlined": return Icons.how_to_reg_outlined;
      case "how_to_vote": return Icons.how_to_vote;
      case "how_to_vote_sharp": return Icons.how_to_vote_sharp;
      case "how_to_vote_rounded": return Icons.how_to_vote_rounded;
      case "how_to_vote_outlined": return Icons.how_to_vote_outlined;
      case "html": return Icons.html;
      case "html_sharp": return Icons.html_sharp;
      case "html_rounded": return Icons.html_rounded;
      case "html_outlined": return Icons.html_outlined;
      case "http": return Icons.http;
      case "http_sharp": return Icons.http_sharp;
      case "http_rounded": return Icons.http_rounded;
      case "http_outlined": return Icons.http_outlined;
      case "https": return Icons.https;
      case "https_sharp": return Icons.https_sharp;
      case "https_rounded": return Icons.https_rounded;
      case "https_outlined": return Icons.https_outlined;
      case "hub": return Icons.hub;
      case "hub_sharp": return Icons.hub_sharp;
      case "hub_rounded": return Icons.hub_rounded;
      case "hub_outlined": return Icons.hub_outlined;
      case "hvac": return Icons.hvac;
      case "hvac_sharp": return Icons.hvac_sharp;
      case "hvac_rounded": return Icons.hvac_rounded;
      case "hvac_outlined": return Icons.hvac_outlined;
      case "ice_skating": return Icons.ice_skating;
      case "ice_skating_sharp": return Icons.ice_skating_sharp;
      case "ice_skating_rounded": return Icons.ice_skating_rounded;
      case "ice_skating_outlined": return Icons.ice_skating_outlined;
      case "icecream": return Icons.icecream;
      case "icecream_sharp": return Icons.icecream_sharp;
      case "icecream_rounded": return Icons.icecream_rounded;
      case "icecream_outlined": return Icons.icecream_outlined;
      case "image": return Icons.image;
      case "image_sharp": return Icons.image_sharp;
      case "image_rounded": return Icons.image_rounded;
      case "image_outlined": return Icons.image_outlined;
      case "image_aspect_ratio": return Icons.image_aspect_ratio;
      case "image_aspect_ratio_sharp": return Icons.image_aspect_ratio_sharp;
      case "image_aspect_ratio_rounded": return Icons.image_aspect_ratio_rounded;
      case "image_aspect_ratio_outlined": return Icons.image_aspect_ratio_outlined;
      case "image_not_supported": return Icons.image_not_supported;
      case "image_not_supported_sharp": return Icons.image_not_supported_sharp;
      case "image_not_supported_rounded": return Icons.image_not_supported_rounded;
      case "image_not_supported_outlined": return Icons.image_not_supported_outlined;
      case "image_search": return Icons.image_search;
      case "image_search_sharp": return Icons.image_search_sharp;
      case "image_search_rounded": return Icons.image_search_rounded;
      case "image_search_outlined": return Icons.image_search_outlined;
      case "imagesearch_roller": return Icons.imagesearch_roller;
      case "imagesearch_roller_sharp": return Icons.imagesearch_roller_sharp;
      case "imagesearch_roller_rounded": return Icons.imagesearch_roller_rounded;
      case "imagesearch_roller_outlined": return Icons.imagesearch_roller_outlined;
      case "import_contacts": return Icons.import_contacts;
      case "import_contacts_sharp": return Icons.import_contacts_sharp;
      case "import_contacts_rounded": return Icons.import_contacts_rounded;
      case "import_contacts_outlined": return Icons.import_contacts_outlined;
      case "import_export": return Icons.import_export;
      case "import_export_sharp": return Icons.import_export_sharp;
      case "import_export_rounded": return Icons.import_export_rounded;
      case "import_export_outlined": return Icons.import_export_outlined;
      case "important_devices": return Icons.important_devices;
      case "important_devices_sharp": return Icons.important_devices_sharp;
      case "important_devices_rounded": return Icons.important_devices_rounded;
      case "important_devices_outlined": return Icons.important_devices_outlined;
      case "inbox": return Icons.inbox;
      case "inbox_sharp": return Icons.inbox_sharp;
      case "inbox_rounded": return Icons.inbox_rounded;
      case "inbox_outlined": return Icons.inbox_outlined;
      case "incomplete_circle": return Icons.incomplete_circle;
      case "incomplete_circle_sharp": return Icons.incomplete_circle_sharp;
      case "incomplete_circle_rounded": return Icons.incomplete_circle_rounded;
      case "incomplete_circle_outlined": return Icons.incomplete_circle_outlined;
      case "indeterminate_check_box": return Icons.indeterminate_check_box;
      case "indeterminate_check_box_sharp": return Icons.indeterminate_check_box_sharp;
      case "indeterminate_check_box_rounded": return Icons.indeterminate_check_box_rounded;
      case "indeterminate_check_box_outlined": return Icons.indeterminate_check_box_outlined;
      case "info": return Icons.info;
      case "info_sharp": return Icons.info_sharp;
      case "info_rounded": return Icons.info_rounded;
      case "info_outlined": return Icons.info_outlined;
      case "info_outline": return Icons.info_outline;
      case "info_outline_sharp": return Icons.info_outline_sharp;
      case "info_outline_rounded": return Icons.info_outline_rounded;
      case "input": return Icons.input;
      case "input_sharp": return Icons.input_sharp;
      case "input_rounded": return Icons.input_rounded;
      case "input_outlined": return Icons.input_outlined;
      case "insert_chart": return Icons.insert_chart;
      case "insert_chart_sharp": return Icons.insert_chart_sharp;
      case "insert_chart_rounded": return Icons.insert_chart_rounded;
      case "insert_chart_outlined": return Icons.insert_chart_outlined;
      case "insert_chart_outlined_sharp": return Icons.insert_chart_outlined_sharp;
      case "insert_chart_outlined_rounded": return Icons.insert_chart_outlined_rounded;
      case "insert_chart_outlined_outlined": return Icons.insert_chart_outlined_outlined;
      case "insert_comment": return Icons.insert_comment;
      case "insert_comment_sharp": return Icons.insert_comment_sharp;
      case "insert_comment_rounded": return Icons.insert_comment_rounded;
      case "insert_comment_outlined": return Icons.insert_comment_outlined;
      case "insert_drive_file": return Icons.insert_drive_file;
      case "insert_drive_file_sharp": return Icons.insert_drive_file_sharp;
      case "insert_drive_file_rounded": return Icons.insert_drive_file_rounded;
      case "insert_drive_file_outlined": return Icons.insert_drive_file_outlined;
      case "insert_emoticon": return Icons.insert_emoticon;
      case "insert_emoticon_sharp": return Icons.insert_emoticon_sharp;
      case "insert_emoticon_rounded": return Icons.insert_emoticon_rounded;
      case "insert_emoticon_outlined": return Icons.insert_emoticon_outlined;
      case "insert_invitation": return Icons.insert_invitation;
      case "insert_invitation_sharp": return Icons.insert_invitation_sharp;
      case "insert_invitation_rounded": return Icons.insert_invitation_rounded;
      case "insert_invitation_outlined": return Icons.insert_invitation_outlined;
      case "insert_link": return Icons.insert_link;
      case "insert_link_sharp": return Icons.insert_link_sharp;
      case "insert_link_rounded": return Icons.insert_link_rounded;
      case "insert_link_outlined": return Icons.insert_link_outlined;
      case "insert_page_break": return Icons.insert_page_break;
      case "insert_page_break_sharp": return Icons.insert_page_break_sharp;
      case "insert_page_break_rounded": return Icons.insert_page_break_rounded;
      case "insert_page_break_outlined": return Icons.insert_page_break_outlined;
      case "insert_photo": return Icons.insert_photo;
      case "insert_photo_sharp": return Icons.insert_photo_sharp;
      case "insert_photo_rounded": return Icons.insert_photo_rounded;
      case "insert_photo_outlined": return Icons.insert_photo_outlined;
      case "insights": return Icons.insights;
      case "insights_sharp": return Icons.insights_sharp;
      case "insights_rounded": return Icons.insights_rounded;
      case "insights_outlined": return Icons.insights_outlined;
      case "install_desktop": return Icons.install_desktop;
      case "install_desktop_sharp": return Icons.install_desktop_sharp;
      case "install_desktop_rounded": return Icons.install_desktop_rounded;
      case "install_desktop_outlined": return Icons.install_desktop_outlined;
      case "install_mobile": return Icons.install_mobile;
      case "install_mobile_sharp": return Icons.install_mobile_sharp;
      case "install_mobile_rounded": return Icons.install_mobile_rounded;
      case "install_mobile_outlined": return Icons.install_mobile_outlined;
      case "integration_instructions": return Icons.integration_instructions;
      case "integration_instructions_sharp": return Icons.integration_instructions_sharp;
      case "integration_instructions_rounded": return Icons.integration_instructions_rounded;
      case "integration_instructions_outlined": return Icons.integration_instructions_outlined;
      case "interests": return Icons.interests;
      case "interests_sharp": return Icons.interests_sharp;
      case "interests_rounded": return Icons.interests_rounded;
      case "interests_outlined": return Icons.interests_outlined;
      case "interpreter_mode": return Icons.interpreter_mode;
      case "interpreter_mode_sharp": return Icons.interpreter_mode_sharp;
      case "interpreter_mode_rounded": return Icons.interpreter_mode_rounded;
      case "interpreter_mode_outlined": return Icons.interpreter_mode_outlined;
      case "inventory": return Icons.inventory;
      case "inventory_sharp": return Icons.inventory_sharp;
      case "inventory_rounded": return Icons.inventory_rounded;
      case "inventory_outlined": return Icons.inventory_outlined;
      case "inventory_2": return Icons.inventory_2;
      case "inventory_2_sharp": return Icons.inventory_2_sharp;
      case "inventory_2_rounded": return Icons.inventory_2_rounded;
      case "inventory_2_outlined": return Icons.inventory_2_outlined;
      case "invert_colors": return Icons.invert_colors;
      case "invert_colors_sharp": return Icons.invert_colors_sharp;
      case "invert_colors_rounded": return Icons.invert_colors_rounded;
      case "invert_colors_outlined": return Icons.invert_colors_outlined;
      case "invert_colors_off": return Icons.invert_colors_off;
      case "invert_colors_off_sharp": return Icons.invert_colors_off_sharp;
      case "invert_colors_off_rounded": return Icons.invert_colors_off_rounded;
      case "invert_colors_off_outlined": return Icons.invert_colors_off_outlined;
      case "invert_colors_on": return Icons.invert_colors_on;
      case "invert_colors_on_sharp": return Icons.invert_colors_on_sharp;
      case "invert_colors_on_rounded": return Icons.invert_colors_on_rounded;
      case "invert_colors_on_outlined": return Icons.invert_colors_on_outlined;
      case "ios_share": return Icons.ios_share;
      case "ios_share_sharp": return Icons.ios_share_sharp;
      case "ios_share_rounded": return Icons.ios_share_rounded;
      case "ios_share_outlined": return Icons.ios_share_outlined;
      case "iron": return Icons.iron;
      case "iron_sharp": return Icons.iron_sharp;
      case "iron_rounded": return Icons.iron_rounded;
      case "iron_outlined": return Icons.iron_outlined;
      case "iso": return Icons.iso;
      case "iso_sharp": return Icons.iso_sharp;
      case "iso_rounded": return Icons.iso_rounded;
      case "iso_outlined": return Icons.iso_outlined;
      case "javascript": return Icons.javascript;
      case "javascript_sharp": return Icons.javascript_sharp;
      case "javascript_rounded": return Icons.javascript_rounded;
      case "javascript_outlined": return Icons.javascript_outlined;
      case "join_full": return Icons.join_full;
      case "join_full_sharp": return Icons.join_full_sharp;
      case "join_full_rounded": return Icons.join_full_rounded;
      case "join_full_outlined": return Icons.join_full_outlined;
      case "join_inner": return Icons.join_inner;
      case "join_inner_sharp": return Icons.join_inner_sharp;
      case "join_inner_rounded": return Icons.join_inner_rounded;
      case "join_inner_outlined": return Icons.join_inner_outlined;
      case "join_left": return Icons.join_left;
      case "join_left_sharp": return Icons.join_left_sharp;
      case "join_left_rounded": return Icons.join_left_rounded;
      case "join_left_outlined": return Icons.join_left_outlined;
      case "join_right": return Icons.join_right;
      case "join_right_sharp": return Icons.join_right_sharp;
      case "join_right_rounded": return Icons.join_right_rounded;
      case "join_right_outlined": return Icons.join_right_outlined;
      case "kayaking": return Icons.kayaking;
      case "kayaking_sharp": return Icons.kayaking_sharp;
      case "kayaking_rounded": return Icons.kayaking_rounded;
      case "kayaking_outlined": return Icons.kayaking_outlined;
      case "kebab_dining": return Icons.kebab_dining;
      case "kebab_dining_sharp": return Icons.kebab_dining_sharp;
      case "kebab_dining_rounded": return Icons.kebab_dining_rounded;
      case "kebab_dining_outlined": return Icons.kebab_dining_outlined;
      case "key": return Icons.key;
      case "key_sharp": return Icons.key_sharp;
      case "key_rounded": return Icons.key_rounded;
      case "key_outlined": return Icons.key_outlined;
      case "key_off": return Icons.key_off;
      case "key_off_sharp": return Icons.key_off_sharp;
      case "key_off_rounded": return Icons.key_off_rounded;
      case "key_off_outlined": return Icons.key_off_outlined;
      case "keyboard": return Icons.keyboard;
      case "keyboard_sharp": return Icons.keyboard_sharp;
      case "keyboard_rounded": return Icons.keyboard_rounded;
      case "keyboard_outlined": return Icons.keyboard_outlined;
      case "keyboard_alt": return Icons.keyboard_alt;
      case "keyboard_alt_sharp": return Icons.keyboard_alt_sharp;
      case "keyboard_alt_rounded": return Icons.keyboard_alt_rounded;
      case "keyboard_alt_outlined": return Icons.keyboard_alt_outlined;
      case "keyboard_arrow_down": return Icons.keyboard_arrow_down;
      case "keyboard_arrow_down_sharp": return Icons.keyboard_arrow_down_sharp;
      case "keyboard_arrow_down_rounded": return Icons.keyboard_arrow_down_rounded;
      case "keyboard_arrow_down_outlined": return Icons.keyboard_arrow_down_outlined;
      case "keyboard_arrow_left": return Icons.keyboard_arrow_left;
      case "keyboard_arrow_left_sharp": return Icons.keyboard_arrow_left_sharp;
      case "keyboard_arrow_left_rounded": return Icons.keyboard_arrow_left_rounded;
      case "keyboard_arrow_left_outlined": return Icons.keyboard_arrow_left_outlined;
      case "keyboard_arrow_right": return Icons.keyboard_arrow_right;
      case "keyboard_arrow_right_sharp": return Icons.keyboard_arrow_right_sharp;
      case "keyboard_arrow_right_rounded": return Icons.keyboard_arrow_right_rounded;
      case "keyboard_arrow_right_outlined": return Icons.keyboard_arrow_right_outlined;
      case "keyboard_arrow_up": return Icons.keyboard_arrow_up;
      case "keyboard_arrow_up_sharp": return Icons.keyboard_arrow_up_sharp;
      case "keyboard_arrow_up_rounded": return Icons.keyboard_arrow_up_rounded;
      case "keyboard_arrow_up_outlined": return Icons.keyboard_arrow_up_outlined;
      case "keyboard_backspace": return Icons.keyboard_backspace;
      case "keyboard_backspace_sharp": return Icons.keyboard_backspace_sharp;
      case "keyboard_backspace_rounded": return Icons.keyboard_backspace_rounded;
      case "keyboard_backspace_outlined": return Icons.keyboard_backspace_outlined;
      case "keyboard_capslock": return Icons.keyboard_capslock;
      case "keyboard_capslock_sharp": return Icons.keyboard_capslock_sharp;
      case "keyboard_capslock_rounded": return Icons.keyboard_capslock_rounded;
      case "keyboard_capslock_outlined": return Icons.keyboard_capslock_outlined;
      case "keyboard_command_key": return Icons.keyboard_command_key;
      case "keyboard_command_key_sharp": return Icons.keyboard_command_key_sharp;
      case "keyboard_command_key_rounded": return Icons.keyboard_command_key_rounded;
      case "keyboard_command_key_outlined": return Icons.keyboard_command_key_outlined;
      case "keyboard_control": return Icons.keyboard_control;
      case "keyboard_control_sharp": return Icons.keyboard_control_sharp;
      case "keyboard_control_rounded": return Icons.keyboard_control_rounded;
      case "keyboard_control_outlined": return Icons.keyboard_control_outlined;
      case "keyboard_control_key": return Icons.keyboard_control_key;
      case "keyboard_control_key_sharp": return Icons.keyboard_control_key_sharp;
      case "keyboard_control_key_rounded": return Icons.keyboard_control_key_rounded;
      case "keyboard_control_key_outlined": return Icons.keyboard_control_key_outlined;
      case "keyboard_double_arrow_down": return Icons.keyboard_double_arrow_down;
      case "keyboard_double_arrow_down_sharp": return Icons.keyboard_double_arrow_down_sharp;
      case "keyboard_double_arrow_down_rounded": return Icons.keyboard_double_arrow_down_rounded;
      case "keyboard_double_arrow_down_outlined": return Icons.keyboard_double_arrow_down_outlined;
      case "keyboard_double_arrow_left": return Icons.keyboard_double_arrow_left;
      case "keyboard_double_arrow_left_sharp": return Icons.keyboard_double_arrow_left_sharp;
      case "keyboard_double_arrow_left_rounded": return Icons.keyboard_double_arrow_left_rounded;
      case "keyboard_double_arrow_left_outlined": return Icons.keyboard_double_arrow_left_outlined;
      case "keyboard_double_arrow_right": return Icons.keyboard_double_arrow_right;
      case "keyboard_double_arrow_right_sharp": return Icons.keyboard_double_arrow_right_sharp;
      case "keyboard_double_arrow_right_rounded": return Icons.keyboard_double_arrow_right_rounded;
      case "keyboard_double_arrow_right_outlined": return Icons.keyboard_double_arrow_right_outlined;
      case "keyboard_double_arrow_up": return Icons.keyboard_double_arrow_up;
      case "keyboard_double_arrow_up_sharp": return Icons.keyboard_double_arrow_up_sharp;
      case "keyboard_double_arrow_up_rounded": return Icons.keyboard_double_arrow_up_rounded;
      case "keyboard_double_arrow_up_outlined": return Icons.keyboard_double_arrow_up_outlined;
      case "keyboard_hide": return Icons.keyboard_hide;
      case "keyboard_hide_sharp": return Icons.keyboard_hide_sharp;
      case "keyboard_hide_rounded": return Icons.keyboard_hide_rounded;
      case "keyboard_hide_outlined": return Icons.keyboard_hide_outlined;
      case "keyboard_option_key": return Icons.keyboard_option_key;
      case "keyboard_option_key_sharp": return Icons.keyboard_option_key_sharp;
      case "keyboard_option_key_rounded": return Icons.keyboard_option_key_rounded;
      case "keyboard_option_key_outlined": return Icons.keyboard_option_key_outlined;
      case "keyboard_return": return Icons.keyboard_return;
      case "keyboard_return_sharp": return Icons.keyboard_return_sharp;
      case "keyboard_return_rounded": return Icons.keyboard_return_rounded;
      case "keyboard_return_outlined": return Icons.keyboard_return_outlined;
      case "keyboard_tab": return Icons.keyboard_tab;
      case "keyboard_tab_sharp": return Icons.keyboard_tab_sharp;
      case "keyboard_tab_rounded": return Icons.keyboard_tab_rounded;
      case "keyboard_tab_outlined": return Icons.keyboard_tab_outlined;
      case "keyboard_voice": return Icons.keyboard_voice;
      case "keyboard_voice_sharp": return Icons.keyboard_voice_sharp;
      case "keyboard_voice_rounded": return Icons.keyboard_voice_rounded;
      case "keyboard_voice_outlined": return Icons.keyboard_voice_outlined;
      case "king_bed": return Icons.king_bed;
      case "king_bed_sharp": return Icons.king_bed_sharp;
      case "king_bed_rounded": return Icons.king_bed_rounded;
      case "king_bed_outlined": return Icons.king_bed_outlined;
      case "kitchen": return Icons.kitchen;
      case "kitchen_sharp": return Icons.kitchen_sharp;
      case "kitchen_rounded": return Icons.kitchen_rounded;
      case "kitchen_outlined": return Icons.kitchen_outlined;
      case "kitesurfing": return Icons.kitesurfing;
      case "kitesurfing_sharp": return Icons.kitesurfing_sharp;
      case "kitesurfing_rounded": return Icons.kitesurfing_rounded;
      case "kitesurfing_outlined": return Icons.kitesurfing_outlined;
      case "label": return Icons.label;
      case "label_sharp": return Icons.label_sharp;
      case "label_rounded": return Icons.label_rounded;
      case "label_outlined": return Icons.label_outlined;
      case "label_important": return Icons.label_important;
      case "label_important_sharp": return Icons.label_important_sharp;
      case "label_important_rounded": return Icons.label_important_rounded;
      case "label_important_outlined": return Icons.label_important_outlined;
      case "label_important_outline": return Icons.label_important_outline;
      case "label_important_outline_sharp": return Icons.label_important_outline_sharp;
      case "label_important_outline_rounded": return Icons.label_important_outline_rounded;
      case "label_off": return Icons.label_off;
      case "label_off_sharp": return Icons.label_off_sharp;
      case "label_off_rounded": return Icons.label_off_rounded;
      case "label_off_outlined": return Icons.label_off_outlined;
      case "label_outline": return Icons.label_outline;
      case "label_outline_sharp": return Icons.label_outline_sharp;
      case "label_outline_rounded": return Icons.label_outline_rounded;
      case "lan": return Icons.lan;
      case "lan_sharp": return Icons.lan_sharp;
      case "lan_rounded": return Icons.lan_rounded;
      case "lan_outlined": return Icons.lan_outlined;
      case "landscape": return Icons.landscape;
      case "landscape_sharp": return Icons.landscape_sharp;
      case "landscape_rounded": return Icons.landscape_rounded;
      case "landscape_outlined": return Icons.landscape_outlined;
      case "language": return Icons.language;
      case "language_sharp": return Icons.language_sharp;
      case "language_rounded": return Icons.language_rounded;
      case "language_outlined": return Icons.language_outlined;
      case "laptop": return Icons.laptop;
      case "laptop_sharp": return Icons.laptop_sharp;
      case "laptop_rounded": return Icons.laptop_rounded;
      case "laptop_outlined": return Icons.laptop_outlined;
      case "laptop_chromebook": return Icons.laptop_chromebook;
      case "laptop_chromebook_sharp": return Icons.laptop_chromebook_sharp;
      case "laptop_chromebook_rounded": return Icons.laptop_chromebook_rounded;
      case "laptop_chromebook_outlined": return Icons.laptop_chromebook_outlined;
      case "laptop_mac": return Icons.laptop_mac;
      case "laptop_mac_sharp": return Icons.laptop_mac_sharp;
      case "laptop_mac_rounded": return Icons.laptop_mac_rounded;
      case "laptop_mac_outlined": return Icons.laptop_mac_outlined;
      case "laptop_windows": return Icons.laptop_windows;
      case "laptop_windows_sharp": return Icons.laptop_windows_sharp;
      case "laptop_windows_rounded": return Icons.laptop_windows_rounded;
      case "laptop_windows_outlined": return Icons.laptop_windows_outlined;
      case "last_page": return Icons.last_page;
      case "last_page_sharp": return Icons.last_page_sharp;
      case "last_page_rounded": return Icons.last_page_rounded;
      case "last_page_outlined": return Icons.last_page_outlined;
      case "launch": return Icons.launch;
      case "launch_sharp": return Icons.launch_sharp;
      case "launch_rounded": return Icons.launch_rounded;
      case "launch_outlined": return Icons.launch_outlined;
      case "layers": return Icons.layers;
      case "layers_sharp": return Icons.layers_sharp;
      case "layers_rounded": return Icons.layers_rounded;
      case "layers_outlined": return Icons.layers_outlined;
      case "layers_clear": return Icons.layers_clear;
      case "layers_clear_sharp": return Icons.layers_clear_sharp;
      case "layers_clear_rounded": return Icons.layers_clear_rounded;
      case "layers_clear_outlined": return Icons.layers_clear_outlined;
      case "leaderboard": return Icons.leaderboard;
      case "leaderboard_sharp": return Icons.leaderboard_sharp;
      case "leaderboard_rounded": return Icons.leaderboard_rounded;
      case "leaderboard_outlined": return Icons.leaderboard_outlined;
      case "leak_add": return Icons.leak_add;
      case "leak_add_sharp": return Icons.leak_add_sharp;
      case "leak_add_rounded": return Icons.leak_add_rounded;
      case "leak_add_outlined": return Icons.leak_add_outlined;
      case "leak_remove": return Icons.leak_remove;
      case "leak_remove_sharp": return Icons.leak_remove_sharp;
      case "leak_remove_rounded": return Icons.leak_remove_rounded;
      case "leak_remove_outlined": return Icons.leak_remove_outlined;
      case "leave_bags_at_home": return Icons.leave_bags_at_home;
      case "leave_bags_at_home_sharp": return Icons.leave_bags_at_home_sharp;
      case "leave_bags_at_home_rounded": return Icons.leave_bags_at_home_rounded;
      case "leave_bags_at_home_outlined": return Icons.leave_bags_at_home_outlined;
      case "legend_toggle": return Icons.legend_toggle;
      case "legend_toggle_sharp": return Icons.legend_toggle_sharp;
      case "legend_toggle_rounded": return Icons.legend_toggle_rounded;
      case "legend_toggle_outlined": return Icons.legend_toggle_outlined;
      case "lens": return Icons.lens;
      case "lens_sharp": return Icons.lens_sharp;
      case "lens_rounded": return Icons.lens_rounded;
      case "lens_outlined": return Icons.lens_outlined;
      case "lens_blur": return Icons.lens_blur;
      case "lens_blur_sharp": return Icons.lens_blur_sharp;
      case "lens_blur_rounded": return Icons.lens_blur_rounded;
      case "lens_blur_outlined": return Icons.lens_blur_outlined;
      case "library_add": return Icons.library_add;
      case "library_add_sharp": return Icons.library_add_sharp;
      case "library_add_rounded": return Icons.library_add_rounded;
      case "library_add_outlined": return Icons.library_add_outlined;
      case "library_add_check": return Icons.library_add_check;
      case "library_add_check_sharp": return Icons.library_add_check_sharp;
      case "library_add_check_rounded": return Icons.library_add_check_rounded;
      case "library_add_check_outlined": return Icons.library_add_check_outlined;
      case "library_books": return Icons.library_books;
      case "library_books_sharp": return Icons.library_books_sharp;
      case "library_books_rounded": return Icons.library_books_rounded;
      case "library_books_outlined": return Icons.library_books_outlined;
      case "library_music": return Icons.library_music;
      case "library_music_sharp": return Icons.library_music_sharp;
      case "library_music_rounded": return Icons.library_music_rounded;
      case "library_music_outlined": return Icons.library_music_outlined;
      case "light": return Icons.light;
      case "light_sharp": return Icons.light_sharp;
      case "light_rounded": return Icons.light_rounded;
      case "light_outlined": return Icons.light_outlined;
      case "light_mode": return Icons.light_mode;
      case "light_mode_sharp": return Icons.light_mode_sharp;
      case "light_mode_rounded": return Icons.light_mode_rounded;
      case "light_mode_outlined": return Icons.light_mode_outlined;
      case "lightbulb": return Icons.lightbulb;
      case "lightbulb_sharp": return Icons.lightbulb_sharp;
      case "lightbulb_rounded": return Icons.lightbulb_rounded;
      case "lightbulb_outlined": return Icons.lightbulb_outlined;
      case "lightbulb_outline": return Icons.lightbulb_outline;
      case "lightbulb_outline_sharp": return Icons.lightbulb_outline_sharp;
      case "lightbulb_outline_rounded": return Icons.lightbulb_outline_rounded;
      case "line_axis": return Icons.line_axis;
      case "line_axis_sharp": return Icons.line_axis_sharp;
      case "line_axis_rounded": return Icons.line_axis_rounded;
      case "line_axis_outlined": return Icons.line_axis_outlined;
      case "line_style": return Icons.line_style;
      case "line_style_sharp": return Icons.line_style_sharp;
      case "line_style_rounded": return Icons.line_style_rounded;
      case "line_style_outlined": return Icons.line_style_outlined;
      case "line_weight": return Icons.line_weight;
      case "line_weight_sharp": return Icons.line_weight_sharp;
      case "line_weight_rounded": return Icons.line_weight_rounded;
      case "line_weight_outlined": return Icons.line_weight_outlined;
      case "linear_scale": return Icons.linear_scale;
      case "linear_scale_sharp": return Icons.linear_scale_sharp;
      case "linear_scale_rounded": return Icons.linear_scale_rounded;
      case "linear_scale_outlined": return Icons.linear_scale_outlined;
      case "link": return Icons.link;
      case "link_sharp": return Icons.link_sharp;
      case "link_rounded": return Icons.link_rounded;
      case "link_outlined": return Icons.link_outlined;
      case "link_off": return Icons.link_off;
      case "link_off_sharp": return Icons.link_off_sharp;
      case "link_off_rounded": return Icons.link_off_rounded;
      case "link_off_outlined": return Icons.link_off_outlined;
      case "linked_camera": return Icons.linked_camera;
      case "linked_camera_sharp": return Icons.linked_camera_sharp;
      case "linked_camera_rounded": return Icons.linked_camera_rounded;
      case "linked_camera_outlined": return Icons.linked_camera_outlined;
      case "liquor": return Icons.liquor;
      case "liquor_sharp": return Icons.liquor_sharp;
      case "liquor_rounded": return Icons.liquor_rounded;
      case "liquor_outlined": return Icons.liquor_outlined;
      case "list": return Icons.list;
      case "list_sharp": return Icons.list_sharp;
      case "list_rounded": return Icons.list_rounded;
      case "list_outlined": return Icons.list_outlined;
      case "list_alt": return Icons.list_alt;
      case "list_alt_sharp": return Icons.list_alt_sharp;
      case "list_alt_rounded": return Icons.list_alt_rounded;
      case "list_alt_outlined": return Icons.list_alt_outlined;
      case "live_help": return Icons.live_help;
      case "live_help_sharp": return Icons.live_help_sharp;
      case "live_help_rounded": return Icons.live_help_rounded;
      case "live_help_outlined": return Icons.live_help_outlined;
      case "live_tv": return Icons.live_tv;
      case "live_tv_sharp": return Icons.live_tv_sharp;
      case "live_tv_rounded": return Icons.live_tv_rounded;
      case "live_tv_outlined": return Icons.live_tv_outlined;
      case "living": return Icons.living;
      case "living_sharp": return Icons.living_sharp;
      case "living_rounded": return Icons.living_rounded;
      case "living_outlined": return Icons.living_outlined;
      case "local_activity": return Icons.local_activity;
      case "local_activity_sharp": return Icons.local_activity_sharp;
      case "local_activity_rounded": return Icons.local_activity_rounded;
      case "local_activity_outlined": return Icons.local_activity_outlined;
      case "local_airport": return Icons.local_airport;
      case "local_airport_sharp": return Icons.local_airport_sharp;
      case "local_airport_rounded": return Icons.local_airport_rounded;
      case "local_airport_outlined": return Icons.local_airport_outlined;
      case "local_atm": return Icons.local_atm;
      case "local_atm_sharp": return Icons.local_atm_sharp;
      case "local_atm_rounded": return Icons.local_atm_rounded;
      case "local_atm_outlined": return Icons.local_atm_outlined;
      case "local_attraction": return Icons.local_attraction;
      case "local_attraction_sharp": return Icons.local_attraction_sharp;
      case "local_attraction_rounded": return Icons.local_attraction_rounded;
      case "local_attraction_outlined": return Icons.local_attraction_outlined;
      case "local_bar": return Icons.local_bar;
      case "local_bar_sharp": return Icons.local_bar_sharp;
      case "local_bar_rounded": return Icons.local_bar_rounded;
      case "local_bar_outlined": return Icons.local_bar_outlined;
      case "local_cafe": return Icons.local_cafe;
      case "local_cafe_sharp": return Icons.local_cafe_sharp;
      case "local_cafe_rounded": return Icons.local_cafe_rounded;
      case "local_cafe_outlined": return Icons.local_cafe_outlined;
      case "local_car_wash": return Icons.local_car_wash;
      case "local_car_wash_sharp": return Icons.local_car_wash_sharp;
      case "local_car_wash_rounded": return Icons.local_car_wash_rounded;
      case "local_car_wash_outlined": return Icons.local_car_wash_outlined;
      case "local_convenience_store": return Icons.local_convenience_store;
      case "local_convenience_store_sharp": return Icons.local_convenience_store_sharp;
      case "local_convenience_store_rounded": return Icons.local_convenience_store_rounded;
      case "local_convenience_store_outlined": return Icons.local_convenience_store_outlined;
      case "local_dining": return Icons.local_dining;
      case "local_dining_sharp": return Icons.local_dining_sharp;
      case "local_dining_rounded": return Icons.local_dining_rounded;
      case "local_dining_outlined": return Icons.local_dining_outlined;
      case "local_drink": return Icons.local_drink;
      case "local_drink_sharp": return Icons.local_drink_sharp;
      case "local_drink_rounded": return Icons.local_drink_rounded;
      case "local_drink_outlined": return Icons.local_drink_outlined;
      case "local_fire_department": return Icons.local_fire_department;
      case "local_fire_department_sharp": return Icons.local_fire_department_sharp;
      case "local_fire_department_rounded": return Icons.local_fire_department_rounded;
      case "local_fire_department_outlined": return Icons.local_fire_department_outlined;
      case "local_florist": return Icons.local_florist;
      case "local_florist_sharp": return Icons.local_florist_sharp;
      case "local_florist_rounded": return Icons.local_florist_rounded;
      case "local_florist_outlined": return Icons.local_florist_outlined;
      case "local_gas_station": return Icons.local_gas_station;
      case "local_gas_station_sharp": return Icons.local_gas_station_sharp;
      case "local_gas_station_rounded": return Icons.local_gas_station_rounded;
      case "local_gas_station_outlined": return Icons.local_gas_station_outlined;
      case "local_grocery_store": return Icons.local_grocery_store;
      case "local_grocery_store_sharp": return Icons.local_grocery_store_sharp;
      case "local_grocery_store_rounded": return Icons.local_grocery_store_rounded;
      case "local_grocery_store_outlined": return Icons.local_grocery_store_outlined;
      case "local_hospital": return Icons.local_hospital;
      case "local_hospital_sharp": return Icons.local_hospital_sharp;
      case "local_hospital_rounded": return Icons.local_hospital_rounded;
      case "local_hospital_outlined": return Icons.local_hospital_outlined;
      case "local_hotel": return Icons.local_hotel;
      case "local_hotel_sharp": return Icons.local_hotel_sharp;
      case "local_hotel_rounded": return Icons.local_hotel_rounded;
      case "local_hotel_outlined": return Icons.local_hotel_outlined;
      case "local_laundry_service": return Icons.local_laundry_service;
      case "local_laundry_service_sharp": return Icons.local_laundry_service_sharp;
      case "local_laundry_service_rounded": return Icons.local_laundry_service_rounded;
      case "local_laundry_service_outlined": return Icons.local_laundry_service_outlined;
      case "local_library": return Icons.local_library;
      case "local_library_sharp": return Icons.local_library_sharp;
      case "local_library_rounded": return Icons.local_library_rounded;
      case "local_library_outlined": return Icons.local_library_outlined;
      case "local_mall": return Icons.local_mall;
      case "local_mall_sharp": return Icons.local_mall_sharp;
      case "local_mall_rounded": return Icons.local_mall_rounded;
      case "local_mall_outlined": return Icons.local_mall_outlined;
      case "local_movies": return Icons.local_movies;
      case "local_movies_sharp": return Icons.local_movies_sharp;
      case "local_movies_rounded": return Icons.local_movies_rounded;
      case "local_movies_outlined": return Icons.local_movies_outlined;
      case "local_offer": return Icons.local_offer;
      case "local_offer_sharp": return Icons.local_offer_sharp;
      case "local_offer_rounded": return Icons.local_offer_rounded;
      case "local_offer_outlined": return Icons.local_offer_outlined;
      case "local_parking": return Icons.local_parking;
      case "local_parking_sharp": return Icons.local_parking_sharp;
      case "local_parking_rounded": return Icons.local_parking_rounded;
      case "local_parking_outlined": return Icons.local_parking_outlined;
      case "local_pharmacy": return Icons.local_pharmacy;
      case "local_pharmacy_sharp": return Icons.local_pharmacy_sharp;
      case "local_pharmacy_rounded": return Icons.local_pharmacy_rounded;
      case "local_pharmacy_outlined": return Icons.local_pharmacy_outlined;
      case "local_phone": return Icons.local_phone;
      case "local_phone_sharp": return Icons.local_phone_sharp;
      case "local_phone_rounded": return Icons.local_phone_rounded;
      case "local_phone_outlined": return Icons.local_phone_outlined;
      case "local_pizza": return Icons.local_pizza;
      case "local_pizza_sharp": return Icons.local_pizza_sharp;
      case "local_pizza_rounded": return Icons.local_pizza_rounded;
      case "local_pizza_outlined": return Icons.local_pizza_outlined;
      case "local_play": return Icons.local_play;
      case "local_play_sharp": return Icons.local_play_sharp;
      case "local_play_rounded": return Icons.local_play_rounded;
      case "local_play_outlined": return Icons.local_play_outlined;
      case "local_police": return Icons.local_police;
      case "local_police_sharp": return Icons.local_police_sharp;
      case "local_police_rounded": return Icons.local_police_rounded;
      case "local_police_outlined": return Icons.local_police_outlined;
      case "local_post_office": return Icons.local_post_office;
      case "local_post_office_sharp": return Icons.local_post_office_sharp;
      case "local_post_office_rounded": return Icons.local_post_office_rounded;
      case "local_post_office_outlined": return Icons.local_post_office_outlined;
      case "local_print_shop": return Icons.local_print_shop;
      case "local_print_shop_sharp": return Icons.local_print_shop_sharp;
      case "local_print_shop_rounded": return Icons.local_print_shop_rounded;
      case "local_print_shop_outlined": return Icons.local_print_shop_outlined;
      case "local_printshop": return Icons.local_printshop;
      case "local_printshop_sharp": return Icons.local_printshop_sharp;
      case "local_printshop_rounded": return Icons.local_printshop_rounded;
      case "local_printshop_outlined": return Icons.local_printshop_outlined;
      case "local_restaurant": return Icons.local_restaurant;
      case "local_restaurant_sharp": return Icons.local_restaurant_sharp;
      case "local_restaurant_rounded": return Icons.local_restaurant_rounded;
      case "local_restaurant_outlined": return Icons.local_restaurant_outlined;
      case "local_see": return Icons.local_see;
      case "local_see_sharp": return Icons.local_see_sharp;
      case "local_see_rounded": return Icons.local_see_rounded;
      case "local_see_outlined": return Icons.local_see_outlined;
      case "local_shipping": return Icons.local_shipping;
      case "local_shipping_sharp": return Icons.local_shipping_sharp;
      case "local_shipping_rounded": return Icons.local_shipping_rounded;
      case "local_shipping_outlined": return Icons.local_shipping_outlined;
      case "local_taxi": return Icons.local_taxi;
      case "local_taxi_sharp": return Icons.local_taxi_sharp;
      case "local_taxi_rounded": return Icons.local_taxi_rounded;
      case "local_taxi_outlined": return Icons.local_taxi_outlined;
      case "location_city": return Icons.location_city;
      case "location_city_sharp": return Icons.location_city_sharp;
      case "location_city_rounded": return Icons.location_city_rounded;
      case "location_city_outlined": return Icons.location_city_outlined;
      case "location_disabled": return Icons.location_disabled;
      case "location_disabled_sharp": return Icons.location_disabled_sharp;
      case "location_disabled_rounded": return Icons.location_disabled_rounded;
      case "location_disabled_outlined": return Icons.location_disabled_outlined;
      case "location_history": return Icons.location_history;
      case "location_history_sharp": return Icons.location_history_sharp;
      case "location_history_rounded": return Icons.location_history_rounded;
      case "location_history_outlined": return Icons.location_history_outlined;
      case "location_off": return Icons.location_off;
      case "location_off_sharp": return Icons.location_off_sharp;
      case "location_off_rounded": return Icons.location_off_rounded;
      case "location_off_outlined": return Icons.location_off_outlined;
      case "location_on": return Icons.location_on;
      case "location_on_sharp": return Icons.location_on_sharp;
      case "location_on_rounded": return Icons.location_on_rounded;
      case "location_on_outlined": return Icons.location_on_outlined;
      case "location_pin": return Icons.location_pin;
      case "location_searching": return Icons.location_searching;
      case "location_searching_sharp": return Icons.location_searching_sharp;
      case "location_searching_rounded": return Icons.location_searching_rounded;
      case "location_searching_outlined": return Icons.location_searching_outlined;
      case "lock": return Icons.lock;
      case "lock_sharp": return Icons.lock_sharp;
      case "lock_rounded": return Icons.lock_rounded;
      case "lock_outlined": return Icons.lock_outlined;
      case "lock_clock": return Icons.lock_clock;
      case "lock_clock_sharp": return Icons.lock_clock_sharp;
      case "lock_clock_rounded": return Icons.lock_clock_rounded;
      case "lock_clock_outlined": return Icons.lock_clock_outlined;
      case "lock_open": return Icons.lock_open;
      case "lock_open_sharp": return Icons.lock_open_sharp;
      case "lock_open_rounded": return Icons.lock_open_rounded;
      case "lock_open_outlined": return Icons.lock_open_outlined;
      case "lock_outline": return Icons.lock_outline;
      case "lock_outline_sharp": return Icons.lock_outline_sharp;
      case "lock_outline_rounded": return Icons.lock_outline_rounded;
      case "lock_reset": return Icons.lock_reset;
      case "lock_reset_sharp": return Icons.lock_reset_sharp;
      case "lock_reset_rounded": return Icons.lock_reset_rounded;
      case "lock_reset_outlined": return Icons.lock_reset_outlined;
      case "login": return Icons.login;
      case "login_sharp": return Icons.login_sharp;
      case "login_rounded": return Icons.login_rounded;
      case "login_outlined": return Icons.login_outlined;
      case "logo_dev": return Icons.logo_dev;
      case "logo_dev_sharp": return Icons.logo_dev_sharp;
      case "logo_dev_rounded": return Icons.logo_dev_rounded;
      case "logo_dev_outlined": return Icons.logo_dev_outlined;
      case "logout": return Icons.logout;
      case "logout_sharp": return Icons.logout_sharp;
      case "logout_rounded": return Icons.logout_rounded;
      case "logout_outlined": return Icons.logout_outlined;
      case "looks": return Icons.looks;
      case "looks_sharp": return Icons.looks_sharp;
      case "looks_rounded": return Icons.looks_rounded;
      case "looks_outlined": return Icons.looks_outlined;
      case "looks_3": return Icons.looks_3;
      case "looks_3_sharp": return Icons.looks_3_sharp;
      case "looks_3_rounded": return Icons.looks_3_rounded;
      case "looks_3_outlined": return Icons.looks_3_outlined;
      case "looks_4": return Icons.looks_4;
      case "looks_4_sharp": return Icons.looks_4_sharp;
      case "looks_4_rounded": return Icons.looks_4_rounded;
      case "looks_4_outlined": return Icons.looks_4_outlined;
      case "looks_5": return Icons.looks_5;
      case "looks_5_sharp": return Icons.looks_5_sharp;
      case "looks_5_rounded": return Icons.looks_5_rounded;
      case "looks_5_outlined": return Icons.looks_5_outlined;
      case "looks_6": return Icons.looks_6;
      case "looks_6_sharp": return Icons.looks_6_sharp;
      case "looks_6_rounded": return Icons.looks_6_rounded;
      case "looks_6_outlined": return Icons.looks_6_outlined;
      case "looks_one": return Icons.looks_one;
      case "looks_one_sharp": return Icons.looks_one_sharp;
      case "looks_one_rounded": return Icons.looks_one_rounded;
      case "looks_one_outlined": return Icons.looks_one_outlined;
      case "looks_two": return Icons.looks_two;
      case "looks_two_sharp": return Icons.looks_two_sharp;
      case "looks_two_rounded": return Icons.looks_two_rounded;
      case "looks_two_outlined": return Icons.looks_two_outlined;
      case "loop": return Icons.loop;
      case "loop_sharp": return Icons.loop_sharp;
      case "loop_rounded": return Icons.loop_rounded;
      case "loop_outlined": return Icons.loop_outlined;
      case "loupe": return Icons.loupe;
      case "loupe_sharp": return Icons.loupe_sharp;
      case "loupe_rounded": return Icons.loupe_rounded;
      case "loupe_outlined": return Icons.loupe_outlined;
      case "low_priority": return Icons.low_priority;
      case "low_priority_sharp": return Icons.low_priority_sharp;
      case "low_priority_rounded": return Icons.low_priority_rounded;
      case "low_priority_outlined": return Icons.low_priority_outlined;
      case "loyalty": return Icons.loyalty;
      case "loyalty_sharp": return Icons.loyalty_sharp;
      case "loyalty_rounded": return Icons.loyalty_rounded;
      case "loyalty_outlined": return Icons.loyalty_outlined;
      case "lte_mobiledata": return Icons.lte_mobiledata;
      case "lte_mobiledata_sharp": return Icons.lte_mobiledata_sharp;
      case "lte_mobiledata_rounded": return Icons.lte_mobiledata_rounded;
      case "lte_mobiledata_outlined": return Icons.lte_mobiledata_outlined;
      case "lte_plus_mobiledata": return Icons.lte_plus_mobiledata;
      case "lte_plus_mobiledata_sharp": return Icons.lte_plus_mobiledata_sharp;
      case "lte_plus_mobiledata_rounded": return Icons.lte_plus_mobiledata_rounded;
      case "lte_plus_mobiledata_outlined": return Icons.lte_plus_mobiledata_outlined;
      case "luggage": return Icons.luggage;
      case "luggage_sharp": return Icons.luggage_sharp;
      case "luggage_rounded": return Icons.luggage_rounded;
      case "luggage_outlined": return Icons.luggage_outlined;
      case "lunch_dining": return Icons.lunch_dining;
      case "lunch_dining_sharp": return Icons.lunch_dining_sharp;
      case "lunch_dining_rounded": return Icons.lunch_dining_rounded;
      case "lunch_dining_outlined": return Icons.lunch_dining_outlined;
      case "mail": return Icons.mail;
      case "mail_sharp": return Icons.mail_sharp;
      case "mail_rounded": return Icons.mail_rounded;
      case "mail_outlined": return Icons.mail_outlined;
      case "mail_outline": return Icons.mail_outline;
      case "mail_outline_sharp": return Icons.mail_outline_sharp;
      case "mail_outline_rounded": return Icons.mail_outline_rounded;
      case "mail_outline_outlined": return Icons.mail_outline_outlined;
      case "male": return Icons.male;
      case "male_sharp": return Icons.male_sharp;
      case "male_rounded": return Icons.male_rounded;
      case "male_outlined": return Icons.male_outlined;
      case "man": return Icons.man;
      case "man_sharp": return Icons.man_sharp;
      case "man_rounded": return Icons.man_rounded;
      case "man_outlined": return Icons.man_outlined;
      case "manage_accounts": return Icons.manage_accounts;
      case "manage_accounts_sharp": return Icons.manage_accounts_sharp;
      case "manage_accounts_rounded": return Icons.manage_accounts_rounded;
      case "manage_accounts_outlined": return Icons.manage_accounts_outlined;
      case "manage_search": return Icons.manage_search;
      case "manage_search_sharp": return Icons.manage_search_sharp;
      case "manage_search_rounded": return Icons.manage_search_rounded;
      case "manage_search_outlined": return Icons.manage_search_outlined;
      case "map": return Icons.map;
      case "map_sharp": return Icons.map_sharp;
      case "map_rounded": return Icons.map_rounded;
      case "map_outlined": return Icons.map_outlined;
      case "maps_home_work": return Icons.maps_home_work;
      case "maps_home_work_sharp": return Icons.maps_home_work_sharp;
      case "maps_home_work_rounded": return Icons.maps_home_work_rounded;
      case "maps_home_work_outlined": return Icons.maps_home_work_outlined;
      case "maps_ugc": return Icons.maps_ugc;
      case "maps_ugc_sharp": return Icons.maps_ugc_sharp;
      case "maps_ugc_rounded": return Icons.maps_ugc_rounded;
      case "maps_ugc_outlined": return Icons.maps_ugc_outlined;
      case "margin": return Icons.margin;
      case "margin_sharp": return Icons.margin_sharp;
      case "margin_rounded": return Icons.margin_rounded;
      case "margin_outlined": return Icons.margin_outlined;
      case "mark_as_unread": return Icons.mark_as_unread;
      case "mark_as_unread_sharp": return Icons.mark_as_unread_sharp;
      case "mark_as_unread_rounded": return Icons.mark_as_unread_rounded;
      case "mark_as_unread_outlined": return Icons.mark_as_unread_outlined;
      case "mark_chat_read": return Icons.mark_chat_read;
      case "mark_chat_read_sharp": return Icons.mark_chat_read_sharp;
      case "mark_chat_read_rounded": return Icons.mark_chat_read_rounded;
      case "mark_chat_read_outlined": return Icons.mark_chat_read_outlined;
      case "mark_chat_unread": return Icons.mark_chat_unread;
      case "mark_chat_unread_sharp": return Icons.mark_chat_unread_sharp;
      case "mark_chat_unread_rounded": return Icons.mark_chat_unread_rounded;
      case "mark_chat_unread_outlined": return Icons.mark_chat_unread_outlined;
      case "mark_email_read": return Icons.mark_email_read;
      case "mark_email_read_sharp": return Icons.mark_email_read_sharp;
      case "mark_email_read_rounded": return Icons.mark_email_read_rounded;
      case "mark_email_read_outlined": return Icons.mark_email_read_outlined;
      case "mark_email_unread": return Icons.mark_email_unread;
      case "mark_email_unread_sharp": return Icons.mark_email_unread_sharp;
      case "mark_email_unread_rounded": return Icons.mark_email_unread_rounded;
      case "mark_email_unread_outlined": return Icons.mark_email_unread_outlined;
      case "mark_unread_chat_alt": return Icons.mark_unread_chat_alt;
      case "mark_unread_chat_alt_sharp": return Icons.mark_unread_chat_alt_sharp;
      case "mark_unread_chat_alt_rounded": return Icons.mark_unread_chat_alt_rounded;
      case "mark_unread_chat_alt_outlined": return Icons.mark_unread_chat_alt_outlined;
      case "markunread": return Icons.markunread;
      case "markunread_sharp": return Icons.markunread_sharp;
      case "markunread_rounded": return Icons.markunread_rounded;
      case "markunread_outlined": return Icons.markunread_outlined;
      case "markunread_mailbox": return Icons.markunread_mailbox;
      case "markunread_mailbox_sharp": return Icons.markunread_mailbox_sharp;
      case "markunread_mailbox_rounded": return Icons.markunread_mailbox_rounded;
      case "markunread_mailbox_outlined": return Icons.markunread_mailbox_outlined;
      case "masks": return Icons.masks;
      case "masks_sharp": return Icons.masks_sharp;
      case "masks_rounded": return Icons.masks_rounded;
      case "masks_outlined": return Icons.masks_outlined;
      case "maximize": return Icons.maximize;
      case "maximize_sharp": return Icons.maximize_sharp;
      case "maximize_rounded": return Icons.maximize_rounded;
      case "maximize_outlined": return Icons.maximize_outlined;
      case "media_bluetooth_off": return Icons.media_bluetooth_off;
      case "media_bluetooth_off_sharp": return Icons.media_bluetooth_off_sharp;
      case "media_bluetooth_off_rounded": return Icons.media_bluetooth_off_rounded;
      case "media_bluetooth_off_outlined": return Icons.media_bluetooth_off_outlined;
      case "media_bluetooth_on": return Icons.media_bluetooth_on;
      case "media_bluetooth_on_sharp": return Icons.media_bluetooth_on_sharp;
      case "media_bluetooth_on_rounded": return Icons.media_bluetooth_on_rounded;
      case "media_bluetooth_on_outlined": return Icons.media_bluetooth_on_outlined;
      case "mediation": return Icons.mediation;
      case "mediation_sharp": return Icons.mediation_sharp;
      case "mediation_rounded": return Icons.mediation_rounded;
      case "mediation_outlined": return Icons.mediation_outlined;
      case "medical_services": return Icons.medical_services;
      case "medical_services_sharp": return Icons.medical_services_sharp;
      case "medical_services_rounded": return Icons.medical_services_rounded;
      case "medical_services_outlined": return Icons.medical_services_outlined;
      case "medication": return Icons.medication;
      case "medication_sharp": return Icons.medication_sharp;
      case "medication_rounded": return Icons.medication_rounded;
      case "medication_outlined": return Icons.medication_outlined;
      case "medication_liquid": return Icons.medication_liquid;
      case "medication_liquid_sharp": return Icons.medication_liquid_sharp;
      case "medication_liquid_rounded": return Icons.medication_liquid_rounded;
      case "medication_liquid_outlined": return Icons.medication_liquid_outlined;
      case "meeting_room": return Icons.meeting_room;
      case "meeting_room_sharp": return Icons.meeting_room_sharp;
      case "meeting_room_rounded": return Icons.meeting_room_rounded;
      case "meeting_room_outlined": return Icons.meeting_room_outlined;
      case "memory": return Icons.memory;
      case "memory_sharp": return Icons.memory_sharp;
      case "memory_rounded": return Icons.memory_rounded;
      case "memory_outlined": return Icons.memory_outlined;
      case "menu": return Icons.menu;
      case "menu_sharp": return Icons.menu_sharp;
      case "menu_rounded": return Icons.menu_rounded;
      case "menu_outlined": return Icons.menu_outlined;
      case "menu_book": return Icons.menu_book;
      case "menu_book_sharp": return Icons.menu_book_sharp;
      case "menu_book_rounded": return Icons.menu_book_rounded;
      case "menu_book_outlined": return Icons.menu_book_outlined;
      case "menu_open": return Icons.menu_open;
      case "menu_open_sharp": return Icons.menu_open_sharp;
      case "menu_open_rounded": return Icons.menu_open_rounded;
      case "menu_open_outlined": return Icons.menu_open_outlined;
      case "merge": return Icons.merge;
      case "merge_sharp": return Icons.merge_sharp;
      case "merge_rounded": return Icons.merge_rounded;
      case "merge_outlined": return Icons.merge_outlined;
      case "merge_type": return Icons.merge_type;
      case "merge_type_sharp": return Icons.merge_type_sharp;
      case "merge_type_rounded": return Icons.merge_type_rounded;
      case "merge_type_outlined": return Icons.merge_type_outlined;
      case "message": return Icons.message;
      case "message_sharp": return Icons.message_sharp;
      case "message_rounded": return Icons.message_rounded;
      case "message_outlined": return Icons.message_outlined;
      case "messenger": return Icons.messenger;
      case "messenger_sharp": return Icons.messenger_sharp;
      case "messenger_rounded": return Icons.messenger_rounded;
      case "messenger_outlined": return Icons.messenger_outlined;
      case "messenger_outline": return Icons.messenger_outline;
      case "messenger_outline_sharp": return Icons.messenger_outline_sharp;
      case "messenger_outline_rounded": return Icons.messenger_outline_rounded;
      case "messenger_outline_outlined": return Icons.messenger_outline_outlined;
      case "mic": return Icons.mic;
      case "mic_sharp": return Icons.mic_sharp;
      case "mic_rounded": return Icons.mic_rounded;
      case "mic_outlined": return Icons.mic_outlined;
      case "mic_external_off": return Icons.mic_external_off;
      case "mic_external_off_sharp": return Icons.mic_external_off_sharp;
      case "mic_external_off_rounded": return Icons.mic_external_off_rounded;
      case "mic_external_off_outlined": return Icons.mic_external_off_outlined;
      case "mic_external_on": return Icons.mic_external_on;
      case "mic_external_on_sharp": return Icons.mic_external_on_sharp;
      case "mic_external_on_rounded": return Icons.mic_external_on_rounded;
      case "mic_external_on_outlined": return Icons.mic_external_on_outlined;
      case "mic_none": return Icons.mic_none;
      case "mic_none_sharp": return Icons.mic_none_sharp;
      case "mic_none_rounded": return Icons.mic_none_rounded;
      case "mic_none_outlined": return Icons.mic_none_outlined;
      case "mic_off": return Icons.mic_off;
      case "mic_off_sharp": return Icons.mic_off_sharp;
      case "mic_off_rounded": return Icons.mic_off_rounded;
      case "mic_off_outlined": return Icons.mic_off_outlined;
      case "microwave": return Icons.microwave;
      case "microwave_sharp": return Icons.microwave_sharp;
      case "microwave_rounded": return Icons.microwave_rounded;
      case "microwave_outlined": return Icons.microwave_outlined;
      case "military_tech": return Icons.military_tech;
      case "military_tech_sharp": return Icons.military_tech_sharp;
      case "military_tech_rounded": return Icons.military_tech_rounded;
      case "military_tech_outlined": return Icons.military_tech_outlined;
      case "minimize": return Icons.minimize;
      case "minimize_sharp": return Icons.minimize_sharp;
      case "minimize_rounded": return Icons.minimize_rounded;
      case "minimize_outlined": return Icons.minimize_outlined;
      case "miscellaneous_services": return Icons.miscellaneous_services;
      case "miscellaneous_services_sharp": return Icons.miscellaneous_services_sharp;
      case "miscellaneous_services_rounded": return Icons.miscellaneous_services_rounded;
      case "miscellaneous_services_outlined": return Icons.miscellaneous_services_outlined;
      case "missed_video_call": return Icons.missed_video_call;
      case "missed_video_call_sharp": return Icons.missed_video_call_sharp;
      case "missed_video_call_rounded": return Icons.missed_video_call_rounded;
      case "missed_video_call_outlined": return Icons.missed_video_call_outlined;
      case "mms": return Icons.mms;
      case "mms_sharp": return Icons.mms_sharp;
      case "mms_rounded": return Icons.mms_rounded;
      case "mms_outlined": return Icons.mms_outlined;
      case "mobile_friendly": return Icons.mobile_friendly;
      case "mobile_friendly_sharp": return Icons.mobile_friendly_sharp;
      case "mobile_friendly_rounded": return Icons.mobile_friendly_rounded;
      case "mobile_friendly_outlined": return Icons.mobile_friendly_outlined;
      case "mobile_off": return Icons.mobile_off;
      case "mobile_off_sharp": return Icons.mobile_off_sharp;
      case "mobile_off_rounded": return Icons.mobile_off_rounded;
      case "mobile_off_outlined": return Icons.mobile_off_outlined;
      case "mobile_screen_share": return Icons.mobile_screen_share;
      case "mobile_screen_share_sharp": return Icons.mobile_screen_share_sharp;
      case "mobile_screen_share_rounded": return Icons.mobile_screen_share_rounded;
      case "mobile_screen_share_outlined": return Icons.mobile_screen_share_outlined;
      case "mobiledata_off": return Icons.mobiledata_off;
      case "mobiledata_off_sharp": return Icons.mobiledata_off_sharp;
      case "mobiledata_off_rounded": return Icons.mobiledata_off_rounded;
      case "mobiledata_off_outlined": return Icons.mobiledata_off_outlined;
      case "mode": return Icons.mode;
      case "mode_sharp": return Icons.mode_sharp;
      case "mode_rounded": return Icons.mode_rounded;
      case "mode_outlined": return Icons.mode_outlined;
      case "mode_comment": return Icons.mode_comment;
      case "mode_comment_sharp": return Icons.mode_comment_sharp;
      case "mode_comment_rounded": return Icons.mode_comment_rounded;
      case "mode_comment_outlined": return Icons.mode_comment_outlined;
      case "mode_edit": return Icons.mode_edit;
      case "mode_edit_sharp": return Icons.mode_edit_sharp;
      case "mode_edit_rounded": return Icons.mode_edit_rounded;
      case "mode_edit_outlined": return Icons.mode_edit_outlined;
      case "mode_edit_outline": return Icons.mode_edit_outline;
      case "mode_edit_outline_sharp": return Icons.mode_edit_outline_sharp;
      case "mode_edit_outline_rounded": return Icons.mode_edit_outline_rounded;
      case "mode_edit_outline_outlined": return Icons.mode_edit_outline_outlined;
      case "mode_night": return Icons.mode_night;
      case "mode_night_sharp": return Icons.mode_night_sharp;
      case "mode_night_rounded": return Icons.mode_night_rounded;
      case "mode_night_outlined": return Icons.mode_night_outlined;
      case "mode_of_travel": return Icons.mode_of_travel;
      case "mode_of_travel_sharp": return Icons.mode_of_travel_sharp;
      case "mode_of_travel_rounded": return Icons.mode_of_travel_rounded;
      case "mode_of_travel_outlined": return Icons.mode_of_travel_outlined;
      case "mode_standby": return Icons.mode_standby;
      case "mode_standby_sharp": return Icons.mode_standby_sharp;
      case "mode_standby_rounded": return Icons.mode_standby_rounded;
      case "mode_standby_outlined": return Icons.mode_standby_outlined;
      case "model_training": return Icons.model_training;
      case "model_training_sharp": return Icons.model_training_sharp;
      case "model_training_rounded": return Icons.model_training_rounded;
      case "model_training_outlined": return Icons.model_training_outlined;
      case "monetization_on": return Icons.monetization_on;
      case "monetization_on_sharp": return Icons.monetization_on_sharp;
      case "monetization_on_rounded": return Icons.monetization_on_rounded;
      case "monetization_on_outlined": return Icons.monetization_on_outlined;
      case "money": return Icons.money;
      case "money_sharp": return Icons.money_sharp;
      case "money_rounded": return Icons.money_rounded;
      case "money_outlined": return Icons.money_outlined;
      case "money_off": return Icons.money_off;
      case "money_off_sharp": return Icons.money_off_sharp;
      case "money_off_rounded": return Icons.money_off_rounded;
      case "money_off_outlined": return Icons.money_off_outlined;
      case "money_off_csred": return Icons.money_off_csred;
      case "money_off_csred_sharp": return Icons.money_off_csred_sharp;
      case "money_off_csred_rounded": return Icons.money_off_csred_rounded;
      case "money_off_csred_outlined": return Icons.money_off_csred_outlined;
      case "monitor": return Icons.monitor;
      case "monitor_sharp": return Icons.monitor_sharp;
      case "monitor_rounded": return Icons.monitor_rounded;
      case "monitor_outlined": return Icons.monitor_outlined;
      case "monitor_heart": return Icons.monitor_heart;
      case "monitor_heart_sharp": return Icons.monitor_heart_sharp;
      case "monitor_heart_rounded": return Icons.monitor_heart_rounded;
      case "monitor_heart_outlined": return Icons.monitor_heart_outlined;
      case "monitor_weight": return Icons.monitor_weight;
      case "monitor_weight_sharp": return Icons.monitor_weight_sharp;
      case "monitor_weight_rounded": return Icons.monitor_weight_rounded;
      case "monitor_weight_outlined": return Icons.monitor_weight_outlined;
      case "monochrome_photos": return Icons.monochrome_photos;
      case "monochrome_photos_sharp": return Icons.monochrome_photos_sharp;
      case "monochrome_photos_rounded": return Icons.monochrome_photos_rounded;
      case "monochrome_photos_outlined": return Icons.monochrome_photos_outlined;
      case "mood": return Icons.mood;
      case "mood_sharp": return Icons.mood_sharp;
      case "mood_rounded": return Icons.mood_rounded;
      case "mood_outlined": return Icons.mood_outlined;
      case "mood_bad": return Icons.mood_bad;
      case "mood_bad_sharp": return Icons.mood_bad_sharp;
      case "mood_bad_rounded": return Icons.mood_bad_rounded;
      case "mood_bad_outlined": return Icons.mood_bad_outlined;
      case "moped": return Icons.moped;
      case "moped_sharp": return Icons.moped_sharp;
      case "moped_rounded": return Icons.moped_rounded;
      case "moped_outlined": return Icons.moped_outlined;
      case "more": return Icons.more;
      case "more_sharp": return Icons.more_sharp;
      case "more_rounded": return Icons.more_rounded;
      case "more_outlined": return Icons.more_outlined;
      case "more_horiz": return Icons.more_horiz;
      case "more_horiz_sharp": return Icons.more_horiz_sharp;
      case "more_horiz_rounded": return Icons.more_horiz_rounded;
      case "more_horiz_outlined": return Icons.more_horiz_outlined;
      case "more_time": return Icons.more_time;
      case "more_time_sharp": return Icons.more_time_sharp;
      case "more_time_rounded": return Icons.more_time_rounded;
      case "more_time_outlined": return Icons.more_time_outlined;
      case "more_vert": return Icons.more_vert;
      case "more_vert_sharp": return Icons.more_vert_sharp;
      case "more_vert_rounded": return Icons.more_vert_rounded;
      case "more_vert_outlined": return Icons.more_vert_outlined;
      case "mosque": return Icons.mosque;
      case "mosque_sharp": return Icons.mosque_sharp;
      case "mosque_rounded": return Icons.mosque_rounded;
      case "mosque_outlined": return Icons.mosque_outlined;
      case "motion_photos_auto": return Icons.motion_photos_auto;
      case "motion_photos_auto_sharp": return Icons.motion_photos_auto_sharp;
      case "motion_photos_auto_rounded": return Icons.motion_photos_auto_rounded;
      case "motion_photos_auto_outlined": return Icons.motion_photos_auto_outlined;
      case "motion_photos_off": return Icons.motion_photos_off;
      case "motion_photos_off_sharp": return Icons.motion_photos_off_sharp;
      case "motion_photos_off_rounded": return Icons.motion_photos_off_rounded;
      case "motion_photos_off_outlined": return Icons.motion_photos_off_outlined;
      case "motion_photos_on": return Icons.motion_photos_on;
      case "motion_photos_on_sharp": return Icons.motion_photos_on_sharp;
      case "motion_photos_on_rounded": return Icons.motion_photos_on_rounded;
      case "motion_photos_on_outlined": return Icons.motion_photos_on_outlined;
      case "motion_photos_pause": return Icons.motion_photos_pause;
      case "motion_photos_pause_sharp": return Icons.motion_photos_pause_sharp;
      case "motion_photos_pause_rounded": return Icons.motion_photos_pause_rounded;
      case "motion_photos_pause_outlined": return Icons.motion_photos_pause_outlined;
      case "motion_photos_paused": return Icons.motion_photos_paused;
      case "motion_photos_paused_sharp": return Icons.motion_photos_paused_sharp;
      case "motion_photos_paused_rounded": return Icons.motion_photos_paused_rounded;
      case "motion_photos_paused_outlined": return Icons.motion_photos_paused_outlined;
      case "motorcycle": return Icons.motorcycle;
      case "motorcycle_sharp": return Icons.motorcycle_sharp;
      case "motorcycle_rounded": return Icons.motorcycle_rounded;
      case "motorcycle_outlined": return Icons.motorcycle_outlined;
      case "mouse": return Icons.mouse;
      case "mouse_sharp": return Icons.mouse_sharp;
      case "mouse_rounded": return Icons.mouse_rounded;
      case "mouse_outlined": return Icons.mouse_outlined;
      case "move_down": return Icons.move_down;
      case "move_down_sharp": return Icons.move_down_sharp;
      case "move_down_rounded": return Icons.move_down_rounded;
      case "move_down_outlined": return Icons.move_down_outlined;
      case "move_to_inbox": return Icons.move_to_inbox;
      case "move_to_inbox_sharp": return Icons.move_to_inbox_sharp;
      case "move_to_inbox_rounded": return Icons.move_to_inbox_rounded;
      case "move_to_inbox_outlined": return Icons.move_to_inbox_outlined;
      case "move_up": return Icons.move_up;
      case "move_up_sharp": return Icons.move_up_sharp;
      case "move_up_rounded": return Icons.move_up_rounded;
      case "move_up_outlined": return Icons.move_up_outlined;
      case "movie": return Icons.movie;
      case "movie_sharp": return Icons.movie_sharp;
      case "movie_rounded": return Icons.movie_rounded;
      case "movie_outlined": return Icons.movie_outlined;
      case "movie_creation": return Icons.movie_creation;
      case "movie_creation_sharp": return Icons.movie_creation_sharp;
      case "movie_creation_rounded": return Icons.movie_creation_rounded;
      case "movie_creation_outlined": return Icons.movie_creation_outlined;
      case "movie_filter": return Icons.movie_filter;
      case "movie_filter_sharp": return Icons.movie_filter_sharp;
      case "movie_filter_rounded": return Icons.movie_filter_rounded;
      case "movie_filter_outlined": return Icons.movie_filter_outlined;
      case "moving": return Icons.moving;
      case "moving_sharp": return Icons.moving_sharp;
      case "moving_rounded": return Icons.moving_rounded;
      case "moving_outlined": return Icons.moving_outlined;
      case "mp": return Icons.mp;
      case "mp_sharp": return Icons.mp_sharp;
      case "mp_rounded": return Icons.mp_rounded;
      case "mp_outlined": return Icons.mp_outlined;
      case "multiline_chart": return Icons.multiline_chart;
      case "multiline_chart_sharp": return Icons.multiline_chart_sharp;
      case "multiline_chart_rounded": return Icons.multiline_chart_rounded;
      case "multiline_chart_outlined": return Icons.multiline_chart_outlined;
      case "multiple_stop": return Icons.multiple_stop;
      case "multiple_stop_sharp": return Icons.multiple_stop_sharp;
      case "multiple_stop_rounded": return Icons.multiple_stop_rounded;
      case "multiple_stop_outlined": return Icons.multiple_stop_outlined;
      case "multitrack_audio": return Icons.multitrack_audio;
      case "multitrack_audio_sharp": return Icons.multitrack_audio_sharp;
      case "multitrack_audio_rounded": return Icons.multitrack_audio_rounded;
      case "multitrack_audio_outlined": return Icons.multitrack_audio_outlined;
      case "museum": return Icons.museum;
      case "museum_sharp": return Icons.museum_sharp;
      case "museum_rounded": return Icons.museum_rounded;
      case "museum_outlined": return Icons.museum_outlined;
      case "music_note": return Icons.music_note;
      case "music_note_sharp": return Icons.music_note_sharp;
      case "music_note_rounded": return Icons.music_note_rounded;
      case "music_note_outlined": return Icons.music_note_outlined;
      case "music_off": return Icons.music_off;
      case "music_off_sharp": return Icons.music_off_sharp;
      case "music_off_rounded": return Icons.music_off_rounded;
      case "music_off_outlined": return Icons.music_off_outlined;
      case "music_video": return Icons.music_video;
      case "music_video_sharp": return Icons.music_video_sharp;
      case "music_video_rounded": return Icons.music_video_rounded;
      case "music_video_outlined": return Icons.music_video_outlined;
      case "my_library_add": return Icons.my_library_add;
      case "my_library_add_sharp": return Icons.my_library_add_sharp;
      case "my_library_add_rounded": return Icons.my_library_add_rounded;
      case "my_library_add_outlined": return Icons.my_library_add_outlined;
      case "my_library_books": return Icons.my_library_books;
      case "my_library_books_sharp": return Icons.my_library_books_sharp;
      case "my_library_books_rounded": return Icons.my_library_books_rounded;
      case "my_library_books_outlined": return Icons.my_library_books_outlined;
      case "my_library_music": return Icons.my_library_music;
      case "my_library_music_sharp": return Icons.my_library_music_sharp;
      case "my_library_music_rounded": return Icons.my_library_music_rounded;
      case "my_library_music_outlined": return Icons.my_library_music_outlined;
      case "my_location": return Icons.my_location;
      case "my_location_sharp": return Icons.my_location_sharp;
      case "my_location_rounded": return Icons.my_location_rounded;
      case "my_location_outlined": return Icons.my_location_outlined;
      case "nat": return Icons.nat;
      case "nat_sharp": return Icons.nat_sharp;
      case "nat_rounded": return Icons.nat_rounded;
      case "nat_outlined": return Icons.nat_outlined;
      case "nature": return Icons.nature;
      case "nature_sharp": return Icons.nature_sharp;
      case "nature_rounded": return Icons.nature_rounded;
      case "nature_outlined": return Icons.nature_outlined;
      case "nature_people": return Icons.nature_people;
      case "nature_people_sharp": return Icons.nature_people_sharp;
      case "nature_people_rounded": return Icons.nature_people_rounded;
      case "nature_people_outlined": return Icons.nature_people_outlined;
      case "navigate_before": return Icons.navigate_before;
      case "navigate_before_sharp": return Icons.navigate_before_sharp;
      case "navigate_before_rounded": return Icons.navigate_before_rounded;
      case "navigate_before_outlined": return Icons.navigate_before_outlined;
      case "navigate_next": return Icons.navigate_next;
      case "navigate_next_sharp": return Icons.navigate_next_sharp;
      case "navigate_next_rounded": return Icons.navigate_next_rounded;
      case "navigate_next_outlined": return Icons.navigate_next_outlined;
      case "navigation": return Icons.navigation;
      case "navigation_sharp": return Icons.navigation_sharp;
      case "navigation_rounded": return Icons.navigation_rounded;
      case "navigation_outlined": return Icons.navigation_outlined;
      case "near_me": return Icons.near_me;
      case "near_me_sharp": return Icons.near_me_sharp;
      case "near_me_rounded": return Icons.near_me_rounded;
      case "near_me_outlined": return Icons.near_me_outlined;
      case "near_me_disabled": return Icons.near_me_disabled;
      case "near_me_disabled_sharp": return Icons.near_me_disabled_sharp;
      case "near_me_disabled_rounded": return Icons.near_me_disabled_rounded;
      case "near_me_disabled_outlined": return Icons.near_me_disabled_outlined;
      case "nearby_error": return Icons.nearby_error;
      case "nearby_error_sharp": return Icons.nearby_error_sharp;
      case "nearby_error_rounded": return Icons.nearby_error_rounded;
      case "nearby_error_outlined": return Icons.nearby_error_outlined;
      case "nearby_off": return Icons.nearby_off;
      case "nearby_off_sharp": return Icons.nearby_off_sharp;
      case "nearby_off_rounded": return Icons.nearby_off_rounded;
      case "nearby_off_outlined": return Icons.nearby_off_outlined;
      case "network_cell": return Icons.network_cell;
      case "network_cell_sharp": return Icons.network_cell_sharp;
      case "network_cell_rounded": return Icons.network_cell_rounded;
      case "network_cell_outlined": return Icons.network_cell_outlined;
      case "network_check": return Icons.network_check;
      case "network_check_sharp": return Icons.network_check_sharp;
      case "network_check_rounded": return Icons.network_check_rounded;
      case "network_check_outlined": return Icons.network_check_outlined;
      case "network_locked": return Icons.network_locked;
      case "network_locked_sharp": return Icons.network_locked_sharp;
      case "network_locked_rounded": return Icons.network_locked_rounded;
      case "network_locked_outlined": return Icons.network_locked_outlined;
      case "network_ping": return Icons.network_ping;
      case "network_ping_sharp": return Icons.network_ping_sharp;
      case "network_ping_rounded": return Icons.network_ping_rounded;
      case "network_ping_outlined": return Icons.network_ping_outlined;
      case "network_wifi": return Icons.network_wifi;
      case "network_wifi_sharp": return Icons.network_wifi_sharp;
      case "network_wifi_rounded": return Icons.network_wifi_rounded;
      case "network_wifi_outlined": return Icons.network_wifi_outlined;
      case "new_label": return Icons.new_label;
      case "new_label_sharp": return Icons.new_label_sharp;
      case "new_label_rounded": return Icons.new_label_rounded;
      case "new_label_outlined": return Icons.new_label_outlined;
      case "new_releases": return Icons.new_releases;
      case "new_releases_sharp": return Icons.new_releases_sharp;
      case "new_releases_rounded": return Icons.new_releases_rounded;
      case "new_releases_outlined": return Icons.new_releases_outlined;
      case "newspaper": return Icons.newspaper;
      case "newspaper_sharp": return Icons.newspaper_sharp;
      case "newspaper_rounded": return Icons.newspaper_rounded;
      case "newspaper_outlined": return Icons.newspaper_outlined;
      case "next_plan": return Icons.next_plan;
      case "next_plan_sharp": return Icons.next_plan_sharp;
      case "next_plan_rounded": return Icons.next_plan_rounded;
      case "next_plan_outlined": return Icons.next_plan_outlined;
      case "next_week": return Icons.next_week;
      case "next_week_sharp": return Icons.next_week_sharp;
      case "next_week_rounded": return Icons.next_week_rounded;
      case "next_week_outlined": return Icons.next_week_outlined;
      case "nfc": return Icons.nfc;
      case "nfc_sharp": return Icons.nfc_sharp;
      case "nfc_rounded": return Icons.nfc_rounded;
      case "nfc_outlined": return Icons.nfc_outlined;
      case "night_shelter": return Icons.night_shelter;
      case "night_shelter_sharp": return Icons.night_shelter_sharp;
      case "night_shelter_rounded": return Icons.night_shelter_rounded;
      case "night_shelter_outlined": return Icons.night_shelter_outlined;
      case "nightlife": return Icons.nightlife;
      case "nightlife_sharp": return Icons.nightlife_sharp;
      case "nightlife_rounded": return Icons.nightlife_rounded;
      case "nightlife_outlined": return Icons.nightlife_outlined;
      case "nightlight": return Icons.nightlight;
      case "nightlight_sharp": return Icons.nightlight_sharp;
      case "nightlight_rounded": return Icons.nightlight_rounded;
      case "nightlight_outlined": return Icons.nightlight_outlined;
      case "nightlight_round": return Icons.nightlight_round;
      case "nightlight_round_sharp": return Icons.nightlight_round_sharp;
      case "nightlight_round_rounded": return Icons.nightlight_round_rounded;
      case "nightlight_round_outlined": return Icons.nightlight_round_outlined;
      case "nights_stay": return Icons.nights_stay;
      case "nights_stay_sharp": return Icons.nights_stay_sharp;
      case "nights_stay_rounded": return Icons.nights_stay_rounded;
      case "nights_stay_outlined": return Icons.nights_stay_outlined;
      case "no_accounts": return Icons.no_accounts;
      case "no_accounts_sharp": return Icons.no_accounts_sharp;
      case "no_accounts_rounded": return Icons.no_accounts_rounded;
      case "no_accounts_outlined": return Icons.no_accounts_outlined;
      case "no_backpack": return Icons.no_backpack;
      case "no_backpack_sharp": return Icons.no_backpack_sharp;
      case "no_backpack_rounded": return Icons.no_backpack_rounded;
      case "no_backpack_outlined": return Icons.no_backpack_outlined;
      case "no_cell": return Icons.no_cell;
      case "no_cell_sharp": return Icons.no_cell_sharp;
      case "no_cell_rounded": return Icons.no_cell_rounded;
      case "no_cell_outlined": return Icons.no_cell_outlined;
      case "no_drinks": return Icons.no_drinks;
      case "no_drinks_sharp": return Icons.no_drinks_sharp;
      case "no_drinks_rounded": return Icons.no_drinks_rounded;
      case "no_drinks_outlined": return Icons.no_drinks_outlined;
      case "no_encryption": return Icons.no_encryption;
      case "no_encryption_sharp": return Icons.no_encryption_sharp;
      case "no_encryption_rounded": return Icons.no_encryption_rounded;
      case "no_encryption_outlined": return Icons.no_encryption_outlined;
      case "no_encryption_gmailerrorred": return Icons.no_encryption_gmailerrorred;
      case "no_encryption_gmailerrorred_sharp": return Icons.no_encryption_gmailerrorred_sharp;
      case "no_encryption_gmailerrorred_rounded": return Icons.no_encryption_gmailerrorred_rounded;
      case "no_encryption_gmailerrorred_outlined": return Icons.no_encryption_gmailerrorred_outlined;
      case "no_flash": return Icons.no_flash;
      case "no_flash_sharp": return Icons.no_flash_sharp;
      case "no_flash_rounded": return Icons.no_flash_rounded;
      case "no_flash_outlined": return Icons.no_flash_outlined;
      case "no_food": return Icons.no_food;
      case "no_food_sharp": return Icons.no_food_sharp;
      case "no_food_rounded": return Icons.no_food_rounded;
      case "no_food_outlined": return Icons.no_food_outlined;
      case "no_luggage": return Icons.no_luggage;
      case "no_luggage_sharp": return Icons.no_luggage_sharp;
      case "no_luggage_rounded": return Icons.no_luggage_rounded;
      case "no_luggage_outlined": return Icons.no_luggage_outlined;
      case "no_meals": return Icons.no_meals;
      case "no_meals_sharp": return Icons.no_meals_sharp;
      case "no_meals_rounded": return Icons.no_meals_rounded;
      case "no_meals_outlined": return Icons.no_meals_outlined;
      case "no_meals_ouline": return Icons.no_meals_ouline;
      case "no_meeting_room": return Icons.no_meeting_room;
      case "no_meeting_room_sharp": return Icons.no_meeting_room_sharp;
      case "no_meeting_room_rounded": return Icons.no_meeting_room_rounded;
      case "no_meeting_room_outlined": return Icons.no_meeting_room_outlined;
      case "no_photography": return Icons.no_photography;
      case "no_photography_sharp": return Icons.no_photography_sharp;
      case "no_photography_rounded": return Icons.no_photography_rounded;
      case "no_photography_outlined": return Icons.no_photography_outlined;
      case "no_sim": return Icons.no_sim;
      case "no_sim_sharp": return Icons.no_sim_sharp;
      case "no_sim_rounded": return Icons.no_sim_rounded;
      case "no_sim_outlined": return Icons.no_sim_outlined;
      case "no_stroller": return Icons.no_stroller;
      case "no_stroller_sharp": return Icons.no_stroller_sharp;
      case "no_stroller_rounded": return Icons.no_stroller_rounded;
      case "no_stroller_outlined": return Icons.no_stroller_outlined;
      case "no_transfer": return Icons.no_transfer;
      case "no_transfer_sharp": return Icons.no_transfer_sharp;
      case "no_transfer_rounded": return Icons.no_transfer_rounded;
      case "no_transfer_outlined": return Icons.no_transfer_outlined;
      case "nordic_walking": return Icons.nordic_walking;
      case "nordic_walking_sharp": return Icons.nordic_walking_sharp;
      case "nordic_walking_rounded": return Icons.nordic_walking_rounded;
      case "nordic_walking_outlined": return Icons.nordic_walking_outlined;
      case "north": return Icons.north;
      case "north_sharp": return Icons.north_sharp;
      case "north_rounded": return Icons.north_rounded;
      case "north_outlined": return Icons.north_outlined;
      case "north_east": return Icons.north_east;
      case "north_east_sharp": return Icons.north_east_sharp;
      case "north_east_rounded": return Icons.north_east_rounded;
      case "north_east_outlined": return Icons.north_east_outlined;
      case "north_west": return Icons.north_west;
      case "north_west_sharp": return Icons.north_west_sharp;
      case "north_west_rounded": return Icons.north_west_rounded;
      case "north_west_outlined": return Icons.north_west_outlined;
      case "not_accessible": return Icons.not_accessible;
      case "not_accessible_sharp": return Icons.not_accessible_sharp;
      case "not_accessible_rounded": return Icons.not_accessible_rounded;
      case "not_accessible_outlined": return Icons.not_accessible_outlined;
      case "not_interested": return Icons.not_interested;
      case "not_interested_sharp": return Icons.not_interested_sharp;
      case "not_interested_rounded": return Icons.not_interested_rounded;
      case "not_interested_outlined": return Icons.not_interested_outlined;
      case "not_listed_location": return Icons.not_listed_location;
      case "not_listed_location_sharp": return Icons.not_listed_location_sharp;
      case "not_listed_location_rounded": return Icons.not_listed_location_rounded;
      case "not_listed_location_outlined": return Icons.not_listed_location_outlined;
      case "not_started": return Icons.not_started;
      case "not_started_sharp": return Icons.not_started_sharp;
      case "not_started_rounded": return Icons.not_started_rounded;
      case "not_started_outlined": return Icons.not_started_outlined;
      case "note": return Icons.note;
      case "note_sharp": return Icons.note_sharp;
      case "note_rounded": return Icons.note_rounded;
      case "note_outlined": return Icons.note_outlined;
      case "note_add": return Icons.note_add;
      case "note_add_sharp": return Icons.note_add_sharp;
      case "note_add_rounded": return Icons.note_add_rounded;
      case "note_add_outlined": return Icons.note_add_outlined;
      case "note_alt": return Icons.note_alt;
      case "note_alt_sharp": return Icons.note_alt_sharp;
      case "note_alt_rounded": return Icons.note_alt_rounded;
      case "note_alt_outlined": return Icons.note_alt_outlined;
      case "notes": return Icons.notes;
      case "notes_sharp": return Icons.notes_sharp;
      case "notes_rounded": return Icons.notes_rounded;
      case "notes_outlined": return Icons.notes_outlined;
      case "notification_add": return Icons.notification_add;
      case "notification_add_sharp": return Icons.notification_add_sharp;
      case "notification_add_rounded": return Icons.notification_add_rounded;
      case "notification_add_outlined": return Icons.notification_add_outlined;
      case "notification_important": return Icons.notification_important;
      case "notification_important_sharp": return Icons.notification_important_sharp;
      case "notification_important_rounded": return Icons.notification_important_rounded;
      case "notification_important_outlined": return Icons.notification_important_outlined;
      case "notifications": return Icons.notifications;
      case "notifications_sharp": return Icons.notifications_sharp;
      case "notifications_rounded": return Icons.notifications_rounded;
      case "notifications_outlined": return Icons.notifications_outlined;
      case "notifications_active": return Icons.notifications_active;
      case "notifications_active_sharp": return Icons.notifications_active_sharp;
      case "notifications_active_rounded": return Icons.notifications_active_rounded;
      case "notifications_active_outlined": return Icons.notifications_active_outlined;
      case "notifications_none": return Icons.notifications_none;
      case "notifications_none_sharp": return Icons.notifications_none_sharp;
      case "notifications_none_rounded": return Icons.notifications_none_rounded;
      case "notifications_none_outlined": return Icons.notifications_none_outlined;
      case "notifications_off": return Icons.notifications_off;
      case "notifications_off_sharp": return Icons.notifications_off_sharp;
      case "notifications_off_rounded": return Icons.notifications_off_rounded;
      case "notifications_off_outlined": return Icons.notifications_off_outlined;
      case "notifications_on": return Icons.notifications_on;
      case "notifications_on_sharp": return Icons.notifications_on_sharp;
      case "notifications_on_rounded": return Icons.notifications_on_rounded;
      case "notifications_on_outlined": return Icons.notifications_on_outlined;
      case "notifications_paused": return Icons.notifications_paused;
      case "notifications_paused_sharp": return Icons.notifications_paused_sharp;
      case "notifications_paused_rounded": return Icons.notifications_paused_rounded;
      case "notifications_paused_outlined": return Icons.notifications_paused_outlined;
      case "now_wallpaper": return Icons.now_wallpaper;
      case "now_wallpaper_sharp": return Icons.now_wallpaper_sharp;
      case "now_wallpaper_rounded": return Icons.now_wallpaper_rounded;
      case "now_wallpaper_outlined": return Icons.now_wallpaper_outlined;
      case "now_widgets": return Icons.now_widgets;
      case "now_widgets_sharp": return Icons.now_widgets_sharp;
      case "now_widgets_rounded": return Icons.now_widgets_rounded;
      case "now_widgets_outlined": return Icons.now_widgets_outlined;
      case "numbers": return Icons.numbers;
      case "numbers_sharp": return Icons.numbers_sharp;
      case "numbers_rounded": return Icons.numbers_rounded;
      case "numbers_outlined": return Icons.numbers_outlined;
      case "offline_bolt": return Icons.offline_bolt;
      case "offline_bolt_sharp": return Icons.offline_bolt_sharp;
      case "offline_bolt_rounded": return Icons.offline_bolt_rounded;
      case "offline_bolt_outlined": return Icons.offline_bolt_outlined;
      case "offline_pin": return Icons.offline_pin;
      case "offline_pin_sharp": return Icons.offline_pin_sharp;
      case "offline_pin_rounded": return Icons.offline_pin_rounded;
      case "offline_pin_outlined": return Icons.offline_pin_outlined;
      case "offline_share": return Icons.offline_share;
      case "offline_share_sharp": return Icons.offline_share_sharp;
      case "offline_share_rounded": return Icons.offline_share_rounded;
      case "offline_share_outlined": return Icons.offline_share_outlined;
      case "ondemand_video": return Icons.ondemand_video;
      case "ondemand_video_sharp": return Icons.ondemand_video_sharp;
      case "ondemand_video_rounded": return Icons.ondemand_video_rounded;
      case "ondemand_video_outlined": return Icons.ondemand_video_outlined;
      case "online_prediction": return Icons.online_prediction;
      case "online_prediction_sharp": return Icons.online_prediction_sharp;
      case "online_prediction_rounded": return Icons.online_prediction_rounded;
      case "online_prediction_outlined": return Icons.online_prediction_outlined;
      case "opacity": return Icons.opacity;
      case "opacity_sharp": return Icons.opacity_sharp;
      case "opacity_rounded": return Icons.opacity_rounded;
      case "opacity_outlined": return Icons.opacity_outlined;
      case "open_in_browser": return Icons.open_in_browser;
      case "open_in_browser_sharp": return Icons.open_in_browser_sharp;
      case "open_in_browser_rounded": return Icons.open_in_browser_rounded;
      case "open_in_browser_outlined": return Icons.open_in_browser_outlined;
      case "open_in_full": return Icons.open_in_full;
      case "open_in_full_sharp": return Icons.open_in_full_sharp;
      case "open_in_full_rounded": return Icons.open_in_full_rounded;
      case "open_in_full_outlined": return Icons.open_in_full_outlined;
      case "open_in_new": return Icons.open_in_new;
      case "open_in_new_sharp": return Icons.open_in_new_sharp;
      case "open_in_new_rounded": return Icons.open_in_new_rounded;
      case "open_in_new_outlined": return Icons.open_in_new_outlined;
      case "open_in_new_off": return Icons.open_in_new_off;
      case "open_in_new_off_sharp": return Icons.open_in_new_off_sharp;
      case "open_in_new_off_rounded": return Icons.open_in_new_off_rounded;
      case "open_in_new_off_outlined": return Icons.open_in_new_off_outlined;
      case "open_with": return Icons.open_with;
      case "open_with_sharp": return Icons.open_with_sharp;
      case "open_with_rounded": return Icons.open_with_rounded;
      case "open_with_outlined": return Icons.open_with_outlined;
      case "other_houses": return Icons.other_houses;
      case "other_houses_sharp": return Icons.other_houses_sharp;
      case "other_houses_rounded": return Icons.other_houses_rounded;
      case "other_houses_outlined": return Icons.other_houses_outlined;
      case "outbond": return Icons.outbond;
      case "outbond_sharp": return Icons.outbond_sharp;
      case "outbond_rounded": return Icons.outbond_rounded;
      case "outbond_outlined": return Icons.outbond_outlined;
      case "outbound": return Icons.outbound;
      case "outbound_sharp": return Icons.outbound_sharp;
      case "outbound_rounded": return Icons.outbound_rounded;
      case "outbound_outlined": return Icons.outbound_outlined;
      case "outbox": return Icons.outbox;
      case "outbox_sharp": return Icons.outbox_sharp;
      case "outbox_rounded": return Icons.outbox_rounded;
      case "outbox_outlined": return Icons.outbox_outlined;
      case "outdoor_grill": return Icons.outdoor_grill;
      case "outdoor_grill_sharp": return Icons.outdoor_grill_sharp;
      case "outdoor_grill_rounded": return Icons.outdoor_grill_rounded;
      case "outdoor_grill_outlined": return Icons.outdoor_grill_outlined;
      case "outgoing_mail": return Icons.outgoing_mail;
      case "outlet": return Icons.outlet;
      case "outlet_sharp": return Icons.outlet_sharp;
      case "outlet_rounded": return Icons.outlet_rounded;
      case "outlet_outlined": return Icons.outlet_outlined;
      case "outlined_flag": return Icons.outlined_flag;
      case "outlined_flag_sharp": return Icons.outlined_flag_sharp;
      case "outlined_flag_rounded": return Icons.outlined_flag_rounded;
      case "outlined_flag_outlined": return Icons.outlined_flag_outlined;
      case "output": return Icons.output;
      case "output_sharp": return Icons.output_sharp;
      case "output_rounded": return Icons.output_rounded;
      case "output_outlined": return Icons.output_outlined;
      case "padding": return Icons.padding;
      case "padding_sharp": return Icons.padding_sharp;
      case "padding_rounded": return Icons.padding_rounded;
      case "padding_outlined": return Icons.padding_outlined;
      case "pages": return Icons.pages;
      case "pages_sharp": return Icons.pages_sharp;
      case "pages_rounded": return Icons.pages_rounded;
      case "pages_outlined": return Icons.pages_outlined;
      case "pageview": return Icons.pageview;
      case "pageview_sharp": return Icons.pageview_sharp;
      case "pageview_rounded": return Icons.pageview_rounded;
      case "pageview_outlined": return Icons.pageview_outlined;
      case "paid": return Icons.paid;
      case "paid_sharp": return Icons.paid_sharp;
      case "paid_rounded": return Icons.paid_rounded;
      case "paid_outlined": return Icons.paid_outlined;
      case "palette": return Icons.palette;
      case "palette_sharp": return Icons.palette_sharp;
      case "palette_rounded": return Icons.palette_rounded;
      case "palette_outlined": return Icons.palette_outlined;
      case "pan_tool": return Icons.pan_tool;
      case "pan_tool_sharp": return Icons.pan_tool_sharp;
      case "pan_tool_rounded": return Icons.pan_tool_rounded;
      case "pan_tool_outlined": return Icons.pan_tool_outlined;
      case "pan_tool_alt": return Icons.pan_tool_alt;
      case "pan_tool_alt_sharp": return Icons.pan_tool_alt_sharp;
      case "pan_tool_alt_rounded": return Icons.pan_tool_alt_rounded;
      case "pan_tool_alt_outlined": return Icons.pan_tool_alt_outlined;
      case "panorama": return Icons.panorama;
      case "panorama_sharp": return Icons.panorama_sharp;
      case "panorama_rounded": return Icons.panorama_rounded;
      case "panorama_outlined": return Icons.panorama_outlined;
      case "panorama_fish_eye": return Icons.panorama_fish_eye;
      case "panorama_fish_eye_sharp": return Icons.panorama_fish_eye_sharp;
      case "panorama_fish_eye_rounded": return Icons.panorama_fish_eye_rounded;
      case "panorama_fish_eye_outlined": return Icons.panorama_fish_eye_outlined;
      case "panorama_fisheye": return Icons.panorama_fisheye;
      case "panorama_fisheye_sharp": return Icons.panorama_fisheye_sharp;
      case "panorama_fisheye_rounded": return Icons.panorama_fisheye_rounded;
      case "panorama_fisheye_outlined": return Icons.panorama_fisheye_outlined;
      case "panorama_horizontal": return Icons.panorama_horizontal;
      case "panorama_horizontal_sharp": return Icons.panorama_horizontal_sharp;
      case "panorama_horizontal_rounded": return Icons.panorama_horizontal_rounded;
      case "panorama_horizontal_outlined": return Icons.panorama_horizontal_outlined;
      case "panorama_horizontal_select": return Icons.panorama_horizontal_select;
      case "panorama_horizontal_select_sharp": return Icons.panorama_horizontal_select_sharp;
      case "panorama_horizontal_select_rounded": return Icons.panorama_horizontal_select_rounded;
      case "panorama_horizontal_select_outlined": return Icons.panorama_horizontal_select_outlined;
      case "panorama_photosphere": return Icons.panorama_photosphere;
      case "panorama_photosphere_sharp": return Icons.panorama_photosphere_sharp;
      case "panorama_photosphere_rounded": return Icons.panorama_photosphere_rounded;
      case "panorama_photosphere_outlined": return Icons.panorama_photosphere_outlined;
      case "panorama_photosphere_select": return Icons.panorama_photosphere_select;
      case "panorama_photosphere_select_sharp": return Icons.panorama_photosphere_select_sharp;
      case "panorama_photosphere_select_rounded": return Icons.panorama_photosphere_select_rounded;
      case "panorama_photosphere_select_outlined": return Icons.panorama_photosphere_select_outlined;
      case "panorama_vertical": return Icons.panorama_vertical;
      case "panorama_vertical_sharp": return Icons.panorama_vertical_sharp;
      case "panorama_vertical_rounded": return Icons.panorama_vertical_rounded;
      case "panorama_vertical_outlined": return Icons.panorama_vertical_outlined;
      case "panorama_vertical_select": return Icons.panorama_vertical_select;
      case "panorama_vertical_select_sharp": return Icons.panorama_vertical_select_sharp;
      case "panorama_vertical_select_rounded": return Icons.panorama_vertical_select_rounded;
      case "panorama_vertical_select_outlined": return Icons.panorama_vertical_select_outlined;
      case "panorama_wide_angle": return Icons.panorama_wide_angle;
      case "panorama_wide_angle_sharp": return Icons.panorama_wide_angle_sharp;
      case "panorama_wide_angle_rounded": return Icons.panorama_wide_angle_rounded;
      case "panorama_wide_angle_outlined": return Icons.panorama_wide_angle_outlined;
      case "panorama_wide_angle_select": return Icons.panorama_wide_angle_select;
      case "panorama_wide_angle_select_sharp": return Icons.panorama_wide_angle_select_sharp;
      case "panorama_wide_angle_select_rounded": return Icons.panorama_wide_angle_select_rounded;
      case "panorama_wide_angle_select_outlined": return Icons.panorama_wide_angle_select_outlined;
      case "paragliding": return Icons.paragliding;
      case "paragliding_sharp": return Icons.paragliding_sharp;
      case "paragliding_rounded": return Icons.paragliding_rounded;
      case "paragliding_outlined": return Icons.paragliding_outlined;
      case "park": return Icons.park;
      case "park_sharp": return Icons.park_sharp;
      case "park_rounded": return Icons.park_rounded;
      case "park_outlined": return Icons.park_outlined;
      case "party_mode": return Icons.party_mode;
      case "party_mode_sharp": return Icons.party_mode_sharp;
      case "party_mode_rounded": return Icons.party_mode_rounded;
      case "party_mode_outlined": return Icons.party_mode_outlined;
      case "password": return Icons.password;
      case "password_sharp": return Icons.password_sharp;
      case "password_rounded": return Icons.password_rounded;
      case "password_outlined": return Icons.password_outlined;
      case "paste": return Icons.paste;
      case "paste_sharp": return Icons.paste_sharp;
      case "paste_rounded": return Icons.paste_rounded;
      case "paste_outlined": return Icons.paste_outlined;
      case "pattern": return Icons.pattern;
      case "pattern_sharp": return Icons.pattern_sharp;
      case "pattern_rounded": return Icons.pattern_rounded;
      case "pattern_outlined": return Icons.pattern_outlined;
      case "pause": return Icons.pause;
      case "pause_sharp": return Icons.pause_sharp;
      case "pause_rounded": return Icons.pause_rounded;
      case "pause_outlined": return Icons.pause_outlined;
      case "pause_circle": return Icons.pause_circle;
      case "pause_circle_sharp": return Icons.pause_circle_sharp;
      case "pause_circle_rounded": return Icons.pause_circle_rounded;
      case "pause_circle_outlined": return Icons.pause_circle_outlined;
      case "pause_circle_filled": return Icons.pause_circle_filled;
      case "pause_circle_filled_sharp": return Icons.pause_circle_filled_sharp;
      case "pause_circle_filled_rounded": return Icons.pause_circle_filled_rounded;
      case "pause_circle_filled_outlined": return Icons.pause_circle_filled_outlined;
      case "pause_circle_outline": return Icons.pause_circle_outline;
      case "pause_circle_outline_sharp": return Icons.pause_circle_outline_sharp;
      case "pause_circle_outline_rounded": return Icons.pause_circle_outline_rounded;
      case "pause_circle_outline_outlined": return Icons.pause_circle_outline_outlined;
      case "pause_presentation": return Icons.pause_presentation;
      case "pause_presentation_sharp": return Icons.pause_presentation_sharp;
      case "pause_presentation_rounded": return Icons.pause_presentation_rounded;
      case "pause_presentation_outlined": return Icons.pause_presentation_outlined;
      case "payment": return Icons.payment;
      case "payment_sharp": return Icons.payment_sharp;
      case "payment_rounded": return Icons.payment_rounded;
      case "payment_outlined": return Icons.payment_outlined;
      case "payments": return Icons.payments;
      case "payments_sharp": return Icons.payments_sharp;
      case "payments_rounded": return Icons.payments_rounded;
      case "payments_outlined": return Icons.payments_outlined;
      case "paypal": return Icons.paypal;
      case "paypal_sharp": return Icons.paypal_sharp;
      case "paypal_rounded": return Icons.paypal_rounded;
      case "paypal_outlined": return Icons.paypal_outlined;
      case "pedal_bike": return Icons.pedal_bike;
      case "pedal_bike_sharp": return Icons.pedal_bike_sharp;
      case "pedal_bike_rounded": return Icons.pedal_bike_rounded;
      case "pedal_bike_outlined": return Icons.pedal_bike_outlined;
      case "pending": return Icons.pending;
      case "pending_sharp": return Icons.pending_sharp;
      case "pending_rounded": return Icons.pending_rounded;
      case "pending_outlined": return Icons.pending_outlined;
      case "pending_actions": return Icons.pending_actions;
      case "pending_actions_sharp": return Icons.pending_actions_sharp;
      case "pending_actions_rounded": return Icons.pending_actions_rounded;
      case "pending_actions_outlined": return Icons.pending_actions_outlined;
      case "pentagon": return Icons.pentagon;
      case "pentagon_sharp": return Icons.pentagon_sharp;
      case "pentagon_rounded": return Icons.pentagon_rounded;
      case "pentagon_outlined": return Icons.pentagon_outlined;
      case "people": return Icons.people;
      case "people_sharp": return Icons.people_sharp;
      case "people_rounded": return Icons.people_rounded;
      case "people_outlined": return Icons.people_outlined;
      case "people_alt": return Icons.people_alt;
      case "people_alt_sharp": return Icons.people_alt_sharp;
      case "people_alt_rounded": return Icons.people_alt_rounded;
      case "people_alt_outlined": return Icons.people_alt_outlined;
      case "people_outline": return Icons.people_outline;
      case "people_outline_sharp": return Icons.people_outline_sharp;
      case "people_outline_rounded": return Icons.people_outline_rounded;
      case "people_outline_outlined": return Icons.people_outline_outlined;
      case "percent": return Icons.percent;
      case "percent_sharp": return Icons.percent_sharp;
      case "percent_rounded": return Icons.percent_rounded;
      case "percent_outlined": return Icons.percent_outlined;
      case "perm_camera_mic": return Icons.perm_camera_mic;
      case "perm_camera_mic_sharp": return Icons.perm_camera_mic_sharp;
      case "perm_camera_mic_rounded": return Icons.perm_camera_mic_rounded;
      case "perm_camera_mic_outlined": return Icons.perm_camera_mic_outlined;
      case "perm_contact_cal": return Icons.perm_contact_cal;
      case "perm_contact_cal_sharp": return Icons.perm_contact_cal_sharp;
      case "perm_contact_cal_rounded": return Icons.perm_contact_cal_rounded;
      case "perm_contact_cal_outlined": return Icons.perm_contact_cal_outlined;
      case "perm_contact_calendar": return Icons.perm_contact_calendar;
      case "perm_contact_calendar_sharp": return Icons.perm_contact_calendar_sharp;
      case "perm_contact_calendar_rounded": return Icons.perm_contact_calendar_rounded;
      case "perm_contact_calendar_outlined": return Icons.perm_contact_calendar_outlined;
      case "perm_data_setting": return Icons.perm_data_setting;
      case "perm_data_setting_sharp": return Icons.perm_data_setting_sharp;
      case "perm_data_setting_rounded": return Icons.perm_data_setting_rounded;
      case "perm_data_setting_outlined": return Icons.perm_data_setting_outlined;
      case "perm_device_info": return Icons.perm_device_info;
      case "perm_device_info_sharp": return Icons.perm_device_info_sharp;
      case "perm_device_info_rounded": return Icons.perm_device_info_rounded;
      case "perm_device_info_outlined": return Icons.perm_device_info_outlined;
      case "perm_device_information": return Icons.perm_device_information;
      case "perm_device_information_sharp": return Icons.perm_device_information_sharp;
      case "perm_device_information_rounded": return Icons.perm_device_information_rounded;
      case "perm_device_information_outlined": return Icons.perm_device_information_outlined;
      case "perm_identity": return Icons.perm_identity;
      case "perm_identity_sharp": return Icons.perm_identity_sharp;
      case "perm_identity_rounded": return Icons.perm_identity_rounded;
      case "perm_identity_outlined": return Icons.perm_identity_outlined;
      case "perm_media": return Icons.perm_media;
      case "perm_media_sharp": return Icons.perm_media_sharp;
      case "perm_media_rounded": return Icons.perm_media_rounded;
      case "perm_media_outlined": return Icons.perm_media_outlined;
      case "perm_phone_msg": return Icons.perm_phone_msg;
      case "perm_phone_msg_sharp": return Icons.perm_phone_msg_sharp;
      case "perm_phone_msg_rounded": return Icons.perm_phone_msg_rounded;
      case "perm_phone_msg_outlined": return Icons.perm_phone_msg_outlined;
      case "perm_scan_wifi": return Icons.perm_scan_wifi;
      case "perm_scan_wifi_sharp": return Icons.perm_scan_wifi_sharp;
      case "perm_scan_wifi_rounded": return Icons.perm_scan_wifi_rounded;
      case "perm_scan_wifi_outlined": return Icons.perm_scan_wifi_outlined;
      case "person": return Icons.person;
      case "person_sharp": return Icons.person_sharp;
      case "person_rounded": return Icons.person_rounded;
      case "person_outlined": return Icons.person_outlined;
      case "person_add": return Icons.person_add;
      case "person_add_sharp": return Icons.person_add_sharp;
      case "person_add_rounded": return Icons.person_add_rounded;
      case "person_add_outlined": return Icons.person_add_outlined;
      case "person_add_alt": return Icons.person_add_alt;
      case "person_add_alt_sharp": return Icons.person_add_alt_sharp;
      case "person_add_alt_rounded": return Icons.person_add_alt_rounded;
      case "person_add_alt_outlined": return Icons.person_add_alt_outlined;
      case "person_add_alt_1": return Icons.person_add_alt_1;
      case "person_add_alt_1_sharp": return Icons.person_add_alt_1_sharp;
      case "person_add_alt_1_rounded": return Icons.person_add_alt_1_rounded;
      case "person_add_alt_1_outlined": return Icons.person_add_alt_1_outlined;
      case "person_add_disabled": return Icons.person_add_disabled;
      case "person_add_disabled_sharp": return Icons.person_add_disabled_sharp;
      case "person_add_disabled_rounded": return Icons.person_add_disabled_rounded;
      case "person_add_disabled_outlined": return Icons.person_add_disabled_outlined;
      case "person_off": return Icons.person_off;
      case "person_off_sharp": return Icons.person_off_sharp;
      case "person_off_rounded": return Icons.person_off_rounded;
      case "person_off_outlined": return Icons.person_off_outlined;
      case "person_outline": return Icons.person_outline;
      case "person_outline_sharp": return Icons.person_outline_sharp;
      case "person_outline_rounded": return Icons.person_outline_rounded;
      case "person_outline_outlined": return Icons.person_outline_outlined;
      case "person_pin": return Icons.person_pin;
      case "person_pin_sharp": return Icons.person_pin_sharp;
      case "person_pin_rounded": return Icons.person_pin_rounded;
      case "person_pin_outlined": return Icons.person_pin_outlined;
      case "person_pin_circle": return Icons.person_pin_circle;
      case "person_pin_circle_sharp": return Icons.person_pin_circle_sharp;
      case "person_pin_circle_rounded": return Icons.person_pin_circle_rounded;
      case "person_pin_circle_outlined": return Icons.person_pin_circle_outlined;
      case "person_remove": return Icons.person_remove;
      case "person_remove_sharp": return Icons.person_remove_sharp;
      case "person_remove_rounded": return Icons.person_remove_rounded;
      case "person_remove_outlined": return Icons.person_remove_outlined;
      case "person_remove_alt_1": return Icons.person_remove_alt_1;
      case "person_remove_alt_1_sharp": return Icons.person_remove_alt_1_sharp;
      case "person_remove_alt_1_rounded": return Icons.person_remove_alt_1_rounded;
      case "person_remove_alt_1_outlined": return Icons.person_remove_alt_1_outlined;
      case "person_search": return Icons.person_search;
      case "person_search_sharp": return Icons.person_search_sharp;
      case "person_search_rounded": return Icons.person_search_rounded;
      case "person_search_outlined": return Icons.person_search_outlined;
      case "personal_injury": return Icons.personal_injury;
      case "personal_injury_sharp": return Icons.personal_injury_sharp;
      case "personal_injury_rounded": return Icons.personal_injury_rounded;
      case "personal_injury_outlined": return Icons.personal_injury_outlined;
      case "personal_video": return Icons.personal_video;
      case "personal_video_sharp": return Icons.personal_video_sharp;
      case "personal_video_rounded": return Icons.personal_video_rounded;
      case "personal_video_outlined": return Icons.personal_video_outlined;
      case "pest_control": return Icons.pest_control;
      case "pest_control_sharp": return Icons.pest_control_sharp;
      case "pest_control_rounded": return Icons.pest_control_rounded;
      case "pest_control_outlined": return Icons.pest_control_outlined;
      case "pest_control_rodent": return Icons.pest_control_rodent;
      case "pest_control_rodent_sharp": return Icons.pest_control_rodent_sharp;
      case "pest_control_rodent_rounded": return Icons.pest_control_rodent_rounded;
      case "pest_control_rodent_outlined": return Icons.pest_control_rodent_outlined;
      case "pets": return Icons.pets;
      case "pets_sharp": return Icons.pets_sharp;
      case "pets_rounded": return Icons.pets_rounded;
      case "pets_outlined": return Icons.pets_outlined;
      case "phishing": return Icons.phishing;
      case "phishing_sharp": return Icons.phishing_sharp;
      case "phishing_rounded": return Icons.phishing_rounded;
      case "phishing_outlined": return Icons.phishing_outlined;
      case "phone": return Icons.phone;
      case "phone_sharp": return Icons.phone_sharp;
      case "phone_rounded": return Icons.phone_rounded;
      case "phone_outlined": return Icons.phone_outlined;
      case "phone_android": return Icons.phone_android;
      case "phone_android_sharp": return Icons.phone_android_sharp;
      case "phone_android_rounded": return Icons.phone_android_rounded;
      case "phone_android_outlined": return Icons.phone_android_outlined;
      case "phone_bluetooth_speaker": return Icons.phone_bluetooth_speaker;
      case "phone_bluetooth_speaker_sharp": return Icons.phone_bluetooth_speaker_sharp;
      case "phone_bluetooth_speaker_rounded": return Icons.phone_bluetooth_speaker_rounded;
      case "phone_bluetooth_speaker_outlined": return Icons.phone_bluetooth_speaker_outlined;
      case "phone_callback": return Icons.phone_callback;
      case "phone_callback_sharp": return Icons.phone_callback_sharp;
      case "phone_callback_rounded": return Icons.phone_callback_rounded;
      case "phone_callback_outlined": return Icons.phone_callback_outlined;
      case "phone_disabled": return Icons.phone_disabled;
      case "phone_disabled_sharp": return Icons.phone_disabled_sharp;
      case "phone_disabled_rounded": return Icons.phone_disabled_rounded;
      case "phone_disabled_outlined": return Icons.phone_disabled_outlined;
      case "phone_enabled": return Icons.phone_enabled;
      case "phone_enabled_sharp": return Icons.phone_enabled_sharp;
      case "phone_enabled_rounded": return Icons.phone_enabled_rounded;
      case "phone_enabled_outlined": return Icons.phone_enabled_outlined;
      case "phone_forwarded": return Icons.phone_forwarded;
      case "phone_forwarded_sharp": return Icons.phone_forwarded_sharp;
      case "phone_forwarded_rounded": return Icons.phone_forwarded_rounded;
      case "phone_forwarded_outlined": return Icons.phone_forwarded_outlined;
      case "phone_in_talk": return Icons.phone_in_talk;
      case "phone_in_talk_sharp": return Icons.phone_in_talk_sharp;
      case "phone_in_talk_rounded": return Icons.phone_in_talk_rounded;
      case "phone_in_talk_outlined": return Icons.phone_in_talk_outlined;
      case "phone_iphone": return Icons.phone_iphone;
      case "phone_iphone_sharp": return Icons.phone_iphone_sharp;
      case "phone_iphone_rounded": return Icons.phone_iphone_rounded;
      case "phone_iphone_outlined": return Icons.phone_iphone_outlined;
      case "phone_locked": return Icons.phone_locked;
      case "phone_locked_sharp": return Icons.phone_locked_sharp;
      case "phone_locked_rounded": return Icons.phone_locked_rounded;
      case "phone_locked_outlined": return Icons.phone_locked_outlined;
      case "phone_missed": return Icons.phone_missed;
      case "phone_missed_sharp": return Icons.phone_missed_sharp;
      case "phone_missed_rounded": return Icons.phone_missed_rounded;
      case "phone_missed_outlined": return Icons.phone_missed_outlined;
      case "phone_paused": return Icons.phone_paused;
      case "phone_paused_sharp": return Icons.phone_paused_sharp;
      case "phone_paused_rounded": return Icons.phone_paused_rounded;
      case "phone_paused_outlined": return Icons.phone_paused_outlined;
      case "phonelink": return Icons.phonelink;
      case "phonelink_sharp": return Icons.phonelink_sharp;
      case "phonelink_rounded": return Icons.phonelink_rounded;
      case "phonelink_outlined": return Icons.phonelink_outlined;
      case "phonelink_erase": return Icons.phonelink_erase;
      case "phonelink_erase_sharp": return Icons.phonelink_erase_sharp;
      case "phonelink_erase_rounded": return Icons.phonelink_erase_rounded;
      case "phonelink_erase_outlined": return Icons.phonelink_erase_outlined;
      case "phonelink_lock": return Icons.phonelink_lock;
      case "phonelink_lock_sharp": return Icons.phonelink_lock_sharp;
      case "phonelink_lock_rounded": return Icons.phonelink_lock_rounded;
      case "phonelink_lock_outlined": return Icons.phonelink_lock_outlined;
      case "phonelink_off": return Icons.phonelink_off;
      case "phonelink_off_sharp": return Icons.phonelink_off_sharp;
      case "phonelink_off_rounded": return Icons.phonelink_off_rounded;
      case "phonelink_off_outlined": return Icons.phonelink_off_outlined;
      case "phonelink_ring": return Icons.phonelink_ring;
      case "phonelink_ring_sharp": return Icons.phonelink_ring_sharp;
      case "phonelink_ring_rounded": return Icons.phonelink_ring_rounded;
      case "phonelink_ring_outlined": return Icons.phonelink_ring_outlined;
      case "phonelink_setup": return Icons.phonelink_setup;
      case "phonelink_setup_sharp": return Icons.phonelink_setup_sharp;
      case "phonelink_setup_rounded": return Icons.phonelink_setup_rounded;
      case "phonelink_setup_outlined": return Icons.phonelink_setup_outlined;
      case "photo": return Icons.photo;
      case "photo_sharp": return Icons.photo_sharp;
      case "photo_rounded": return Icons.photo_rounded;
      case "photo_outlined": return Icons.photo_outlined;
      case "photo_album": return Icons.photo_album;
      case "photo_album_sharp": return Icons.photo_album_sharp;
      case "photo_album_rounded": return Icons.photo_album_rounded;
      case "photo_album_outlined": return Icons.photo_album_outlined;
      case "photo_camera": return Icons.photo_camera;
      case "photo_camera_sharp": return Icons.photo_camera_sharp;
      case "photo_camera_rounded": return Icons.photo_camera_rounded;
      case "photo_camera_outlined": return Icons.photo_camera_outlined;
      case "photo_camera_back": return Icons.photo_camera_back;
      case "photo_camera_back_sharp": return Icons.photo_camera_back_sharp;
      case "photo_camera_back_rounded": return Icons.photo_camera_back_rounded;
      case "photo_camera_back_outlined": return Icons.photo_camera_back_outlined;
      case "photo_camera_front": return Icons.photo_camera_front;
      case "photo_camera_front_sharp": return Icons.photo_camera_front_sharp;
      case "photo_camera_front_rounded": return Icons.photo_camera_front_rounded;
      case "photo_camera_front_outlined": return Icons.photo_camera_front_outlined;
      case "photo_filter": return Icons.photo_filter;
      case "photo_filter_sharp": return Icons.photo_filter_sharp;
      case "photo_filter_rounded": return Icons.photo_filter_rounded;
      case "photo_filter_outlined": return Icons.photo_filter_outlined;
      case "photo_library": return Icons.photo_library;
      case "photo_library_sharp": return Icons.photo_library_sharp;
      case "photo_library_rounded": return Icons.photo_library_rounded;
      case "photo_library_outlined": return Icons.photo_library_outlined;
      case "photo_size_select_actual": return Icons.photo_size_select_actual;
      case "photo_size_select_actual_sharp": return Icons.photo_size_select_actual_sharp;
      case "photo_size_select_actual_rounded": return Icons.photo_size_select_actual_rounded;
      case "photo_size_select_actual_outlined": return Icons.photo_size_select_actual_outlined;
      case "photo_size_select_large": return Icons.photo_size_select_large;
      case "photo_size_select_large_sharp": return Icons.photo_size_select_large_sharp;
      case "photo_size_select_large_rounded": return Icons.photo_size_select_large_rounded;
      case "photo_size_select_large_outlined": return Icons.photo_size_select_large_outlined;
      case "photo_size_select_small": return Icons.photo_size_select_small;
      case "photo_size_select_small_sharp": return Icons.photo_size_select_small_sharp;
      case "photo_size_select_small_rounded": return Icons.photo_size_select_small_rounded;
      case "photo_size_select_small_outlined": return Icons.photo_size_select_small_outlined;
      case "php": return Icons.php;
      case "php_sharp": return Icons.php_sharp;
      case "php_rounded": return Icons.php_rounded;
      case "php_outlined": return Icons.php_outlined;
      case "piano": return Icons.piano;
      case "piano_sharp": return Icons.piano_sharp;
      case "piano_rounded": return Icons.piano_rounded;
      case "piano_outlined": return Icons.piano_outlined;
      case "piano_off": return Icons.piano_off;
      case "piano_off_sharp": return Icons.piano_off_sharp;
      case "piano_off_rounded": return Icons.piano_off_rounded;
      case "piano_off_outlined": return Icons.piano_off_outlined;
      case "picture_as_pdf": return Icons.picture_as_pdf;
      case "picture_as_pdf_sharp": return Icons.picture_as_pdf_sharp;
      case "picture_as_pdf_rounded": return Icons.picture_as_pdf_rounded;
      case "picture_as_pdf_outlined": return Icons.picture_as_pdf_outlined;
      case "picture_in_picture": return Icons.picture_in_picture;
      case "picture_in_picture_sharp": return Icons.picture_in_picture_sharp;
      case "picture_in_picture_rounded": return Icons.picture_in_picture_rounded;
      case "picture_in_picture_outlined": return Icons.picture_in_picture_outlined;
      case "picture_in_picture_alt": return Icons.picture_in_picture_alt;
      case "picture_in_picture_alt_sharp": return Icons.picture_in_picture_alt_sharp;
      case "picture_in_picture_alt_rounded": return Icons.picture_in_picture_alt_rounded;
      case "picture_in_picture_alt_outlined": return Icons.picture_in_picture_alt_outlined;
      case "pie_chart": return Icons.pie_chart;
      case "pie_chart_sharp": return Icons.pie_chart_sharp;
      case "pie_chart_rounded": return Icons.pie_chart_rounded;
      case "pie_chart_outline": return Icons.pie_chart_outline;
      case "pie_chart_outline_sharp": return Icons.pie_chart_outline_sharp;
      case "pie_chart_outline_rounded": return Icons.pie_chart_outline_rounded;
      case "pie_chart_outline_outlined": return Icons.pie_chart_outline_outlined;
      case "pin": return Icons.pin;
      case "pin_sharp": return Icons.pin_sharp;
      case "pin_rounded": return Icons.pin_rounded;
      case "pin_outlined": return Icons.pin_outlined;
      case "pin_drop": return Icons.pin_drop;
      case "pin_drop_sharp": return Icons.pin_drop_sharp;
      case "pin_drop_rounded": return Icons.pin_drop_rounded;
      case "pin_drop_outlined": return Icons.pin_drop_outlined;
      case "pin_end": return Icons.pin_end;
      case "pin_end_sharp": return Icons.pin_end_sharp;
      case "pin_end_rounded": return Icons.pin_end_rounded;
      case "pin_end_outlined": return Icons.pin_end_outlined;
      case "pin_invoke": return Icons.pin_invoke;
      case "pin_invoke_sharp": return Icons.pin_invoke_sharp;
      case "pin_invoke_rounded": return Icons.pin_invoke_rounded;
      case "pin_invoke_outlined": return Icons.pin_invoke_outlined;
      case "pinch": return Icons.pinch;
      case "pinch_sharp": return Icons.pinch_sharp;
      case "pinch_rounded": return Icons.pinch_rounded;
      case "pinch_outlined": return Icons.pinch_outlined;
      case "pivot_table_chart": return Icons.pivot_table_chart;
      case "pivot_table_chart_sharp": return Icons.pivot_table_chart_sharp;
      case "pivot_table_chart_rounded": return Icons.pivot_table_chart_rounded;
      case "pivot_table_chart_outlined": return Icons.pivot_table_chart_outlined;
      case "pix": return Icons.pix;
      case "pix_sharp": return Icons.pix_sharp;
      case "pix_rounded": return Icons.pix_rounded;
      case "pix_outlined": return Icons.pix_outlined;
      case "place": return Icons.place;
      case "place_sharp": return Icons.place_sharp;
      case "place_rounded": return Icons.place_rounded;
      case "place_outlined": return Icons.place_outlined;
      case "plagiarism": return Icons.plagiarism;
      case "plagiarism_sharp": return Icons.plagiarism_sharp;
      case "plagiarism_rounded": return Icons.plagiarism_rounded;
      case "plagiarism_outlined": return Icons.plagiarism_outlined;
      case "play_arrow": return Icons.play_arrow;
      case "play_arrow_sharp": return Icons.play_arrow_sharp;
      case "play_arrow_rounded": return Icons.play_arrow_rounded;
      case "play_arrow_outlined": return Icons.play_arrow_outlined;
      case "play_circle": return Icons.play_circle;
      case "play_circle_sharp": return Icons.play_circle_sharp;
      case "play_circle_rounded": return Icons.play_circle_rounded;
      case "play_circle_outlined": return Icons.play_circle_outlined;
      case "play_circle_fill": return Icons.play_circle_fill;
      case "play_circle_fill_sharp": return Icons.play_circle_fill_sharp;
      case "play_circle_fill_rounded": return Icons.play_circle_fill_rounded;
      case "play_circle_fill_outlined": return Icons.play_circle_fill_outlined;
      case "play_circle_filled": return Icons.play_circle_filled;
      case "play_circle_filled_sharp": return Icons.play_circle_filled_sharp;
      case "play_circle_filled_rounded": return Icons.play_circle_filled_rounded;
      case "play_circle_filled_outlined": return Icons.play_circle_filled_outlined;
      case "play_circle_outline": return Icons.play_circle_outline;
      case "play_circle_outline_sharp": return Icons.play_circle_outline_sharp;
      case "play_circle_outline_rounded": return Icons.play_circle_outline_rounded;
      case "play_circle_outline_outlined": return Icons.play_circle_outline_outlined;
      case "play_disabled": return Icons.play_disabled;
      case "play_disabled_sharp": return Icons.play_disabled_sharp;
      case "play_disabled_rounded": return Icons.play_disabled_rounded;
      case "play_disabled_outlined": return Icons.play_disabled_outlined;
      case "play_for_work": return Icons.play_for_work;
      case "play_for_work_sharp": return Icons.play_for_work_sharp;
      case "play_for_work_rounded": return Icons.play_for_work_rounded;
      case "play_for_work_outlined": return Icons.play_for_work_outlined;
      case "play_lesson": return Icons.play_lesson;
      case "play_lesson_sharp": return Icons.play_lesson_sharp;
      case "play_lesson_rounded": return Icons.play_lesson_rounded;
      case "play_lesson_outlined": return Icons.play_lesson_outlined;
      case "playlist_add": return Icons.playlist_add;
      case "playlist_add_sharp": return Icons.playlist_add_sharp;
      case "playlist_add_rounded": return Icons.playlist_add_rounded;
      case "playlist_add_outlined": return Icons.playlist_add_outlined;
      case "playlist_add_check": return Icons.playlist_add_check;
      case "playlist_add_check_sharp": return Icons.playlist_add_check_sharp;
      case "playlist_add_check_rounded": return Icons.playlist_add_check_rounded;
      case "playlist_add_check_outlined": return Icons.playlist_add_check_outlined;
      case "playlist_add_check_circle": return Icons.playlist_add_check_circle;
      case "playlist_add_check_circle_sharp": return Icons.playlist_add_check_circle_sharp;
      case "playlist_add_check_circle_rounded": return Icons.playlist_add_check_circle_rounded;
      case "playlist_add_check_circle_outlined": return Icons.playlist_add_check_circle_outlined;
      case "playlist_add_circle": return Icons.playlist_add_circle;
      case "playlist_add_circle_sharp": return Icons.playlist_add_circle_sharp;
      case "playlist_add_circle_rounded": return Icons.playlist_add_circle_rounded;
      case "playlist_add_circle_outlined": return Icons.playlist_add_circle_outlined;
      case "playlist_play": return Icons.playlist_play;
      case "playlist_play_sharp": return Icons.playlist_play_sharp;
      case "playlist_play_rounded": return Icons.playlist_play_rounded;
      case "playlist_play_outlined": return Icons.playlist_play_outlined;
      case "playlist_remove": return Icons.playlist_remove;
      case "playlist_remove_sharp": return Icons.playlist_remove_sharp;
      case "playlist_remove_rounded": return Icons.playlist_remove_rounded;
      case "playlist_remove_outlined": return Icons.playlist_remove_outlined;
      case "plumbing": return Icons.plumbing;
      case "plumbing_sharp": return Icons.plumbing_sharp;
      case "plumbing_rounded": return Icons.plumbing_rounded;
      case "plumbing_outlined": return Icons.plumbing_outlined;
      case "plus_one": return Icons.plus_one;
      case "plus_one_sharp": return Icons.plus_one_sharp;
      case "plus_one_rounded": return Icons.plus_one_rounded;
      case "plus_one_outlined": return Icons.plus_one_outlined;
      case "podcasts": return Icons.podcasts;
      case "podcasts_sharp": return Icons.podcasts_sharp;
      case "podcasts_rounded": return Icons.podcasts_rounded;
      case "podcasts_outlined": return Icons.podcasts_outlined;
      case "point_of_sale": return Icons.point_of_sale;
      case "point_of_sale_sharp": return Icons.point_of_sale_sharp;
      case "point_of_sale_rounded": return Icons.point_of_sale_rounded;
      case "point_of_sale_outlined": return Icons.point_of_sale_outlined;
      case "policy": return Icons.policy;
      case "policy_sharp": return Icons.policy_sharp;
      case "policy_rounded": return Icons.policy_rounded;
      case "policy_outlined": return Icons.policy_outlined;
      case "poll": return Icons.poll;
      case "poll_sharp": return Icons.poll_sharp;
      case "poll_rounded": return Icons.poll_rounded;
      case "poll_outlined": return Icons.poll_outlined;
      case "polyline": return Icons.polyline;
      case "polyline_sharp": return Icons.polyline_sharp;
      case "polyline_rounded": return Icons.polyline_rounded;
      case "polyline_outlined": return Icons.polyline_outlined;
      case "polymer": return Icons.polymer;
      case "polymer_sharp": return Icons.polymer_sharp;
      case "polymer_rounded": return Icons.polymer_rounded;
      case "polymer_outlined": return Icons.polymer_outlined;
      case "pool": return Icons.pool;
      case "pool_sharp": return Icons.pool_sharp;
      case "pool_rounded": return Icons.pool_rounded;
      case "pool_outlined": return Icons.pool_outlined;
      case "portable_wifi_off": return Icons.portable_wifi_off;
      case "portable_wifi_off_sharp": return Icons.portable_wifi_off_sharp;
      case "portable_wifi_off_rounded": return Icons.portable_wifi_off_rounded;
      case "portable_wifi_off_outlined": return Icons.portable_wifi_off_outlined;
      case "portrait": return Icons.portrait;
      case "portrait_sharp": return Icons.portrait_sharp;
      case "portrait_rounded": return Icons.portrait_rounded;
      case "portrait_outlined": return Icons.portrait_outlined;
      case "post_add": return Icons.post_add;
      case "post_add_sharp": return Icons.post_add_sharp;
      case "post_add_rounded": return Icons.post_add_rounded;
      case "post_add_outlined": return Icons.post_add_outlined;
      case "power": return Icons.power;
      case "power_sharp": return Icons.power_sharp;
      case "power_rounded": return Icons.power_rounded;
      case "power_outlined": return Icons.power_outlined;
      case "power_input": return Icons.power_input;
      case "power_input_sharp": return Icons.power_input_sharp;
      case "power_input_rounded": return Icons.power_input_rounded;
      case "power_input_outlined": return Icons.power_input_outlined;
      case "power_off": return Icons.power_off;
      case "power_off_sharp": return Icons.power_off_sharp;
      case "power_off_rounded": return Icons.power_off_rounded;
      case "power_off_outlined": return Icons.power_off_outlined;
      case "power_settings_new": return Icons.power_settings_new;
      case "power_settings_new_sharp": return Icons.power_settings_new_sharp;
      case "power_settings_new_rounded": return Icons.power_settings_new_rounded;
      case "power_settings_new_outlined": return Icons.power_settings_new_outlined;
      case "precision_manufacturing": return Icons.precision_manufacturing;
      case "precision_manufacturing_sharp": return Icons.precision_manufacturing_sharp;
      case "precision_manufacturing_rounded": return Icons.precision_manufacturing_rounded;
      case "precision_manufacturing_outlined": return Icons.precision_manufacturing_outlined;
      case "pregnant_woman": return Icons.pregnant_woman;
      case "pregnant_woman_sharp": return Icons.pregnant_woman_sharp;
      case "pregnant_woman_rounded": return Icons.pregnant_woman_rounded;
      case "pregnant_woman_outlined": return Icons.pregnant_woman_outlined;
      case "present_to_all": return Icons.present_to_all;
      case "present_to_all_sharp": return Icons.present_to_all_sharp;
      case "present_to_all_rounded": return Icons.present_to_all_rounded;
      case "present_to_all_outlined": return Icons.present_to_all_outlined;
      case "preview": return Icons.preview;
      case "preview_sharp": return Icons.preview_sharp;
      case "preview_rounded": return Icons.preview_rounded;
      case "preview_outlined": return Icons.preview_outlined;
      case "price_change": return Icons.price_change;
      case "price_change_sharp": return Icons.price_change_sharp;
      case "price_change_rounded": return Icons.price_change_rounded;
      case "price_change_outlined": return Icons.price_change_outlined;
      case "price_check": return Icons.price_check;
      case "price_check_sharp": return Icons.price_check_sharp;
      case "price_check_rounded": return Icons.price_check_rounded;
      case "price_check_outlined": return Icons.price_check_outlined;
      case "print": return Icons.print;
      case "print_sharp": return Icons.print_sharp;
      case "print_rounded": return Icons.print_rounded;
      case "print_outlined": return Icons.print_outlined;
      case "print_disabled": return Icons.print_disabled;
      case "print_disabled_sharp": return Icons.print_disabled_sharp;
      case "print_disabled_rounded": return Icons.print_disabled_rounded;
      case "print_disabled_outlined": return Icons.print_disabled_outlined;
      case "priority_high": return Icons.priority_high;
      case "priority_high_sharp": return Icons.priority_high_sharp;
      case "priority_high_rounded": return Icons.priority_high_rounded;
      case "priority_high_outlined": return Icons.priority_high_outlined;
      case "privacy_tip": return Icons.privacy_tip;
      case "privacy_tip_sharp": return Icons.privacy_tip_sharp;
      case "privacy_tip_rounded": return Icons.privacy_tip_rounded;
      case "privacy_tip_outlined": return Icons.privacy_tip_outlined;
      case "private_connectivity": return Icons.private_connectivity;
      case "private_connectivity_sharp": return Icons.private_connectivity_sharp;
      case "private_connectivity_rounded": return Icons.private_connectivity_rounded;
      case "private_connectivity_outlined": return Icons.private_connectivity_outlined;
      case "production_quantity_limits": return Icons.production_quantity_limits;
      case "production_quantity_limits_sharp": return Icons.production_quantity_limits_sharp;
      case "production_quantity_limits_rounded": return Icons.production_quantity_limits_rounded;
      case "production_quantity_limits_outlined": return Icons.production_quantity_limits_outlined;
      case "psychology": return Icons.psychology;
      case "psychology_sharp": return Icons.psychology_sharp;
      case "psychology_rounded": return Icons.psychology_rounded;
      case "psychology_outlined": return Icons.psychology_outlined;
      case "public": return Icons.public;
      case "public_sharp": return Icons.public_sharp;
      case "public_rounded": return Icons.public_rounded;
      case "public_outlined": return Icons.public_outlined;
      case "public_off": return Icons.public_off;
      case "public_off_sharp": return Icons.public_off_sharp;
      case "public_off_rounded": return Icons.public_off_rounded;
      case "public_off_outlined": return Icons.public_off_outlined;
      case "publish": return Icons.publish;
      case "publish_sharp": return Icons.publish_sharp;
      case "publish_rounded": return Icons.publish_rounded;
      case "publish_outlined": return Icons.publish_outlined;
      case "published_with_changes": return Icons.published_with_changes;
      case "published_with_changes_sharp": return Icons.published_with_changes_sharp;
      case "published_with_changes_rounded": return Icons.published_with_changes_rounded;
      case "published_with_changes_outlined": return Icons.published_with_changes_outlined;
      case "punch_clock": return Icons.punch_clock;
      case "punch_clock_sharp": return Icons.punch_clock_sharp;
      case "punch_clock_rounded": return Icons.punch_clock_rounded;
      case "punch_clock_outlined": return Icons.punch_clock_outlined;
      case "push_pin": return Icons.push_pin;
      case "push_pin_sharp": return Icons.push_pin_sharp;
      case "push_pin_rounded": return Icons.push_pin_rounded;
      case "push_pin_outlined": return Icons.push_pin_outlined;
      case "qr_code": return Icons.qr_code;
      case "qr_code_sharp": return Icons.qr_code_sharp;
      case "qr_code_rounded": return Icons.qr_code_rounded;
      case "qr_code_outlined": return Icons.qr_code_outlined;
      case "qr_code_2": return Icons.qr_code_2;
      case "qr_code_2_sharp": return Icons.qr_code_2_sharp;
      case "qr_code_2_rounded": return Icons.qr_code_2_rounded;
      case "qr_code_2_outlined": return Icons.qr_code_2_outlined;
      case "qr_code_scanner": return Icons.qr_code_scanner;
      case "qr_code_scanner_sharp": return Icons.qr_code_scanner_sharp;
      case "qr_code_scanner_rounded": return Icons.qr_code_scanner_rounded;
      case "qr_code_scanner_outlined": return Icons.qr_code_scanner_outlined;
      case "query_builder": return Icons.query_builder;
      case "query_builder_sharp": return Icons.query_builder_sharp;
      case "query_builder_rounded": return Icons.query_builder_rounded;
      case "query_builder_outlined": return Icons.query_builder_outlined;
      case "query_stats": return Icons.query_stats;
      case "query_stats_sharp": return Icons.query_stats_sharp;
      case "query_stats_rounded": return Icons.query_stats_rounded;
      case "query_stats_outlined": return Icons.query_stats_outlined;
      case "question_answer": return Icons.question_answer;
      case "question_answer_sharp": return Icons.question_answer_sharp;
      case "question_answer_rounded": return Icons.question_answer_rounded;
      case "question_answer_outlined": return Icons.question_answer_outlined;
      case "question_mark": return Icons.question_mark;
      case "question_mark_sharp": return Icons.question_mark_sharp;
      case "question_mark_rounded": return Icons.question_mark_rounded;
      case "question_mark_outlined": return Icons.question_mark_outlined;
      case "queue": return Icons.queue;
      case "queue_sharp": return Icons.queue_sharp;
      case "queue_rounded": return Icons.queue_rounded;
      case "queue_outlined": return Icons.queue_outlined;
      case "queue_music": return Icons.queue_music;
      case "queue_music_sharp": return Icons.queue_music_sharp;
      case "queue_music_rounded": return Icons.queue_music_rounded;
      case "queue_music_outlined": return Icons.queue_music_outlined;
      case "queue_play_next": return Icons.queue_play_next;
      case "queue_play_next_sharp": return Icons.queue_play_next_sharp;
      case "queue_play_next_rounded": return Icons.queue_play_next_rounded;
      case "queue_play_next_outlined": return Icons.queue_play_next_outlined;
      case "quick_contacts_dialer": return Icons.quick_contacts_dialer;
      case "quick_contacts_dialer_sharp": return Icons.quick_contacts_dialer_sharp;
      case "quick_contacts_dialer_rounded": return Icons.quick_contacts_dialer_rounded;
      case "quick_contacts_dialer_outlined": return Icons.quick_contacts_dialer_outlined;
      case "quick_contacts_mail": return Icons.quick_contacts_mail;
      case "quick_contacts_mail_sharp": return Icons.quick_contacts_mail_sharp;
      case "quick_contacts_mail_rounded": return Icons.quick_contacts_mail_rounded;
      case "quick_contacts_mail_outlined": return Icons.quick_contacts_mail_outlined;
      case "quickreply": return Icons.quickreply;
      case "quickreply_sharp": return Icons.quickreply_sharp;
      case "quickreply_rounded": return Icons.quickreply_rounded;
      case "quickreply_outlined": return Icons.quickreply_outlined;
      case "quiz": return Icons.quiz;
      case "quiz_sharp": return Icons.quiz_sharp;
      case "quiz_rounded": return Icons.quiz_rounded;
      case "quiz_outlined": return Icons.quiz_outlined;
      case "quora": return Icons.quora;
      case "quora_sharp": return Icons.quora_sharp;
      case "quora_rounded": return Icons.quora_rounded;
      case "quora_outlined": return Icons.quora_outlined;
      case "r_mobiledata": return Icons.r_mobiledata;
      case "r_mobiledata_sharp": return Icons.r_mobiledata_sharp;
      case "r_mobiledata_rounded": return Icons.r_mobiledata_rounded;
      case "r_mobiledata_outlined": return Icons.r_mobiledata_outlined;
      case "radar": return Icons.radar;
      case "radar_sharp": return Icons.radar_sharp;
      case "radar_rounded": return Icons.radar_rounded;
      case "radar_outlined": return Icons.radar_outlined;
      case "radio": return Icons.radio;
      case "radio_sharp": return Icons.radio_sharp;
      case "radio_rounded": return Icons.radio_rounded;
      case "radio_outlined": return Icons.radio_outlined;
      case "radio_button_checked": return Icons.radio_button_checked;
      case "radio_button_checked_sharp": return Icons.radio_button_checked_sharp;
      case "radio_button_checked_rounded": return Icons.radio_button_checked_rounded;
      case "radio_button_checked_outlined": return Icons.radio_button_checked_outlined;
      case "radio_button_off": return Icons.radio_button_off;
      case "radio_button_off_sharp": return Icons.radio_button_off_sharp;
      case "radio_button_off_rounded": return Icons.radio_button_off_rounded;
      case "radio_button_off_outlined": return Icons.radio_button_off_outlined;
      case "radio_button_on": return Icons.radio_button_on;
      case "radio_button_on_sharp": return Icons.radio_button_on_sharp;
      case "radio_button_on_rounded": return Icons.radio_button_on_rounded;
      case "radio_button_on_outlined": return Icons.radio_button_on_outlined;
      case "radio_button_unchecked": return Icons.radio_button_unchecked;
      case "radio_button_unchecked_sharp": return Icons.radio_button_unchecked_sharp;
      case "radio_button_unchecked_rounded": return Icons.radio_button_unchecked_rounded;
      case "radio_button_unchecked_outlined": return Icons.radio_button_unchecked_outlined;
      case "railway_alert": return Icons.railway_alert;
      case "railway_alert_sharp": return Icons.railway_alert_sharp;
      case "railway_alert_rounded": return Icons.railway_alert_rounded;
      case "railway_alert_outlined": return Icons.railway_alert_outlined;
      case "ramen_dining": return Icons.ramen_dining;
      case "ramen_dining_sharp": return Icons.ramen_dining_sharp;
      case "ramen_dining_rounded": return Icons.ramen_dining_rounded;
      case "ramen_dining_outlined": return Icons.ramen_dining_outlined;
      case "ramp_left": return Icons.ramp_left;
      case "ramp_left_sharp": return Icons.ramp_left_sharp;
      case "ramp_left_rounded": return Icons.ramp_left_rounded;
      case "ramp_left_outlined": return Icons.ramp_left_outlined;
      case "ramp_right": return Icons.ramp_right;
      case "ramp_right_sharp": return Icons.ramp_right_sharp;
      case "ramp_right_rounded": return Icons.ramp_right_rounded;
      case "ramp_right_outlined": return Icons.ramp_right_outlined;
      case "rate_review": return Icons.rate_review;
      case "rate_review_sharp": return Icons.rate_review_sharp;
      case "rate_review_rounded": return Icons.rate_review_rounded;
      case "rate_review_outlined": return Icons.rate_review_outlined;
      case "raw_off": return Icons.raw_off;
      case "raw_off_sharp": return Icons.raw_off_sharp;
      case "raw_off_rounded": return Icons.raw_off_rounded;
      case "raw_off_outlined": return Icons.raw_off_outlined;
      case "raw_on": return Icons.raw_on;
      case "raw_on_sharp": return Icons.raw_on_sharp;
      case "raw_on_rounded": return Icons.raw_on_rounded;
      case "raw_on_outlined": return Icons.raw_on_outlined;
      case "read_more": return Icons.read_more;
      case "read_more_sharp": return Icons.read_more_sharp;
      case "read_more_rounded": return Icons.read_more_rounded;
      case "read_more_outlined": return Icons.read_more_outlined;
      case "real_estate_agent": return Icons.real_estate_agent;
      case "real_estate_agent_sharp": return Icons.real_estate_agent_sharp;
      case "real_estate_agent_rounded": return Icons.real_estate_agent_rounded;
      case "real_estate_agent_outlined": return Icons.real_estate_agent_outlined;
      case "receipt": return Icons.receipt;
      case "receipt_sharp": return Icons.receipt_sharp;
      case "receipt_rounded": return Icons.receipt_rounded;
      case "receipt_outlined": return Icons.receipt_outlined;
      case "receipt_long": return Icons.receipt_long;
      case "receipt_long_sharp": return Icons.receipt_long_sharp;
      case "receipt_long_rounded": return Icons.receipt_long_rounded;
      case "receipt_long_outlined": return Icons.receipt_long_outlined;
      case "recent_actors": return Icons.recent_actors;
      case "recent_actors_sharp": return Icons.recent_actors_sharp;
      case "recent_actors_rounded": return Icons.recent_actors_rounded;
      case "recent_actors_outlined": return Icons.recent_actors_outlined;
      case "recommend": return Icons.recommend;
      case "recommend_sharp": return Icons.recommend_sharp;
      case "recommend_rounded": return Icons.recommend_rounded;
      case "recommend_outlined": return Icons.recommend_outlined;
      case "record_voice_over": return Icons.record_voice_over;
      case "record_voice_over_sharp": return Icons.record_voice_over_sharp;
      case "record_voice_over_rounded": return Icons.record_voice_over_rounded;
      case "record_voice_over_outlined": return Icons.record_voice_over_outlined;
      case "rectangle": return Icons.rectangle;
      case "rectangle_sharp": return Icons.rectangle_sharp;
      case "rectangle_rounded": return Icons.rectangle_rounded;
      case "rectangle_outlined": return Icons.rectangle_outlined;
      case "recycling": return Icons.recycling;
      case "recycling_sharp": return Icons.recycling_sharp;
      case "recycling_rounded": return Icons.recycling_rounded;
      case "recycling_outlined": return Icons.recycling_outlined;
      case "reddit": return Icons.reddit;
      case "reddit_sharp": return Icons.reddit_sharp;
      case "reddit_rounded": return Icons.reddit_rounded;
      case "reddit_outlined": return Icons.reddit_outlined;
      case "redeem": return Icons.redeem;
      case "redeem_sharp": return Icons.redeem_sharp;
      case "redeem_rounded": return Icons.redeem_rounded;
      case "redeem_outlined": return Icons.redeem_outlined;
      case "redo": return Icons.redo;
      case "redo_sharp": return Icons.redo_sharp;
      case "redo_rounded": return Icons.redo_rounded;
      case "redo_outlined": return Icons.redo_outlined;
      case "reduce_capacity": return Icons.reduce_capacity;
      case "reduce_capacity_sharp": return Icons.reduce_capacity_sharp;
      case "reduce_capacity_rounded": return Icons.reduce_capacity_rounded;
      case "reduce_capacity_outlined": return Icons.reduce_capacity_outlined;
      case "refresh": return Icons.refresh;
      case "refresh_sharp": return Icons.refresh_sharp;
      case "refresh_rounded": return Icons.refresh_rounded;
      case "refresh_outlined": return Icons.refresh_outlined;
      case "remember_me": return Icons.remember_me;
      case "remember_me_sharp": return Icons.remember_me_sharp;
      case "remember_me_rounded": return Icons.remember_me_rounded;
      case "remember_me_outlined": return Icons.remember_me_outlined;
      case "remove": return Icons.remove;
      case "remove_sharp": return Icons.remove_sharp;
      case "remove_rounded": return Icons.remove_rounded;
      case "remove_outlined": return Icons.remove_outlined;
      case "remove_circle": return Icons.remove_circle;
      case "remove_circle_sharp": return Icons.remove_circle_sharp;
      case "remove_circle_rounded": return Icons.remove_circle_rounded;
      case "remove_circle_outlined": return Icons.remove_circle_outlined;
      case "remove_circle_outline": return Icons.remove_circle_outline;
      case "remove_circle_outline_sharp": return Icons.remove_circle_outline_sharp;
      case "remove_circle_outline_rounded": return Icons.remove_circle_outline_rounded;
      case "remove_circle_outline_outlined": return Icons.remove_circle_outline_outlined;
      case "remove_done": return Icons.remove_done;
      case "remove_done_sharp": return Icons.remove_done_sharp;
      case "remove_done_rounded": return Icons.remove_done_rounded;
      case "remove_done_outlined": return Icons.remove_done_outlined;
      case "remove_from_queue": return Icons.remove_from_queue;
      case "remove_from_queue_sharp": return Icons.remove_from_queue_sharp;
      case "remove_from_queue_rounded": return Icons.remove_from_queue_rounded;
      case "remove_from_queue_outlined": return Icons.remove_from_queue_outlined;
      case "remove_moderator": return Icons.remove_moderator;
      case "remove_moderator_sharp": return Icons.remove_moderator_sharp;
      case "remove_moderator_rounded": return Icons.remove_moderator_rounded;
      case "remove_moderator_outlined": return Icons.remove_moderator_outlined;
      case "remove_red_eye": return Icons.remove_red_eye;
      case "remove_red_eye_sharp": return Icons.remove_red_eye_sharp;
      case "remove_red_eye_rounded": return Icons.remove_red_eye_rounded;
      case "remove_red_eye_outlined": return Icons.remove_red_eye_outlined;
      case "remove_shopping_cart": return Icons.remove_shopping_cart;
      case "remove_shopping_cart_sharp": return Icons.remove_shopping_cart_sharp;
      case "remove_shopping_cart_rounded": return Icons.remove_shopping_cart_rounded;
      case "remove_shopping_cart_outlined": return Icons.remove_shopping_cart_outlined;
      case "reorder": return Icons.reorder;
      case "reorder_sharp": return Icons.reorder_sharp;
      case "reorder_rounded": return Icons.reorder_rounded;
      case "reorder_outlined": return Icons.reorder_outlined;
      case "repeat": return Icons.repeat;
      case "repeat_sharp": return Icons.repeat_sharp;
      case "repeat_rounded": return Icons.repeat_rounded;
      case "repeat_outlined": return Icons.repeat_outlined;
      case "repeat_on": return Icons.repeat_on;
      case "repeat_on_sharp": return Icons.repeat_on_sharp;
      case "repeat_on_rounded": return Icons.repeat_on_rounded;
      case "repeat_on_outlined": return Icons.repeat_on_outlined;
      case "repeat_one": return Icons.repeat_one;
      case "repeat_one_sharp": return Icons.repeat_one_sharp;
      case "repeat_one_rounded": return Icons.repeat_one_rounded;
      case "repeat_one_outlined": return Icons.repeat_one_outlined;
      case "repeat_one_on": return Icons.repeat_one_on;
      case "repeat_one_on_sharp": return Icons.repeat_one_on_sharp;
      case "repeat_one_on_rounded": return Icons.repeat_one_on_rounded;
      case "repeat_one_on_outlined": return Icons.repeat_one_on_outlined;
      case "replay": return Icons.replay;
      case "replay_sharp": return Icons.replay_sharp;
      case "replay_rounded": return Icons.replay_rounded;
      case "replay_outlined": return Icons.replay_outlined;
      case "replay_10": return Icons.replay_10;
      case "replay_10_sharp": return Icons.replay_10_sharp;
      case "replay_10_rounded": return Icons.replay_10_rounded;
      case "replay_10_outlined": return Icons.replay_10_outlined;
      case "replay_30": return Icons.replay_30;
      case "replay_30_sharp": return Icons.replay_30_sharp;
      case "replay_30_rounded": return Icons.replay_30_rounded;
      case "replay_30_outlined": return Icons.replay_30_outlined;
      case "replay_5": return Icons.replay_5;
      case "replay_5_sharp": return Icons.replay_5_sharp;
      case "replay_5_rounded": return Icons.replay_5_rounded;
      case "replay_5_outlined": return Icons.replay_5_outlined;
      case "replay_circle_filled": return Icons.replay_circle_filled;
      case "replay_circle_filled_sharp": return Icons.replay_circle_filled_sharp;
      case "replay_circle_filled_rounded": return Icons.replay_circle_filled_rounded;
      case "replay_circle_filled_outlined": return Icons.replay_circle_filled_outlined;
      case "reply": return Icons.reply;
      case "reply_sharp": return Icons.reply_sharp;
      case "reply_rounded": return Icons.reply_rounded;
      case "reply_outlined": return Icons.reply_outlined;
      case "reply_all": return Icons.reply_all;
      case "reply_all_sharp": return Icons.reply_all_sharp;
      case "reply_all_rounded": return Icons.reply_all_rounded;
      case "reply_all_outlined": return Icons.reply_all_outlined;
      case "report": return Icons.report;
      case "report_sharp": return Icons.report_sharp;
      case "report_rounded": return Icons.report_rounded;
      case "report_outlined": return Icons.report_outlined;
      case "report_gmailerrorred": return Icons.report_gmailerrorred;
      case "report_gmailerrorred_sharp": return Icons.report_gmailerrorred_sharp;
      case "report_gmailerrorred_rounded": return Icons.report_gmailerrorred_rounded;
      case "report_gmailerrorred_outlined": return Icons.report_gmailerrorred_outlined;
      case "report_off": return Icons.report_off;
      case "report_off_sharp": return Icons.report_off_sharp;
      case "report_off_rounded": return Icons.report_off_rounded;
      case "report_off_outlined": return Icons.report_off_outlined;
      case "report_problem": return Icons.report_problem;
      case "report_problem_sharp": return Icons.report_problem_sharp;
      case "report_problem_rounded": return Icons.report_problem_rounded;
      case "report_problem_outlined": return Icons.report_problem_outlined;
      case "request_page": return Icons.request_page;
      case "request_page_sharp": return Icons.request_page_sharp;
      case "request_page_rounded": return Icons.request_page_rounded;
      case "request_page_outlined": return Icons.request_page_outlined;
      case "request_quote": return Icons.request_quote;
      case "request_quote_sharp": return Icons.request_quote_sharp;
      case "request_quote_rounded": return Icons.request_quote_rounded;
      case "request_quote_outlined": return Icons.request_quote_outlined;
      case "reset_tv": return Icons.reset_tv;
      case "reset_tv_sharp": return Icons.reset_tv_sharp;
      case "reset_tv_rounded": return Icons.reset_tv_rounded;
      case "reset_tv_outlined": return Icons.reset_tv_outlined;
      case "restart_alt": return Icons.restart_alt;
      case "restart_alt_sharp": return Icons.restart_alt_sharp;
      case "restart_alt_rounded": return Icons.restart_alt_rounded;
      case "restart_alt_outlined": return Icons.restart_alt_outlined;
      case "restaurant": return Icons.restaurant;
      case "restaurant_sharp": return Icons.restaurant_sharp;
      case "restaurant_rounded": return Icons.restaurant_rounded;
      case "restaurant_outlined": return Icons.restaurant_outlined;
      case "restaurant_menu": return Icons.restaurant_menu;
      case "restaurant_menu_sharp": return Icons.restaurant_menu_sharp;
      case "restaurant_menu_rounded": return Icons.restaurant_menu_rounded;
      case "restaurant_menu_outlined": return Icons.restaurant_menu_outlined;
      case "restore": return Icons.restore;
      case "restore_sharp": return Icons.restore_sharp;
      case "restore_rounded": return Icons.restore_rounded;
      case "restore_outlined": return Icons.restore_outlined;
      case "restore_from_trash": return Icons.restore_from_trash;
      case "restore_from_trash_sharp": return Icons.restore_from_trash_sharp;
      case "restore_from_trash_rounded": return Icons.restore_from_trash_rounded;
      case "restore_from_trash_outlined": return Icons.restore_from_trash_outlined;
      case "restore_page": return Icons.restore_page;
      case "restore_page_sharp": return Icons.restore_page_sharp;
      case "restore_page_rounded": return Icons.restore_page_rounded;
      case "restore_page_outlined": return Icons.restore_page_outlined;
      case "reviews": return Icons.reviews;
      case "reviews_sharp": return Icons.reviews_sharp;
      case "reviews_rounded": return Icons.reviews_rounded;
      case "reviews_outlined": return Icons.reviews_outlined;
      case "rice_bowl": return Icons.rice_bowl;
      case "rice_bowl_sharp": return Icons.rice_bowl_sharp;
      case "rice_bowl_rounded": return Icons.rice_bowl_rounded;
      case "rice_bowl_outlined": return Icons.rice_bowl_outlined;
      case "ring_volume": return Icons.ring_volume;
      case "ring_volume_sharp": return Icons.ring_volume_sharp;
      case "ring_volume_rounded": return Icons.ring_volume_rounded;
      case "ring_volume_outlined": return Icons.ring_volume_outlined;
      case "rocket": return Icons.rocket;
      case "rocket_sharp": return Icons.rocket_sharp;
      case "rocket_rounded": return Icons.rocket_rounded;
      case "rocket_outlined": return Icons.rocket_outlined;
      case "rocket_launch": return Icons.rocket_launch;
      case "rocket_launch_sharp": return Icons.rocket_launch_sharp;
      case "rocket_launch_rounded": return Icons.rocket_launch_rounded;
      case "rocket_launch_outlined": return Icons.rocket_launch_outlined;
      case "roller_skating": return Icons.roller_skating;
      case "roller_skating_sharp": return Icons.roller_skating_sharp;
      case "roller_skating_rounded": return Icons.roller_skating_rounded;
      case "roller_skating_outlined": return Icons.roller_skating_outlined;
      case "roofing": return Icons.roofing;
      case "roofing_sharp": return Icons.roofing_sharp;
      case "roofing_rounded": return Icons.roofing_rounded;
      case "roofing_outlined": return Icons.roofing_outlined;
      case "room": return Icons.room;
      case "room_sharp": return Icons.room_sharp;
      case "room_rounded": return Icons.room_rounded;
      case "room_outlined": return Icons.room_outlined;
      case "room_preferences": return Icons.room_preferences;
      case "room_preferences_sharp": return Icons.room_preferences_sharp;
      case "room_preferences_rounded": return Icons.room_preferences_rounded;
      case "room_preferences_outlined": return Icons.room_preferences_outlined;
      case "room_service": return Icons.room_service;
      case "room_service_sharp": return Icons.room_service_sharp;
      case "room_service_rounded": return Icons.room_service_rounded;
      case "room_service_outlined": return Icons.room_service_outlined;
      case "rotate_90_degrees_ccw": return Icons.rotate_90_degrees_ccw;
      case "rotate_90_degrees_ccw_sharp": return Icons.rotate_90_degrees_ccw_sharp;
      case "rotate_90_degrees_ccw_rounded": return Icons.rotate_90_degrees_ccw_rounded;
      case "rotate_90_degrees_ccw_outlined": return Icons.rotate_90_degrees_ccw_outlined;
      case "rotate_90_degrees_cw": return Icons.rotate_90_degrees_cw;
      case "rotate_90_degrees_cw_sharp": return Icons.rotate_90_degrees_cw_sharp;
      case "rotate_90_degrees_cw_rounded": return Icons.rotate_90_degrees_cw_rounded;
      case "rotate_90_degrees_cw_outlined": return Icons.rotate_90_degrees_cw_outlined;
      case "rotate_left": return Icons.rotate_left;
      case "rotate_left_sharp": return Icons.rotate_left_sharp;
      case "rotate_left_rounded": return Icons.rotate_left_rounded;
      case "rotate_left_outlined": return Icons.rotate_left_outlined;
      case "rotate_right": return Icons.rotate_right;
      case "rotate_right_sharp": return Icons.rotate_right_sharp;
      case "rotate_right_rounded": return Icons.rotate_right_rounded;
      case "rotate_right_outlined": return Icons.rotate_right_outlined;
      case "roundabout_left": return Icons.roundabout_left;
      case "roundabout_left_sharp": return Icons.roundabout_left_sharp;
      case "roundabout_left_rounded": return Icons.roundabout_left_rounded;
      case "roundabout_left_outlined": return Icons.roundabout_left_outlined;
      case "roundabout_right": return Icons.roundabout_right;
      case "roundabout_right_sharp": return Icons.roundabout_right_sharp;
      case "roundabout_right_rounded": return Icons.roundabout_right_rounded;
      case "roundabout_right_outlined": return Icons.roundabout_right_outlined;
      case "rounded_corner": return Icons.rounded_corner;
      case "rounded_corner_sharp": return Icons.rounded_corner_sharp;
      case "rounded_corner_rounded": return Icons.rounded_corner_rounded;
      case "rounded_corner_outlined": return Icons.rounded_corner_outlined;
      case "route": return Icons.route;
      case "route_sharp": return Icons.route_sharp;
      case "route_rounded": return Icons.route_rounded;
      case "route_outlined": return Icons.route_outlined;
      case "router": return Icons.router;
      case "router_sharp": return Icons.router_sharp;
      case "router_rounded": return Icons.router_rounded;
      case "router_outlined": return Icons.router_outlined;
      case "rowing": return Icons.rowing;
      case "rowing_sharp": return Icons.rowing_sharp;
      case "rowing_rounded": return Icons.rowing_rounded;
      case "rowing_outlined": return Icons.rowing_outlined;
      case "rss_feed": return Icons.rss_feed;
      case "rss_feed_sharp": return Icons.rss_feed_sharp;
      case "rss_feed_rounded": return Icons.rss_feed_rounded;
      case "rss_feed_outlined": return Icons.rss_feed_outlined;
      case "rsvp": return Icons.rsvp;
      case "rsvp_sharp": return Icons.rsvp_sharp;
      case "rsvp_rounded": return Icons.rsvp_rounded;
      case "rsvp_outlined": return Icons.rsvp_outlined;
      case "rtt": return Icons.rtt;
      case "rtt_sharp": return Icons.rtt_sharp;
      case "rtt_rounded": return Icons.rtt_rounded;
      case "rtt_outlined": return Icons.rtt_outlined;
      case "rule": return Icons.rule;
      case "rule_sharp": return Icons.rule_sharp;
      case "rule_rounded": return Icons.rule_rounded;
      case "rule_outlined": return Icons.rule_outlined;
      case "rule_folder": return Icons.rule_folder;
      case "rule_folder_sharp": return Icons.rule_folder_sharp;
      case "rule_folder_rounded": return Icons.rule_folder_rounded;
      case "rule_folder_outlined": return Icons.rule_folder_outlined;
      case "run_circle": return Icons.run_circle;
      case "run_circle_sharp": return Icons.run_circle_sharp;
      case "run_circle_rounded": return Icons.run_circle_rounded;
      case "run_circle_outlined": return Icons.run_circle_outlined;
      case "running_with_errors": return Icons.running_with_errors;
      case "running_with_errors_sharp": return Icons.running_with_errors_sharp;
      case "running_with_errors_rounded": return Icons.running_with_errors_rounded;
      case "running_with_errors_outlined": return Icons.running_with_errors_outlined;
      case "rv_hookup": return Icons.rv_hookup;
      case "rv_hookup_sharp": return Icons.rv_hookup_sharp;
      case "rv_hookup_rounded": return Icons.rv_hookup_rounded;
      case "rv_hookup_outlined": return Icons.rv_hookup_outlined;
      case "safety_divider": return Icons.safety_divider;
      case "safety_divider_sharp": return Icons.safety_divider_sharp;
      case "safety_divider_rounded": return Icons.safety_divider_rounded;
      case "safety_divider_outlined": return Icons.safety_divider_outlined;
      case "sailing": return Icons.sailing;
      case "sailing_sharp": return Icons.sailing_sharp;
      case "sailing_rounded": return Icons.sailing_rounded;
      case "sailing_outlined": return Icons.sailing_outlined;
      case "sanitizer": return Icons.sanitizer;
      case "sanitizer_sharp": return Icons.sanitizer_sharp;
      case "sanitizer_rounded": return Icons.sanitizer_rounded;
      case "sanitizer_outlined": return Icons.sanitizer_outlined;
      case "satellite": return Icons.satellite;
      case "satellite_sharp": return Icons.satellite_sharp;
      case "satellite_rounded": return Icons.satellite_rounded;
      case "satellite_outlined": return Icons.satellite_outlined;
      case "satellite_alt": return Icons.satellite_alt;
      case "satellite_alt_sharp": return Icons.satellite_alt_sharp;
      case "satellite_alt_rounded": return Icons.satellite_alt_rounded;
      case "satellite_alt_outlined": return Icons.satellite_alt_outlined;
      case "save": return Icons.save;
      case "save_sharp": return Icons.save_sharp;
      case "save_rounded": return Icons.save_rounded;
      case "save_outlined": return Icons.save_outlined;
      case "save_alt": return Icons.save_alt;
      case "save_alt_sharp": return Icons.save_alt_sharp;
      case "save_alt_rounded": return Icons.save_alt_rounded;
      case "save_alt_outlined": return Icons.save_alt_outlined;
      case "save_as": return Icons.save_as;
      case "save_as_sharp": return Icons.save_as_sharp;
      case "save_as_rounded": return Icons.save_as_rounded;
      case "save_as_outlined": return Icons.save_as_outlined;
      case "saved_search": return Icons.saved_search;
      case "saved_search_sharp": return Icons.saved_search_sharp;
      case "saved_search_rounded": return Icons.saved_search_rounded;
      case "saved_search_outlined": return Icons.saved_search_outlined;
      case "savings": return Icons.savings;
      case "savings_sharp": return Icons.savings_sharp;
      case "savings_rounded": return Icons.savings_rounded;
      case "savings_outlined": return Icons.savings_outlined;
      case "scale": return Icons.scale;
      case "scale_sharp": return Icons.scale_sharp;
      case "scale_rounded": return Icons.scale_rounded;
      case "scale_outlined": return Icons.scale_outlined;
      case "scanner": return Icons.scanner;
      case "scanner_sharp": return Icons.scanner_sharp;
      case "scanner_rounded": return Icons.scanner_rounded;
      case "scanner_outlined": return Icons.scanner_outlined;
      case "scatter_plot": return Icons.scatter_plot;
      case "scatter_plot_sharp": return Icons.scatter_plot_sharp;
      case "scatter_plot_rounded": return Icons.scatter_plot_rounded;
      case "scatter_plot_outlined": return Icons.scatter_plot_outlined;
      case "schedule": return Icons.schedule;
      case "schedule_sharp": return Icons.schedule_sharp;
      case "schedule_rounded": return Icons.schedule_rounded;
      case "schedule_outlined": return Icons.schedule_outlined;
      case "schedule_send": return Icons.schedule_send;
      case "schedule_send_sharp": return Icons.schedule_send_sharp;
      case "schedule_send_rounded": return Icons.schedule_send_rounded;
      case "schedule_send_outlined": return Icons.schedule_send_outlined;
      case "schema": return Icons.schema;
      case "schema_sharp": return Icons.schema_sharp;
      case "schema_rounded": return Icons.schema_rounded;
      case "schema_outlined": return Icons.schema_outlined;
      case "school": return Icons.school;
      case "school_sharp": return Icons.school_sharp;
      case "school_rounded": return Icons.school_rounded;
      case "school_outlined": return Icons.school_outlined;
      case "science": return Icons.science;
      case "science_sharp": return Icons.science_sharp;
      case "science_rounded": return Icons.science_rounded;
      case "science_outlined": return Icons.science_outlined;
      case "score": return Icons.score;
      case "score_sharp": return Icons.score_sharp;
      case "score_rounded": return Icons.score_rounded;
      case "score_outlined": return Icons.score_outlined;
      case "scoreboard": return Icons.scoreboard;
      case "scoreboard_sharp": return Icons.scoreboard_sharp;
      case "scoreboard_rounded": return Icons.scoreboard_rounded;
      case "scoreboard_outlined": return Icons.scoreboard_outlined;
      case "screen_lock_landscape": return Icons.screen_lock_landscape;
      case "screen_lock_landscape_sharp": return Icons.screen_lock_landscape_sharp;
      case "screen_lock_landscape_rounded": return Icons.screen_lock_landscape_rounded;
      case "screen_lock_landscape_outlined": return Icons.screen_lock_landscape_outlined;
      case "screen_lock_portrait": return Icons.screen_lock_portrait;
      case "screen_lock_portrait_sharp": return Icons.screen_lock_portrait_sharp;
      case "screen_lock_portrait_rounded": return Icons.screen_lock_portrait_rounded;
      case "screen_lock_portrait_outlined": return Icons.screen_lock_portrait_outlined;
      case "screen_lock_rotation": return Icons.screen_lock_rotation;
      case "screen_lock_rotation_sharp": return Icons.screen_lock_rotation_sharp;
      case "screen_lock_rotation_rounded": return Icons.screen_lock_rotation_rounded;
      case "screen_lock_rotation_outlined": return Icons.screen_lock_rotation_outlined;
      case "screen_rotation": return Icons.screen_rotation;
      case "screen_rotation_sharp": return Icons.screen_rotation_sharp;
      case "screen_rotation_rounded": return Icons.screen_rotation_rounded;
      case "screen_rotation_outlined": return Icons.screen_rotation_outlined;
      case "screen_search_desktop": return Icons.screen_search_desktop;
      case "screen_search_desktop_sharp": return Icons.screen_search_desktop_sharp;
      case "screen_search_desktop_rounded": return Icons.screen_search_desktop_rounded;
      case "screen_search_desktop_outlined": return Icons.screen_search_desktop_outlined;
      case "screen_share": return Icons.screen_share;
      case "screen_share_sharp": return Icons.screen_share_sharp;
      case "screen_share_rounded": return Icons.screen_share_rounded;
      case "screen_share_outlined": return Icons.screen_share_outlined;
      case "screenshot": return Icons.screenshot;
      case "screenshot_sharp": return Icons.screenshot_sharp;
      case "screenshot_rounded": return Icons.screenshot_rounded;
      case "screenshot_outlined": return Icons.screenshot_outlined;
      case "scuba_diving": return Icons.scuba_diving;
      case "scuba_diving_sharp": return Icons.scuba_diving_sharp;
      case "scuba_diving_rounded": return Icons.scuba_diving_rounded;
      case "scuba_diving_outlined": return Icons.scuba_diving_outlined;
      case "sd": return Icons.sd;
      case "sd_sharp": return Icons.sd_sharp;
      case "sd_rounded": return Icons.sd_rounded;
      case "sd_outlined": return Icons.sd_outlined;
      case "sd_card": return Icons.sd_card;
      case "sd_card_sharp": return Icons.sd_card_sharp;
      case "sd_card_rounded": return Icons.sd_card_rounded;
      case "sd_card_outlined": return Icons.sd_card_outlined;
      case "sd_card_alert": return Icons.sd_card_alert;
      case "sd_card_alert_sharp": return Icons.sd_card_alert_sharp;
      case "sd_card_alert_rounded": return Icons.sd_card_alert_rounded;
      case "sd_card_alert_outlined": return Icons.sd_card_alert_outlined;
      case "sd_storage": return Icons.sd_storage;
      case "sd_storage_sharp": return Icons.sd_storage_sharp;
      case "sd_storage_rounded": return Icons.sd_storage_rounded;
      case "sd_storage_outlined": return Icons.sd_storage_outlined;
      case "search": return Icons.search;
      case "search_sharp": return Icons.search_sharp;
      case "search_rounded": return Icons.search_rounded;
      case "search_outlined": return Icons.search_outlined;
      case "search_off": return Icons.search_off;
      case "search_off_sharp": return Icons.search_off_sharp;
      case "search_off_rounded": return Icons.search_off_rounded;
      case "search_off_outlined": return Icons.search_off_outlined;
      case "security": return Icons.security;
      case "security_sharp": return Icons.security_sharp;
      case "security_rounded": return Icons.security_rounded;
      case "security_outlined": return Icons.security_outlined;
      case "security_update": return Icons.security_update;
      case "security_update_sharp": return Icons.security_update_sharp;
      case "security_update_rounded": return Icons.security_update_rounded;
      case "security_update_outlined": return Icons.security_update_outlined;
      case "security_update_good": return Icons.security_update_good;
      case "security_update_good_sharp": return Icons.security_update_good_sharp;
      case "security_update_good_rounded": return Icons.security_update_good_rounded;
      case "security_update_good_outlined": return Icons.security_update_good_outlined;
      case "security_update_warning": return Icons.security_update_warning;
      case "security_update_warning_sharp": return Icons.security_update_warning_sharp;
      case "security_update_warning_rounded": return Icons.security_update_warning_rounded;
      case "security_update_warning_outlined": return Icons.security_update_warning_outlined;
      case "segment": return Icons.segment;
      case "segment_sharp": return Icons.segment_sharp;
      case "segment_rounded": return Icons.segment_rounded;
      case "segment_outlined": return Icons.segment_outlined;
      case "select_all": return Icons.select_all;
      case "select_all_sharp": return Icons.select_all_sharp;
      case "select_all_rounded": return Icons.select_all_rounded;
      case "select_all_outlined": return Icons.select_all_outlined;
      case "self_improvement": return Icons.self_improvement;
      case "self_improvement_sharp": return Icons.self_improvement_sharp;
      case "self_improvement_rounded": return Icons.self_improvement_rounded;
      case "self_improvement_outlined": return Icons.self_improvement_outlined;
      case "sell": return Icons.sell;
      case "sell_sharp": return Icons.sell_sharp;
      case "sell_rounded": return Icons.sell_rounded;
      case "sell_outlined": return Icons.sell_outlined;
      case "send": return Icons.send;
      case "send_sharp": return Icons.send_sharp;
      case "send_rounded": return Icons.send_rounded;
      case "send_outlined": return Icons.send_outlined;
      case "send_and_archive": return Icons.send_and_archive;
      case "send_and_archive_sharp": return Icons.send_and_archive_sharp;
      case "send_and_archive_rounded": return Icons.send_and_archive_rounded;
      case "send_and_archive_outlined": return Icons.send_and_archive_outlined;
      case "send_time_extension": return Icons.send_time_extension;
      case "send_time_extension_sharp": return Icons.send_time_extension_sharp;
      case "send_time_extension_rounded": return Icons.send_time_extension_rounded;
      case "send_time_extension_outlined": return Icons.send_time_extension_outlined;
      case "send_to_mobile": return Icons.send_to_mobile;
      case "send_to_mobile_sharp": return Icons.send_to_mobile_sharp;
      case "send_to_mobile_rounded": return Icons.send_to_mobile_rounded;
      case "send_to_mobile_outlined": return Icons.send_to_mobile_outlined;
      case "sensor_door": return Icons.sensor_door;
      case "sensor_door_sharp": return Icons.sensor_door_sharp;
      case "sensor_door_rounded": return Icons.sensor_door_rounded;
      case "sensor_door_outlined": return Icons.sensor_door_outlined;
      case "sensor_window": return Icons.sensor_window;
      case "sensor_window_sharp": return Icons.sensor_window_sharp;
      case "sensor_window_rounded": return Icons.sensor_window_rounded;
      case "sensor_window_outlined": return Icons.sensor_window_outlined;
      case "sensors": return Icons.sensors;
      case "sensors_sharp": return Icons.sensors_sharp;
      case "sensors_rounded": return Icons.sensors_rounded;
      case "sensors_outlined": return Icons.sensors_outlined;
      case "sensors_off": return Icons.sensors_off;
      case "sensors_off_sharp": return Icons.sensors_off_sharp;
      case "sensors_off_rounded": return Icons.sensors_off_rounded;
      case "sensors_off_outlined": return Icons.sensors_off_outlined;
      case "sentiment_dissatisfied": return Icons.sentiment_dissatisfied;
      case "sentiment_dissatisfied_sharp": return Icons.sentiment_dissatisfied_sharp;
      case "sentiment_dissatisfied_rounded": return Icons.sentiment_dissatisfied_rounded;
      case "sentiment_dissatisfied_outlined": return Icons.sentiment_dissatisfied_outlined;
      case "sentiment_neutral": return Icons.sentiment_neutral;
      case "sentiment_neutral_sharp": return Icons.sentiment_neutral_sharp;
      case "sentiment_neutral_rounded": return Icons.sentiment_neutral_rounded;
      case "sentiment_neutral_outlined": return Icons.sentiment_neutral_outlined;
      case "sentiment_satisfied": return Icons.sentiment_satisfied;
      case "sentiment_satisfied_sharp": return Icons.sentiment_satisfied_sharp;
      case "sentiment_satisfied_rounded": return Icons.sentiment_satisfied_rounded;
      case "sentiment_satisfied_outlined": return Icons.sentiment_satisfied_outlined;
      case "sentiment_satisfied_alt": return Icons.sentiment_satisfied_alt;
      case "sentiment_satisfied_alt_sharp": return Icons.sentiment_satisfied_alt_sharp;
      case "sentiment_satisfied_alt_rounded": return Icons.sentiment_satisfied_alt_rounded;
      case "sentiment_satisfied_alt_outlined": return Icons.sentiment_satisfied_alt_outlined;
      case "sentiment_very_dissatisfied": return Icons.sentiment_very_dissatisfied;
      case "sentiment_very_dissatisfied_sharp": return Icons.sentiment_very_dissatisfied_sharp;
      case "sentiment_very_dissatisfied_rounded": return Icons.sentiment_very_dissatisfied_rounded;
      case "sentiment_very_dissatisfied_outlined": return Icons.sentiment_very_dissatisfied_outlined;
      case "sentiment_very_satisfied": return Icons.sentiment_very_satisfied;
      case "sentiment_very_satisfied_sharp": return Icons.sentiment_very_satisfied_sharp;
      case "sentiment_very_satisfied_rounded": return Icons.sentiment_very_satisfied_rounded;
      case "sentiment_very_satisfied_outlined": return Icons.sentiment_very_satisfied_outlined;
      case "set_meal": return Icons.set_meal;
      case "set_meal_sharp": return Icons.set_meal_sharp;
      case "set_meal_rounded": return Icons.set_meal_rounded;
      case "set_meal_outlined": return Icons.set_meal_outlined;
      case "settings": return Icons.settings;
      case "settings_sharp": return Icons.settings_sharp;
      case "settings_rounded": return Icons.settings_rounded;
      case "settings_outlined": return Icons.settings_outlined;
      case "settings_accessibility": return Icons.settings_accessibility;
      case "settings_accessibility_sharp": return Icons.settings_accessibility_sharp;
      case "settings_accessibility_rounded": return Icons.settings_accessibility_rounded;
      case "settings_accessibility_outlined": return Icons.settings_accessibility_outlined;
      case "settings_applications": return Icons.settings_applications;
      case "settings_applications_sharp": return Icons.settings_applications_sharp;
      case "settings_applications_rounded": return Icons.settings_applications_rounded;
      case "settings_applications_outlined": return Icons.settings_applications_outlined;
      case "settings_backup_restore": return Icons.settings_backup_restore;
      case "settings_backup_restore_sharp": return Icons.settings_backup_restore_sharp;
      case "settings_backup_restore_rounded": return Icons.settings_backup_restore_rounded;
      case "settings_backup_restore_outlined": return Icons.settings_backup_restore_outlined;
      case "settings_bluetooth": return Icons.settings_bluetooth;
      case "settings_bluetooth_sharp": return Icons.settings_bluetooth_sharp;
      case "settings_bluetooth_rounded": return Icons.settings_bluetooth_rounded;
      case "settings_bluetooth_outlined": return Icons.settings_bluetooth_outlined;
      case "settings_brightness": return Icons.settings_brightness;
      case "settings_brightness_sharp": return Icons.settings_brightness_sharp;
      case "settings_brightness_rounded": return Icons.settings_brightness_rounded;
      case "settings_brightness_outlined": return Icons.settings_brightness_outlined;
      case "settings_cell": return Icons.settings_cell;
      case "settings_cell_sharp": return Icons.settings_cell_sharp;
      case "settings_cell_rounded": return Icons.settings_cell_rounded;
      case "settings_cell_outlined": return Icons.settings_cell_outlined;
      case "settings_display": return Icons.settings_display;
      case "settings_display_sharp": return Icons.settings_display_sharp;
      case "settings_display_rounded": return Icons.settings_display_rounded;
      case "settings_display_outlined": return Icons.settings_display_outlined;
      case "settings_ethernet": return Icons.settings_ethernet;
      case "settings_ethernet_sharp": return Icons.settings_ethernet_sharp;
      case "settings_ethernet_rounded": return Icons.settings_ethernet_rounded;
      case "settings_ethernet_outlined": return Icons.settings_ethernet_outlined;
      case "settings_input_antenna": return Icons.settings_input_antenna;
      case "settings_input_antenna_sharp": return Icons.settings_input_antenna_sharp;
      case "settings_input_antenna_rounded": return Icons.settings_input_antenna_rounded;
      case "settings_input_antenna_outlined": return Icons.settings_input_antenna_outlined;
      case "settings_input_component": return Icons.settings_input_component;
      case "settings_input_component_sharp": return Icons.settings_input_component_sharp;
      case "settings_input_component_rounded": return Icons.settings_input_component_rounded;
      case "settings_input_component_outlined": return Icons.settings_input_component_outlined;
      case "settings_input_composite": return Icons.settings_input_composite;
      case "settings_input_composite_sharp": return Icons.settings_input_composite_sharp;
      case "settings_input_composite_rounded": return Icons.settings_input_composite_rounded;
      case "settings_input_composite_outlined": return Icons.settings_input_composite_outlined;
      case "settings_input_hdmi": return Icons.settings_input_hdmi;
      case "settings_input_hdmi_sharp": return Icons.settings_input_hdmi_sharp;
      case "settings_input_hdmi_rounded": return Icons.settings_input_hdmi_rounded;
      case "settings_input_hdmi_outlined": return Icons.settings_input_hdmi_outlined;
      case "settings_input_svideo": return Icons.settings_input_svideo;
      case "settings_input_svideo_sharp": return Icons.settings_input_svideo_sharp;
      case "settings_input_svideo_rounded": return Icons.settings_input_svideo_rounded;
      case "settings_input_svideo_outlined": return Icons.settings_input_svideo_outlined;
      case "settings_overscan": return Icons.settings_overscan;
      case "settings_overscan_sharp": return Icons.settings_overscan_sharp;
      case "settings_overscan_rounded": return Icons.settings_overscan_rounded;
      case "settings_overscan_outlined": return Icons.settings_overscan_outlined;
      case "settings_phone": return Icons.settings_phone;
      case "settings_phone_sharp": return Icons.settings_phone_sharp;
      case "settings_phone_rounded": return Icons.settings_phone_rounded;
      case "settings_phone_outlined": return Icons.settings_phone_outlined;
      case "settings_power": return Icons.settings_power;
      case "settings_power_sharp": return Icons.settings_power_sharp;
      case "settings_power_rounded": return Icons.settings_power_rounded;
      case "settings_power_outlined": return Icons.settings_power_outlined;
      case "settings_remote": return Icons.settings_remote;
      case "settings_remote_sharp": return Icons.settings_remote_sharp;
      case "settings_remote_rounded": return Icons.settings_remote_rounded;
      case "settings_remote_outlined": return Icons.settings_remote_outlined;
      case "settings_suggest": return Icons.settings_suggest;
      case "settings_suggest_sharp": return Icons.settings_suggest_sharp;
      case "settings_suggest_rounded": return Icons.settings_suggest_rounded;
      case "settings_suggest_outlined": return Icons.settings_suggest_outlined;
      case "settings_system_daydream": return Icons.settings_system_daydream;
      case "settings_system_daydream_sharp": return Icons.settings_system_daydream_sharp;
      case "settings_system_daydream_rounded": return Icons.settings_system_daydream_rounded;
      case "settings_system_daydream_outlined": return Icons.settings_system_daydream_outlined;
      case "settings_voice": return Icons.settings_voice;
      case "settings_voice_sharp": return Icons.settings_voice_sharp;
      case "settings_voice_rounded": return Icons.settings_voice_rounded;
      case "settings_voice_outlined": return Icons.settings_voice_outlined;
      case "share": return Icons.share;
      case "share_sharp": return Icons.share_sharp;
      case "share_rounded": return Icons.share_rounded;
      case "share_outlined": return Icons.share_outlined;
      case "share_arrival_time": return Icons.share_arrival_time;
      case "share_arrival_time_sharp": return Icons.share_arrival_time_sharp;
      case "share_arrival_time_rounded": return Icons.share_arrival_time_rounded;
      case "share_arrival_time_outlined": return Icons.share_arrival_time_outlined;
      case "share_location": return Icons.share_location;
      case "share_location_sharp": return Icons.share_location_sharp;
      case "share_location_rounded": return Icons.share_location_rounded;
      case "share_location_outlined": return Icons.share_location_outlined;
      case "shield": return Icons.shield;
      case "shield_sharp": return Icons.shield_sharp;
      case "shield_rounded": return Icons.shield_rounded;
      case "shield_outlined": return Icons.shield_outlined;
      case "shield_moon": return Icons.shield_moon;
      case "shield_moon_sharp": return Icons.shield_moon_sharp;
      case "shield_moon_rounded": return Icons.shield_moon_rounded;
      case "shield_moon_outlined": return Icons.shield_moon_outlined;
      case "shop": return Icons.shop;
      case "shop_sharp": return Icons.shop_sharp;
      case "shop_rounded": return Icons.shop_rounded;
      case "shop_outlined": return Icons.shop_outlined;
      case "shop_2": return Icons.shop_2;
      case "shop_2_sharp": return Icons.shop_2_sharp;
      case "shop_2_rounded": return Icons.shop_2_rounded;
      case "shop_2_outlined": return Icons.shop_2_outlined;
      case "shop_two": return Icons.shop_two;
      case "shop_two_sharp": return Icons.shop_two_sharp;
      case "shop_two_rounded": return Icons.shop_two_rounded;
      case "shop_two_outlined": return Icons.shop_two_outlined;
      case "shopify": return Icons.shopify;
      case "shopify_sharp": return Icons.shopify_sharp;
      case "shopify_rounded": return Icons.shopify_rounded;
      case "shopify_outlined": return Icons.shopify_outlined;
      case "shopping_bag": return Icons.shopping_bag;
      case "shopping_bag_sharp": return Icons.shopping_bag_sharp;
      case "shopping_bag_rounded": return Icons.shopping_bag_rounded;
      case "shopping_bag_outlined": return Icons.shopping_bag_outlined;
      case "shopping_basket": return Icons.shopping_basket;
      case "shopping_basket_sharp": return Icons.shopping_basket_sharp;
      case "shopping_basket_rounded": return Icons.shopping_basket_rounded;
      case "shopping_basket_outlined": return Icons.shopping_basket_outlined;
      case "shopping_cart": return Icons.shopping_cart;
      case "shopping_cart_sharp": return Icons.shopping_cart_sharp;
      case "shopping_cart_rounded": return Icons.shopping_cart_rounded;
      case "shopping_cart_outlined": return Icons.shopping_cart_outlined;
      case "shopping_cart_checkout": return Icons.shopping_cart_checkout;
      case "shopping_cart_checkout_sharp": return Icons.shopping_cart_checkout_sharp;
      case "shopping_cart_checkout_rounded": return Icons.shopping_cart_checkout_rounded;
      case "shopping_cart_checkout_outlined": return Icons.shopping_cart_checkout_outlined;
      case "short_text": return Icons.short_text;
      case "short_text_sharp": return Icons.short_text_sharp;
      case "short_text_rounded": return Icons.short_text_rounded;
      case "short_text_outlined": return Icons.short_text_outlined;
      case "shortcut": return Icons.shortcut;
      case "shortcut_sharp": return Icons.shortcut_sharp;
      case "shortcut_rounded": return Icons.shortcut_rounded;
      case "shortcut_outlined": return Icons.shortcut_outlined;
      case "show_chart": return Icons.show_chart;
      case "show_chart_sharp": return Icons.show_chart_sharp;
      case "show_chart_rounded": return Icons.show_chart_rounded;
      case "show_chart_outlined": return Icons.show_chart_outlined;
      case "shower": return Icons.shower;
      case "shower_sharp": return Icons.shower_sharp;
      case "shower_rounded": return Icons.shower_rounded;
      case "shower_outlined": return Icons.shower_outlined;
      case "shuffle": return Icons.shuffle;
      case "shuffle_sharp": return Icons.shuffle_sharp;
      case "shuffle_rounded": return Icons.shuffle_rounded;
      case "shuffle_outlined": return Icons.shuffle_outlined;
      case "shuffle_on": return Icons.shuffle_on;
      case "shuffle_on_sharp": return Icons.shuffle_on_sharp;
      case "shuffle_on_rounded": return Icons.shuffle_on_rounded;
      case "shuffle_on_outlined": return Icons.shuffle_on_outlined;
      case "shutter_speed": return Icons.shutter_speed;
      case "shutter_speed_sharp": return Icons.shutter_speed_sharp;
      case "shutter_speed_rounded": return Icons.shutter_speed_rounded;
      case "shutter_speed_outlined": return Icons.shutter_speed_outlined;
      case "sick": return Icons.sick;
      case "sick_sharp": return Icons.sick_sharp;
      case "sick_rounded": return Icons.sick_rounded;
      case "sick_outlined": return Icons.sick_outlined;
      case "signal_cellular_0_bar": return Icons.signal_cellular_0_bar;
      case "signal_cellular_0_bar_sharp": return Icons.signal_cellular_0_bar_sharp;
      case "signal_cellular_0_bar_rounded": return Icons.signal_cellular_0_bar_rounded;
      case "signal_cellular_0_bar_outlined": return Icons.signal_cellular_0_bar_outlined;
      case "signal_cellular_4_bar": return Icons.signal_cellular_4_bar;
      case "signal_cellular_4_bar_sharp": return Icons.signal_cellular_4_bar_sharp;
      case "signal_cellular_4_bar_rounded": return Icons.signal_cellular_4_bar_rounded;
      case "signal_cellular_4_bar_outlined": return Icons.signal_cellular_4_bar_outlined;
      case "signal_cellular_alt": return Icons.signal_cellular_alt;
      case "signal_cellular_alt_sharp": return Icons.signal_cellular_alt_sharp;
      case "signal_cellular_alt_rounded": return Icons.signal_cellular_alt_rounded;
      case "signal_cellular_alt_outlined": return Icons.signal_cellular_alt_outlined;
      case "signal_cellular_connected_no_internet_0_bar": return Icons.signal_cellular_connected_no_internet_0_bar;
      case "signal_cellular_connected_no_internet_0_bar_sharp": return Icons.signal_cellular_connected_no_internet_0_bar_sharp;
      case "signal_cellular_connected_no_internet_0_bar_rounded": return Icons.signal_cellular_connected_no_internet_0_bar_rounded;
      case "signal_cellular_connected_no_internet_0_bar_outlined": return Icons.signal_cellular_connected_no_internet_0_bar_outlined;
      case "signal_cellular_connected_no_internet_4_bar": return Icons.signal_cellular_connected_no_internet_4_bar;
      case "signal_cellular_connected_no_internet_4_bar_sharp": return Icons.signal_cellular_connected_no_internet_4_bar_sharp;
      case "signal_cellular_connected_no_internet_4_bar_rounded": return Icons.signal_cellular_connected_no_internet_4_bar_rounded;
      case "signal_cellular_connected_no_internet_4_bar_outlined": return Icons.signal_cellular_connected_no_internet_4_bar_outlined;
      case "signal_cellular_no_sim": return Icons.signal_cellular_no_sim;
      case "signal_cellular_no_sim_sharp": return Icons.signal_cellular_no_sim_sharp;
      case "signal_cellular_no_sim_rounded": return Icons.signal_cellular_no_sim_rounded;
      case "signal_cellular_no_sim_outlined": return Icons.signal_cellular_no_sim_outlined;
      case "signal_cellular_nodata": return Icons.signal_cellular_nodata;
      case "signal_cellular_nodata_sharp": return Icons.signal_cellular_nodata_sharp;
      case "signal_cellular_nodata_rounded": return Icons.signal_cellular_nodata_rounded;
      case "signal_cellular_nodata_outlined": return Icons.signal_cellular_nodata_outlined;
      case "signal_cellular_null": return Icons.signal_cellular_null;
      case "signal_cellular_null_sharp": return Icons.signal_cellular_null_sharp;
      case "signal_cellular_null_rounded": return Icons.signal_cellular_null_rounded;
      case "signal_cellular_null_outlined": return Icons.signal_cellular_null_outlined;
      case "signal_cellular_off": return Icons.signal_cellular_off;
      case "signal_cellular_off_sharp": return Icons.signal_cellular_off_sharp;
      case "signal_cellular_off_rounded": return Icons.signal_cellular_off_rounded;
      case "signal_cellular_off_outlined": return Icons.signal_cellular_off_outlined;
      case "signal_wifi_0_bar": return Icons.signal_wifi_0_bar;
      case "signal_wifi_0_bar_sharp": return Icons.signal_wifi_0_bar_sharp;
      case "signal_wifi_0_bar_rounded": return Icons.signal_wifi_0_bar_rounded;
      case "signal_wifi_0_bar_outlined": return Icons.signal_wifi_0_bar_outlined;
      case "signal_wifi_4_bar": return Icons.signal_wifi_4_bar;
      case "signal_wifi_4_bar_sharp": return Icons.signal_wifi_4_bar_sharp;
      case "signal_wifi_4_bar_rounded": return Icons.signal_wifi_4_bar_rounded;
      case "signal_wifi_4_bar_outlined": return Icons.signal_wifi_4_bar_outlined;
      case "signal_wifi_4_bar_lock": return Icons.signal_wifi_4_bar_lock;
      case "signal_wifi_4_bar_lock_sharp": return Icons.signal_wifi_4_bar_lock_sharp;
      case "signal_wifi_4_bar_lock_rounded": return Icons.signal_wifi_4_bar_lock_rounded;
      case "signal_wifi_4_bar_lock_outlined": return Icons.signal_wifi_4_bar_lock_outlined;
      case "signal_wifi_bad": return Icons.signal_wifi_bad;
      case "signal_wifi_bad_sharp": return Icons.signal_wifi_bad_sharp;
      case "signal_wifi_bad_rounded": return Icons.signal_wifi_bad_rounded;
      case "signal_wifi_bad_outlined": return Icons.signal_wifi_bad_outlined;
      case "signal_wifi_connected_no_internet_4": return Icons.signal_wifi_connected_no_internet_4;
      case "signal_wifi_connected_no_internet_4_sharp": return Icons.signal_wifi_connected_no_internet_4_sharp;
      case "signal_wifi_connected_no_internet_4_rounded": return Icons.signal_wifi_connected_no_internet_4_rounded;
      case "signal_wifi_connected_no_internet_4_outlined": return Icons.signal_wifi_connected_no_internet_4_outlined;
      case "signal_wifi_off": return Icons.signal_wifi_off;
      case "signal_wifi_off_sharp": return Icons.signal_wifi_off_sharp;
      case "signal_wifi_off_rounded": return Icons.signal_wifi_off_rounded;
      case "signal_wifi_off_outlined": return Icons.signal_wifi_off_outlined;
      case "signal_wifi_statusbar_4_bar": return Icons.signal_wifi_statusbar_4_bar;
      case "signal_wifi_statusbar_4_bar_sharp": return Icons.signal_wifi_statusbar_4_bar_sharp;
      case "signal_wifi_statusbar_4_bar_rounded": return Icons.signal_wifi_statusbar_4_bar_rounded;
      case "signal_wifi_statusbar_4_bar_outlined": return Icons.signal_wifi_statusbar_4_bar_outlined;
      case "signal_wifi_statusbar_connected_no_internet_4": return Icons.signal_wifi_statusbar_connected_no_internet_4;
      case "signal_wifi_statusbar_connected_no_internet_4_sharp": return Icons.signal_wifi_statusbar_connected_no_internet_4_sharp;
      case "signal_wifi_statusbar_connected_no_internet_4_rounded": return Icons.signal_wifi_statusbar_connected_no_internet_4_rounded;
      case "signal_wifi_statusbar_connected_no_internet_4_outlined": return Icons.signal_wifi_statusbar_connected_no_internet_4_outlined;
      case "signal_wifi_statusbar_null": return Icons.signal_wifi_statusbar_null;
      case "signal_wifi_statusbar_null_sharp": return Icons.signal_wifi_statusbar_null_sharp;
      case "signal_wifi_statusbar_null_rounded": return Icons.signal_wifi_statusbar_null_rounded;
      case "signal_wifi_statusbar_null_outlined": return Icons.signal_wifi_statusbar_null_outlined;
      case "signpost": return Icons.signpost;
      case "signpost_sharp": return Icons.signpost_sharp;
      case "signpost_rounded": return Icons.signpost_rounded;
      case "signpost_outlined": return Icons.signpost_outlined;
      case "sim_card": return Icons.sim_card;
      case "sim_card_sharp": return Icons.sim_card_sharp;
      case "sim_card_rounded": return Icons.sim_card_rounded;
      case "sim_card_outlined": return Icons.sim_card_outlined;
      case "sim_card_alert": return Icons.sim_card_alert;
      case "sim_card_alert_sharp": return Icons.sim_card_alert_sharp;
      case "sim_card_alert_rounded": return Icons.sim_card_alert_rounded;
      case "sim_card_alert_outlined": return Icons.sim_card_alert_outlined;
      case "sim_card_download": return Icons.sim_card_download;
      case "sim_card_download_sharp": return Icons.sim_card_download_sharp;
      case "sim_card_download_rounded": return Icons.sim_card_download_rounded;
      case "sim_card_download_outlined": return Icons.sim_card_download_outlined;
      case "single_bed": return Icons.single_bed;
      case "single_bed_sharp": return Icons.single_bed_sharp;
      case "single_bed_rounded": return Icons.single_bed_rounded;
      case "single_bed_outlined": return Icons.single_bed_outlined;
      case "sip": return Icons.sip;
      case "sip_sharp": return Icons.sip_sharp;
      case "sip_rounded": return Icons.sip_rounded;
      case "sip_outlined": return Icons.sip_outlined;
      case "skateboarding": return Icons.skateboarding;
      case "skateboarding_sharp": return Icons.skateboarding_sharp;
      case "skateboarding_rounded": return Icons.skateboarding_rounded;
      case "skateboarding_outlined": return Icons.skateboarding_outlined;
      case "skip_next": return Icons.skip_next;
      case "skip_next_sharp": return Icons.skip_next_sharp;
      case "skip_next_rounded": return Icons.skip_next_rounded;
      case "skip_next_outlined": return Icons.skip_next_outlined;
      case "skip_previous": return Icons.skip_previous;
      case "skip_previous_sharp": return Icons.skip_previous_sharp;
      case "skip_previous_rounded": return Icons.skip_previous_rounded;
      case "skip_previous_outlined": return Icons.skip_previous_outlined;
      case "sledding": return Icons.sledding;
      case "sledding_sharp": return Icons.sledding_sharp;
      case "sledding_rounded": return Icons.sledding_rounded;
      case "sledding_outlined": return Icons.sledding_outlined;
      case "slideshow": return Icons.slideshow;
      case "slideshow_sharp": return Icons.slideshow_sharp;
      case "slideshow_rounded": return Icons.slideshow_rounded;
      case "slideshow_outlined": return Icons.slideshow_outlined;
      case "slow_motion_video": return Icons.slow_motion_video;
      case "slow_motion_video_sharp": return Icons.slow_motion_video_sharp;
      case "slow_motion_video_rounded": return Icons.slow_motion_video_rounded;
      case "slow_motion_video_outlined": return Icons.slow_motion_video_outlined;
      case "smart_button": return Icons.smart_button;
      case "smart_button_sharp": return Icons.smart_button_sharp;
      case "smart_button_rounded": return Icons.smart_button_rounded;
      case "smart_button_outlined": return Icons.smart_button_outlined;
      case "smart_display": return Icons.smart_display;
      case "smart_display_sharp": return Icons.smart_display_sharp;
      case "smart_display_rounded": return Icons.smart_display_rounded;
      case "smart_display_outlined": return Icons.smart_display_outlined;
      case "smart_screen": return Icons.smart_screen;
      case "smart_screen_sharp": return Icons.smart_screen_sharp;
      case "smart_screen_rounded": return Icons.smart_screen_rounded;
      case "smart_screen_outlined": return Icons.smart_screen_outlined;
      case "smart_toy": return Icons.smart_toy;
      case "smart_toy_sharp": return Icons.smart_toy_sharp;
      case "smart_toy_rounded": return Icons.smart_toy_rounded;
      case "smart_toy_outlined": return Icons.smart_toy_outlined;
      case "smartphone": return Icons.smartphone;
      case "smartphone_sharp": return Icons.smartphone_sharp;
      case "smartphone_rounded": return Icons.smartphone_rounded;
      case "smartphone_outlined": return Icons.smartphone_outlined;
      case "smoke_free": return Icons.smoke_free;
      case "smoke_free_sharp": return Icons.smoke_free_sharp;
      case "smoke_free_rounded": return Icons.smoke_free_rounded;
      case "smoke_free_outlined": return Icons.smoke_free_outlined;
      case "smoking_rooms": return Icons.smoking_rooms;
      case "smoking_rooms_sharp": return Icons.smoking_rooms_sharp;
      case "smoking_rooms_rounded": return Icons.smoking_rooms_rounded;
      case "smoking_rooms_outlined": return Icons.smoking_rooms_outlined;
      case "sms": return Icons.sms;
      case "sms_sharp": return Icons.sms_sharp;
      case "sms_rounded": return Icons.sms_rounded;
      case "sms_outlined": return Icons.sms_outlined;
      case "sms_failed": return Icons.sms_failed;
      case "sms_failed_sharp": return Icons.sms_failed_sharp;
      case "sms_failed_rounded": return Icons.sms_failed_rounded;
      case "sms_failed_outlined": return Icons.sms_failed_outlined;
      case "snapchat": return Icons.snapchat;
      case "snapchat_sharp": return Icons.snapchat_sharp;
      case "snapchat_rounded": return Icons.snapchat_rounded;
      case "snapchat_outlined": return Icons.snapchat_outlined;
      case "snippet_folder": return Icons.snippet_folder;
      case "snippet_folder_sharp": return Icons.snippet_folder_sharp;
      case "snippet_folder_rounded": return Icons.snippet_folder_rounded;
      case "snippet_folder_outlined": return Icons.snippet_folder_outlined;
      case "snooze": return Icons.snooze;
      case "snooze_sharp": return Icons.snooze_sharp;
      case "snooze_rounded": return Icons.snooze_rounded;
      case "snooze_outlined": return Icons.snooze_outlined;
      case "snowboarding": return Icons.snowboarding;
      case "snowboarding_sharp": return Icons.snowboarding_sharp;
      case "snowboarding_rounded": return Icons.snowboarding_rounded;
      case "snowboarding_outlined": return Icons.snowboarding_outlined;
      case "snowing": return Icons.snowing;
      case "snowmobile": return Icons.snowmobile;
      case "snowmobile_sharp": return Icons.snowmobile_sharp;
      case "snowmobile_rounded": return Icons.snowmobile_rounded;
      case "snowmobile_outlined": return Icons.snowmobile_outlined;
      case "snowshoeing": return Icons.snowshoeing;
      case "snowshoeing_sharp": return Icons.snowshoeing_sharp;
      case "snowshoeing_rounded": return Icons.snowshoeing_rounded;
      case "snowshoeing_outlined": return Icons.snowshoeing_outlined;
      case "soap": return Icons.soap;
      case "soap_sharp": return Icons.soap_sharp;
      case "soap_rounded": return Icons.soap_rounded;
      case "soap_outlined": return Icons.soap_outlined;
      case "social_distance": return Icons.social_distance;
      case "social_distance_sharp": return Icons.social_distance_sharp;
      case "social_distance_rounded": return Icons.social_distance_rounded;
      case "social_distance_outlined": return Icons.social_distance_outlined;
      case "sort": return Icons.sort;
      case "sort_sharp": return Icons.sort_sharp;
      case "sort_rounded": return Icons.sort_rounded;
      case "sort_outlined": return Icons.sort_outlined;
      case "sort_by_alpha": return Icons.sort_by_alpha;
      case "sort_by_alpha_sharp": return Icons.sort_by_alpha_sharp;
      case "sort_by_alpha_rounded": return Icons.sort_by_alpha_rounded;
      case "sort_by_alpha_outlined": return Icons.sort_by_alpha_outlined;
      case "soup_kitchen": return Icons.soup_kitchen;
      case "soup_kitchen_sharp": return Icons.soup_kitchen_sharp;
      case "soup_kitchen_rounded": return Icons.soup_kitchen_rounded;
      case "soup_kitchen_outlined": return Icons.soup_kitchen_outlined;
      case "source": return Icons.source;
      case "source_sharp": return Icons.source_sharp;
      case "source_rounded": return Icons.source_rounded;
      case "source_outlined": return Icons.source_outlined;
      case "south": return Icons.south;
      case "south_sharp": return Icons.south_sharp;
      case "south_rounded": return Icons.south_rounded;
      case "south_outlined": return Icons.south_outlined;
      case "south_america": return Icons.south_america;
      case "south_america_sharp": return Icons.south_america_sharp;
      case "south_america_rounded": return Icons.south_america_rounded;
      case "south_america_outlined": return Icons.south_america_outlined;
      case "south_east": return Icons.south_east;
      case "south_east_sharp": return Icons.south_east_sharp;
      case "south_east_rounded": return Icons.south_east_rounded;
      case "south_east_outlined": return Icons.south_east_outlined;
      case "south_west": return Icons.south_west;
      case "south_west_sharp": return Icons.south_west_sharp;
      case "south_west_rounded": return Icons.south_west_rounded;
      case "south_west_outlined": return Icons.south_west_outlined;
      case "spa": return Icons.spa;
      case "spa_sharp": return Icons.spa_sharp;
      case "spa_rounded": return Icons.spa_rounded;
      case "spa_outlined": return Icons.spa_outlined;
      case "space_bar": return Icons.space_bar;
      case "space_bar_sharp": return Icons.space_bar_sharp;
      case "space_bar_rounded": return Icons.space_bar_rounded;
      case "space_bar_outlined": return Icons.space_bar_outlined;
      case "space_dashboard": return Icons.space_dashboard;
      case "space_dashboard_sharp": return Icons.space_dashboard_sharp;
      case "space_dashboard_rounded": return Icons.space_dashboard_rounded;
      case "space_dashboard_outlined": return Icons.space_dashboard_outlined;
      case "speaker": return Icons.speaker;
      case "speaker_sharp": return Icons.speaker_sharp;
      case "speaker_rounded": return Icons.speaker_rounded;
      case "speaker_outlined": return Icons.speaker_outlined;
      case "speaker_group": return Icons.speaker_group;
      case "speaker_group_sharp": return Icons.speaker_group_sharp;
      case "speaker_group_rounded": return Icons.speaker_group_rounded;
      case "speaker_group_outlined": return Icons.speaker_group_outlined;
      case "speaker_notes": return Icons.speaker_notes;
      case "speaker_notes_sharp": return Icons.speaker_notes_sharp;
      case "speaker_notes_rounded": return Icons.speaker_notes_rounded;
      case "speaker_notes_outlined": return Icons.speaker_notes_outlined;
      case "speaker_notes_off": return Icons.speaker_notes_off;
      case "speaker_notes_off_sharp": return Icons.speaker_notes_off_sharp;
      case "speaker_notes_off_rounded": return Icons.speaker_notes_off_rounded;
      case "speaker_notes_off_outlined": return Icons.speaker_notes_off_outlined;
      case "speaker_phone": return Icons.speaker_phone;
      case "speaker_phone_sharp": return Icons.speaker_phone_sharp;
      case "speaker_phone_rounded": return Icons.speaker_phone_rounded;
      case "speaker_phone_outlined": return Icons.speaker_phone_outlined;
      case "speed": return Icons.speed;
      case "speed_sharp": return Icons.speed_sharp;
      case "speed_rounded": return Icons.speed_rounded;
      case "speed_outlined": return Icons.speed_outlined;
      case "spellcheck": return Icons.spellcheck;
      case "spellcheck_sharp": return Icons.spellcheck_sharp;
      case "spellcheck_rounded": return Icons.spellcheck_rounded;
      case "spellcheck_outlined": return Icons.spellcheck_outlined;
      case "splitscreen": return Icons.splitscreen;
      case "splitscreen_sharp": return Icons.splitscreen_sharp;
      case "splitscreen_rounded": return Icons.splitscreen_rounded;
      case "splitscreen_outlined": return Icons.splitscreen_outlined;
      case "spoke": return Icons.spoke;
      case "spoke_sharp": return Icons.spoke_sharp;
      case "spoke_rounded": return Icons.spoke_rounded;
      case "spoke_outlined": return Icons.spoke_outlined;
      case "sports": return Icons.sports;
      case "sports_sharp": return Icons.sports_sharp;
      case "sports_rounded": return Icons.sports_rounded;
      case "sports_outlined": return Icons.sports_outlined;
      case "sports_bar": return Icons.sports_bar;
      case "sports_bar_sharp": return Icons.sports_bar_sharp;
      case "sports_bar_rounded": return Icons.sports_bar_rounded;
      case "sports_bar_outlined": return Icons.sports_bar_outlined;
      case "sports_baseball": return Icons.sports_baseball;
      case "sports_baseball_sharp": return Icons.sports_baseball_sharp;
      case "sports_baseball_rounded": return Icons.sports_baseball_rounded;
      case "sports_baseball_outlined": return Icons.sports_baseball_outlined;
      case "sports_basketball": return Icons.sports_basketball;
      case "sports_basketball_sharp": return Icons.sports_basketball_sharp;
      case "sports_basketball_rounded": return Icons.sports_basketball_rounded;
      case "sports_basketball_outlined": return Icons.sports_basketball_outlined;
      case "sports_cricket": return Icons.sports_cricket;
      case "sports_cricket_sharp": return Icons.sports_cricket_sharp;
      case "sports_cricket_rounded": return Icons.sports_cricket_rounded;
      case "sports_cricket_outlined": return Icons.sports_cricket_outlined;
      case "sports_esports": return Icons.sports_esports;
      case "sports_esports_sharp": return Icons.sports_esports_sharp;
      case "sports_esports_rounded": return Icons.sports_esports_rounded;
      case "sports_esports_outlined": return Icons.sports_esports_outlined;
      case "sports_football": return Icons.sports_football;
      case "sports_football_sharp": return Icons.sports_football_sharp;
      case "sports_football_rounded": return Icons.sports_football_rounded;
      case "sports_football_outlined": return Icons.sports_football_outlined;
      case "sports_golf": return Icons.sports_golf;
      case "sports_golf_sharp": return Icons.sports_golf_sharp;
      case "sports_golf_rounded": return Icons.sports_golf_rounded;
      case "sports_golf_outlined": return Icons.sports_golf_outlined;
      case "sports_gymnastics": return Icons.sports_gymnastics;
      case "sports_gymnastics_sharp": return Icons.sports_gymnastics_sharp;
      case "sports_gymnastics_rounded": return Icons.sports_gymnastics_rounded;
      case "sports_gymnastics_outlined": return Icons.sports_gymnastics_outlined;
      case "sports_handball": return Icons.sports_handball;
      case "sports_handball_sharp": return Icons.sports_handball_sharp;
      case "sports_handball_rounded": return Icons.sports_handball_rounded;
      case "sports_handball_outlined": return Icons.sports_handball_outlined;
      case "sports_hockey": return Icons.sports_hockey;
      case "sports_hockey_sharp": return Icons.sports_hockey_sharp;
      case "sports_hockey_rounded": return Icons.sports_hockey_rounded;
      case "sports_hockey_outlined": return Icons.sports_hockey_outlined;
      case "sports_kabaddi": return Icons.sports_kabaddi;
      case "sports_kabaddi_sharp": return Icons.sports_kabaddi_sharp;
      case "sports_kabaddi_rounded": return Icons.sports_kabaddi_rounded;
      case "sports_kabaddi_outlined": return Icons.sports_kabaddi_outlined;
      case "sports_martial_arts": return Icons.sports_martial_arts;
      case "sports_martial_arts_sharp": return Icons.sports_martial_arts_sharp;
      case "sports_martial_arts_rounded": return Icons.sports_martial_arts_rounded;
      case "sports_martial_arts_outlined": return Icons.sports_martial_arts_outlined;
      case "sports_mma": return Icons.sports_mma;
      case "sports_mma_sharp": return Icons.sports_mma_sharp;
      case "sports_mma_rounded": return Icons.sports_mma_rounded;
      case "sports_mma_outlined": return Icons.sports_mma_outlined;
      case "sports_motorsports": return Icons.sports_motorsports;
      case "sports_motorsports_sharp": return Icons.sports_motorsports_sharp;
      case "sports_motorsports_rounded": return Icons.sports_motorsports_rounded;
      case "sports_motorsports_outlined": return Icons.sports_motorsports_outlined;
      case "sports_rugby": return Icons.sports_rugby;
      case "sports_rugby_sharp": return Icons.sports_rugby_sharp;
      case "sports_rugby_rounded": return Icons.sports_rugby_rounded;
      case "sports_rugby_outlined": return Icons.sports_rugby_outlined;
      case "sports_score": return Icons.sports_score;
      case "sports_score_sharp": return Icons.sports_score_sharp;
      case "sports_score_rounded": return Icons.sports_score_rounded;
      case "sports_score_outlined": return Icons.sports_score_outlined;
      case "sports_soccer": return Icons.sports_soccer;
      case "sports_soccer_sharp": return Icons.sports_soccer_sharp;
      case "sports_soccer_rounded": return Icons.sports_soccer_rounded;
      case "sports_soccer_outlined": return Icons.sports_soccer_outlined;
      case "sports_tennis": return Icons.sports_tennis;
      case "sports_tennis_sharp": return Icons.sports_tennis_sharp;
      case "sports_tennis_rounded": return Icons.sports_tennis_rounded;
      case "sports_tennis_outlined": return Icons.sports_tennis_outlined;
      case "sports_volleyball": return Icons.sports_volleyball;
      case "sports_volleyball_sharp": return Icons.sports_volleyball_sharp;
      case "sports_volleyball_rounded": return Icons.sports_volleyball_rounded;
      case "sports_volleyball_outlined": return Icons.sports_volleyball_outlined;
      case "square": return Icons.square;
      case "square_sharp": return Icons.square_sharp;
      case "square_rounded": return Icons.square_rounded;
      case "square_outlined": return Icons.square_outlined;
      case "square_foot": return Icons.square_foot;
      case "square_foot_sharp": return Icons.square_foot_sharp;
      case "square_foot_rounded": return Icons.square_foot_rounded;
      case "square_foot_outlined": return Icons.square_foot_outlined;
      case "ssid_chart": return Icons.ssid_chart;
      case "ssid_chart_sharp": return Icons.ssid_chart_sharp;
      case "ssid_chart_rounded": return Icons.ssid_chart_rounded;
      case "ssid_chart_outlined": return Icons.ssid_chart_outlined;
      case "stacked_bar_chart": return Icons.stacked_bar_chart;
      case "stacked_bar_chart_sharp": return Icons.stacked_bar_chart_sharp;
      case "stacked_bar_chart_rounded": return Icons.stacked_bar_chart_rounded;
      case "stacked_bar_chart_outlined": return Icons.stacked_bar_chart_outlined;
      case "stacked_line_chart": return Icons.stacked_line_chart;
      case "stacked_line_chart_sharp": return Icons.stacked_line_chart_sharp;
      case "stacked_line_chart_rounded": return Icons.stacked_line_chart_rounded;
      case "stacked_line_chart_outlined": return Icons.stacked_line_chart_outlined;
      case "stadium": return Icons.stadium;
      case "stadium_sharp": return Icons.stadium_sharp;
      case "stadium_rounded": return Icons.stadium_rounded;
      case "stadium_outlined": return Icons.stadium_outlined;
      case "stairs": return Icons.stairs;
      case "stairs_sharp": return Icons.stairs_sharp;
      case "stairs_rounded": return Icons.stairs_rounded;
      case "stairs_outlined": return Icons.stairs_outlined;
      case "star": return Icons.star;
      case "star_sharp": return Icons.star_sharp;
      case "star_rounded": return Icons.star_rounded;
      case "star_outlined": return Icons.star_outlined;
      case "star_border": return Icons.star_border;
      case "star_border_sharp": return Icons.star_border_sharp;
      case "star_border_rounded": return Icons.star_border_rounded;
      case "star_border_outlined": return Icons.star_border_outlined;
      case "star_border_purple500": return Icons.star_border_purple500;
      case "star_border_purple500_sharp": return Icons.star_border_purple500_sharp;
      case "star_border_purple500_rounded": return Icons.star_border_purple500_rounded;
      case "star_border_purple500_outlined": return Icons.star_border_purple500_outlined;
      case "star_half": return Icons.star_half;
      case "star_half_sharp": return Icons.star_half_sharp;
      case "star_half_rounded": return Icons.star_half_rounded;
      case "star_half_outlined": return Icons.star_half_outlined;
      case "star_outline": return Icons.star_outline;
      case "star_outline_sharp": return Icons.star_outline_sharp;
      case "star_outline_rounded": return Icons.star_outline_rounded;
      case "star_outline_outlined": return Icons.star_outline_outlined;
      case "star_purple500": return Icons.star_purple500;
      case "star_purple500_sharp": return Icons.star_purple500_sharp;
      case "star_purple500_rounded": return Icons.star_purple500_rounded;
      case "star_purple500_outlined": return Icons.star_purple500_outlined;
      case "star_rate": return Icons.star_rate;
      case "star_rate_sharp": return Icons.star_rate_sharp;
      case "star_rate_rounded": return Icons.star_rate_rounded;
      case "star_rate_outlined": return Icons.star_rate_outlined;
      case "stars": return Icons.stars;
      case "stars_sharp": return Icons.stars_sharp;
      case "stars_rounded": return Icons.stars_rounded;
      case "stars_outlined": return Icons.stars_outlined;
      case "start": return Icons.start;
      case "start_sharp": return Icons.start_sharp;
      case "start_rounded": return Icons.start_rounded;
      case "start_outlined": return Icons.start_outlined;
      case "stay_current_landscape": return Icons.stay_current_landscape;
      case "stay_current_landscape_sharp": return Icons.stay_current_landscape_sharp;
      case "stay_current_landscape_rounded": return Icons.stay_current_landscape_rounded;
      case "stay_current_landscape_outlined": return Icons.stay_current_landscape_outlined;
      case "stay_current_portrait": return Icons.stay_current_portrait;
      case "stay_current_portrait_sharp": return Icons.stay_current_portrait_sharp;
      case "stay_current_portrait_rounded": return Icons.stay_current_portrait_rounded;
      case "stay_current_portrait_outlined": return Icons.stay_current_portrait_outlined;
      case "stay_primary_landscape": return Icons.stay_primary_landscape;
      case "stay_primary_landscape_sharp": return Icons.stay_primary_landscape_sharp;
      case "stay_primary_landscape_rounded": return Icons.stay_primary_landscape_rounded;
      case "stay_primary_landscape_outlined": return Icons.stay_primary_landscape_outlined;
      case "stay_primary_portrait": return Icons.stay_primary_portrait;
      case "stay_primary_portrait_sharp": return Icons.stay_primary_portrait_sharp;
      case "stay_primary_portrait_rounded": return Icons.stay_primary_portrait_rounded;
      case "stay_primary_portrait_outlined": return Icons.stay_primary_portrait_outlined;
      case "sticky_note_2": return Icons.sticky_note_2;
      case "sticky_note_2_sharp": return Icons.sticky_note_2_sharp;
      case "sticky_note_2_rounded": return Icons.sticky_note_2_rounded;
      case "sticky_note_2_outlined": return Icons.sticky_note_2_outlined;
      case "stop": return Icons.stop;
      case "stop_sharp": return Icons.stop_sharp;
      case "stop_rounded": return Icons.stop_rounded;
      case "stop_outlined": return Icons.stop_outlined;
      case "stop_circle": return Icons.stop_circle;
      case "stop_circle_sharp": return Icons.stop_circle_sharp;
      case "stop_circle_rounded": return Icons.stop_circle_rounded;
      case "stop_circle_outlined": return Icons.stop_circle_outlined;
      case "stop_screen_share": return Icons.stop_screen_share;
      case "stop_screen_share_sharp": return Icons.stop_screen_share_sharp;
      case "stop_screen_share_rounded": return Icons.stop_screen_share_rounded;
      case "stop_screen_share_outlined": return Icons.stop_screen_share_outlined;
      case "storage": return Icons.storage;
      case "storage_sharp": return Icons.storage_sharp;
      case "storage_rounded": return Icons.storage_rounded;
      case "storage_outlined": return Icons.storage_outlined;
      case "store": return Icons.store;
      case "store_sharp": return Icons.store_sharp;
      case "store_rounded": return Icons.store_rounded;
      case "store_outlined": return Icons.store_outlined;
      case "store_mall_directory": return Icons.store_mall_directory;
      case "store_mall_directory_sharp": return Icons.store_mall_directory_sharp;
      case "store_mall_directory_rounded": return Icons.store_mall_directory_rounded;
      case "store_mall_directory_outlined": return Icons.store_mall_directory_outlined;
      case "storefront": return Icons.storefront;
      case "storefront_sharp": return Icons.storefront_sharp;
      case "storefront_rounded": return Icons.storefront_rounded;
      case "storefront_outlined": return Icons.storefront_outlined;
      case "storm": return Icons.storm;
      case "storm_sharp": return Icons.storm_sharp;
      case "storm_rounded": return Icons.storm_rounded;
      case "storm_outlined": return Icons.storm_outlined;
      case "straight": return Icons.straight;
      case "straight_sharp": return Icons.straight_sharp;
      case "straight_rounded": return Icons.straight_rounded;
      case "straight_outlined": return Icons.straight_outlined;
      case "straighten": return Icons.straighten;
      case "straighten_sharp": return Icons.straighten_sharp;
      case "straighten_rounded": return Icons.straighten_rounded;
      case "straighten_outlined": return Icons.straighten_outlined;
      case "stream": return Icons.stream;
      case "stream_sharp": return Icons.stream_sharp;
      case "stream_rounded": return Icons.stream_rounded;
      case "stream_outlined": return Icons.stream_outlined;
      case "streetview": return Icons.streetview;
      case "streetview_sharp": return Icons.streetview_sharp;
      case "streetview_rounded": return Icons.streetview_rounded;
      case "streetview_outlined": return Icons.streetview_outlined;
      case "strikethrough_s": return Icons.strikethrough_s;
      case "strikethrough_s_sharp": return Icons.strikethrough_s_sharp;
      case "strikethrough_s_rounded": return Icons.strikethrough_s_rounded;
      case "strikethrough_s_outlined": return Icons.strikethrough_s_outlined;
      case "stroller": return Icons.stroller;
      case "stroller_sharp": return Icons.stroller_sharp;
      case "stroller_rounded": return Icons.stroller_rounded;
      case "stroller_outlined": return Icons.stroller_outlined;
      case "style": return Icons.style;
      case "style_sharp": return Icons.style_sharp;
      case "style_rounded": return Icons.style_rounded;
      case "style_outlined": return Icons.style_outlined;
      case "subdirectory_arrow_left": return Icons.subdirectory_arrow_left;
      case "subdirectory_arrow_left_sharp": return Icons.subdirectory_arrow_left_sharp;
      case "subdirectory_arrow_left_rounded": return Icons.subdirectory_arrow_left_rounded;
      case "subdirectory_arrow_left_outlined": return Icons.subdirectory_arrow_left_outlined;
      case "subdirectory_arrow_right": return Icons.subdirectory_arrow_right;
      case "subdirectory_arrow_right_sharp": return Icons.subdirectory_arrow_right_sharp;
      case "subdirectory_arrow_right_rounded": return Icons.subdirectory_arrow_right_rounded;
      case "subdirectory_arrow_right_outlined": return Icons.subdirectory_arrow_right_outlined;
      case "subject": return Icons.subject;
      case "subject_sharp": return Icons.subject_sharp;
      case "subject_rounded": return Icons.subject_rounded;
      case "subject_outlined": return Icons.subject_outlined;
      case "subscript": return Icons.subscript;
      case "subscript_sharp": return Icons.subscript_sharp;
      case "subscript_rounded": return Icons.subscript_rounded;
      case "subscript_outlined": return Icons.subscript_outlined;
      case "subscriptions": return Icons.subscriptions;
      case "subscriptions_sharp": return Icons.subscriptions_sharp;
      case "subscriptions_rounded": return Icons.subscriptions_rounded;
      case "subscriptions_outlined": return Icons.subscriptions_outlined;
      case "subtitles": return Icons.subtitles;
      case "subtitles_sharp": return Icons.subtitles_sharp;
      case "subtitles_rounded": return Icons.subtitles_rounded;
      case "subtitles_outlined": return Icons.subtitles_outlined;
      case "subtitles_off": return Icons.subtitles_off;
      case "subtitles_off_sharp": return Icons.subtitles_off_sharp;
      case "subtitles_off_rounded": return Icons.subtitles_off_rounded;
      case "subtitles_off_outlined": return Icons.subtitles_off_outlined;
      case "subway": return Icons.subway;
      case "subway_sharp": return Icons.subway_sharp;
      case "subway_rounded": return Icons.subway_rounded;
      case "subway_outlined": return Icons.subway_outlined;
      case "summarize": return Icons.summarize;
      case "summarize_sharp": return Icons.summarize_sharp;
      case "summarize_rounded": return Icons.summarize_rounded;
      case "summarize_outlined": return Icons.summarize_outlined;
      case "sunny": return Icons.sunny;
      case "sunny_snowing": return Icons.sunny_snowing;
      case "superscript": return Icons.superscript;
      case "superscript_sharp": return Icons.superscript_sharp;
      case "superscript_rounded": return Icons.superscript_rounded;
      case "superscript_outlined": return Icons.superscript_outlined;
      case "supervised_user_circle": return Icons.supervised_user_circle;
      case "supervised_user_circle_sharp": return Icons.supervised_user_circle_sharp;
      case "supervised_user_circle_rounded": return Icons.supervised_user_circle_rounded;
      case "supervised_user_circle_outlined": return Icons.supervised_user_circle_outlined;
      case "supervisor_account": return Icons.supervisor_account;
      case "supervisor_account_sharp": return Icons.supervisor_account_sharp;
      case "supervisor_account_rounded": return Icons.supervisor_account_rounded;
      case "supervisor_account_outlined": return Icons.supervisor_account_outlined;
      case "support": return Icons.support;
      case "support_sharp": return Icons.support_sharp;
      case "support_rounded": return Icons.support_rounded;
      case "support_outlined": return Icons.support_outlined;
      case "support_agent": return Icons.support_agent;
      case "support_agent_sharp": return Icons.support_agent_sharp;
      case "support_agent_rounded": return Icons.support_agent_rounded;
      case "support_agent_outlined": return Icons.support_agent_outlined;
      case "surfing": return Icons.surfing;
      case "surfing_sharp": return Icons.surfing_sharp;
      case "surfing_rounded": return Icons.surfing_rounded;
      case "surfing_outlined": return Icons.surfing_outlined;
      case "surround_sound": return Icons.surround_sound;
      case "surround_sound_sharp": return Icons.surround_sound_sharp;
      case "surround_sound_rounded": return Icons.surround_sound_rounded;
      case "surround_sound_outlined": return Icons.surround_sound_outlined;
      case "swap_calls": return Icons.swap_calls;
      case "swap_calls_sharp": return Icons.swap_calls_sharp;
      case "swap_calls_rounded": return Icons.swap_calls_rounded;
      case "swap_calls_outlined": return Icons.swap_calls_outlined;
      case "swap_horiz": return Icons.swap_horiz;
      case "swap_horiz_sharp": return Icons.swap_horiz_sharp;
      case "swap_horiz_rounded": return Icons.swap_horiz_rounded;
      case "swap_horiz_outlined": return Icons.swap_horiz_outlined;
      case "swap_horizontal_circle": return Icons.swap_horizontal_circle;
      case "swap_horizontal_circle_sharp": return Icons.swap_horizontal_circle_sharp;
      case "swap_horizontal_circle_rounded": return Icons.swap_horizontal_circle_rounded;
      case "swap_horizontal_circle_outlined": return Icons.swap_horizontal_circle_outlined;
      case "swap_vert": return Icons.swap_vert;
      case "swap_vert_sharp": return Icons.swap_vert_sharp;
      case "swap_vert_rounded": return Icons.swap_vert_rounded;
      case "swap_vert_outlined": return Icons.swap_vert_outlined;
      case "swap_vert_circle": return Icons.swap_vert_circle;
      case "swap_vert_circle_sharp": return Icons.swap_vert_circle_sharp;
      case "swap_vert_circle_rounded": return Icons.swap_vert_circle_rounded;
      case "swap_vert_circle_outlined": return Icons.swap_vert_circle_outlined;
      case "swap_vertical_circle": return Icons.swap_vertical_circle;
      case "swap_vertical_circle_sharp": return Icons.swap_vertical_circle_sharp;
      case "swap_vertical_circle_rounded": return Icons.swap_vertical_circle_rounded;
      case "swap_vertical_circle_outlined": return Icons.swap_vertical_circle_outlined;
      case "swipe": return Icons.swipe;
      case "swipe_sharp": return Icons.swipe_sharp;
      case "swipe_rounded": return Icons.swipe_rounded;
      case "swipe_outlined": return Icons.swipe_outlined;
      case "swipe_down": return Icons.swipe_down;
      case "swipe_down_sharp": return Icons.swipe_down_sharp;
      case "swipe_down_rounded": return Icons.swipe_down_rounded;
      case "swipe_down_outlined": return Icons.swipe_down_outlined;
      case "swipe_down_alt": return Icons.swipe_down_alt;
      case "swipe_down_alt_sharp": return Icons.swipe_down_alt_sharp;
      case "swipe_down_alt_rounded": return Icons.swipe_down_alt_rounded;
      case "swipe_down_alt_outlined": return Icons.swipe_down_alt_outlined;
      case "swipe_left": return Icons.swipe_left;
      case "swipe_left_sharp": return Icons.swipe_left_sharp;
      case "swipe_left_rounded": return Icons.swipe_left_rounded;
      case "swipe_left_outlined": return Icons.swipe_left_outlined;
      case "swipe_left_alt": return Icons.swipe_left_alt;
      case "swipe_left_alt_sharp": return Icons.swipe_left_alt_sharp;
      case "swipe_left_alt_rounded": return Icons.swipe_left_alt_rounded;
      case "swipe_left_alt_outlined": return Icons.swipe_left_alt_outlined;
      case "swipe_right": return Icons.swipe_right;
      case "swipe_right_sharp": return Icons.swipe_right_sharp;
      case "swipe_right_rounded": return Icons.swipe_right_rounded;
      case "swipe_right_outlined": return Icons.swipe_right_outlined;
      case "swipe_right_alt": return Icons.swipe_right_alt;
      case "swipe_right_alt_sharp": return Icons.swipe_right_alt_sharp;
      case "swipe_right_alt_rounded": return Icons.swipe_right_alt_rounded;
      case "swipe_right_alt_outlined": return Icons.swipe_right_alt_outlined;
      case "swipe_up": return Icons.swipe_up;
      case "swipe_up_sharp": return Icons.swipe_up_sharp;
      case "swipe_up_rounded": return Icons.swipe_up_rounded;
      case "swipe_up_outlined": return Icons.swipe_up_outlined;
      case "swipe_up_alt": return Icons.swipe_up_alt;
      case "swipe_up_alt_sharp": return Icons.swipe_up_alt_sharp;
      case "swipe_up_alt_rounded": return Icons.swipe_up_alt_rounded;
      case "swipe_up_alt_outlined": return Icons.swipe_up_alt_outlined;
      case "swipe_vertical": return Icons.swipe_vertical;
      case "swipe_vertical_sharp": return Icons.swipe_vertical_sharp;
      case "swipe_vertical_rounded": return Icons.swipe_vertical_rounded;
      case "swipe_vertical_outlined": return Icons.swipe_vertical_outlined;
      case "switch_access_shortcut": return Icons.switch_access_shortcut;
      case "switch_access_shortcut_sharp": return Icons.switch_access_shortcut_sharp;
      case "switch_access_shortcut_rounded": return Icons.switch_access_shortcut_rounded;
      case "switch_access_shortcut_outlined": return Icons.switch_access_shortcut_outlined;
      case "switch_access_shortcut_add": return Icons.switch_access_shortcut_add;
      case "switch_access_shortcut_add_sharp": return Icons.switch_access_shortcut_add_sharp;
      case "switch_access_shortcut_add_rounded": return Icons.switch_access_shortcut_add_rounded;
      case "switch_access_shortcut_add_outlined": return Icons.switch_access_shortcut_add_outlined;
      case "switch_account": return Icons.switch_account;
      case "switch_account_sharp": return Icons.switch_account_sharp;
      case "switch_account_rounded": return Icons.switch_account_rounded;
      case "switch_account_outlined": return Icons.switch_account_outlined;
      case "switch_camera": return Icons.switch_camera;
      case "switch_camera_sharp": return Icons.switch_camera_sharp;
      case "switch_camera_rounded": return Icons.switch_camera_rounded;
      case "switch_camera_outlined": return Icons.switch_camera_outlined;
      case "switch_left": return Icons.switch_left;
      case "switch_left_sharp": return Icons.switch_left_sharp;
      case "switch_left_rounded": return Icons.switch_left_rounded;
      case "switch_left_outlined": return Icons.switch_left_outlined;
      case "switch_right": return Icons.switch_right;
      case "switch_right_sharp": return Icons.switch_right_sharp;
      case "switch_right_rounded": return Icons.switch_right_rounded;
      case "switch_right_outlined": return Icons.switch_right_outlined;
      case "switch_video": return Icons.switch_video;
      case "switch_video_sharp": return Icons.switch_video_sharp;
      case "switch_video_rounded": return Icons.switch_video_rounded;
      case "switch_video_outlined": return Icons.switch_video_outlined;
      case "synagogue": return Icons.synagogue;
      case "synagogue_sharp": return Icons.synagogue_sharp;
      case "synagogue_rounded": return Icons.synagogue_rounded;
      case "synagogue_outlined": return Icons.synagogue_outlined;
      case "sync": return Icons.sync;
      case "sync_sharp": return Icons.sync_sharp;
      case "sync_rounded": return Icons.sync_rounded;
      case "sync_outlined": return Icons.sync_outlined;
      case "sync_alt": return Icons.sync_alt;
      case "sync_alt_sharp": return Icons.sync_alt_sharp;
      case "sync_alt_rounded": return Icons.sync_alt_rounded;
      case "sync_alt_outlined": return Icons.sync_alt_outlined;
      case "sync_disabled": return Icons.sync_disabled;
      case "sync_disabled_sharp": return Icons.sync_disabled_sharp;
      case "sync_disabled_rounded": return Icons.sync_disabled_rounded;
      case "sync_disabled_outlined": return Icons.sync_disabled_outlined;
      case "sync_lock": return Icons.sync_lock;
      case "sync_lock_sharp": return Icons.sync_lock_sharp;
      case "sync_lock_rounded": return Icons.sync_lock_rounded;
      case "sync_lock_outlined": return Icons.sync_lock_outlined;
      case "sync_problem": return Icons.sync_problem;
      case "sync_problem_sharp": return Icons.sync_problem_sharp;
      case "sync_problem_rounded": return Icons.sync_problem_rounded;
      case "sync_problem_outlined": return Icons.sync_problem_outlined;
      case "system_security_update": return Icons.system_security_update;
      case "system_security_update_sharp": return Icons.system_security_update_sharp;
      case "system_security_update_rounded": return Icons.system_security_update_rounded;
      case "system_security_update_outlined": return Icons.system_security_update_outlined;
      case "system_security_update_good": return Icons.system_security_update_good;
      case "system_security_update_good_sharp": return Icons.system_security_update_good_sharp;
      case "system_security_update_good_rounded": return Icons.system_security_update_good_rounded;
      case "system_security_update_good_outlined": return Icons.system_security_update_good_outlined;
      case "system_security_update_warning": return Icons.system_security_update_warning;
      case "system_security_update_warning_sharp": return Icons.system_security_update_warning_sharp;
      case "system_security_update_warning_rounded": return Icons.system_security_update_warning_rounded;
      case "system_security_update_warning_outlined": return Icons.system_security_update_warning_outlined;
      case "system_update": return Icons.system_update;
      case "system_update_sharp": return Icons.system_update_sharp;
      case "system_update_rounded": return Icons.system_update_rounded;
      case "system_update_outlined": return Icons.system_update_outlined;
      case "system_update_alt": return Icons.system_update_alt;
      case "system_update_alt_sharp": return Icons.system_update_alt_sharp;
      case "system_update_alt_rounded": return Icons.system_update_alt_rounded;
      case "system_update_alt_outlined": return Icons.system_update_alt_outlined;
      case "system_update_tv": return Icons.system_update_tv;
      case "system_update_tv_sharp": return Icons.system_update_tv_sharp;
      case "system_update_tv_rounded": return Icons.system_update_tv_rounded;
      case "system_update_tv_outlined": return Icons.system_update_tv_outlined;
      case "tab": return Icons.tab;
      case "tab_sharp": return Icons.tab_sharp;
      case "tab_rounded": return Icons.tab_rounded;
      case "tab_outlined": return Icons.tab_outlined;
      case "tab_unselected": return Icons.tab_unselected;
      case "tab_unselected_sharp": return Icons.tab_unselected_sharp;
      case "tab_unselected_rounded": return Icons.tab_unselected_rounded;
      case "tab_unselected_outlined": return Icons.tab_unselected_outlined;
      case "table_bar": return Icons.table_bar;
      case "table_bar_sharp": return Icons.table_bar_sharp;
      case "table_bar_rounded": return Icons.table_bar_rounded;
      case "table_bar_outlined": return Icons.table_bar_outlined;
      case "table_chart": return Icons.table_chart;
      case "table_chart_sharp": return Icons.table_chart_sharp;
      case "table_chart_rounded": return Icons.table_chart_rounded;
      case "table_chart_outlined": return Icons.table_chart_outlined;
      case "table_restaurant": return Icons.table_restaurant;
      case "table_restaurant_sharp": return Icons.table_restaurant_sharp;
      case "table_restaurant_rounded": return Icons.table_restaurant_rounded;
      case "table_restaurant_outlined": return Icons.table_restaurant_outlined;
      case "table_rows": return Icons.table_rows;
      case "table_rows_sharp": return Icons.table_rows_sharp;
      case "table_rows_rounded": return Icons.table_rows_rounded;
      case "table_rows_outlined": return Icons.table_rows_outlined;
      case "table_view": return Icons.table_view;
      case "table_view_sharp": return Icons.table_view_sharp;
      case "table_view_rounded": return Icons.table_view_rounded;
      case "table_view_outlined": return Icons.table_view_outlined;
      case "tablet": return Icons.tablet;
      case "tablet_sharp": return Icons.tablet_sharp;
      case "tablet_rounded": return Icons.tablet_rounded;
      case "tablet_outlined": return Icons.tablet_outlined;
      case "tablet_android": return Icons.tablet_android;
      case "tablet_android_sharp": return Icons.tablet_android_sharp;
      case "tablet_android_rounded": return Icons.tablet_android_rounded;
      case "tablet_android_outlined": return Icons.tablet_android_outlined;
      case "tablet_mac": return Icons.tablet_mac;
      case "tablet_mac_sharp": return Icons.tablet_mac_sharp;
      case "tablet_mac_rounded": return Icons.tablet_mac_rounded;
      case "tablet_mac_outlined": return Icons.tablet_mac_outlined;
      case "tag": return Icons.tag;
      case "tag_sharp": return Icons.tag_sharp;
      case "tag_rounded": return Icons.tag_rounded;
      case "tag_outlined": return Icons.tag_outlined;
      case "tag_faces": return Icons.tag_faces;
      case "tag_faces_sharp": return Icons.tag_faces_sharp;
      case "tag_faces_rounded": return Icons.tag_faces_rounded;
      case "tag_faces_outlined": return Icons.tag_faces_outlined;
      case "takeout_dining": return Icons.takeout_dining;
      case "takeout_dining_sharp": return Icons.takeout_dining_sharp;
      case "takeout_dining_rounded": return Icons.takeout_dining_rounded;
      case "takeout_dining_outlined": return Icons.takeout_dining_outlined;
      case "tap_and_play": return Icons.tap_and_play;
      case "tap_and_play_sharp": return Icons.tap_and_play_sharp;
      case "tap_and_play_rounded": return Icons.tap_and_play_rounded;
      case "tap_and_play_outlined": return Icons.tap_and_play_outlined;
      case "tapas": return Icons.tapas;
      case "tapas_sharp": return Icons.tapas_sharp;
      case "tapas_rounded": return Icons.tapas_rounded;
      case "tapas_outlined": return Icons.tapas_outlined;
      case "task": return Icons.task;
      case "task_sharp": return Icons.task_sharp;
      case "task_rounded": return Icons.task_rounded;
      case "task_outlined": return Icons.task_outlined;
      case "task_alt": return Icons.task_alt;
      case "task_alt_sharp": return Icons.task_alt_sharp;
      case "task_alt_rounded": return Icons.task_alt_rounded;
      case "task_alt_outlined": return Icons.task_alt_outlined;
      case "taxi_alert": return Icons.taxi_alert;
      case "taxi_alert_sharp": return Icons.taxi_alert_sharp;
      case "taxi_alert_rounded": return Icons.taxi_alert_rounded;
      case "taxi_alert_outlined": return Icons.taxi_alert_outlined;
      case "telegram": return Icons.telegram;
      case "telegram_sharp": return Icons.telegram_sharp;
      case "telegram_rounded": return Icons.telegram_rounded;
      case "telegram_outlined": return Icons.telegram_outlined;
      case "temple_buddhist": return Icons.temple_buddhist;
      case "temple_buddhist_sharp": return Icons.temple_buddhist_sharp;
      case "temple_buddhist_rounded": return Icons.temple_buddhist_rounded;
      case "temple_buddhist_outlined": return Icons.temple_buddhist_outlined;
      case "temple_hindu": return Icons.temple_hindu;
      case "temple_hindu_sharp": return Icons.temple_hindu_sharp;
      case "temple_hindu_rounded": return Icons.temple_hindu_rounded;
      case "temple_hindu_outlined": return Icons.temple_hindu_outlined;
      case "terminal": return Icons.terminal;
      case "terminal_sharp": return Icons.terminal_sharp;
      case "terminal_rounded": return Icons.terminal_rounded;
      case "terminal_outlined": return Icons.terminal_outlined;
      case "terrain": return Icons.terrain;
      case "terrain_sharp": return Icons.terrain_sharp;
      case "terrain_rounded": return Icons.terrain_rounded;
      case "terrain_outlined": return Icons.terrain_outlined;
      case "text_decrease": return Icons.text_decrease;
      case "text_decrease_sharp": return Icons.text_decrease_sharp;
      case "text_decrease_rounded": return Icons.text_decrease_rounded;
      case "text_decrease_outlined": return Icons.text_decrease_outlined;
      case "text_fields": return Icons.text_fields;
      case "text_fields_sharp": return Icons.text_fields_sharp;
      case "text_fields_rounded": return Icons.text_fields_rounded;
      case "text_fields_outlined": return Icons.text_fields_outlined;
      case "text_format": return Icons.text_format;
      case "text_format_sharp": return Icons.text_format_sharp;
      case "text_format_rounded": return Icons.text_format_rounded;
      case "text_format_outlined": return Icons.text_format_outlined;
      case "text_increase": return Icons.text_increase;
      case "text_increase_sharp": return Icons.text_increase_sharp;
      case "text_increase_rounded": return Icons.text_increase_rounded;
      case "text_increase_outlined": return Icons.text_increase_outlined;
      case "text_rotate_up": return Icons.text_rotate_up;
      case "text_rotate_up_sharp": return Icons.text_rotate_up_sharp;
      case "text_rotate_up_rounded": return Icons.text_rotate_up_rounded;
      case "text_rotate_up_outlined": return Icons.text_rotate_up_outlined;
      case "text_rotate_vertical": return Icons.text_rotate_vertical;
      case "text_rotate_vertical_sharp": return Icons.text_rotate_vertical_sharp;
      case "text_rotate_vertical_rounded": return Icons.text_rotate_vertical_rounded;
      case "text_rotate_vertical_outlined": return Icons.text_rotate_vertical_outlined;
      case "text_rotation_angledown": return Icons.text_rotation_angledown;
      case "text_rotation_angledown_sharp": return Icons.text_rotation_angledown_sharp;
      case "text_rotation_angledown_rounded": return Icons.text_rotation_angledown_rounded;
      case "text_rotation_angledown_outlined": return Icons.text_rotation_angledown_outlined;
      case "text_rotation_angleup": return Icons.text_rotation_angleup;
      case "text_rotation_angleup_sharp": return Icons.text_rotation_angleup_sharp;
      case "text_rotation_angleup_rounded": return Icons.text_rotation_angleup_rounded;
      case "text_rotation_angleup_outlined": return Icons.text_rotation_angleup_outlined;
      case "text_rotation_down": return Icons.text_rotation_down;
      case "text_rotation_down_sharp": return Icons.text_rotation_down_sharp;
      case "text_rotation_down_rounded": return Icons.text_rotation_down_rounded;
      case "text_rotation_down_outlined": return Icons.text_rotation_down_outlined;
      case "text_rotation_none": return Icons.text_rotation_none;
      case "text_rotation_none_sharp": return Icons.text_rotation_none_sharp;
      case "text_rotation_none_rounded": return Icons.text_rotation_none_rounded;
      case "text_rotation_none_outlined": return Icons.text_rotation_none_outlined;
      case "text_snippet": return Icons.text_snippet;
      case "text_snippet_sharp": return Icons.text_snippet_sharp;
      case "text_snippet_rounded": return Icons.text_snippet_rounded;
      case "text_snippet_outlined": return Icons.text_snippet_outlined;
      case "textsms": return Icons.textsms;
      case "textsms_sharp": return Icons.textsms_sharp;
      case "textsms_rounded": return Icons.textsms_rounded;
      case "textsms_outlined": return Icons.textsms_outlined;
      case "texture": return Icons.texture;
      case "texture_sharp": return Icons.texture_sharp;
      case "texture_rounded": return Icons.texture_rounded;
      case "texture_outlined": return Icons.texture_outlined;
      case "theater_comedy": return Icons.theater_comedy;
      case "theater_comedy_sharp": return Icons.theater_comedy_sharp;
      case "theater_comedy_rounded": return Icons.theater_comedy_rounded;
      case "theater_comedy_outlined": return Icons.theater_comedy_outlined;
      case "theaters": return Icons.theaters;
      case "theaters_sharp": return Icons.theaters_sharp;
      case "theaters_rounded": return Icons.theaters_rounded;
      case "theaters_outlined": return Icons.theaters_outlined;
      case "thermostat": return Icons.thermostat;
      case "thermostat_sharp": return Icons.thermostat_sharp;
      case "thermostat_rounded": return Icons.thermostat_rounded;
      case "thermostat_outlined": return Icons.thermostat_outlined;
      case "thermostat_auto": return Icons.thermostat_auto;
      case "thermostat_auto_sharp": return Icons.thermostat_auto_sharp;
      case "thermostat_auto_rounded": return Icons.thermostat_auto_rounded;
      case "thermostat_auto_outlined": return Icons.thermostat_auto_outlined;
      case "thumb_down": return Icons.thumb_down;
      case "thumb_down_sharp": return Icons.thumb_down_sharp;
      case "thumb_down_rounded": return Icons.thumb_down_rounded;
      case "thumb_down_outlined": return Icons.thumb_down_outlined;
      case "thumb_down_alt": return Icons.thumb_down_alt;
      case "thumb_down_alt_sharp": return Icons.thumb_down_alt_sharp;
      case "thumb_down_alt_rounded": return Icons.thumb_down_alt_rounded;
      case "thumb_down_alt_outlined": return Icons.thumb_down_alt_outlined;
      case "thumb_down_off_alt": return Icons.thumb_down_off_alt;
      case "thumb_down_off_alt_sharp": return Icons.thumb_down_off_alt_sharp;
      case "thumb_down_off_alt_rounded": return Icons.thumb_down_off_alt_rounded;
      case "thumb_down_off_alt_outlined": return Icons.thumb_down_off_alt_outlined;
      case "thumb_up": return Icons.thumb_up;
      case "thumb_up_sharp": return Icons.thumb_up_sharp;
      case "thumb_up_rounded": return Icons.thumb_up_rounded;
      case "thumb_up_outlined": return Icons.thumb_up_outlined;
      case "thumb_up_alt": return Icons.thumb_up_alt;
      case "thumb_up_alt_sharp": return Icons.thumb_up_alt_sharp;
      case "thumb_up_alt_rounded": return Icons.thumb_up_alt_rounded;
      case "thumb_up_alt_outlined": return Icons.thumb_up_alt_outlined;
      case "thumb_up_off_alt": return Icons.thumb_up_off_alt;
      case "thumb_up_off_alt_sharp": return Icons.thumb_up_off_alt_sharp;
      case "thumb_up_off_alt_rounded": return Icons.thumb_up_off_alt_rounded;
      case "thumb_up_off_alt_outlined": return Icons.thumb_up_off_alt_outlined;
      case "thumbs_up_down": return Icons.thumbs_up_down;
      case "thumbs_up_down_sharp": return Icons.thumbs_up_down_sharp;
      case "thumbs_up_down_rounded": return Icons.thumbs_up_down_rounded;
      case "thumbs_up_down_outlined": return Icons.thumbs_up_down_outlined;
      case "tiktok": return Icons.tiktok;
      case "tiktok_sharp": return Icons.tiktok_sharp;
      case "tiktok_rounded": return Icons.tiktok_rounded;
      case "tiktok_outlined": return Icons.tiktok_outlined;
      case "time_to_leave": return Icons.time_to_leave;
      case "time_to_leave_sharp": return Icons.time_to_leave_sharp;
      case "time_to_leave_rounded": return Icons.time_to_leave_rounded;
      case "time_to_leave_outlined": return Icons.time_to_leave_outlined;
      case "timelapse": return Icons.timelapse;
      case "timelapse_sharp": return Icons.timelapse_sharp;
      case "timelapse_rounded": return Icons.timelapse_rounded;
      case "timelapse_outlined": return Icons.timelapse_outlined;
      case "timeline": return Icons.timeline;
      case "timeline_sharp": return Icons.timeline_sharp;
      case "timeline_rounded": return Icons.timeline_rounded;
      case "timeline_outlined": return Icons.timeline_outlined;
      case "timer": return Icons.timer;
      case "timer_sharp": return Icons.timer_sharp;
      case "timer_rounded": return Icons.timer_rounded;
      case "timer_outlined": return Icons.timer_outlined;
      case "timer_10": return Icons.timer_10;
      case "timer_10_sharp": return Icons.timer_10_sharp;
      case "timer_10_rounded": return Icons.timer_10_rounded;
      case "timer_10_outlined": return Icons.timer_10_outlined;
      case "timer_10_select": return Icons.timer_10_select;
      case "timer_10_select_sharp": return Icons.timer_10_select_sharp;
      case "timer_10_select_rounded": return Icons.timer_10_select_rounded;
      case "timer_10_select_outlined": return Icons.timer_10_select_outlined;
      case "timer_3": return Icons.timer_3;
      case "timer_3_sharp": return Icons.timer_3_sharp;
      case "timer_3_rounded": return Icons.timer_3_rounded;
      case "timer_3_outlined": return Icons.timer_3_outlined;
      case "timer_3_select": return Icons.timer_3_select;
      case "timer_3_select_sharp": return Icons.timer_3_select_sharp;
      case "timer_3_select_rounded": return Icons.timer_3_select_rounded;
      case "timer_3_select_outlined": return Icons.timer_3_select_outlined;
      case "timer_off": return Icons.timer_off;
      case "timer_off_sharp": return Icons.timer_off_sharp;
      case "timer_off_rounded": return Icons.timer_off_rounded;
      case "timer_off_outlined": return Icons.timer_off_outlined;
      case "tips_and_updates": return Icons.tips_and_updates;
      case "tips_and_updates_sharp": return Icons.tips_and_updates_sharp;
      case "tips_and_updates_rounded": return Icons.tips_and_updates_rounded;
      case "tips_and_updates_outlined": return Icons.tips_and_updates_outlined;
      case "tire_repair": return Icons.tire_repair;
      case "tire_repair_sharp": return Icons.tire_repair_sharp;
      case "tire_repair_rounded": return Icons.tire_repair_rounded;
      case "tire_repair_outlined": return Icons.tire_repair_outlined;
      case "title": return Icons.title;
      case "title_sharp": return Icons.title_sharp;
      case "title_rounded": return Icons.title_rounded;
      case "title_outlined": return Icons.title_outlined;
      case "toc": return Icons.toc;
      case "toc_sharp": return Icons.toc_sharp;
      case "toc_rounded": return Icons.toc_rounded;
      case "toc_outlined": return Icons.toc_outlined;
      case "today": return Icons.today;
      case "today_sharp": return Icons.today_sharp;
      case "today_rounded": return Icons.today_rounded;
      case "today_outlined": return Icons.today_outlined;
      case "toggle_off": return Icons.toggle_off;
      case "toggle_off_sharp": return Icons.toggle_off_sharp;
      case "toggle_off_rounded": return Icons.toggle_off_rounded;
      case "toggle_off_outlined": return Icons.toggle_off_outlined;
      case "toggle_on": return Icons.toggle_on;
      case "toggle_on_sharp": return Icons.toggle_on_sharp;
      case "toggle_on_rounded": return Icons.toggle_on_rounded;
      case "toggle_on_outlined": return Icons.toggle_on_outlined;
      case "token": return Icons.token;
      case "token_sharp": return Icons.token_sharp;
      case "token_rounded": return Icons.token_rounded;
      case "token_outlined": return Icons.token_outlined;
      case "toll": return Icons.toll;
      case "toll_sharp": return Icons.toll_sharp;
      case "toll_rounded": return Icons.toll_rounded;
      case "toll_outlined": return Icons.toll_outlined;
      case "tonality": return Icons.tonality;
      case "tonality_sharp": return Icons.tonality_sharp;
      case "tonality_rounded": return Icons.tonality_rounded;
      case "tonality_outlined": return Icons.tonality_outlined;
      case "topic": return Icons.topic;
      case "topic_sharp": return Icons.topic_sharp;
      case "topic_rounded": return Icons.topic_rounded;
      case "topic_outlined": return Icons.topic_outlined;
      case "touch_app": return Icons.touch_app;
      case "touch_app_sharp": return Icons.touch_app_sharp;
      case "touch_app_rounded": return Icons.touch_app_rounded;
      case "touch_app_outlined": return Icons.touch_app_outlined;
      case "tour": return Icons.tour;
      case "tour_sharp": return Icons.tour_sharp;
      case "tour_rounded": return Icons.tour_rounded;
      case "tour_outlined": return Icons.tour_outlined;
      case "toys": return Icons.toys;
      case "toys_sharp": return Icons.toys_sharp;
      case "toys_rounded": return Icons.toys_rounded;
      case "toys_outlined": return Icons.toys_outlined;
      case "track_changes": return Icons.track_changes;
      case "track_changes_sharp": return Icons.track_changes_sharp;
      case "track_changes_rounded": return Icons.track_changes_rounded;
      case "track_changes_outlined": return Icons.track_changes_outlined;
      case "traffic": return Icons.traffic;
      case "traffic_sharp": return Icons.traffic_sharp;
      case "traffic_rounded": return Icons.traffic_rounded;
      case "traffic_outlined": return Icons.traffic_outlined;
      case "train": return Icons.train;
      case "train_sharp": return Icons.train_sharp;
      case "train_rounded": return Icons.train_rounded;
      case "train_outlined": return Icons.train_outlined;
      case "tram": return Icons.tram;
      case "tram_sharp": return Icons.tram_sharp;
      case "tram_rounded": return Icons.tram_rounded;
      case "tram_outlined": return Icons.tram_outlined;
      case "transfer_within_a_station": return Icons.transfer_within_a_station;
      case "transfer_within_a_station_sharp": return Icons.transfer_within_a_station_sharp;
      case "transfer_within_a_station_rounded": return Icons.transfer_within_a_station_rounded;
      case "transfer_within_a_station_outlined": return Icons.transfer_within_a_station_outlined;
      case "transform": return Icons.transform;
      case "transform_sharp": return Icons.transform_sharp;
      case "transform_rounded": return Icons.transform_rounded;
      case "transform_outlined": return Icons.transform_outlined;
      case "transgender": return Icons.transgender;
      case "transgender_sharp": return Icons.transgender_sharp;
      case "transgender_rounded": return Icons.transgender_rounded;
      case "transgender_outlined": return Icons.transgender_outlined;
      case "transit_enterexit": return Icons.transit_enterexit;
      case "transit_enterexit_sharp": return Icons.transit_enterexit_sharp;
      case "transit_enterexit_rounded": return Icons.transit_enterexit_rounded;
      case "transit_enterexit_outlined": return Icons.transit_enterexit_outlined;
      case "translate": return Icons.translate;
      case "translate_sharp": return Icons.translate_sharp;
      case "translate_rounded": return Icons.translate_rounded;
      case "translate_outlined": return Icons.translate_outlined;
      case "travel_explore": return Icons.travel_explore;
      case "travel_explore_sharp": return Icons.travel_explore_sharp;
      case "travel_explore_rounded": return Icons.travel_explore_rounded;
      case "travel_explore_outlined": return Icons.travel_explore_outlined;
      case "trending_down": return Icons.trending_down;
      case "trending_down_sharp": return Icons.trending_down_sharp;
      case "trending_down_rounded": return Icons.trending_down_rounded;
      case "trending_down_outlined": return Icons.trending_down_outlined;
      case "trending_flat": return Icons.trending_flat;
      case "trending_flat_sharp": return Icons.trending_flat_sharp;
      case "trending_flat_rounded": return Icons.trending_flat_rounded;
      case "trending_flat_outlined": return Icons.trending_flat_outlined;
      case "trending_neutral": return Icons.trending_neutral;
      case "trending_neutral_sharp": return Icons.trending_neutral_sharp;
      case "trending_neutral_rounded": return Icons.trending_neutral_rounded;
      case "trending_neutral_outlined": return Icons.trending_neutral_outlined;
      case "trending_up": return Icons.trending_up;
      case "trending_up_sharp": return Icons.trending_up_sharp;
      case "trending_up_rounded": return Icons.trending_up_rounded;
      case "trending_up_outlined": return Icons.trending_up_outlined;
      case "trip_origin": return Icons.trip_origin;
      case "trip_origin_sharp": return Icons.trip_origin_sharp;
      case "trip_origin_rounded": return Icons.trip_origin_rounded;
      case "trip_origin_outlined": return Icons.trip_origin_outlined;
      case "try_sms_star": return Icons.try_sms_star;
      case "try_sms_star_sharp": return Icons.try_sms_star_sharp;
      case "try_sms_star_rounded": return Icons.try_sms_star_rounded;
      case "try_sms_star_outlined": return Icons.try_sms_star_outlined;
      case "tty": return Icons.tty;
      case "tty_sharp": return Icons.tty_sharp;
      case "tty_rounded": return Icons.tty_rounded;
      case "tty_outlined": return Icons.tty_outlined;
      case "tune": return Icons.tune;
      case "tune_sharp": return Icons.tune_sharp;
      case "tune_rounded": return Icons.tune_rounded;
      case "tune_outlined": return Icons.tune_outlined;
      case "tungsten": return Icons.tungsten;
      case "tungsten_sharp": return Icons.tungsten_sharp;
      case "tungsten_rounded": return Icons.tungsten_rounded;
      case "tungsten_outlined": return Icons.tungsten_outlined;
      case "turn_left": return Icons.turn_left;
      case "turn_left_sharp": return Icons.turn_left_sharp;
      case "turn_left_rounded": return Icons.turn_left_rounded;
      case "turn_left_outlined": return Icons.turn_left_outlined;
      case "turn_right": return Icons.turn_right;
      case "turn_right_sharp": return Icons.turn_right_sharp;
      case "turn_right_rounded": return Icons.turn_right_rounded;
      case "turn_right_outlined": return Icons.turn_right_outlined;
      case "turn_sharp_left": return Icons.turn_sharp_left;
      case "turn_sharp_left_sharp": return Icons.turn_sharp_left_sharp;
      case "turn_sharp_left_rounded": return Icons.turn_sharp_left_rounded;
      case "turn_sharp_left_outlined": return Icons.turn_sharp_left_outlined;
      case "turn_sharp_right": return Icons.turn_sharp_right;
      case "turn_sharp_right_sharp": return Icons.turn_sharp_right_sharp;
      case "turn_sharp_right_rounded": return Icons.turn_sharp_right_rounded;
      case "turn_sharp_right_outlined": return Icons.turn_sharp_right_outlined;
      case "turn_slight_left": return Icons.turn_slight_left;
      case "turn_slight_left_sharp": return Icons.turn_slight_left_sharp;
      case "turn_slight_left_rounded": return Icons.turn_slight_left_rounded;
      case "turn_slight_left_outlined": return Icons.turn_slight_left_outlined;
      case "turn_slight_right": return Icons.turn_slight_right;
      case "turn_slight_right_sharp": return Icons.turn_slight_right_sharp;
      case "turn_slight_right_rounded": return Icons.turn_slight_right_rounded;
      case "turn_slight_right_outlined": return Icons.turn_slight_right_outlined;
      case "turned_in": return Icons.turned_in;
      case "turned_in_sharp": return Icons.turned_in_sharp;
      case "turned_in_rounded": return Icons.turned_in_rounded;
      case "turned_in_outlined": return Icons.turned_in_outlined;
      case "turned_in_not": return Icons.turned_in_not;
      case "turned_in_not_sharp": return Icons.turned_in_not_sharp;
      case "turned_in_not_rounded": return Icons.turned_in_not_rounded;
      case "turned_in_not_outlined": return Icons.turned_in_not_outlined;
      case "tv": return Icons.tv;
      case "tv_sharp": return Icons.tv_sharp;
      case "tv_rounded": return Icons.tv_rounded;
      case "tv_outlined": return Icons.tv_outlined;
      case "tv_off": return Icons.tv_off;
      case "tv_off_sharp": return Icons.tv_off_sharp;
      case "tv_off_rounded": return Icons.tv_off_rounded;
      case "tv_off_outlined": return Icons.tv_off_outlined;
      case "two_wheeler": return Icons.two_wheeler;
      case "two_wheeler_sharp": return Icons.two_wheeler_sharp;
      case "two_wheeler_rounded": return Icons.two_wheeler_rounded;
      case "two_wheeler_outlined": return Icons.two_wheeler_outlined;
      case "u_turn_left": return Icons.u_turn_left;
      case "u_turn_left_sharp": return Icons.u_turn_left_sharp;
      case "u_turn_left_rounded": return Icons.u_turn_left_rounded;
      case "u_turn_left_outlined": return Icons.u_turn_left_outlined;
      case "u_turn_right": return Icons.u_turn_right;
      case "u_turn_right_sharp": return Icons.u_turn_right_sharp;
      case "u_turn_right_rounded": return Icons.u_turn_right_rounded;
      case "u_turn_right_outlined": return Icons.u_turn_right_outlined;
      case "umbrella": return Icons.umbrella;
      case "umbrella_sharp": return Icons.umbrella_sharp;
      case "umbrella_rounded": return Icons.umbrella_rounded;
      case "umbrella_outlined": return Icons.umbrella_outlined;
      case "unarchive": return Icons.unarchive;
      case "unarchive_sharp": return Icons.unarchive_sharp;
      case "unarchive_rounded": return Icons.unarchive_rounded;
      case "unarchive_outlined": return Icons.unarchive_outlined;
      case "undo": return Icons.undo;
      case "undo_sharp": return Icons.undo_sharp;
      case "undo_rounded": return Icons.undo_rounded;
      case "undo_outlined": return Icons.undo_outlined;
      case "unfold_less": return Icons.unfold_less;
      case "unfold_less_sharp": return Icons.unfold_less_sharp;
      case "unfold_less_rounded": return Icons.unfold_less_rounded;
      case "unfold_less_outlined": return Icons.unfold_less_outlined;
      case "unfold_more": return Icons.unfold_more;
      case "unfold_more_sharp": return Icons.unfold_more_sharp;
      case "unfold_more_rounded": return Icons.unfold_more_rounded;
      case "unfold_more_outlined": return Icons.unfold_more_outlined;
      case "unpublished": return Icons.unpublished;
      case "unpublished_sharp": return Icons.unpublished_sharp;
      case "unpublished_rounded": return Icons.unpublished_rounded;
      case "unpublished_outlined": return Icons.unpublished_outlined;
      case "unsubscribe": return Icons.unsubscribe;
      case "unsubscribe_sharp": return Icons.unsubscribe_sharp;
      case "unsubscribe_rounded": return Icons.unsubscribe_rounded;
      case "unsubscribe_outlined": return Icons.unsubscribe_outlined;
      case "upcoming": return Icons.upcoming;
      case "upcoming_sharp": return Icons.upcoming_sharp;
      case "upcoming_rounded": return Icons.upcoming_rounded;
      case "upcoming_outlined": return Icons.upcoming_outlined;
      case "update": return Icons.update;
      case "update_sharp": return Icons.update_sharp;
      case "update_rounded": return Icons.update_rounded;
      case "update_outlined": return Icons.update_outlined;
      case "update_disabled": return Icons.update_disabled;
      case "update_disabled_sharp": return Icons.update_disabled_sharp;
      case "update_disabled_rounded": return Icons.update_disabled_rounded;
      case "update_disabled_outlined": return Icons.update_disabled_outlined;
      case "upgrade": return Icons.upgrade;
      case "upgrade_sharp": return Icons.upgrade_sharp;
      case "upgrade_rounded": return Icons.upgrade_rounded;
      case "upgrade_outlined": return Icons.upgrade_outlined;
      case "upload": return Icons.upload;
      case "upload_sharp": return Icons.upload_sharp;
      case "upload_rounded": return Icons.upload_rounded;
      case "upload_outlined": return Icons.upload_outlined;
      case "upload_file": return Icons.upload_file;
      case "upload_file_sharp": return Icons.upload_file_sharp;
      case "upload_file_rounded": return Icons.upload_file_rounded;
      case "upload_file_outlined": return Icons.upload_file_outlined;
      case "usb": return Icons.usb;
      case "usb_sharp": return Icons.usb_sharp;
      case "usb_rounded": return Icons.usb_rounded;
      case "usb_outlined": return Icons.usb_outlined;
      case "usb_off": return Icons.usb_off;
      case "usb_off_sharp": return Icons.usb_off_sharp;
      case "usb_off_rounded": return Icons.usb_off_rounded;
      case "usb_off_outlined": return Icons.usb_off_outlined;
      case "vaccines": return Icons.vaccines;
      case "vaccines_sharp": return Icons.vaccines_sharp;
      case "vaccines_rounded": return Icons.vaccines_rounded;
      case "vaccines_outlined": return Icons.vaccines_outlined;
      case "vape_free": return Icons.vape_free;
      case "vape_free_sharp": return Icons.vape_free_sharp;
      case "vape_free_rounded": return Icons.vape_free_rounded;
      case "vape_free_outlined": return Icons.vape_free_outlined;
      case "vaping_rooms": return Icons.vaping_rooms;
      case "vaping_rooms_sharp": return Icons.vaping_rooms_sharp;
      case "vaping_rooms_rounded": return Icons.vaping_rooms_rounded;
      case "vaping_rooms_outlined": return Icons.vaping_rooms_outlined;
      case "verified": return Icons.verified;
      case "verified_sharp": return Icons.verified_sharp;
      case "verified_rounded": return Icons.verified_rounded;
      case "verified_outlined": return Icons.verified_outlined;
      case "verified_user": return Icons.verified_user;
      case "verified_user_sharp": return Icons.verified_user_sharp;
      case "verified_user_rounded": return Icons.verified_user_rounded;
      case "verified_user_outlined": return Icons.verified_user_outlined;
      case "vertical_align_bottom": return Icons.vertical_align_bottom;
      case "vertical_align_bottom_sharp": return Icons.vertical_align_bottom_sharp;
      case "vertical_align_bottom_rounded": return Icons.vertical_align_bottom_rounded;
      case "vertical_align_bottom_outlined": return Icons.vertical_align_bottom_outlined;
      case "vertical_align_center": return Icons.vertical_align_center;
      case "vertical_align_center_sharp": return Icons.vertical_align_center_sharp;
      case "vertical_align_center_rounded": return Icons.vertical_align_center_rounded;
      case "vertical_align_center_outlined": return Icons.vertical_align_center_outlined;
      case "vertical_align_top": return Icons.vertical_align_top;
      case "vertical_align_top_sharp": return Icons.vertical_align_top_sharp;
      case "vertical_align_top_rounded": return Icons.vertical_align_top_rounded;
      case "vertical_align_top_outlined": return Icons.vertical_align_top_outlined;
      case "vertical_distribute": return Icons.vertical_distribute;
      case "vertical_distribute_sharp": return Icons.vertical_distribute_sharp;
      case "vertical_distribute_rounded": return Icons.vertical_distribute_rounded;
      case "vertical_distribute_outlined": return Icons.vertical_distribute_outlined;
      case "vertical_split": return Icons.vertical_split;
      case "vertical_split_sharp": return Icons.vertical_split_sharp;
      case "vertical_split_rounded": return Icons.vertical_split_rounded;
      case "vertical_split_outlined": return Icons.vertical_split_outlined;
      case "vibration": return Icons.vibration;
      case "vibration_sharp": return Icons.vibration_sharp;
      case "vibration_rounded": return Icons.vibration_rounded;
      case "vibration_outlined": return Icons.vibration_outlined;
      case "video_call": return Icons.video_call;
      case "video_call_sharp": return Icons.video_call_sharp;
      case "video_call_rounded": return Icons.video_call_rounded;
      case "video_call_outlined": return Icons.video_call_outlined;
      case "video_camera_back": return Icons.video_camera_back;
      case "video_camera_back_sharp": return Icons.video_camera_back_sharp;
      case "video_camera_back_rounded": return Icons.video_camera_back_rounded;
      case "video_camera_back_outlined": return Icons.video_camera_back_outlined;
      case "video_camera_front": return Icons.video_camera_front;
      case "video_camera_front_sharp": return Icons.video_camera_front_sharp;
      case "video_camera_front_rounded": return Icons.video_camera_front_rounded;
      case "video_camera_front_outlined": return Icons.video_camera_front_outlined;
      case "video_collection": return Icons.video_collection;
      case "video_collection_sharp": return Icons.video_collection_sharp;
      case "video_collection_rounded": return Icons.video_collection_rounded;
      case "video_collection_outlined": return Icons.video_collection_outlined;
      case "video_file": return Icons.video_file;
      case "video_file_sharp": return Icons.video_file_sharp;
      case "video_file_rounded": return Icons.video_file_rounded;
      case "video_file_outlined": return Icons.video_file_outlined;
      case "video_label": return Icons.video_label;
      case "video_label_sharp": return Icons.video_label_sharp;
      case "video_label_rounded": return Icons.video_label_rounded;
      case "video_label_outlined": return Icons.video_label_outlined;
      case "video_library": return Icons.video_library;
      case "video_library_sharp": return Icons.video_library_sharp;
      case "video_library_rounded": return Icons.video_library_rounded;
      case "video_library_outlined": return Icons.video_library_outlined;
      case "video_settings": return Icons.video_settings;
      case "video_settings_sharp": return Icons.video_settings_sharp;
      case "video_settings_rounded": return Icons.video_settings_rounded;
      case "video_settings_outlined": return Icons.video_settings_outlined;
      case "video_stable": return Icons.video_stable;
      case "video_stable_sharp": return Icons.video_stable_sharp;
      case "video_stable_rounded": return Icons.video_stable_rounded;
      case "video_stable_outlined": return Icons.video_stable_outlined;
      case "videocam": return Icons.videocam;
      case "videocam_sharp": return Icons.videocam_sharp;
      case "videocam_rounded": return Icons.videocam_rounded;
      case "videocam_outlined": return Icons.videocam_outlined;
      case "videocam_off": return Icons.videocam_off;
      case "videocam_off_sharp": return Icons.videocam_off_sharp;
      case "videocam_off_rounded": return Icons.videocam_off_rounded;
      case "videocam_off_outlined": return Icons.videocam_off_outlined;
      case "videogame_asset": return Icons.videogame_asset;
      case "videogame_asset_sharp": return Icons.videogame_asset_sharp;
      case "videogame_asset_rounded": return Icons.videogame_asset_rounded;
      case "videogame_asset_outlined": return Icons.videogame_asset_outlined;
      case "videogame_asset_off": return Icons.videogame_asset_off;
      case "videogame_asset_off_sharp": return Icons.videogame_asset_off_sharp;
      case "videogame_asset_off_rounded": return Icons.videogame_asset_off_rounded;
      case "videogame_asset_off_outlined": return Icons.videogame_asset_off_outlined;
      case "view_agenda": return Icons.view_agenda;
      case "view_agenda_sharp": return Icons.view_agenda_sharp;
      case "view_agenda_rounded": return Icons.view_agenda_rounded;
      case "view_agenda_outlined": return Icons.view_agenda_outlined;
      case "view_array": return Icons.view_array;
      case "view_array_sharp": return Icons.view_array_sharp;
      case "view_array_rounded": return Icons.view_array_rounded;
      case "view_array_outlined": return Icons.view_array_outlined;
      case "view_carousel": return Icons.view_carousel;
      case "view_carousel_sharp": return Icons.view_carousel_sharp;
      case "view_carousel_rounded": return Icons.view_carousel_rounded;
      case "view_carousel_outlined": return Icons.view_carousel_outlined;
      case "view_column": return Icons.view_column;
      case "view_column_sharp": return Icons.view_column_sharp;
      case "view_column_rounded": return Icons.view_column_rounded;
      case "view_column_outlined": return Icons.view_column_outlined;
      case "view_comfortable": return Icons.view_comfortable;
      case "view_comfortable_sharp": return Icons.view_comfortable_sharp;
      case "view_comfortable_rounded": return Icons.view_comfortable_rounded;
      case "view_comfortable_outlined": return Icons.view_comfortable_outlined;
      case "view_comfy": return Icons.view_comfy;
      case "view_comfy_sharp": return Icons.view_comfy_sharp;
      case "view_comfy_rounded": return Icons.view_comfy_rounded;
      case "view_comfy_outlined": return Icons.view_comfy_outlined;
      case "view_comfy_alt": return Icons.view_comfy_alt;
      case "view_comfy_alt_sharp": return Icons.view_comfy_alt_sharp;
      case "view_comfy_alt_rounded": return Icons.view_comfy_alt_rounded;
      case "view_comfy_alt_outlined": return Icons.view_comfy_alt_outlined;
      case "view_compact": return Icons.view_compact;
      case "view_compact_sharp": return Icons.view_compact_sharp;
      case "view_compact_rounded": return Icons.view_compact_rounded;
      case "view_compact_outlined": return Icons.view_compact_outlined;
      case "view_compact_alt": return Icons.view_compact_alt;
      case "view_compact_alt_sharp": return Icons.view_compact_alt_sharp;
      case "view_compact_alt_rounded": return Icons.view_compact_alt_rounded;
      case "view_compact_alt_outlined": return Icons.view_compact_alt_outlined;
      case "view_cozy": return Icons.view_cozy;
      case "view_cozy_sharp": return Icons.view_cozy_sharp;
      case "view_cozy_rounded": return Icons.view_cozy_rounded;
      case "view_cozy_outlined": return Icons.view_cozy_outlined;
      case "view_day": return Icons.view_day;
      case "view_day_sharp": return Icons.view_day_sharp;
      case "view_day_rounded": return Icons.view_day_rounded;
      case "view_day_outlined": return Icons.view_day_outlined;
      case "view_headline": return Icons.view_headline;
      case "view_headline_sharp": return Icons.view_headline_sharp;
      case "view_headline_rounded": return Icons.view_headline_rounded;
      case "view_headline_outlined": return Icons.view_headline_outlined;
      case "view_in_ar": return Icons.view_in_ar;
      case "view_in_ar_sharp": return Icons.view_in_ar_sharp;
      case "view_in_ar_rounded": return Icons.view_in_ar_rounded;
      case "view_in_ar_outlined": return Icons.view_in_ar_outlined;
      case "view_kanban": return Icons.view_kanban;
      case "view_kanban_sharp": return Icons.view_kanban_sharp;
      case "view_kanban_rounded": return Icons.view_kanban_rounded;
      case "view_kanban_outlined": return Icons.view_kanban_outlined;
      case "view_list": return Icons.view_list;
      case "view_list_sharp": return Icons.view_list_sharp;
      case "view_list_rounded": return Icons.view_list_rounded;
      case "view_list_outlined": return Icons.view_list_outlined;
      case "view_module": return Icons.view_module;
      case "view_module_sharp": return Icons.view_module_sharp;
      case "view_module_rounded": return Icons.view_module_rounded;
      case "view_module_outlined": return Icons.view_module_outlined;
      case "view_quilt": return Icons.view_quilt;
      case "view_quilt_sharp": return Icons.view_quilt_sharp;
      case "view_quilt_rounded": return Icons.view_quilt_rounded;
      case "view_quilt_outlined": return Icons.view_quilt_outlined;
      case "view_sidebar": return Icons.view_sidebar;
      case "view_sidebar_sharp": return Icons.view_sidebar_sharp;
      case "view_sidebar_rounded": return Icons.view_sidebar_rounded;
      case "view_sidebar_outlined": return Icons.view_sidebar_outlined;
      case "view_stream": return Icons.view_stream;
      case "view_stream_sharp": return Icons.view_stream_sharp;
      case "view_stream_rounded": return Icons.view_stream_rounded;
      case "view_stream_outlined": return Icons.view_stream_outlined;
      case "view_timeline": return Icons.view_timeline;
      case "view_timeline_sharp": return Icons.view_timeline_sharp;
      case "view_timeline_rounded": return Icons.view_timeline_rounded;
      case "view_timeline_outlined": return Icons.view_timeline_outlined;
      case "view_week": return Icons.view_week;
      case "view_week_sharp": return Icons.view_week_sharp;
      case "view_week_rounded": return Icons.view_week_rounded;
      case "view_week_outlined": return Icons.view_week_outlined;
      case "vignette": return Icons.vignette;
      case "vignette_sharp": return Icons.vignette_sharp;
      case "vignette_rounded": return Icons.vignette_rounded;
      case "vignette_outlined": return Icons.vignette_outlined;
      case "villa": return Icons.villa;
      case "villa_sharp": return Icons.villa_sharp;
      case "villa_rounded": return Icons.villa_rounded;
      case "villa_outlined": return Icons.villa_outlined;
      case "visibility": return Icons.visibility;
      case "visibility_sharp": return Icons.visibility_sharp;
      case "visibility_rounded": return Icons.visibility_rounded;
      case "visibility_outlined": return Icons.visibility_outlined;
      case "visibility_off": return Icons.visibility_off;
      case "visibility_off_sharp": return Icons.visibility_off_sharp;
      case "visibility_off_rounded": return Icons.visibility_off_rounded;
      case "visibility_off_outlined": return Icons.visibility_off_outlined;
      case "voice_chat": return Icons.voice_chat;
      case "voice_chat_sharp": return Icons.voice_chat_sharp;
      case "voice_chat_rounded": return Icons.voice_chat_rounded;
      case "voice_chat_outlined": return Icons.voice_chat_outlined;
      case "voice_over_off": return Icons.voice_over_off;
      case "voice_over_off_sharp": return Icons.voice_over_off_sharp;
      case "voice_over_off_rounded": return Icons.voice_over_off_rounded;
      case "voice_over_off_outlined": return Icons.voice_over_off_outlined;
      case "voicemail": return Icons.voicemail;
      case "voicemail_sharp": return Icons.voicemail_sharp;
      case "voicemail_rounded": return Icons.voicemail_rounded;
      case "voicemail_outlined": return Icons.voicemail_outlined;
      case "volume_down": return Icons.volume_down;
      case "volume_down_sharp": return Icons.volume_down_sharp;
      case "volume_down_rounded": return Icons.volume_down_rounded;
      case "volume_down_outlined": return Icons.volume_down_outlined;
      case "volume_down_alt": return Icons.volume_down_alt;
      case "volume_mute": return Icons.volume_mute;
      case "volume_mute_sharp": return Icons.volume_mute_sharp;
      case "volume_mute_rounded": return Icons.volume_mute_rounded;
      case "volume_mute_outlined": return Icons.volume_mute_outlined;
      case "volume_off": return Icons.volume_off;
      case "volume_off_sharp": return Icons.volume_off_sharp;
      case "volume_off_rounded": return Icons.volume_off_rounded;
      case "volume_off_outlined": return Icons.volume_off_outlined;
      case "volume_up": return Icons.volume_up;
      case "volume_up_sharp": return Icons.volume_up_sharp;
      case "volume_up_rounded": return Icons.volume_up_rounded;
      case "volume_up_outlined": return Icons.volume_up_outlined;
      case "volunteer_activism": return Icons.volunteer_activism;
      case "volunteer_activism_sharp": return Icons.volunteer_activism_sharp;
      case "volunteer_activism_rounded": return Icons.volunteer_activism_rounded;
      case "volunteer_activism_outlined": return Icons.volunteer_activism_outlined;
      case "vpn_key": return Icons.vpn_key;
      case "vpn_key_sharp": return Icons.vpn_key_sharp;
      case "vpn_key_rounded": return Icons.vpn_key_rounded;
      case "vpn_key_outlined": return Icons.vpn_key_outlined;
      case "vpn_key_off": return Icons.vpn_key_off;
      case "vpn_key_off_sharp": return Icons.vpn_key_off_sharp;
      case "vpn_key_off_rounded": return Icons.vpn_key_off_rounded;
      case "vpn_key_off_outlined": return Icons.vpn_key_off_outlined;
      case "vpn_lock": return Icons.vpn_lock;
      case "vpn_lock_sharp": return Icons.vpn_lock_sharp;
      case "vpn_lock_rounded": return Icons.vpn_lock_rounded;
      case "vpn_lock_outlined": return Icons.vpn_lock_outlined;
      case "vrpano": return Icons.vrpano;
      case "vrpano_sharp": return Icons.vrpano_sharp;
      case "vrpano_rounded": return Icons.vrpano_rounded;
      case "vrpano_outlined": return Icons.vrpano_outlined;
      case "wallet_giftcard": return Icons.wallet_giftcard;
      case "wallet_giftcard_sharp": return Icons.wallet_giftcard_sharp;
      case "wallet_giftcard_rounded": return Icons.wallet_giftcard_rounded;
      case "wallet_giftcard_outlined": return Icons.wallet_giftcard_outlined;
      case "wallet_membership": return Icons.wallet_membership;
      case "wallet_membership_sharp": return Icons.wallet_membership_sharp;
      case "wallet_membership_rounded": return Icons.wallet_membership_rounded;
      case "wallet_membership_outlined": return Icons.wallet_membership_outlined;
      case "wallet_travel": return Icons.wallet_travel;
      case "wallet_travel_sharp": return Icons.wallet_travel_sharp;
      case "wallet_travel_rounded": return Icons.wallet_travel_rounded;
      case "wallet_travel_outlined": return Icons.wallet_travel_outlined;
      case "wallpaper": return Icons.wallpaper;
      case "wallpaper_sharp": return Icons.wallpaper_sharp;
      case "wallpaper_rounded": return Icons.wallpaper_rounded;
      case "wallpaper_outlined": return Icons.wallpaper_outlined;
      case "warehouse": return Icons.warehouse;
      case "warehouse_sharp": return Icons.warehouse_sharp;
      case "warehouse_rounded": return Icons.warehouse_rounded;
      case "warehouse_outlined": return Icons.warehouse_outlined;
      case "warning": return Icons.warning;
      case "warning_sharp": return Icons.warning_sharp;
      case "warning_rounded": return Icons.warning_rounded;
      case "warning_outlined": return Icons.warning_outlined;
      case "warning_amber": return Icons.warning_amber;
      case "warning_amber_sharp": return Icons.warning_amber_sharp;
      case "warning_amber_rounded": return Icons.warning_amber_rounded;
      case "warning_amber_outlined": return Icons.warning_amber_outlined;
      case "wash": return Icons.wash;
      case "wash_sharp": return Icons.wash_sharp;
      case "wash_rounded": return Icons.wash_rounded;
      case "wash_outlined": return Icons.wash_outlined;
      case "watch": return Icons.watch;
      case "watch_sharp": return Icons.watch_sharp;
      case "watch_rounded": return Icons.watch_rounded;
      case "watch_outlined": return Icons.watch_outlined;
      case "watch_later": return Icons.watch_later;
      case "watch_later_sharp": return Icons.watch_later_sharp;
      case "watch_later_rounded": return Icons.watch_later_rounded;
      case "watch_later_outlined": return Icons.watch_later_outlined;
      case "watch_off": return Icons.watch_off;
      case "watch_off_sharp": return Icons.watch_off_sharp;
      case "watch_off_rounded": return Icons.watch_off_rounded;
      case "watch_off_outlined": return Icons.watch_off_outlined;
      case "water": return Icons.water;
      case "water_sharp": return Icons.water_sharp;
      case "water_rounded": return Icons.water_rounded;
      case "water_outlined": return Icons.water_outlined;
      case "water_damage": return Icons.water_damage;
      case "water_damage_sharp": return Icons.water_damage_sharp;
      case "water_damage_rounded": return Icons.water_damage_rounded;
      case "water_damage_outlined": return Icons.water_damage_outlined;
      case "water_drop": return Icons.water_drop;
      case "water_drop_sharp": return Icons.water_drop_sharp;
      case "water_drop_rounded": return Icons.water_drop_rounded;
      case "water_drop_outlined": return Icons.water_drop_outlined;
      case "waterfall_chart": return Icons.waterfall_chart;
      case "waterfall_chart_sharp": return Icons.waterfall_chart_sharp;
      case "waterfall_chart_rounded": return Icons.waterfall_chart_rounded;
      case "waterfall_chart_outlined": return Icons.waterfall_chart_outlined;
      case "waves": return Icons.waves;
      case "waves_sharp": return Icons.waves_sharp;
      case "waves_rounded": return Icons.waves_rounded;
      case "waves_outlined": return Icons.waves_outlined;
      case "waving_hand": return Icons.waving_hand;
      case "waving_hand_sharp": return Icons.waving_hand_sharp;
      case "waving_hand_rounded": return Icons.waving_hand_rounded;
      case "waving_hand_outlined": return Icons.waving_hand_outlined;
      case "wb_auto": return Icons.wb_auto;
      case "wb_auto_sharp": return Icons.wb_auto_sharp;
      case "wb_auto_rounded": return Icons.wb_auto_rounded;
      case "wb_auto_outlined": return Icons.wb_auto_outlined;
      case "wb_cloudy": return Icons.wb_cloudy;
      case "wb_cloudy_sharp": return Icons.wb_cloudy_sharp;
      case "wb_cloudy_rounded": return Icons.wb_cloudy_rounded;
      case "wb_cloudy_outlined": return Icons.wb_cloudy_outlined;
      case "wb_incandescent": return Icons.wb_incandescent;
      case "wb_incandescent_sharp": return Icons.wb_incandescent_sharp;
      case "wb_incandescent_rounded": return Icons.wb_incandescent_rounded;
      case "wb_incandescent_outlined": return Icons.wb_incandescent_outlined;
      case "wb_iridescent": return Icons.wb_iridescent;
      case "wb_iridescent_sharp": return Icons.wb_iridescent_sharp;
      case "wb_iridescent_rounded": return Icons.wb_iridescent_rounded;
      case "wb_iridescent_outlined": return Icons.wb_iridescent_outlined;
      case "wb_shade": return Icons.wb_shade;
      case "wb_shade_sharp": return Icons.wb_shade_sharp;
      case "wb_shade_rounded": return Icons.wb_shade_rounded;
      case "wb_shade_outlined": return Icons.wb_shade_outlined;
      case "wb_sunny": return Icons.wb_sunny;
      case "wb_sunny_sharp": return Icons.wb_sunny_sharp;
      case "wb_sunny_rounded": return Icons.wb_sunny_rounded;
      case "wb_sunny_outlined": return Icons.wb_sunny_outlined;
      case "wb_twighlight": return Icons.wb_twighlight;
      case "wb_twilight": return Icons.wb_twilight;
      case "wb_twilight_sharp": return Icons.wb_twilight_sharp;
      case "wb_twilight_rounded": return Icons.wb_twilight_rounded;
      case "wb_twilight_outlined": return Icons.wb_twilight_outlined;
      case "wc": return Icons.wc;
      case "wc_sharp": return Icons.wc_sharp;
      case "wc_rounded": return Icons.wc_rounded;
      case "wc_outlined": return Icons.wc_outlined;
      case "web": return Icons.web;
      case "web_sharp": return Icons.web_sharp;
      case "web_rounded": return Icons.web_rounded;
      case "web_outlined": return Icons.web_outlined;
      case "web_asset": return Icons.web_asset;
      case "web_asset_sharp": return Icons.web_asset_sharp;
      case "web_asset_rounded": return Icons.web_asset_rounded;
      case "web_asset_outlined": return Icons.web_asset_outlined;
      case "web_asset_off": return Icons.web_asset_off;
      case "web_asset_off_sharp": return Icons.web_asset_off_sharp;
      case "web_asset_off_rounded": return Icons.web_asset_off_rounded;
      case "web_asset_off_outlined": return Icons.web_asset_off_outlined;
      case "web_stories": return Icons.web_stories;
      case "webhook": return Icons.webhook;
      case "webhook_sharp": return Icons.webhook_sharp;
      case "webhook_rounded": return Icons.webhook_rounded;
      case "webhook_outlined": return Icons.webhook_outlined;
      case "wechat": return Icons.wechat;
      case "wechat_sharp": return Icons.wechat_sharp;
      case "wechat_rounded": return Icons.wechat_rounded;
      case "wechat_outlined": return Icons.wechat_outlined;
      case "weekend": return Icons.weekend;
      case "weekend_sharp": return Icons.weekend_sharp;
      case "weekend_rounded": return Icons.weekend_rounded;
      case "weekend_outlined": return Icons.weekend_outlined;
      case "west": return Icons.west;
      case "west_sharp": return Icons.west_sharp;
      case "west_rounded": return Icons.west_rounded;
      case "west_outlined": return Icons.west_outlined;
      case "whatsapp": return Icons.whatsapp;
      case "whatsapp_sharp": return Icons.whatsapp_sharp;
      case "whatsapp_rounded": return Icons.whatsapp_rounded;
      case "whatsapp_outlined": return Icons.whatsapp_outlined;
      case "whatshot": return Icons.whatshot;
      case "whatshot_sharp": return Icons.whatshot_sharp;
      case "whatshot_rounded": return Icons.whatshot_rounded;
      case "whatshot_outlined": return Icons.whatshot_outlined;
      case "wheelchair_pickup": return Icons.wheelchair_pickup;
      case "wheelchair_pickup_sharp": return Icons.wheelchair_pickup_sharp;
      case "wheelchair_pickup_rounded": return Icons.wheelchair_pickup_rounded;
      case "wheelchair_pickup_outlined": return Icons.wheelchair_pickup_outlined;
      case "where_to_vote": return Icons.where_to_vote;
      case "where_to_vote_sharp": return Icons.where_to_vote_sharp;
      case "where_to_vote_rounded": return Icons.where_to_vote_rounded;
      case "where_to_vote_outlined": return Icons.where_to_vote_outlined;
      case "widgets": return Icons.widgets;
      case "widgets_sharp": return Icons.widgets_sharp;
      case "widgets_rounded": return Icons.widgets_rounded;
      case "widgets_outlined": return Icons.widgets_outlined;
      case "wifi": return Icons.wifi;
      case "wifi_sharp": return Icons.wifi_sharp;
      case "wifi_rounded": return Icons.wifi_rounded;
      case "wifi_outlined": return Icons.wifi_outlined;
      case "wifi_calling": return Icons.wifi_calling;
      case "wifi_calling_sharp": return Icons.wifi_calling_sharp;
      case "wifi_calling_rounded": return Icons.wifi_calling_rounded;
      case "wifi_calling_outlined": return Icons.wifi_calling_outlined;
      case "wifi_calling_3": return Icons.wifi_calling_3;
      case "wifi_calling_3_sharp": return Icons.wifi_calling_3_sharp;
      case "wifi_calling_3_rounded": return Icons.wifi_calling_3_rounded;
      case "wifi_calling_3_outlined": return Icons.wifi_calling_3_outlined;
      case "wifi_channel": return Icons.wifi_channel;
      case "wifi_channel_sharp": return Icons.wifi_channel_sharp;
      case "wifi_channel_rounded": return Icons.wifi_channel_rounded;
      case "wifi_channel_outlined": return Icons.wifi_channel_outlined;
      case "wifi_find": return Icons.wifi_find;
      case "wifi_find_sharp": return Icons.wifi_find_sharp;
      case "wifi_find_rounded": return Icons.wifi_find_rounded;
      case "wifi_find_outlined": return Icons.wifi_find_outlined;
      case "wifi_lock": return Icons.wifi_lock;
      case "wifi_lock_sharp": return Icons.wifi_lock_sharp;
      case "wifi_lock_rounded": return Icons.wifi_lock_rounded;
      case "wifi_lock_outlined": return Icons.wifi_lock_outlined;
      case "wifi_off": return Icons.wifi_off;
      case "wifi_off_sharp": return Icons.wifi_off_sharp;
      case "wifi_off_rounded": return Icons.wifi_off_rounded;
      case "wifi_off_outlined": return Icons.wifi_off_outlined;
      case "wifi_password": return Icons.wifi_password;
      case "wifi_password_sharp": return Icons.wifi_password_sharp;
      case "wifi_password_rounded": return Icons.wifi_password_rounded;
      case "wifi_password_outlined": return Icons.wifi_password_outlined;
      case "wifi_protected_setup": return Icons.wifi_protected_setup;
      case "wifi_protected_setup_sharp": return Icons.wifi_protected_setup_sharp;
      case "wifi_protected_setup_rounded": return Icons.wifi_protected_setup_rounded;
      case "wifi_protected_setup_outlined": return Icons.wifi_protected_setup_outlined;
      case "wifi_tethering": return Icons.wifi_tethering;
      case "wifi_tethering_sharp": return Icons.wifi_tethering_sharp;
      case "wifi_tethering_rounded": return Icons.wifi_tethering_rounded;
      case "wifi_tethering_outlined": return Icons.wifi_tethering_outlined;
      case "wifi_tethering_error": return Icons.wifi_tethering_error;
      case "wifi_tethering_error_sharp": return Icons.wifi_tethering_error_sharp;
      case "wifi_tethering_error_rounded": return Icons.wifi_tethering_error_rounded;
      case "wifi_tethering_error_outlined": return Icons.wifi_tethering_error_outlined;
      case "wifi_tethering_error_rounded_sharp": return Icons.wifi_tethering_error_rounded_sharp;
      case "wifi_tethering_error_rounded_rounded": return Icons.wifi_tethering_error_rounded_rounded;
      case "wifi_tethering_error_rounded_outlined": return Icons.wifi_tethering_error_rounded_outlined;
      case "wifi_tethering_off": return Icons.wifi_tethering_off;
      case "wifi_tethering_off_sharp": return Icons.wifi_tethering_off_sharp;
      case "wifi_tethering_off_rounded": return Icons.wifi_tethering_off_rounded;
      case "wifi_tethering_off_outlined": return Icons.wifi_tethering_off_outlined;
      case "window": return Icons.window;
      case "window_sharp": return Icons.window_sharp;
      case "window_rounded": return Icons.window_rounded;
      case "window_outlined": return Icons.window_outlined;
      case "wine_bar": return Icons.wine_bar;
      case "wine_bar_sharp": return Icons.wine_bar_sharp;
      case "wine_bar_rounded": return Icons.wine_bar_rounded;
      case "wine_bar_outlined": return Icons.wine_bar_outlined;
      case "woman": return Icons.woman;
      case "woman_sharp": return Icons.woman_sharp;
      case "woman_rounded": return Icons.woman_rounded;
      case "woman_outlined": return Icons.woman_outlined;
      case "woo_commerce": return Icons.woo_commerce;
      case "woo_commerce_sharp": return Icons.woo_commerce_sharp;
      case "woo_commerce_rounded": return Icons.woo_commerce_rounded;
      case "woo_commerce_outlined": return Icons.woo_commerce_outlined;
      case "wordpress": return Icons.wordpress;
      case "wordpress_sharp": return Icons.wordpress_sharp;
      case "wordpress_rounded": return Icons.wordpress_rounded;
      case "wordpress_outlined": return Icons.wordpress_outlined;
      case "work": return Icons.work;
      case "work_sharp": return Icons.work_sharp;
      case "work_rounded": return Icons.work_rounded;
      case "work_outlined": return Icons.work_outlined;
      case "work_off": return Icons.work_off;
      case "work_off_sharp": return Icons.work_off_sharp;
      case "work_off_rounded": return Icons.work_off_rounded;
      case "work_off_outlined": return Icons.work_off_outlined;
      case "work_outline": return Icons.work_outline;
      case "work_outline_sharp": return Icons.work_outline_sharp;
      case "work_outline_rounded": return Icons.work_outline_rounded;
      case "work_outline_outlined": return Icons.work_outline_outlined;
      case "workspace_premium": return Icons.workspace_premium;
      case "workspace_premium_sharp": return Icons.workspace_premium_sharp;
      case "workspace_premium_rounded": return Icons.workspace_premium_rounded;
      case "workspace_premium_outlined": return Icons.workspace_premium_outlined;
      case "workspaces": return Icons.workspaces;
      case "workspaces_sharp": return Icons.workspaces_sharp;
      case "workspaces_rounded": return Icons.workspaces_rounded;
      case "workspaces_outlined": return Icons.workspaces_outlined;
      case "workspaces_filled": return Icons.workspaces_filled;
      case "workspaces_outline": return Icons.workspaces_outline;
      case "wrap_text": return Icons.wrap_text;
      case "wrap_text_sharp": return Icons.wrap_text_sharp;
      case "wrap_text_rounded": return Icons.wrap_text_rounded;
      case "wrap_text_outlined": return Icons.wrap_text_outlined;
      case "wrong_location": return Icons.wrong_location;
      case "wrong_location_sharp": return Icons.wrong_location_sharp;
      case "wrong_location_rounded": return Icons.wrong_location_rounded;
      case "wrong_location_outlined": return Icons.wrong_location_outlined;
      case "wysiwyg": return Icons.wysiwyg;
      case "wysiwyg_sharp": return Icons.wysiwyg_sharp;
      case "wysiwyg_rounded": return Icons.wysiwyg_rounded;
      case "wysiwyg_outlined": return Icons.wysiwyg_outlined;
      case "yard": return Icons.yard;
      case "yard_sharp": return Icons.yard_sharp;
      case "yard_rounded": return Icons.yard_rounded;
      case "yard_outlined": return Icons.yard_outlined;
      case "youtube_searched_for": return Icons.youtube_searched_for;
      case "youtube_searched_for_sharp": return Icons.youtube_searched_for_sharp;
      case "youtube_searched_for_rounded": return Icons.youtube_searched_for_rounded;
      case "youtube_searched_for_outlined": return Icons.youtube_searched_for_outlined;
      case "zoom_in": return Icons.zoom_in;
      case "zoom_in_sharp": return Icons.zoom_in_sharp;
      case "zoom_in_rounded": return Icons.zoom_in_rounded;
      case "zoom_in_outlined": return Icons.zoom_in_outlined;
      case "zoom_in_map": return Icons.zoom_in_map;
      case "zoom_in_map_sharp": return Icons.zoom_in_map_sharp;
      case "zoom_in_map_rounded": return Icons.zoom_in_map_rounded;
      case "zoom_in_map_outlined": return Icons.zoom_in_map_outlined;
      case "zoom_out": return Icons.zoom_out;
      case "zoom_out_sharp": return Icons.zoom_out_sharp;
      case "zoom_out_rounded": return Icons.zoom_out_rounded;
      case "zoom_out_outlined": return Icons.zoom_out_outlined;
      case "zoom_out_map": return Icons.zoom_out_map;
      case "zoom_out_map_sharp": return Icons.zoom_out_map_sharp;
      case "zoom_out_map_rounded": return Icons.zoom_out_map_rounded;
      case "zoom_out_map_outlined": return Icons.zoom_out_map_outlined;
    }
    return null;
  }
}
